var regSpinner = '<i class="fa fa-spinner fa-spin fa-fw reg_spinner"></i>';
var largeSpinner = '<div class="large_spinner"><i class="fa fa-spinner fa-spin fa-fw boom_spinner"></i></div>';

explorerCheck = function(){
	var ua = window.navigator.userAgent;
	var msie = ua.indexOf('MSIE ');
	var trident = ua.indexOf('Trident/');
	if(msie > 0 || trident > 0){
		$("#gradient_sheet").attr("href", "css/gradients_explorer.css"+bbfv);
	}
}
pageMenuSelect = function(){
	if($('.page_menu_item').length > 1){
		$('.page_menu_item').first().addClass('page_selected');
		if($('.page_menu_item').first().children('.page_menu_icon').length){
			$('.page_menu_item').first().children('.page_menu_icon').addClass('page_selected');
		}
	}
}

selectIt = function(){
	$("select:visible").selectBoxIt({ 
		autoWidth: false,
		hideEffect: 'fadeOut',
		hideEffectSpeed: 100
	});
}
hideAll = function(){
	$('.hideall').hide();
	$('.sysmenu').hide();
}
adjustSubMenu = function(){
	$('#side_menu').hide();
}
hideSubMenu = function(){
	var mobWidth = $(window).width();
	if(mobWidth <= 1024){
		$('.sub_page_menu').hide();
	}
}
var curCall = '';
callSaved = function(text, type){
	var s = 3000;
	if(type == 1){
		s = 1000;
	}
	if(text == curCall && $('.saved_data:visible').length){
		return false;
	}
	else {
		if(type == 1){
			$('.saved_data').removeClass('saved_warn saved_error').addClass('saved_ok');
		}
		if(type == 2){
			$('.saved_data').removeClass('saved_ok saved_error').addClass('saved_warn');
		}
		if(type == 3){
			$('.saved_data').removeClass('saved_warn saved_ok').addClass('saved_error');
		}
		$('.saved_span').text(text);
		$('.saved_data').fadeIn(300).delay(s).fadeOut();
		curCall = text;
	}
}
textArea = function(elem, height) {
    $(elem).css('height', height + 'px');
    $(elem).css('height', (elem.scrollHeight)+"px");
}
loadLob = function(p){
	hideAll();
	$.post('system/pages/'+p, { 
		token: utk,
		}, function(response) {
			$('#page_wrapper').html(response);
			selectIt();
			pageTop();
	});
}
loadWrap = function(content){
	$('#page_wrapper').html(content);
	selectIt();
	pageTop();
}
loadFirst = function(){
	if(loadPage != ''){
		$.post(loadPage, { 
			token: utk,
			}, function(response) {
				$('#page_wrapper').html(response);
				selectIt();
		});
	}
}
boomAllow = function(rnk){
	if(user_rank >= rnk){
		return true;
	}
	else {
		return false;
	}
}
isStaff = function(rnk){
	if(rnk >= 8){
		return true;
	}
	else {
		return false;
	}
}
showModal = function(r,s){
	hideAll();
	hideModal();
	if(!s){
		s = 400;
	}
	if(s == 0){
		s = 400;
	}
	$('.small_modal_in').css('max-width', s+'px');
	$('#small_modal_content').html(r);
	$('#small_modal').show();
	$('.hide_for_modal').hide();
	offScroll();
	modalTop();
	selectIt();
}
showEmptyModal = function(r,s){
	hideAll();
	hideModal();
	if(!s){
		s = 400;
	}
	if(s == 0){
		s = 400;
	}
	$('.large_modal_in').css('max-width', s+'px');
	$('#large_modal_content').html(r);
	$('#large_modal').show();
	offScroll();
	modalTop();
	selectIt();
}
overModal = function(r,s){
	if(!s){
		s = 400;
	}
	if(s == 0){
		s = 400;
	}
	$('.over_modal_in').css('max-width', s+'px');
	$('#over_modal_content').html(r);
	$('#over_modal').show();
	offScroll();
	selectIt();
}
overEmptyModal = function(r,s){
	if(!s){
		s = 400;
	}
	if(s == 0){
		s = 400;
	}
	$('.over_emodal_in').css('max-width', s+'px');
	$('#over_emodal_content').html(r);
	$('#over_emodal').show();
	offScroll();
	selectIt();
}
showSide = function(content, s){
	hideAll();
	if(!s){
		s = 400;
	}
	if(s == 0){
		s = 400;
	}
	$('#side_inside').html(content);
	$('#side_content').css('width', s).show();
	selectIt();
}
closeSide = function(){
	$('#side_inside').html('');
	$('#side_content').hide();
}
hideModal = function(){
	$('#small_modal_content, #large_modal_content').html('');
	$('#small_modal, #large_modal').hide();
	onScroll();
}
hideLargeModal = function(){
	$('#large_modal_content').html('');
	$('#large_modal').hide();
	onScroll();
}
hideOver = function(){
	$('#over_modal_content, #over_emodal_content').html('');
	$('#over_modal, #over_emodal').hide();
}
pageTop = function(){
	$("html, body").animate({ scrollTop: 0 }, "fast");
}
modalTop = function(){
	$(".modal_back").animate({ scrollTop: 0 }, "fast");
}
offScroll = function(){
	if(curPage != 'chat'){
		$('body').addClass('modal_open');
	}
}
onScroll = function(){
	if(curPage != 'chat'){
		$('body').removeClass('modal_open');
	}
	else {
		$('body').css('overflow', 'hidden');
	}
}
privatePlay = function(){
	document.getElementById('private_sound').play();	
}
messagePlay = function(){
	document.getElementById('message_sound').play();	
}
usernamePlay = function(){
	document.getElementById('username_sound').play();
}
whistlePlay = function(){
	document.getElementById('whistle_sound').play();
}
notifyPlay = function(){
	document.getElementById('notify_sound').play();
}
newsPlay = function(){
	document.getElementById('news_sound').play();
}
updateSession = function(){
	$.post('system/update_session.php', { 
		token: utk,
		}, function(response) {
			if(response == 0){
				location.reload();
			}
	});
}
lazyBoom = function(zone){
	$("#"+zone+" .lazyboom").each(function(){
		$(this).attr('src', $(this).attr('data-img'));
	});
}
closeTrigger = function(){
	$('.drop_list').slideUp(100);
}
getLanguage = function(){
	$.post('system/box/language.php', {
		}, function(response) {
				showModal(response, 240);
	});
}

showRules = function(){
	$.post('system/box/terms.php', {
		}, function(response) {
			showModal(response, 500);
	});
}
showHelp = function(){
	$.post('system/box/help.php', {
		}, function(response) {
			showModal(response, 500);
	});
}
showPrivacy = function(){
	$.post('system/box/privacy.php', {
		}, function(response) {
			showModal(response, 500);
	});
}
backLocation = function(){
	window.history.back();
	hideAll();
}
openSamePage = function(l){
	var addEmbed = '';
	if(pageEmbed == 1){
		addEmbed = '?embed=1';
	}
	window.location.href = l+addEmbed;
}
openLinkPage = function(l){
	window.open(l, '_BLANK');
}
openParentPage = function(l){
	window.open(l, '_PARENT');
}
checkPageHistory = function(){
	if(window.history.length <= 1){
		$('.back_location').hide();
	}
}
resetSelect = function(val){
	$('#'+val).selectBoxIt('selectOption', 0);
}
getBox = function(f, t, s){
	if(!s){
		s = 0;
	}
	if(curPage == 'chat'){
		closeLeft();
	}
	hideModal();
	$.post(f, { 
		token: utk,
		}, function(response) {
			if(t == 'modal'){
				showModal(response, s);
			}
			if(t == 'emodal'){
				showEmptyModal(response, s);
			}
			if(t == 'side'){
				showSide(response, s);
			}
			if(t == 'panel' && curPage == 'chat'){
				panelIt(s);
				chatRightIt(response);
			}
			else {
				return false;
			}
			selectIt();
	});	
}
getOver = function(f, s){
	if(!s){
		s = 0;
	}
	$.post(f, { 
		token: utk,
		}, function(response) {
			overModal(response, s);
			selectIt();
	});	
}
var boomDelay = (function(){
  var timer = 0;
  return function(callback, ms){
    clearTimeout (timer);
    timer = setTimeout(callback, ms);
  };
})();
boomAddCss = function(addFile){
	$('head').append('<link rel="stylesheet" href="'+addFile+bbfv+'" type="text/css" />');
}
adjustSide = function(){
		var winHeight = $(window).height();
		var sideTop = $('#side_close').outerHeight();
		$('#side_inside').css({ "height": winHeight - sideTop });	
}
loadLanguage = function(lang){
	$.post('system/load_lang.php', {
		lang: lang,
		}, function(response) {
			location.reload();
	});
}
showMenu = function(id){
	if($('#'+id+':visible').length){
		$('#'+id).hide();
	}
	else {
		$('#'+id).show();
	}
	$('.sysmenu').each(function(){
		if($(this).attr('id') != id){
			$(this).hide();
		}
	});
	
}
$(document).ready(function(){
	
	loadFirst();
	adjustSide();
	explorerCheck();
	pageMenuSelect();
	checkPageHistory();
	
	if(curPage != 'chat' && logged == 1){
		updateSession();
		var upsess = setInterval(updateSession, 60000);
	}
	
	$(document).on('click', '.modal_menu_item', function(){
		var mmi = $(this).attr('data');
		if(mmi != 'void'){
			$(this).parent().find('.modal_menu_item').removeClass('modal_selected');
			$(this).addClass('modal_selected');
			$('.modal_zone').hide();
			lazyBoom(mmi);
			$('#'+mmi).fadeIn(200);
			selectIt();
		}
	});
	
	$(document).on('click', '.tab_menu_item', function(){
		$(this).parent().find('.tab_menu_item').removeClass('tab_selected');
		$(this).addClass('tab_selected');
		$('#'+$(this).attr('data')+' .tab_zone').hide();
		$('#'+$(this).attr('data-z')).fadeIn(200);
		selectIt();
	});
	
	$(document).on('click', '.reg_menu_item', function(){
		$(this).parent().find('.reg_menu_item').removeClass('reg_selected');
		$(this).addClass('reg_selected');
		$('#'+$(this).attr('data')+' .reg_zone').hide();
		$('#'+$(this).attr('data-z')).fadeIn(200);
		selectIt();
	});

	$(document).on('click', '.close_modal, .cancel_modal', function(){
		hideModal();
	});
	$(document).on('click', '.close_over, .cancel_over', function(){
		hideOver();
	});
	
	$(document).on('click', '#open_sub_mobile', function(){
		$('#side_menu').toggle();
	});
	
	$(document).on('click', '.get_dat', function(){
		var p = $(this).attr('data');
		loadLob(p);
	});
	
	$(document).on('click', '.open_page', function(){
		hideAll();
		var toPage = $(this).attr('data');
		window.open(toPage, '_blank'); 
	});
	
	$(document).on('click', '.getmenu', function(){
		var getPage = $(this).attr('data');
		window.location.href = getPage;
	});
	
	$(document).on('click', '#open_sub_mobile, #close_sub', function(){		
		$('.sub_page_menu').toggle();
	});
	
	$( window ).resize(function() {
		adjustSubMenu();
		adjustSide();
	});
	
	$('.fancybox').fancybox({
	  helpers: {
		overlay: {
		  locked: false
		}
	  }
	});
	
	$(document).on('click', '.getbox', function(){
		if(!$(this).attr('data-type')){
			return false;
		}
		if(!$(this).attr('data-box')){
			return false;
		}
		var dSize = 0;
		var dType = $(this).attr('data-type');
		var dFile = $(this).attr('data-box');
		if($(this).attr('data-size')){
			dSize = $(this).attr('data-size');
		}
		getBox(dFile, dType, dSize);
	});
	
	$(document).on('click', '.page_drop_control', function() {	
		$('.popen').hide();
		$('.pclose').show();
		if($(this).next('.page_drop').is(":visible")){
			$(this).next('.page_drop').slideUp(100);
		}
		else {
			$( ".page_drop" ).each(function() {
				$(this).hide();
			});
			$(this).next('.page_drop').slideDown(100);
			$(this).children('.page_drop_icon').children('.pclose').hide();
			$(this).children('.page_drop_icon').children('.popen').show();
		}
	});
	$(document).on('click', '.page_drop_item, .page_menu_item', function() {
		/*
		if($(this).hasClass('page_menu_item') && !$(this).hasClass('page_drop_control')){
			$('.popen').hide();
			$('.pclose').show();
			$('.page_drop').slideUp(100);
		}
		*/
		if(!$(this).hasClass('page_drop_control')){
			$('.page_drop_item, .page_menu_item, .page_menu_icon').removeClass('page_selected');
			$(this).addClass('page_selected');
			if($(this).children('.page_menu_icon').length){
				$(this).children('.page_menu_icon').addClass('page_selected');
			}
		}
	});
	
	$(document).on('click', '.docu_head', function(){
		if($(this).next('.docu_content').is(":visible")){
			$(this).next('.docu_content').hide();
		}
		else {
			$( ".docu_content" ).each(function() {
				$(this).hide();
			});
			$(this).next('.docu_content').show();
		}
	});
	
	var modal = document.getElementById('small_modal');	
	var largeModal = document.getElementById('large_modal');

});