<?php
// intro

$lang['left_title'] = 'قابل أصدقاء جدد';
$lang['left_welcome'] = 'أهلاً وسهلاً بكم في موقعنا الجديد .. أفضل موقع تواصل إجتماعي';
$lang['last_active'] = 'آخر أعضاء نشيطين';

// menu text 

$lang['logout'] = 'خروج';
$lang['my_profile'] = 'ملفي الشخصي';
$lang['admin_panel'] = 'لوحة التحكم';
$lang['home'] = 'الرئيسية';

// title item 

$lang['close'] = 'إغلاق';
$lang['friend_list'] = 'قائمة الأصدقاء';
$lang['ignore_list'] = 'تجاهل';
$lang['user_list'] = 'قائمة المتواجدين';
$lang['private_list'] = 'صندوق الرسائل';
$lang['report_list'] = 'قائمة التقارير';

// intro text

$lang['username'] = 'اسم المستخدم';
$lang['password'] = 'كلمة المرور';
$lang['email'] = 'البريد الإلكتروني';
$lang['country'] = 'البلد';
$lang['region'] = 'المنطقة';
$lang['age'] = 'العمر';
$lang['male'] = 'ذكر';
$lang['female'] = 'أنثى';
$lang['register'] = 'إنشاء حساب';
$lang['connect_with'] = 'تسجيل دخول بواسطة';
$lang['enter_now'] = 'دخول الأعضاء';
$lang['rules'] = 'شروط الاستخدام';
$lang['privacy'] = 'قوانين الموقع';
$lang['i_agree'] = 'بتسجيلك أنت توافق على ';
$lang['login'] = 'دخول';
$lang['forgot'] = 'نسيت كلمة المرور ؟';
$lang['user_recover'] = 'اسم المستخدم للإستعادة';
$lang['recover'] = 'إستعادة';
$lang['guest_login'] = 'دخول الزوار';
$lang['site_login'] = 'ربط بموقع';
$lang['more_login'] = 'المزيد من الخيارات';
$lang['not_member'] = 'لست مسجل لدينا ؟ سجل الآن .';

// friend delete box 

$lang['want_delete'] = 'هل أنت متأكد أنك تريد حذف هذا الحساب؟';

// logout box

$lang['want_logout'] = 'هل تريد الخروج ؟';

// general button text

$lang['ok'] = 'نعم';
$lang['yes'] = 'نعم';
$lang['no'] = 'لا';
$lang['cancel'] = 'إلغاء';
$lang['on'] = 'تشغيل';
$lang['off'] = 'إيقاف';
$lang['minute'] = 'دقيقة';
$lang['hour'] = 'ساعة';
$lang['day'] = 'يوم';
$lang['days'] = 'أيام';
$lang['week'] = 'أسبوع';
$lang['month'] = 'شهر';
$lang['never'] = 'أبداً';
$lang['save'] = 'حفظ';
$lang['delete'] = 'حذف';
$lang['new'] = 'جديد';
$lang['upload'] = 'رفع';
$lang['unlimited'] = 'غير محدد';
$lang['install'] = 'تنصيب';
$lang['uninstall'] = 'إلغاء تنصيب';
$lang['config'] = 'ضبط';
$lang['not_shared'] = 'عدم إظهار';
$lang['option_default'] = 'النظام الإفتراضي';
$lang['no_default'] = 'غير افتراضي';
$lang['full'] = 'كامل';
$lang['add'] = 'إضافة';
$lang['back'] = 'رجوع';
$lang['search'] = 'بحث';
$lang['enter_password'] = 'أدخل كلمة المرور';
$lang['room_no_description'] = 'هذه الغرفة لا تحتوي وصف';
$lang['join_room'] = 'إنضم للغرفة';
$lang['settings'] = 'الإعدادات';
$lang['execute'] = 'تنفيذ';
$lang['resend'] = 'إعادة ارسال';
$lang['apply'] = 'موافق';
$lang['reset_password'] = 'إستعادة كلمة المرور';
$lang['load_more'] = 'عرض المزيد';
$lang['add_user'] = 'إضافة عضو';
$lang['more'] = 'المزيد';
$lang['other'] = 'آخر';
$lang['test'] = 'تجريبي';
$lang['send'] = 'إرسال';

// lobby menu

$lang['system_news'] = 'الأخبار';
$lang['search_people'] = 'البحث عن أصدقاء';
$lang['wall'] = 'حائط الأصدقاء';

// online offline

$lang['offline'] = 'غير متصل';
$lang['innactive'] = 'غير نشيط';

// menu drop user 

$lang['info'] = 'عرض الملف الشخصي';
$lang['add_friend']  = 'إضافة صديق';
$lang['ignore'] = 'تجاهل';
$lang['private_chat'] = 'محادثة خاصة';
$lang['options'] = 'خيارات';

// users status language

$lang['online'] = 'متصل';
$lang['busy'] = 'مشغول';
$lang['away'] = 'بعيد';
$lang['gaming'] = 'ألعب';
$lang['eating'] = 'أتناول الطعام';
$lang['invisible'] = 'مخفي';

// empty box text 

$lang['not_exist'] = 'هذا المنشور ليس موجوداً';
$lang['no_news'] = 'لا يوجد أخبار لعرضها';
$lang['no_friend'] = 'قائمة أصدقائك فارغة';
$lang['no_friend_request'] = 'ليس لديك طلبات صداقة';
$lang['no_unread_private'] = 'صندوق رسائلك فارغ';
$lang['no_report'] = 'لا يوجد تقارير لعرضها';
$lang['no_ignore'] = 'قائمة التجاهل فارغة';
$lang['no_data'] = 'لا يوجد بيانات';

// search feature

$lang['my_region'] = 'منطقتي';
$lang['my_country'] = 'بلدي';
$lang['activity'] = 'الحالة النشيطة';
$lang['all'] = 'الجميع';

// room box create text

$lang['room_limit'] = 'عدد المستخدمين المحدود';
$lang['optional_pass'] = '( اختياري )';
$lang['room_name'] = 'اسم الغرفة';
$lang['room_type'] = 'نوع الغرفة';
$lang['room_description'] = 'الوصف';
$lang['create'] = 'إنشاء';

// system name 

$lang['quit_room'] = '%user% %bcquit%';
$lang['system_join_room'] = '%user% %bcjoin%';
$lang['room_clear'] = '%bcclear% %user%';
$lang['leave_message'] = 'غادر الغرفة';
$lang['join_message'] = 'إنضم للغرفة';
$lang['clear_message'] = 'تم تنظيف الغرفة من قبل';

// control room and admin pop

$lang['mute'] = 'كتم';
$lang['room_mute'] = 'كتم غرفة';
$lang['unmute'] = 'رفع الكتم';
$lang['room_unmute'] = 'رفع الكتم';
$lang['ban'] = 'حظر';
$lang['unban'] = 'إلغاء الحظر';
$lang['room_block'] = 'حظر من الغرفة';
$lang['room_unblock'] = 'إلغاء الحظر';
$lang['delete_account'] = 'حذف الحساب';

// lang admin status

$lang['select_critera'] = 'اختر المعايير';
$lang['banned'] = 'محظور';
$lang['muted'] = 'ممنوع من الكتابة';
$lang['blocked'] = 'محظور';

// special box text

$lang['site_banned'] = 'لقد تم حظرك من الموقع . لا يمكنك الدخول !';
$lang['verified_now'] = 'شكراً لك . حسابك تم تفعيله .';
$lang['oops'] = 'عذراَ يبدو أنك وصلت لرابط خاطئ .';

// system ranking 

$lang['owner'] = 'مالك';
$lang['admin'] = 'إدارة';
$lang['mod'] = 'مشرف';
$lang['user'] = 'عضو';
$lang['vip'] = 'مميز';
$lang['user_bot'] = 'بوت';
$lang['r_admin'] = 'مدير غرفة';
$lang['r_mod'] = 'مشرف غرفة';
$lang['guest'] = 'زائر';
$lang['public'] = 'عام';

// notification

$lang['liked'] = 'أعجب بمنشورك. ';
$lang['unliked'] = 'لم يعجبه منشورك. ';
$lang['have_replied'] = 'أضاف تعليق على منشورك. ';
$lang['post_wall'] = 'نشر شيئاً ما على حائطه';
$lang['no_notify'] = 'ليس لديك إشعارات';
$lang['bad_word_use'] = 'تم منعك من الكتابة لمدة @delay@ دقيقة لاستخدامك كلمات سيئة';
$lang['flood_abuse'] = 'لقد تم منعك من الكتابة بسبب التكرار المسيئ يرجى انتظار الإدارة لمراجعة حسابك';
$lang['bad_word_full'] = 'تم منعك لاستخدامك كلمات سيئة';
$lang['rank_change'] = 'لقد تم تغيير رتبك إلى @rank@';
$lang['room_rank_change'] = 'رتبتك الآن @rank@ في الغرفة @room@';
$lang['system_mute'] = 'لقد تم منعك من الكتابة';
$lang['system_unmute'] = 'لقد تم رفع منع الكتابة عنك';
$lang['accept_friend'] = 'أنتم الآن أصدقاء';

// wall top part

$lang['friends'] = 'الأصدقاء';

// post language

$lang['start_new_post'] = 'كتابة منشور جديد';
$lang['post'] = 'نشر';
$lang['add_comment'] = 'إضافة تعليق';
$lang['wall_empty'] = 'لا يوجد منشور لعرضه';
$lang['delete'] = 'حذف';
$lang['report'] = 'إبلاغ';
$lang['comment_here'] = 'اكتب تعليقك';
$lang['view_more_comment'] = 'المزيد من التعليقات';

// wall side details 

$lang['about'] = 'معلومات إضافية';

// topic text

$lang['topic'] = 'إعلان';
$lang['topic_empty'] = 'لم يتم وضع إعلان لهذه الغرفة';

// report language

$lang['report_language'] = 'كلام مسيئ';
$lang['report_content'] = 'محتوى غير مناسب';
$lang['report_spam'] = 'محتوى احتيالي';
$lang['reported_chat'] = 'تقرير عن منشور في الدردشة';
$lang['reported_post'] = 'تقرير عن منشور في الحائط';
$lang['reported_reason'] = 'السبب';

// seen language 

$lang['seen'] = '%userseen% آخر تواجد  %seentime% في الغرفة : %seenroom%';
$lang['not_seen'] = 'عذرا لم يتم العثور على %userseen%';
$lang['seen_lobby'] = '%userseen% آخر تواجد %seentime% في الموقع';

// profile language 

$lang['gender'] = 'الجنس';
$lang['user_theme'] = 'الثيم';
$lang['language'] = 'اللغة';
$lang['ip'] = 'عنوان الآي بي';
$lang['join_chat'] = 'تاريخ الإنضمام';
$lang['other_account'] = 'حساب آخر';
$lang['main_info'] = 'معلومات';
$lang['remove_avatar'] = 'حذف';
$lang['verify_account'] = 'تأكيد الحساب';
$lang['actual_pass'] = 'كلمة المرور الحالية';
$lang['new_pass'] = 'كلمة المرور الجديدة';
$lang['repeat_pass'] = 'أعد كتابة كلمة المرور الجديدة';
$lang['verified'] = 'مؤكد';
$lang['unverified'] = 'غير مؤكد';
$lang['status'] = 'الحالة';
$lang['location'] = 'الموقع';
$lang['user_main_details'] = '%age% سنة, %sex%';
$lang['age_only'] = '%age% سنة';
$lang['about_me'] = 'معلوماتي';
$lang['not_available'] = 'غير متاح';
$lang['sounds'] = 'الأصوات';
$lang['all_sound'] = 'جميع الأصوات';
$lang['no_sound'] = 'صامت';
$lang['private_sound'] = 'الخاص والإشعارات';
$lang['text_color'] = 'لون الخط';
$lang['bold'] = 'عريض';
$lang['user_color'] = 'لون الاسم';
$lang['last_seen'] = 'آخر تواجد';
$lang['years_old'] = 'سنة';
$lang['not_set'] = 'غير متاح';
$lang['edit'] = 'تعديل';
$lang['room_action'] = 'نشاط الغرفة';

// room setting language

$lang['room_name'] = 'اسم الغرفة';
$lang['room_settings'] = 'الإعدادات';
$lang['staff'] = 'المستخدمين';
$lang['room_description'] = 'الوصف';
$lang['room_theme'] = 'ثيم الغرفة';
$lang['system_theme'] = 'الثيم الافتراضي';

// room page menu top 

$lang['add_room'] = 'إضافة غرفة';
$lang['my_room'] = 'الغرف';

// side left menu language

$lang['room_side_settings'] = 'إعدادات الغرفة';
$lang['module'] = 'الإضافات';

// notification box language 

$lang['friend_request'] = 'طلب صداقة';
$lang['notification'] = 'إشعار';
$lang['mb'] = 'Mb ';
$lang['vip_feature'] = 'عذراً هذه الميزة متاحة للأعضاء السوبر فقط';

// admin option 

$lang['action_none'] = 'لا شيء';
$lang['action_mute'] = 'كتم';
$lang['action_unmute'] = 'رفع الكتم';
$lang['action_verify'] = 'تأكيد الحساب';
$lang['room_admin'] = 'اجعله مدير غرفة';
$lang['word_temp_mute'] = 'ممنوع من الكتابة مؤقتاً';
$lang['new_password'] = 'تعيين كلمة المرور';
$lang['user_rank'] = 'رتبة العضو';
$lang['action_ban'] = 'حظر';
$lang['action_unban'] = 'إلغاء الحظر';
$lang['action_delete'] = 'حذف الحساب';
$lang['none'] = 'لا شيء';
$lang['do_action'] = 'الأمر';
$lang['aply'] = 'تنفيذ';
$lang['never'] = 'أبداً';
$lang['default_player'] = 'المشغل الإفتراضي';

// activation box

$lang['edit_email'] = 'تعديل البريد الإلكتروني';
$lang['active_message'] = 'قمنا بإرسال بريد إلكتروني إلى  %cemail%. رجاءً أدخل رمز التحقق لتأكيد حسابك .';
$lang['code'] = 'أدخل الرمز';

// admin section text 

$lang['system_name'] = 'الكونترول';
$lang['index_path'] = 'مسار صفحة الدردشة';
$lang['site_title'] = 'عنوان الموقع';
$lang['site_description'] = 'وصف الموقع';
$lang['site_keyword'] = 'كلمات مفتاحية';
$lang['timezone'] = 'منطقة التوقيت';
$lang['theme'] = 'الثيم الإفتراضي';
$lang['default_language'] = 'اللغة الإفتراضية';
$lang['allow_registration'] = 'السماح بالتسجيل';
$lang['allow_guest'] = 'سماح دخول الزوار';
$lang['guest_prefix'] = 'بادئة الزائر';
$lang['min_age'] = 'حد الأدنى للعمر للتسجيل';
$lang['max_registration'] = 'الحد المسموح للتسجيل اليومي المتكرر';
$lang['validate'] = 'اطلب التفعيل';
$lang['room_count'] = 'Default count on room creation';
$lang['admin_topic'] = 'عرض الإعلان في الغرفة';
$lang['max_main'] = 'الحد المسموح للأحرف في الدردشة';
$lang['max_private'] = 'الحد المسموح للأحرف في المحادثة الخاصة';
$lang['max_avatar'] = 'الحجم المسموح للصورة الشخصية';
$lang['max_file'] = 'الحجم المسموح للملف';
$lang['show_logs'] = 'عرض سجلات النظام';
$lang['word_delay'] = 'مدة منع الكتابة للكلمات المسيئة';
$lang['multi_email'] = 'السماح بتسجيل أكتر من بريد إلكتروني';
$lang['ico'] = 'عرض رموز قائمة المتواجدين';
$lang['speed'] = 'مدة تحديث الدردشة';
$lang['chat_delete'] = 'حذف سجلات الدردشة';
$lang['private_delete'] = 'حذف سجلات المحادثة الخاصة';
$lang['wall_delete'] = 'حذف سجلات الحائط';
$lang['max_offcount'] = 'عرض الأعضاء غير المتصلين';
$lang['file_delete'] = 'حذف الملفات';
$lang['mail_type'] = 'نوع نظام البريد';
$lang['site_email'] = 'بريد الموقع';
$lang['email_from'] = 'اسم المرسل';
$lang['smtp_host'] = 'Smtp host';
$lang['smtp_username'] = 'Smtp username';
$lang['smtp_password'] = 'Smtp password';
$lang['smtp_encryption'] = 'Smtp encryption';
$lang['smtp_port'] = 'Smtp port';
$lang['allow_image'] = 'السماح بالرفع';
$lang['allow_colors'] = 'السماح بلون الخط';
$lang['allow_player'] = 'السماح بقائمة المشغل';
$lang['emo_plus'] = 'سماح الأيقونات الخاصة';
$lang['allow_direct'] = 'السماح للروابط';
$lang['allow_room'] = 'سماح بإنشاء الغرف';
$lang['allow_history'] = 'سماح التاريخ في الدردشة';
$lang['add_word'] = 'إضافة كلمة للفلترة';
$lang['action_word'] = 'الأمر عند كتابة كلمة مفلترة';
$lang['empty'] = 'حالياً لايوجد بيانات لعرضها';
$lang['search_member'] = 'البحث عن عضو';
$lang['advance_search'] = 'بحث متقدم';
$lang['no_update'] = 'لا يوجد تحديثات حالياً لتنصيبها';
$lang['no_addons'] = 'لا يوجد إضافات';
$lang['default_stream'] = 'المشغل الإفتراضي';
$lang['add_player_stream'] = 'إضافة راديو';
$lang['stream_url'] = 'رابط المشغل';
$lang['stream_alias'] = 'اسم المشغل';
$lang['allow_room_theme'] = 'السماح بتغيير ثيم الغرفة';
$lang['allow_user_theme'] = 'السماح للمستخدمين بتغيير الثيم';
$lang['file_management'] = 'إدارة الملفات';
$lang['registered_members'] = 'الأعضاء المسجلين';
$lang['chatting_members'] = 'الأعضاء المتواجدين الآن';
$lang['post_count'] = 'منشور حائط';
$lang['post_reply'] = 'تعليقات الحائط';
$lang['verified_members'] = 'الأعضاء المفعلين';
$lang['active_room'] = 'الغرفة النشيطة';
$lang['chat_logs'] = 'سجلات الدردشة';
$lang['private_logs'] = 'سجلات المحادثة الخاصة';
$lang['banned_ip'] = 'محظور آي بي';
$lang['current_version'] = 'الإصدار الحالي';
$lang['php_version'] = 'PHP إصدار';
$lang['max_upload'] = 'الحد الأقصى للرفع';
$lang['room_system'] = 'قائمة الغرف';
$lang['name_color'] = 'السماح اللون للمستخدم';
$lang['bridge'] = 'تسجيل الجسر';
$lang['max_name'] = 'الحد الأقصى لأحرف الاسم';
$lang['use_wall'] = 'نظام الحائط';
$lang['allow_verify'] = 'السماح بتفعيل الحساب';
$lang['allow_guest_name'] = 'السماح باسم الزائر';

/* admin menu */

$lang['dashboard'] = 'لوحة التحكم';
$lang['system_info'] = 'معلومات النظام';
$lang['main_settings'] = 'الإعدادات العامة';
$lang['registration_settings'] = 'خيارات التسجيل';
$lang['manage_report'] = 'إدارة التقارير';
$lang['email_settings'] = 'إعدادات البريد الإلكتروني';
$lang['chat_settings'] = 'إعدادات الدردشة';
$lang['users_management'] = 'إدارة الأعضاء';
$lang['room_management'] = 'إدارة الغرف';
$lang['ban_management'] = 'الآي بي المحظور';
$lang['database_management'] = 'رفع قاعدة بيانات';
$lang['upload_settings'] = 'إعدادات الرفع';
$lang['limit_management'] = 'حكر الخيارات';
$lang['player_settings'] = 'إعدادات المشغل';
$lang['update_zone'] = 'تحديثات';
$lang['bad_word_filter'] = 'الكلمات المفلترة';
$lang['pages_management'] = 'إدارة الصفحات';
$lang['addons_management'] = 'إدارة الإضافات';
$lang['manual'] = 'مساعدة';
$lang['logs_management'] = 'إدارة السجلات';
$lang['console'] = 'التحكم';
$lang['manage_language'] = 'إدارة اللغات';
$lang['manage_modules'] = 'إدارة الإضافات';

$lang['active_control'] = 'Inactivity balancer';
$lang['allow_name'] = 'السماح بتغيير الاسم';
$lang['social_login'] = 'تفعيل %type% دخول';
$lang['social_id'] = '%type% app id';
$lang['social_secret'] = '%type% app secret';
$lang['allow_avatar'] = 'السماح بالصورة الشخصية';

// added pre release

$lang['main'] = 'العامة';
$lang['social'] = 'اجتماعي';
$lang['cookie_law'] = 'This site uses Cookies for more information and to manage cookies read our %data%';
$lang['filter'] = 'تصفية';
$lang['email_filter'] = 'تصفية البريد النشيط';
$lang['spam_content'] = 'هذا المنشور تم تحديده كاحتيالي';
$lang['help'] = 'مساعدة';
$lang['page'] = 'صفحة';
$lang['lobby'] = 'قائمة';
$lang['manage_action'] = 'إدارة الإجراء';
$lang['main_action'] = 'العمل الرئيسي';

// added version 1.1

$lang['allow_private'] = 'السماح بالدردشة في الخاص';
$lang['show_cookie'] = 'ملفات تعريف الارتباط';
$lang['private_mode'] = 'دردشة خاصة';
$lang['friend_only'] = 'الأصدقاء فقط';
$lang['clear'] = 'Clear';
$lang['register_mute'] = 'تجاهل حساب جديد';
$lang['welcome_reg'] = 'أهلا بك يا %user% !';
$lang['reg_mute_text'] = 'لتحسين تجربة الأعضاء ، يتم كتم الحساب الجديد لمدة %regmute% دقيقة. ونقوم باشعارك عند التحقق من حسابك.';
$lang['use_recapt'] = 'Google recaptcha';
$lang['recapt_site'] = 'مفتاح الموقع';
$lang['recapt_secret'] = 'المفتاح السري';
$lang['allow_mood'] = 'السماح باظهار الحالة';
$lang['mood'] = 'الحالة';
$lang['limit_feature'] = 'الحد من هذه الميزة ل';


// added in version 2.0

$lang['user_timezone'] = 'منطقة التوقيت الزمني';
$lang['nothing_found'] = 'لا يوجد شيئ';
$lang['type_something'] = 'اكتب هنا...';
$lang['system_config'] = 'اعدادات النظام';
$lang['system_tools'] = 'ادوات النظام';
$lang['system_logs'] = 'سجلات النظام';
$lang['super_admin'] = 'ادمن';
$lang['room_rank'] = 'رتبة الروم';
$lang['reason'] = 'السبب';
$lang['reason_given'] = 'ضع سبباً';
$lang['duration'] = 'المدة';
$lang['hours'] = 'ساعات';
$lang['minutes'] = 'دقائق';
$lang['kick'] = 'طرد';
$lang['unkick'] = 'فك الطرد';
$lang['kicked'] = 'مطرود';
$lang['kick_msg'] = 'انت مطرود';
$lang['kick_back'] = 'ستعود للدردشة بعد';
$lang['bridge_login'] = 'نظام دخول الجسر';
$lang['bridge_only'] = 'الجسر فقط';
$lang['add_bridge'] = 'اضافة جسر';
$lang['rank_icon'] = 'إظهار رموز الترتيب';
$lang['gender_icon'] = 'إظهار الجنس الشخصي';
$lang['userlist_only'] = 'قائمة فقط';
$lang['userlist_chat'] = 'قائمة والدردشة';
$lang['kick_word'] = 'لغة مسيئة';
$lang['kick_delay'] = 'مدة الطرد الافتراضي';
$lang['temp_mute_delay'] = 'مدة الكتم الافتراضي';
$lang['innactive_logout'] = 'افصل الأعضاء غير النشطين';
$lang['delay_settings'] = 'ضبط المدة';
$lang['temp_mute'] = 'كتم مؤقت';
$lang['flag_ico'] = 'عرض اعلام الاعضاء بالقائمة';
$lang['member_delete'] = 'حذف المستخدمين الخاملين';
$lang['room_delete'] = 'حذف الروم الخامل';
$lang['use_geo'] = 'تحديد الموقع';
$lang['room_list'] = 'قائمة الرومات';
$lang['station'] = 'محطة';
$lang['station_list'] = 'قائمة المحطات';
$lang['allow_grad'] = 'سماح النص الخلفية';
$lang['name_grad'] = 'سماح المستخدم لون خلفية';
$lang['color'] = 'لون';
$lang['gradient'] = 'خلفية';
$lang['verify_start'] = 'سيتم ارسال بريد تفعيل الى بريدك الشخصي يرجى التأكد من صلاحية البريد قبل الإرسال';
$lang['verify_end'] = 'يرجى إدخال الكود الذي استلمته ببريدك الإلكتروني لإكمال التسجيل';
$lang['verify_send'] = 'ارسل كود';
$lang['verify_got'] = 'لدي كود تحقق';
$lang['change_password'] = 'تغيير الباسوورد';
$lang['unset_mood'] = 'ضع حالتك هنا';
$lang['user_verify'] = 'تفعيل';
$lang['dj_module'] = 'على الهواء';
$lang['onair'] = 'على الهواء';
$lang['please_wait'] = 'جاري المعالجة يرجى الانتظار ...';
$lang['min_text'] = 'اقل %number% حروف';
$lang['select'] = 'اختر خيار';
$lang['member_feature'] = 'هذه الميزة للمسجلين فقط';
$lang['maintenance'] = 'الصيانة';
$lang['maint_mode'] = 'وضع الصيانة';
$lang['maint_text'] = 'وضع الصيانة يعمل الآن .. عد لاحقاً!';
$lang['auto_refresh'] = 'هذه الصفحة ستتحدث تلقائيا';
$lang['close_account'] = 'حذف عضوية';
$lang['cancel_request'] = 'الغاء طلب';
$lang['close_message'] = 'بعد الموافقة على الحذف سيتم حذف بياناتك بشكل كامل من الدردشة بإمكانك التراجع خلال 7 ايام فقط .';
$lang['close_warning'] = 'عضويتك سيتم حذفها خلال  %date%. بإمكانك حذف الطلب بأي وقت. ملاحظة: العضويات المحذوفة لن يتم ارجاعها';
?>