<?php
// intro

$lang['left_title'] = 'Запознай се с нови хора';
$lang['left_welcome'] = 'Нашата общност за чат ви дава възможност да създавате нови приятели, да споделяте добри моменти с други хора.';
$lang['last_active'] = 'Последно активни потребители';

// menu text 

$lang['logout'] = 'Изход';
$lang['my_profile'] = 'Моят профил';
$lang['admin_panel'] = 'Админ панел';
$lang['home'] = 'Лоби';

// title item 

$lang['close'] = 'Затвори';
$lang['friend_list'] = 'Приятели';
$lang['ignore_list'] = 'Игнорирани';
$lang['user_list'] = 'Потребители';
$lang['private_list'] = 'Лични съобщения';
$lang['report_list'] = 'Нямате докладвания';

// intro text

$lang['username'] = 'Потребителско име';
$lang['password'] = 'Парола';
$lang['email'] = 'Имейл адрес';
$lang['country'] = 'Държава';
$lang['region'] = 'Област';
$lang['age'] = 'Възраст';
$lang['male'] = 'мъж';
$lang['female'] = 'жена';
$lang['register'] = 'Регистрация';
$lang['connect_with'] = 'Свързване чрез';
$lang['enter_now'] = 'Потребителски вход';
$lang['rules'] = 'Условията за ползване';
$lang['privacy'] = 'Сигурност';
$lang['i_agree'] = 'При регистрация, Вие се съгласявате с';
$lang['login'] = 'Вход';
$lang['forgot'] = 'Забравена парола ?';
$lang['user_recover'] = 'Потребителското име, асоциирано към мейла';
$lang['recover'] = 'Възстанови';
$lang['guest_login'] = 'Влез като гост';
$lang['site_login'] = 'Connect with site';
$lang['more_login'] = 'Още опции за вход';
$lang['not_member'] = 'Нямате регистрация? Регистрирайте се тук.';

// friend delete box 

$lang['want_delete'] = 'Сигурни ли сте , че искате да изтриете?';

// logout box

$lang['want_logout'] = 'Искате ли да излезете?';

// general button text

$lang['ok'] = 'Напред!';
$lang['yes'] = 'Да';
$lang['no'] = 'Не';
$lang['cancel'] = 'Отказ';
$lang['on'] = 'On';
$lang['off'] = 'Off';
$lang['minute'] = 'Мин';
$lang['hour'] = 'Час';
$lang['day'] = 'Ден';
$lang['days'] = 'Дни';
$lang['week'] = 'Седмица';
$lang['month'] = 'Месец';
$lang['never'] = 'Никога';
$lang['save'] = 'Запази!';
$lang['delete'] = 'Изтрий';
$lang['new'] = 'Ново';
$lang['upload'] = 'Качи';
$lang['unlimited'] = 'Неограничен';
$lang['install'] = 'Инсталирай';
$lang['uninstall'] = 'Дейнсталирай';
$lang['config'] = 'Конфигурация';
$lang['not_shared'] = 'Не показвай';
$lang['option_default'] = 'По подразбиране в системата';
$lang['no_default'] = 'No default';
$lang['full'] = 'Пълно';
$lang['add'] = 'Добавяне';
$lang['back'] = 'Назад';
$lang['search'] = 'Търсене';
$lang['enter_password'] = 'Моля, въведете парола';
$lang['room_no_description'] = 'Тази стая няма описание!';
$lang['join_room'] = 'Присъединяване към стаята!';
$lang['settings'] = 'Настройки';
$lang['execute'] = 'Изпелнение';
$lang['resend'] = 'Препращане';
$lang['apply'] = 'Прилагане';
$lang['reset_password'] = 'Рестартиране на парола';
$lang['load_more'] = 'Зареди още';
$lang['add_user'] = 'Добави потребител';
$lang['more'] = 'Още';
$lang['other'] = 'Друго';
$lang['test'] = 'Тест';
$lang['send'] = 'Изпрати';

// lobby menu

$lang['system_news'] = 'Новини';
$lang['search_people'] = 'Търси потребители';
$lang['wall'] = 'Стена - приятели';

// online offline

$lang['offline'] = 'Извън линия';
$lang['innactive'] = 'Неактивен';

// menu drop user 

$lang['info'] = 'Виж потр. профил';
$lang['add_friend']  = 'Добави като приятел';
$lang['ignore'] = 'Блокирай';
$lang['private_chat'] = 'Личен чат';
$lang['options'] = 'Опции';

// users status language

$lang['online'] = 'На линия';
$lang['busy'] = 'Не ме безпокойте';
$lang['away'] = 'Отсъстващ';
$lang['gaming'] = 'Играе';
$lang['eating'] = 'Храни се';
$lang['invisible'] = 'Инкогнито';

// empty box text 

$lang['not_exist'] = 'Тази публикация вече не съществува';
$lang['no_news'] = 'Няма нови новини';
$lang['no_friend'] = 'Списъкът с приятели е празен';
$lang['no_friend_request'] = 'Нямате покани за приятелство';
$lang['no_unread_private'] = 'Нямате лични съобщения';
$lang['no_report'] = 'Няма доклади за показване';
$lang['no_ignore'] = 'Нямате игнорирани потребители';
$lang['no_data'] = 'Все още няма информация';

// search feature

$lang['my_region'] = 'my region';
$lang['my_country'] = 'My country';
$lang['activity'] = 'Active status';
$lang['all'] = 'all';

// room box create text

$lang['room_limit'] = 'Лимит на потребителите';
$lang['optional_pass'] = '( не е задължително )';
$lang['room_name'] = 'Име на стаята';
$lang['room_type'] = 'Тип на стаята';
$lang['room_description'] = 'Описание';
$lang['create'] = 'Създай!';

// system name 

$lang['quit_room'] = '%user% %bcquit%';
$lang['system_join_room'] = '%user% %bcjoin%';
$lang['room_clear'] = '%bcclear% %user%';
$lang['leave_message'] = 'напусна стаята';
$lang['join_message'] = 'се присъедини към стаята!';
$lang['clear_message'] = 'Стаята беше почистена от';

// control room and admin pop

$lang['mute'] = 'Заглуши';
$lang['room_mute'] = 'Заглуши стая';
$lang['unmute'] = 'Отглушаване';
$lang['room_unmute'] = 'Отглушаване';
$lang['ban'] = 'Бан';
$lang['unban'] = 'Махни бана';
$lang['room_block'] = 'Забрани достъп до стаята';
$lang['room_unblock'] = 'Разреши достъп до стаята';
$lang['delete_account'] = 'Изтрий акаунт';

// lang admin status

$lang['select_critera'] = 'Изберете критерии';
$lang['banned'] = 'Баннати';
$lang['muted'] = 'Заглушени';
$lang['blocked'] = 'Блокирани';

// special box text

$lang['site_banned'] = 'Този потребителски акаунт е блокиран от администратор.';
$lang['verified_now'] = 'Благодаря ви, Вашият акаунт е потвърден';
$lang['oops'] = 'Ами сега! Изглежда, че си се загубил някъде.';

// system ranking 

$lang['owner'] = 'Собственик';
$lang['admin'] = 'Администратор';
$lang['mod'] = 'Модератор';
$lang['user'] = 'Потребител';
$lang['vip'] = 'ВИП';
$lang['user_bot'] = 'Бот';
$lang['r_admin'] = 'Администратор на стая';
$lang['r_mod'] = 'Модератор на стая';
$lang['guest'] = 'Гост';
$lang['public'] = 'Публична';

// notification

$lang['liked'] = 'Хареса ваша публикация на стената ';
$lang['unliked'] = 'Премахна харесването на един от вашите статуси. ';
$lang['have_replied'] = 'Коментира една от вашите публикации на стената';
$lang['post_wall'] = 'Публикува нещо на стената';
$lang['no_notify'] = 'Нямате нови известия!';
$lang['bad_word_use'] = 'Вие бяхте заглушен автоматично от системата за @delay@ минути, поради използване на забранени думи или масирано писане на латиница!';
$lang['flood_abuse'] = 'Профилът ви е заглушен автоматично от системата за злоупотреба със спам! Моля, изчакайте администраторът да прегледа профила ви!';
$lang['bad_word_full'] = 'Ви заглуши заради използване на забранени думи';
$lang['rank_change'] = 'Вашият ранк беше променен току-що - @rank@';
$lang['room_rank_change'] = 'Вие сте @rank@ в @room@!';
$lang['system_mute'] = 'Вие бяхте заглушен!';
$lang['system_unmute'] = 'Вие бяхте отглушен!';
$lang['accept_friend'] = 'Прие Вашата покана за приятелство!';

// wall top part

$lang['friends'] = 'Приятели';

// post language

$lang['start_new_post'] = 'Нова публикация';
$lang['post'] = 'Публикувай';
$lang['add_comment'] = 'Добави коментар';
$lang['wall_empty'] = 'Няма публикации за показване';
$lang['delete'] = 'Изтрий';
$lang['report'] = 'Докладвай';
$lang['comment_here'] = 'Напиши коментар тук';
$lang['view_more_comment'] = 'Още коментари';

// wall side details 

$lang['about'] = 'About';

// topic text

$lang['topic'] = 'Тема';
$lang['topic_empty'] = 'Няма зададена тема за стаята';

// report language

$lang['report_language'] = 'Злоупотреба с език';
$lang['report_content'] = 'Неподходящо съдържание';
$lang['report_spam'] = 'Спам съдържание';
$lang['reported_chat'] = 'Докладва чат съобщение/пубикация';
$lang['reported_post'] = 'Докладва публикация на стената';
$lang['reported_reason'] = 'Причина';

// seen language 

$lang['seen'] = '%userseen% беше видян/а последно на %seentime% в стая : %seenroom%';
$lang['not_seen'] = 'За съжаление не е намерено нищо %userseen%';
$lang['seen_lobby'] = '%userseen% беше видян/а последно %seentime% в Лоби стаята';

// profile language 

$lang['gender'] = 'Пол';
$lang['user_theme'] = 'Tема';
$lang['language'] = 'Език';
$lang['ip'] = 'Потребителско IP';
$lang['join_chat'] = 'Потребител от';
$lang['other_account'] = 'Други акаунти';
$lang['main_info'] = 'Информация';
$lang['remove_avatar'] = 'Премахни';
$lang['verify_account'] = 'Потвърди този профил';
$lang['actual_pass'] = 'Стара парола';
$lang['new_pass'] = 'Нова парола';
$lang['repeat_pass'] = 'Повторете паролата';
$lang['verified'] = 'Този профил е потвърден чрез електронна поща';
$lang['unverified'] = 'Този профил не е потвърден';
$lang['status'] = 'Статус';
$lang['location'] = 'Местоположение';
$lang['user_main_details'] = '%age% години, %sex%';
$lang['age_only'] = '%age% години';
$lang['about_me'] = 'За мен';
$lang['not_available'] = 'Липсва информация';
$lang['sounds'] = 'Звуци';
$lang['all_sound'] = 'Всички звуци';
$lang['no_sound'] = 'Без звуци';
$lang['private_sound'] = 'Лични & известия';
$lang['text_color'] = 'Цвят на текста';
$lang['bold'] = 'B (Удебелен)';
$lang['user_color'] = 'Цвят на потребителското име';
$lang['last_seen'] = 'Последно на линия на';
$lang['years_old'] = 'години';
$lang['not_set'] = 'Липсва информация';
$lang['edit'] = 'Редакция';
$lang['room_action'] = 'Действия за стаята';

// room setting language

$lang['room_name'] = 'Име на стаята';
$lang['room_settings'] = 'Настройки';
$lang['staff'] = 'Екип';
$lang['room_description'] = 'Описание';
$lang['room_theme'] = 'Тема за стаята';
$lang['system_theme'] = 'Текуща тема';

// room page menu top 

$lang['add_room'] = 'Добави нова стая';
$lang['my_room'] = 'Моите стая';

// side left menu language

$lang['room_side_settings'] = 'Настройки за стаята';
$lang['module'] = 'Addons';

// notification box language 

$lang['friend_request'] = 'Покана за приятелство';
$lang['notification'] = 'Уведомление';
$lang['mb'] = 'Mb ';
$lang['vip_feature'] = 'Съжаляваме, тази фунцкция е само за ВИП потребители';

// admin option 

$lang['action_none'] = 'Не предприемай действия';
$lang['action_mute'] = 'Заглуши';
$lang['action_unmute'] = 'Отглуши';
$lang['action_verify'] = 'Потвърди този профил';
$lang['room_admin'] = 'Направи админ на стаята';
$lang['word_temp_mute'] = 'Временно заглушаване';
$lang['new_password'] = 'Постави нова парола';
$lang['user_rank'] = 'Потребителски ранг';
$lang['action_ban'] = 'Бан';
$lang['action_unban'] = 'Премахване на бана';
$lang['action_delete'] = 'Изтриване на профила';
$lang['none'] = 'Липсва информация';
$lang['do_action'] = 'Действие';
$lang['aply'] = 'Прилагане';
$lang['never'] = 'Никога';
$lang['default_player'] = 'Стандартен плейър';

// activation box

$lang['edit_email'] = 'Редакция на електронна поща';
$lang['active_message'] = 'Изпратихме електронно писмо до <b>%cemail%</b>. Моля, въведете полученият код за потвърждение, за да потвърдите профила си. Ако не получите код, то вероятно изпозлвате фалшива електронна поща.';
$lang['code'] = 'Моля, въведете полученият код';

// admin section text 

$lang['system_name'] = 'Име на системата';
$lang['index_path'] = 'Пълен линк към Вашият чат';
$lang['site_title'] = 'Заглавие на сайта';
$lang['site_description'] = 'Описание на сайта';
$lang['site_keyword'] = 'Ключови думи за сайта';
$lang['timezone'] = 'Часова зона';
$lang['theme'] = 'Тема по подразбиране';
$lang['default_language'] = 'Език по подразбиране';
$lang['allow_registration'] = 'Да се разрешат ли нови регистрации?';
$lang['allow_guest'] = 'Разрешаване на гостите?';
$lang['guest_prefix'] = 'Префикс за гостите';
$lang['min_age'] = 'Минимална възраст за регистрация';
$lang['max_registration'] = 'Максимум регистрации за един ден';
$lang['validate'] = 'Задължително потвърждение чрез електронна поща';
$lang['room_count'] = 'Default count on room creation';
$lang['admin_topic'] = 'Display topic in chat';
$lang['max_main'] = 'Main chat max character';
$lang['max_private'] = 'Private chat max character';
$lang['max_avatar'] = 'Макс. размер на аватарите';
$lang['max_file'] = 'Макс. размер на файловете';
$lang['show_logs'] = 'Показване на системните логове?';
$lang['word_delay'] = 'Продължителност на заглушаването при забранена дума';
$lang['multi_email'] = 'Да се разреши ли дублиране на имейлите при регистрация?';
$lang['ico'] = 'Show userlist icons';
$lang['speed'] = 'Chat refresh delay';
$lang['chat_delete'] = 'Изтриване на логовете на чата след';
$lang['private_delete'] = 'Изтриване на личните съобщ. след';
$lang['wall_delete'] = 'Изтриване на публикиациите от стената след';
$lang['max_offcount'] = 'Display offline users';
$lang['file_delete'] = 'Delete files';
$lang['mail_type'] = 'Тип на пощенската система';
$lang['site_email'] = 'Електронна поща на сайта';
$lang['email_from'] = 'Име на подателя';
$lang['smtp_host'] = 'Smtp хостинг';
$lang['smtp_username'] = 'Smtp потребител';
$lang['smtp_password'] = 'Smtp парола';
$lang['smtp_encryption'] = 'Smtp криптиране';
$lang['smtp_port'] = 'Smtp порт';
$lang['allow_image'] = 'Разрешение за качване на файлове';
$lang['allow_colors'] = 'Разрешение за писане с различни цветове';
$lang['allow_player'] = 'Разрешение за използване на радиото';
$lang['emo_plus'] = 'Разрешение за използване на специалните емотикони';
$lang['allow_direct'] = 'Директно изпълнение';
$lang['allow_room'] = 'Разрешение за създаване на стаи';
$lang['allow_history'] = 'Използване на хронологията в чата';
$lang['add_word'] = 'Добавяне на дума към филтъра';
$lang['action_word'] = 'Действие при забранена дума';
$lang['empty'] = 'В момента няма данни за показване!';
$lang['search_member'] = 'Търсене на потребител';
$lang['advance_search'] = 'Разширено търсене';
$lang['no_update'] = 'Към този момент няма налични актуализации.';
$lang['no_addons'] = 'Няма налични добавки.';
$lang['default_stream'] = 'Изпълнение на стрийм по подразбиране';
$lang['add_player_stream'] = 'Добави нов стрийм';
$lang['stream_url'] = 'Линк към стрийма';
$lang['stream_alias'] = 'Псевдоним на потока';
$lang['allow_room_theme'] = 'Allow room theme';
$lang['allow_user_theme'] = 'Allow users themes';
$lang['file_management'] = 'Files management';
$lang['registered_members'] = 'Регистрирани потребители';
$lang['chatting_members'] = 'Chatting members';
$lang['post_count'] = 'Публикации на стената';
$lang['post_reply'] = 'Коментари на стената';
$lang['verified_members'] = 'Потвърдени потребители';
$lang['active_room'] = 'Active rooms';
$lang['chat_logs'] = 'Написани съобщения';
$lang['private_logs'] = 'Лични съобщения';
$lang['banned_ip'] = 'Банирани айпита';
$lang['current_version'] = 'Current version';
$lang['php_version'] = 'PHP version';
$lang['max_upload'] = 'Max upload';
$lang['room_system'] = 'Основна Лоби стая';
$lang['name_color'] = 'Промяна цвета на името';
$lang['bridge'] = 'Bridge login';
$lang['max_name'] = 'Максимална дължина на потребителското име';
$lang['use_wall'] = 'Потребителски стени';
$lang['allow_verify'] = 'Разрешение за потвърждение на потребителски профил';
$lang['allow_guest_name'] = 'Да могат ли гостите да си избират име?';

/* admin menu */

$lang['dashboard'] = 'Табло';
$lang['system_info'] = 'Системна информация';
$lang['main_settings'] = 'Основни опции';
$lang['registration_settings'] = 'Опции за регистрация';
$lang['manage_report'] = 'Управление на докладите';
$lang['email_settings'] = 'Email настройки';
$lang['chat_settings'] = 'Опции за чата';
$lang['users_management'] = 'Управление на потребители';
$lang['room_management'] = 'Управление на стаи';
$lang['ban_management'] = 'Бан на IP адреси';
$lang['database_management'] = 'Качване & База данни';
$lang['upload_settings'] = 'Опции за качване';
$lang['limit_management'] = 'Ограничения и лимити';
$lang['player_settings'] = 'Настройки на плейъра';
$lang['update_zone'] = 'Актуализации на системата';
$lang['bad_word_filter'] = 'Забранени думи';
$lang['pages_management'] = 'Управление на страниците';
$lang['addons_management'] = 'Добавки';
$lang['manual'] = 'Документация';
$lang['logs_management'] = 'Logs management';
$lang['console'] = 'Console';
$lang['manage_language'] = 'Manage languages';
$lang['manage_modules'] = 'Управление на модификации';

$lang['active_control'] = 'Inactivity balancer';
$lang['allow_name'] = 'Разрешение за промяна на потребителското име';
$lang['social_login'] = 'Активирайте влизането с %type%';
$lang['social_id'] = '%type% app id';
$lang['social_secret'] = '%type% app secret';
$lang['allow_avatar'] = 'Разрешение за аватар';

// added pre release

$lang['main'] = 'Основни';
$lang['social'] = 'Социални мрежи';
$lang['cookie_law'] = 'Този чат използва кукита, за повече информация и за менажирането им, прочечете това: %data%';
$lang['filter'] = 'Филтри';
$lang['email_filter'] = 'Активни имейл филтри';
$lang['spam_content'] = 'Това съдържание е маркирано като спам';
$lang['help'] = 'Помощ';
$lang['page'] = 'Страница';
$lang['lobby'] = 'Лоби';
$lang['manage_action'] = 'Управление';
$lang['main_action'] = 'Основни действия';

// added version 1.1

$lang['allow_private'] = 'Опции за личен чат (Сигурност)';
$lang['show_cookie'] = 'Бисквитки';
$lang['private_mode'] = 'Личен чат';
$lang['friend_only'] = 'Само приятели';
$lang['clear'] = 'Изчистване';
$lang['register_mute'] = 'Заглушаване на нови акаунти';
$lang['welcome_reg'] = 'Здравей, %user% !';
$lang['reg_mute_text'] = 'За да подобрим сигурността и за да избегнем евентуален спам, новите профилите биват заглушени автоматично за %regmute% минути. Ще ви уведомим, след като потвърдим профила Ви.';
$lang['use_recapt'] = 'Google recaptcha';
$lang['recapt_site'] = 'Ключ на сайта';
$lang['recapt_secret'] = 'Секретен ключ';
$lang['allow_mood'] = 'Позволение на настроенията';
$lang['mood'] = 'Настроение';
$lang['limit_feature'] = 'Ограничете тази функция до';


// added in version 2.0

$lang['user_timezone'] = 'Часова зона';
$lang['nothing_found'] = 'Няма намерена инфорвация';
$lang['type_something'] = 'Напишете нещо ...';
$lang['system_config'] = 'Системни настройки';
$lang['system_tools'] = 'Системни инструменти';
$lang['system_logs'] = 'Системни логове';
$lang['super_admin'] = 'Суперадмин';
$lang['room_rank'] = 'Титла за сътв. стая';
$lang['reason'] = 'Причина';
$lang['reason_given'] = 'Зададена причина';
$lang['duration'] = 'Времетраене';
$lang['hours'] = 'Часа';
$lang['minutes'] = 'Мунити';
$lang['kick'] = 'Изритай';
$lang['unkick'] = 'Махни кика';
$lang['kicked'] = 'Изритан';
$lang['kick_msg'] = 'Вие бяхте изритан!';
$lang['kick_back'] = 'Вие можете да се върнете в мата след';
$lang['bridge_login'] = 'Мост вход';
$lang['bridge_only'] = 'Само мост вход';
$lang['add_bridge'] = 'Добавяне на мост вход';
$lang['rank_icon'] = 'Показване на иконите за ранг';
$lang['gender_icon'] = 'Показване на аватара на пола';
$lang['userlist_only'] = 'Само списък';
$lang['userlist_chat'] = 'Списък и чат';
$lang['kick_word'] = 'Нецензурен език или реклами.';
$lang['kick_delay'] = 'Време за изтичане на ритника по подразбиране';
$lang['temp_mute_delay'] = 'Време за изтичане на заглушаването по подразбиране';
$lang['innactive_logout'] = 'Прекъснете връзката с неактивните членове';
$lang['delay_settings'] = 'Настройки на време за изтичане';
$lang['temp_mute'] = 'Временно заглушаване';
$lang['flag_ico'] = 'Показвай флаговете в листата с потребители.';
$lang['member_delete'] ='Изтриване на неактивни профили.';
$lang['room_delete'] = 'Изтриване на неактивни стаи';
$lang['use_geo'] = 'Гео локализация';
$lang['room_list'] = 'Създадени стаи';
$lang['station'] = 'Станция';
$lang['station_list'] = 'Листа с радиа';
$lang['allow_grad'] = 'Позволяване не текст с градиент?';
$lang['name_grad'] = 'Позволяване на потребители с градиент';
$lang['color'] = 'Цвят';
$lang['gradient'] = 'Градиент';
$lang['verify_start'] = 'За да завършите проверката на профила си, ще ви изпратим имейл за потвърждение, посочен в момента на регистрация. Моля, уверете се, че вашият имейл е валиден, преди да продължите и завършите процеса на потвърждение.';
$lang['verify_end'] = 'Моля, въведете кода, който получихте на Вашата електронна поща, за да потвърдите Вашият профил.';
$lang['verify_send'] = 'Изпратете потвърждение';
$lang['verify_got'] = 'Вече имам код?';
$lang['change_password'] = 'Промяна на парола';
$lang['unset_mood'] = 'Въведете вашето настроение тук';
$lang['user_verify'] = 'Потвърди';
$lang['dj_module'] = 'On-air dj';
$lang['onair'] = 'On-air dj';
$lang['please_wait'] = 'В процес та работа, моля изчакайте ...';
$lang['min_text'] = 'Минимум %number% символи';
$lang['select'] = 'Изберете опция';
$lang['member_feature'] = 'Съжаляваме, но тази функция е приложима само за регистрирани потребители.';
$lang['maintenance'] = 'Режим на поддръжка';
$lang['maint_mode'] = 'В режим на поддръжка';
$lang['maint_text'] = 'Понастоящем правим известна поддръжка по сайта. Ще се върнем възможно най-скоро, благодарим ви за търпението.';
$lang['auto_refresh'] = 'Тази страница ще бъде обновена автоматично';
$lang['close_account'] = 'Изтриване на профил';
$lang['cancel_request'] = 'Отмяна на изтриването';
$lang['close_message'] = 'След потвърждението, Вашият профил ще бъде изтрит след 7 дни. Вие можете да отмените тази заявка по всяко време преди изтичането на съответните 7 дни преди пълното изтриване.';
$lang['close_warning'] = 'Вашият профил е насрочен за изтриване на %date%. Вие може да отмените тази заявка преди датата на изтриване. Забележка: Тази процес е необратим.';
?>