<?php
// intro

$lang['left_title'] = 'Upoznajte nove ljude';
$lang['left_welcome'] = 'Naša chat zajednica vam pruža mogućnost stvaranja novih prijatelja i dijeljenja dobrih trenutaka s drugim ljudima.';
$lang['last_active'] = 'Zadnji aktivni članovi';

// menu text 

$lang['logout'] = 'Odjavi se';
$lang['my_profile'] = 'Moj profil';
$lang['admin_panel'] = 'Upravljačka ploča';
$lang['home'] = 'Home';

// title item 

$lang['close'] = 'Zatvori';
$lang['friend_list'] = 'Lista prijatelja';
$lang['ignore_list'] = 'Ignoriraj';
$lang['user_list'] = 'Korisnička lista';
$lang['private_list'] = 'Privatna lista';
$lang['report_list'] = 'Lista izvještaja';

// intro text

$lang['username'] = 'Korisničko ime';
$lang['password'] = 'Lozinka';
$lang['email'] = 'Email';
$lang['country'] = 'Država';
$lang['region'] = 'Regija';
$lang['age'] = 'Godine';
$lang['male'] = 'Muško';
$lang['female'] = 'Žensko';
$lang['register'] = 'Registracija';
$lang['connect_with'] = 'Poveži sa';
$lang['enter_now'] = 'Članovi prijava';
$lang['rules'] = 'Uvjeti korištenja';
$lang['privacy'] = 'Pravila o privatnosti';
$lang['i_agree'] = 'Registriranjem pristajete na';
$lang['login'] = 'Prijava';
$lang['forgot'] = 'Zaboravljena lozinka ?';
$lang['recover'] = 'Vrati';
$lang['guest_login'] = 'Gost prijava';
$lang['site_login'] = 'Povežite se sa web stranicom';
$lang['more_login'] = 'Više opcija za prijavu';
$lang['not_member'] = 'Niste još član? Registriraj se.';

// friend delete box 

$lang['want_delete'] = 'Jeste li sigurni da želite izbrisati?';

// logout box

$lang['want_logout'] = 'Želite se odjaviti?';

// general button text

$lang['ok'] = 'ok';
$lang['yes'] = 'Da';
$lang['no'] = 'Ne';
$lang['cancel'] = 'Prekini';
$lang['on'] = 'Uključeno';
$lang['off'] = 'Isključeno';
$lang['never'] = 'Nikad';
$lang['save'] = 'Spremi';
$lang['delete'] = 'Izbriši';
$lang['new'] = 'Novi';
$lang['upload'] = 'Postavi';
$lang['unlimited'] = 'Neograničeno';
$lang['install'] = 'Instaliraj';
$lang['uninstall'] = 'Deinstaliraj';
$lang['config'] = 'Konfiguracija';
$lang['not_shared'] = 'Ne prikazuj';
$lang['option_default'] = 'Zadana postavka sustava';
$lang['no_default'] = 'Bez zadanog';
$lang['full'] = 'Puno';
$lang['add'] = 'Dodaj';
$lang['back'] = 'Nazad';
$lang['search'] = 'Pretraži';
$lang['enter_password'] = 'Unesite lozinku';
$lang['room_no_description'] = 'Ova soba nema opis';
$lang['join_room'] = 'Pridružite se sobi';
$lang['settings'] = 'Podešavanja';
$lang['execute'] = 'Izvrši';
$lang['resend'] = 'Ponovno pošalji';
$lang['apply'] = 'Primjeni';
$lang['reset_password'] = 'Vrati lozinku';
$lang['load_more'] = 'Učitaj više';
$lang['add_user'] = 'Dodaj korisnika';
$lang['more'] = 'Više';
$lang['other'] = 'Drugo';
$lang['test'] = 'Test';
$lang['send'] = 'Pošalji';

// lobby menu

$lang['system_news'] = 'Novosti';
$lang['search_people'] = 'Pretraži korisnike';
$lang['wall'] = 'Zid prijatelja';

// online offline

$lang['offline'] = 'Izvan mreže';
$lang['innactive'] = 'Neaktivni';

// menu drop user 

$lang['info'] = 'Pogledaj profil';
$lang['add_friend']  = 'Dodaj za prijatelja';
$lang['ignore'] = 'Ignoriraj';
$lang['private_chat'] = 'Privatno';
$lang['options'] = 'Opcije';

// users status language

$lang['online'] = 'Na mreži';
$lang['busy'] = 'Zauzet';
$lang['away'] = 'Odsutan';
$lang['gaming'] = 'Igram se';
$lang['eating'] = 'Jedem';
$lang['invisible'] = 'Nevidljiv';

// empty box text 

$lang['not_exist'] = 'Objava više ne postoji';
$lang['no_news'] = 'Nema vijesti za prikaz';
$lang['no_friend'] = 'Vaša lista prijatelja je prazna';
$lang['no_friend_request'] = 'Nemate zahtjeva za prijateljstvo';
$lang['no_unread_private'] = 'Vaš privatni popis je prazan';
$lang['no_report'] = 'Nema izvješća za prikaz';
$lang['no_ignore'] = 'Vaša ignor lista je prazna';
$lang['no_data'] = 'Nema podataka';

// search feature

$lang['my_region'] = 'Moja regija';
$lang['my_country'] = 'Moja država';
$lang['activity'] = 'Aktivni status';
$lang['all'] = 'svi';

// room box create text

$lang['room_limit'] = 'Ograničenje korisnika';
$lang['room_name'] = 'Naziv sobe';
$lang['room_type'] = 'Vrsta sobe';
$lang['room_description'] = 'Opis';
$lang['create'] = 'Napravi';

// system name 

$lang['quit_room'] = '%user% %bcquit%';
$lang['system_join_room'] = '%user% %bcjoin%';
$lang['room_clear'] = '%bcclear% %user%';
$lang['leave_message'] = 'napustio/la chat';
$lang['join_message'] = 'pridružio/la se na chat';
$lang['clear_message'] = 'Ova je soba je obrisana od strane';

// control room and admin pop

$lang['mute'] = 'Zabrani konverzaciju';
$lang['unmute'] = 'Dozvoli konverzaciju';
$lang['ban'] = 'Zabrani';
$lang['unban'] = 'Odblokiraj';
$lang['delete_account'] = 'Izbriši račun';

// lang admin status

$lang['select_critera'] = 'Odaberite kriterije';
$lang['banned'] = 'Banirani';
$lang['muted'] = 'Mutirani';
$lang['blocked'] = 'Blokirani';

// special box text

$lang['site_banned'] = 'Nažalost zabranjen pristup. Trenutno nemate pristup ovoj usluzi !';
$lang['verified_now'] = 'Zahvaljujemo vaš korisnički račun je potvrđen';
$lang['oops'] = 'Ups! Čini se da ste se negdje izgubili.';

// system ranking 

$lang['owner'] = 'Vlasnik';
$lang['admin'] = 'Admin';
$lang['mod'] = 'Moderator';
$lang['user'] = 'Korisnik';
$lang['vip'] = 'Vip';
$lang['user_bot'] = 'Bot';
$lang['r_admin'] = 'Admin sobe';
$lang['r_mod'] = 'Moderator sobe';
$lang['guest'] = 'Gost';
$lang['public'] = 'Javno';

// notification

$lang['no_notify'] = 'Nemate obavijesti';

// wall top part

$lang['friends'] = 'Prijatelji';

// post language

$lang['start_new_post'] = 'Započnite novu objavu';
$lang['post'] = 'Objavi';
$lang['add_comment'] = 'Napišite komentar';
$lang['wall_empty'] = 'Trenutno nemate objava';
$lang['delete'] = 'Izbriši';
$lang['report'] = 'Prijavi';
$lang['comment_here'] = 'Napišite Vaš komentar';
$lang['view_more_comment'] = 'Više komentara';

// wall side details 

$lang['about'] = 'O meni';

// topic text

$lang['topic'] = 'Tema';
$lang['topic_empty'] = 'Trenutno nema tema za ovu sobu';

// report language

$lang['report_language'] = 'Uznemiravajuća konverzacija';
$lang['report_content'] = 'Neprimjeren sadržaj';
$lang['report_spam'] = 'Spam sadržaj';
$lang['reported_chat'] = 'Prijavi chat objavu';
$lang['reported_post'] = 'Prijavi zid objavu';
$lang['reported_reason'] = 'Razlog';

// seen language 

$lang['seen'] = '%userseen% zadnji put viđjen/a  %seentime% u sobi : %seenroom%';
$lang['not_seen'] = 'Nažalost nismo nista pronašli %userseen%';
$lang['seen_lobby'] = '%userseen% zadnji put viđjen/a %seentime% u predvorju';

// profile language 

$lang['gender'] = 'Spol';
$lang['user_theme'] = 'Tema';
$lang['language'] = 'Jezik';
$lang['ip'] = 'Ip adresa';
$lang['join_chat'] = 'Član od';
$lang['other_account'] = 'Ostali računi';
$lang['main_info'] = 'Informacije';
$lang['remove_avatar'] = 'Ukloni';
$lang['verify_account'] = 'Potvrđen račun';
$lang['actual_pass'] = 'Trenutna lozinka';
$lang['new_pass'] = 'Nova lozinka';
$lang['repeat_pass'] = 'Ponovi lozinku';
$lang['verified'] = 'Potvrđen';
$lang['unverified'] = 'Nepotvrđen';
$lang['status'] = 'Status';
$lang['location'] = 'Lokacija';
$lang['user_main_details'] = '%age% godina star/a, %sex%';
$lang['age_only'] = '%age% godina star/a';
$lang['about_me'] = 'O meni';
$lang['not_available'] = 'Nije dostupno';
$lang['sounds'] = 'Zvukovi';
$lang['all_sound'] = 'Svi zvukovi';
$lang['no_sound'] = 'Bez zvuka';
$lang['text_color'] = 'Text boja';
$lang['bold'] = 'B';
$lang['user_color'] = 'Korisničko ime boja';
$lang['last_seen'] = 'Zadnja aktivnost';
$lang['years_old'] = 'godina';
$lang['not_set'] = 'Nije dostupno';
$lang['edit'] = 'Uredi';

// room setting language

$lang['room_name'] = 'Ime sobe';
$lang['room_settings'] = 'Postavke';
$lang['staff'] = 'Osoblje';
$lang['room_description'] = 'Opis';
$lang['system_theme'] = 'Zadana tema';

// room page menu top 

$lang['add_room'] = 'Napravi sobu';
$lang['my_room'] = 'Moje sobe';

// side left menu language

$lang['room_side_settings'] = 'Postavke sobe';
$lang['module'] = 'Dodaci';

// notification box language 

$lang['friend_request'] = 'Zahtjev prijatelja';
$lang['notification'] = 'Obavjesti';
$lang['mb'] = 'Mb ';
$lang['vip_feature'] = 'Žao nam je ova funkcija se dostupna samo za Vip članove';

// admin option 

$lang['action_none'] = 'Bez akcije';
$lang['action_mute'] = 'Zabrani konverzaciju';
$lang['action_unmute'] = 'Dozvoli konverzaciju';
$lang['action_verify'] = 'Potvrdi';
$lang['room_admin'] = 'Postavi za admina sobe';
$lang['new_password'] = 'Postavi novu lozinku';
$lang['user_rank'] = 'Korisnik čin';
$lang['action_ban'] = 'Zabrani';
$lang['action_unban'] = 'Odbaniraj';
$lang['action_delete'] = 'Izbriši račun';
$lang['none'] = 'Ništa';
$lang['do_action'] = 'Akcija';
$lang['aply'] = 'Primjeni';
$lang['never'] = 'Nikad';
$lang['default_player'] = 'Zadani player';

// activation box

$lang['edit_email'] = 'Uredi email';
$lang['active_message'] = 'Poslali smo Vam e-poštu na %cemail%. Unesite kontrolni kod da biste potvrdili svoj račun.';
$lang['code'] = 'Unesite kod';

// admin section text 

$lang['system_name'] = 'Sistem ime';
$lang['index_path'] = 'Put indeksa za chat';
$lang['site_title'] = 'Naslov stranice';
$lang['site_description'] = 'Opis stranice';
$lang['site_keyword'] = 'Ključne riječi web mjesta';
$lang['timezone'] = 'Vremenska zona web mjesta';
$lang['theme'] = 'Zadana tema';
$lang['default_language'] = 'Zadani jezik';
$lang['allow_registration'] = 'Dozvoli nove registracije';
$lang['allow_guest'] = 'Dozvoli goste';
$lang['guest_prefix'] = 'Prefiks gostiju';
$lang['min_age'] = 'Minimalna dob za registraciju';
$lang['validate'] = 'Zahtjevaj potvrdu';
$lang['room_count'] = 'Zadani broj za kreiranje sobe';
$lang['admin_topic'] = 'Prikaži teme za sobu';
$lang['max_main'] = 'Javno chat maksimalno dozvoljeno znakova za konveraciju';
$lang['max_private'] = 'Privatna konverzacija maksimalno dozvoljeno znakova';
$lang['max_avatar'] = 'Maksimalna veličina za avatar';
$lang['max_file'] = 'Dopuštena maksimalna veličina datoteke';
$lang['show_logs'] = 'Ne prikazivaj aktivnosti na chatu';
$lang['word_delay'] = 'Loš rječnik vrjeme zabrane';
$lang['speed'] = 'Chat brzina aktuliziranja aktivnosti';
$lang['chat_delete'] = 'Chat aktivnosti brisanje';
$lang['private_delete'] = 'Privatne aktivnosti brisanje';
$lang['wall_delete'] = 'Brisanje objava na zidu';
$lang['max_offcount'] = 'Prikaz izvanmrežnih korisnika';
$lang['file_delete'] = 'Brisanje datoteka';
$lang['mail_type'] = 'Vrsta sustava pošte';
$lang['site_email'] = 'E-adresa web mjesta';
$lang['email_from'] = 'Pošiljatelj ime';
$lang['smtp_host'] = 'Smtp host';
$lang['smtp_username'] = 'Smtp ime';
$lang['smtp_password'] = 'Smtp lozinka';
$lang['smtp_encryption'] = 'Smtp enkripcija';
$lang['smtp_port'] = 'Smtp port';
$lang['allow_colors'] = 'Dopusti boje teksta';
$lang['emo_plus'] = 'Dopusti posebne emocije';
$lang['allow_direct'] = 'Dopusti izravni prikaz';
$lang['allow_room'] = 'Dopustite stvaranje chat soba';
$lang['allow_history'] = 'Dopusti povijest na chatu';
$lang['add_word'] = 'Dodaj riječ za filtriranje';
$lang['action_word'] = 'Akcija za rješavanje zabranjeni riječi';
$lang['empty'] = 'Trenutačno nema podataka za prikazivanje';
$lang['search_member'] = 'Traži člana';
$lang['advance_search'] = 'Napredno pretraživanje';
$lang['no_update'] = 'U ovom trenutku ne postoji ažuriranje za instalaciju';
$lang['no_addons'] = 'Nema trenutno dodataka';
$lang['default_stream'] = 'Zadani strim player';
$lang['add_player_stream'] = 'Dodaj radio';
$lang['stream_url'] = 'Strim url';
$lang['stream_alias'] = 'Strim ime';
$lang['allow_user_theme'] = 'Dopusti korisnicima teme';
$lang['file_management'] = 'Upravljanje datotekama';
$lang['chatting_members'] = 'Trenutno na chatu aktivni članovi';
$lang['post_count'] = 'Zid objave';
$lang['post_reply'] = 'Zid komentari';
$lang['verified_members'] = 'Potvđeni članovi';
$lang['active_room'] = 'Aktivne sobe';
$lang['chat_logs'] = 'Chat aktivnosti/logovi';
$lang['private_logs'] = 'Privatne aktivnosti/logovi';
$lang['banned_ip'] = 'Zabranjena ip';
$lang['current_version'] = 'Trenutna verzija';
$lang['php_version'] = 'PHP verzija';
$lang['max_upload'] = 'Maksimalni prijenos';
$lang['name_color'] = 'Dopusti boju korisničkog imena';
$lang['bridge'] = 'Most prijava';
$lang['max_name'] = 'Maksimalna duljina korisničkog imena';
$lang['allow_verify'] = 'Dopusti provjeru računa';
$lang['allow_guest_name'] = 'Dopusti ime za goste';

/* admin menu */

$lang['dashboard'] = 'Nadzorna ploča';
$lang['system_info'] = 'Sistem informacije';
$lang['main_settings'] = 'Glavne opcije';
$lang['registration_settings'] = 'Registracija opcije';
$lang['manage_report'] = 'Upravljajte prijavama';
$lang['email_settings'] = 'Email postavke';
$lang['chat_settings'] = 'Chat postavke';
$lang['users_management'] = 'Upravljajte korisnicima';
$lang['room_management'] = 'Upravljanje sobama';
$lang['ban_management'] = 'Zabranjene ip';
$lang['database_management'] = 'Prijenos & baza podataka';
$lang['upload_settings'] = 'Prijenos postavke';
$lang['limit_management'] = 'Limit postavke';
$lang['player_settings'] = 'Player postavke';
$lang['update_zone'] = 'Ažuriranja';
$lang['bad_word_filter'] = 'Loš rječnik filter';
$lang['pages_management'] = 'Upravljajte stranicama';
$lang['addons_management'] = 'Upravljajte dodacima';
$lang['manual'] = 'Dokumentacija';
$lang['logs_management'] = 'Upravljajte logovima';
$lang['console'] = 'Konzola';
$lang['manage_language'] = 'Upravljajte jezicima';
$lang['manage_modules'] = 'Upravljajte modulima';

$lang['allow_name'] = 'Dopusti promjenu korisničkog imena';
$lang['social_login'] = 'Aktivirajte %type% prijave';
$lang['social_id'] = '%type% app id';
$lang['social_secret'] = '%type% app tajna';
$lang['allow_avatar'] = 'Dopusti avatar';

// added pre release

$lang['main'] = 'Glavni';
$lang['social'] = 'Socijalni';
$lang['cookie_law'] = 'Ova web stranica koristi Kolačiće, za više informacija i za upravljanje kolačićima pročitajte naše %data%';
$lang['filter'] = 'Filteri';
$lang['email_filter'] = 'Aktivni filtar e-pošte';
$lang['spam_content'] = 'Ovaj je post označen kao neželjena pošta';
$lang['help'] = 'Pomozite';
$lang['page'] = 'Stranica';
$lang['lobby'] = 'Predvorje';
$lang['manage_action'] = 'Upravljanje radnjom';

// added version 1.1

$lang['allow_private'] = 'Dozvoli privatni chat';
$lang['private_mode'] = 'Privatni chat';
$lang['friend_only'] = 'Samo prijatelji';
$lang['clear'] = 'Očisti';
$lang['use_recapt'] = 'Google recaptcha';
$lang['recapt_site'] = 'Ključ stranice';
$lang['recapt_secret'] = 'Tajni ključ';
$lang['allow_mood'] = 'Dozvoli raspoloženja';
$lang['mood'] = 'Raspoloženje';
$lang['limit_feature'] = 'Ograniči ovu značajku na';


// added in version 2.0

$lang['user_timezone'] = 'Vremenska zona';
$lang['nothing_found'] = 'Nismo ništa pronašli';
$lang['type_something'] = 'Napišite nešto...';
$lang['system_config'] = 'Postavke sustava';
$lang['system_tools'] = 'Alati sustava';
$lang['system_logs'] = 'Zapisi sustava';
$lang['super_admin'] = 'Super Administrator';
$lang['room_rank'] = 'Rank sobe';
$lang['reason'] = 'Razlog';
$lang['reason_given'] = 'Obrazloženje';
$lang['duration'] = 'Trajanje';
$lang['kick'] = 'Izbaci';
$lang['unkick'] = 'Vrati izbačenog';
$lang['kicked'] = 'Izbačen';
$lang['kick_msg'] = 'Nažalost izbačeni ste';
$lang['kick_back'] = 'Pričekajte ponovo za ulazak na chat';
$lang['bridge_login'] = 'Način prijave most';
$lang['bridge_only'] = 'Samo most';
$lang['add_bridge'] = 'Dodaj most';
$lang['rank_icon'] = 'Prikaži ikone ranga';
$lang['gender_icon'] = 'Prikazivanje avatarskog spola';
$lang['userlist_only'] = 'Samo popis';
$lang['userlist_chat'] = 'Popis i chat';
$lang['innactive_logout'] = 'Odspojite neaktivne članove';
$lang['delay_settings'] = 'Odložene postavke';
$lang['member_delete'] = 'Obriši neaktivne korisnike';
$lang['room_delete'] = 'Obriši neaktivne sobe';
$lang['room_list'] = 'Popis soba';
$lang['station'] = 'Radio stanice';
$lang['station_list'] = 'Radio lista';
$lang['allow_grad'] = 'Dozvoli gradijent tekst';
$lang['name_grad'] = 'Dozvoli gradijent korisničkog imena';
$lang['color'] = 'Boja';
$lang['gradient'] = 'Gradijent';
$lang['verify_start'] = 'Da bi ste završili potvrdu korisničkog računa, poslat ćemo Vam e-poruku za potvrdu na vašu registriranu adresu e-pošte. Prije nastavka i dovršetka postupka potvrde provjerite je li vaša e-adresa važeća.';
$lang['verify_end'] = 'Unesite kod koji smo Vam poslali na vašu e-poštu kako bi ste završili potvrđu računa';
$lang['verify_send'] = 'Pošalji kod za potvrdu';
$lang['verify_got'] = 'Već imam kod za potvrdu';
$lang['change_password'] = 'Promijeni lozinku';
$lang['unset_mood'] = 'Ovdje dodajte vaše raspoloženje';
$lang['user_verify'] = 'Potvrdi';
$lang['dj_module'] = 'DJ - Na mreži';
$lang['onair'] = 'DJ - Na mreži';
$lang['please_wait'] = 'U tijeku, molimo pričekajte ...';
$lang['min_text'] = 'Minimalno %number% znakova';
$lang['select'] = 'Odabir opcije';
$lang['member_feature'] = 'Nažalost, ova je značajka ograničena samo za registrirane članove';
$lang['maintenance'] = 'Održavanje';
$lang['maint_mode'] = 'Način održavanja';
$lang['maint_text'] = 'Trenutačno se izvode radovi zbog održavanja. Vratit ćemo se što je prije moguće, zahvaljujemo na strpljenju.';
$lang['auto_refresh'] = 'Ova će se stranica sama osvježiti nije potrebno da osvježavate.';
$lang['close_account'] = 'Obriši korisnički račun';
$lang['cancel_request'] = 'Prekini zahtjev';
$lang['close_message'] = 'Nakon potvrde vaš korisnički račun biti će izbrisan za 7 dana. Imajte na umu da Vaš zahtjev za brisanjem možete poništiti u roku od 7 dana.';
$lang['close_warning'] = 'Vaš račun će biti izbrisan za %date%. Ovaj zahtjev možete otkazati u bilo kojem trenutku prije datuma brisanja. Napomena: Izbrisane račune nije moguće ponovo vratiti.';

$lang['private_settings'] = 'Privatne postavke';
$lang['manage_friends'] = 'Upravljajte prijateljima';
$lang['manage_ignores'] = 'Upravljanje ignoriranjem';
$lang['lang_location'] = 'Jezik / Lokacija';
$lang['theme_settings'] = 'Postavke teme';
$lang['sound_settings'] = 'Postavke tonova';
$lang['members'] = 'Članovi';
$lang['add_post'] = 'Dodaj objavu';
$lang['add_staff'] = 'Dodajte osoblje';
$lang['r_owner'] = 'Vlasnik sobe';
$lang['display_settings'] = 'Opcije prikaza';
$lang['login_page'] = 'Stil stranice za prijavu';
$lang['filtering'] = 'Filteri';
$lang['edit_about'] = 'Uredi o meni';
$lang['user_id'] = 'Korisnik id';
$lang['optional'] = '(zadano)';
$lang['unlimited'] = 'Neograničeno';
$lang['secure_account'] = 'Kliknite ovdje da biste dopustili sigurnosne podatke o svom korisničkom računu i pristupili za više značajki.';
$lang['register_guest'] = 'Trenutno ste prijavljeni kao gost, kliknite ovdje kako biste registrirali svoj korisnički račun i pristupili dodatnim značajkama.';
$lang['name_email'] = 'Korisničko ime / Email';
$lang['global_action'] = 'Globalne akcije';
$lang['change_rank'] = 'Promjeni čin';
$lang['block'] = 'Blokiraj';
$lang['unblock'] = 'Odblokiraj';
$lang['unignore'] = 'Ukloni iz ignoriranih';
$lang['unfriend'] = 'Ukloni iz prijatelja';
$lang['main_action'] = 'Glavna';
$lang['room_action'] = 'Soba';
$lang['account_status'] = 'Status';
$lang['edit_verify'] = 'Uredi status korisničkog računa';
$lang['guest_form'] = 'Gost prošireni obrazac registracija';
$lang['edit_username'] = 'Uredi korisničko ime';
$lang['edit_color'] = 'Uređivanje boje korisničkog imena';
$lang['edit_mood'] = 'Uredi status';
$lang['geo_system'] = 'Geolokacija';
$lang['room_system'] = 'Predvorje soba';
$lang['wall_system'] = 'Zidni sustav';
$lang['cookie_system'] = 'Zakon o kolačićima';
$lang['allow_cover'] = 'Dozvoli pozadinu na profilu';
$lang['allow_gcover'] = 'Dozvoli animaciju pozadine na profilu';
$lang['max_cover'] = 'Njaveća dozvoljena veličina pozadine profila';
$lang['second'] = 'sekunda';
$lang['seconds'] = 'sekunde';
$lang['minute'] = 'minuta';
$lang['minutes'] = 'minute';
$lang['hour'] = 'sat';
$lang['hours'] = 'sati';
$lang['day'] = 'dan';
$lang['days'] = 'dani';
$lang['week'] = 'sedmica';
$lang['weeks'] = 'sedmice';
$lang['month'] = 'mjesec';
$lang['months'] = 'mjeseci';
$lang['year'] = 'godina';
$lang['years'] = 'godine';
$lang['registered'] = 'Registrovan';
$lang['system_diagnostic'] = 'Sistem dijagnoza';
$lang['user_muted'] = 'Ovaj korsinik trenutno ima zabranu za konverzaciju';
$lang['user_banned'] = 'Ovaj korisnik je trenutačno zabranjen';
$lang['history'] = 'Historija';
$lang['flood'] = 'Flodanje';
$lang['badword'] = 'Uznemiravajući jezik';
$lang['spam'] = 'Spamovanje';
$lang['no_reason'] = 'Nije naveden razlog';
$lang['by'] = 'Autor';
$lang['delay'] = 'Kasnije';
$lang['fetching'] = 'Učitavanje podataka pričekajte';
$lang['topic_title'] = 'Tema';
$lang['seen_title'] = 'Viđen';
$lang['default_title'] = 'Poruka';
$lang['data'] = 'Podaci';

// added in 3.5

$lang['account'] = 'Racun';
$lang['security'] = 'Sigurnost';
$lang['regmute'] = 'Utisaj novi racun';
$lang['user_regmuted'] = 'Ovaj racun je nov, i utisan je zbog verifikacije.';
$lang['welcome_user'] = 'Dobrodosao %user%';
$lang['reg_message'] = 'Da bi vam ponudili bolje iskustvo, i da se zastitimo zbog spama na chatu, utisajemo nove racune dok ih ne verifikujemo. Vas racunu ce autmatski biti odtisan nakon verifikacije.';
$lang['guest_message'] = 'Trenutno si ulogovan kao Gost. Gostu je dozvoljeno samo prisustvuje chatu nije mu dozvoljeno da pise.';
$lang['guest_message2'] = 'Registruj te se na chat da bi ste mogli da pisete i iskoristite mnoge druge znacajke ovog chata.';
$lang['view_only'] = 'Pogledaj samo';
$lang['view_likes'] = 'Pogledaj lajkove';
$lang['delete_post'] = 'Da li ste sigurni da zelite da obrisete ovaj post ?';
$lang['delete_private'] = 'Izbrisat ce te povjest privatnih razgovora. Ova akcija nije Reverzibilna i nece se poreknuti ako je Prijava aktivna za ovaj privatni razgovor. Da li zelite da nastavite?';
$lang['console_clear'] = ' Brisanjem sistemske konzole ce obrisati sve spremljene logove da li zelite da nastavite i obrisete Konzolu?';
$lang['hide'] = 'Sakrij';
$lang['user_room'] = 'Trenutna soba';
$lang['chat_sound'] = 'Zvukovi Chata';
$lang['private_sound'] = 'Zvukovi privatni';
$lang['notification_sound'] = 'Zvukovi notifikacije';
$lang['username_sound'] = 'Zvukovi Nicka';
$lang['edit_info'] = 'Uredi Informacije';
$lang['reported_private'] = 'Prijavljen privatni chat';
$lang['reported_profile'] = 'Prijavljen profil';
$lang['report_post'] = 'Prijavi ovaj sadrzaj';
$lang['report_warning'] = 'Molimo podnesite samo prijavu na djela koja se mogu pokrenuti. Zlouporaba ili lazno prijavljivanje mogu dovesti do poduzimanja radnji protiv vaseg vlastitog racuna. Odaberite razlog prijave ovog sadrzaja';
$lang['report_select'] = 'Izaberi razlog';
$lang['report_fraud'] = 'Pokusaj prevare';
$lang['mobile'] = 'Mobitel';
$lang['allow_cupload'] = 'Dozvoli chat upload';
$lang['allow_pupload'] = 'Dozvoli private upload';
$lang['allow_wupload'] = 'Dozvoli wall upload';
$lang['guest_talk'] = 'Dozvoli guest to talk in chat';
$lang['system_name_change'] = '%user% %bcname% %nname%';
$lang['system_kick'] = '%user% %bckick%';
$lang['system_ban'] = '%user% %bcban%';
$lang['system_mute'] = '%user% %bcmute%';
$lang['name_message'] = 'je promenio ime u';
$lang['kick_message'] = 'je kikovan';
$lang['ban_message'] = 'je banovan';
$lang['mute_message'] = 'je utisan';
$lang['profile'] = 'Profil';
$lang['private'] = 'Privatno';
$lang['preview'] = 'Pregledaj';
$lang['nobody'] = 'Niko';
$lang['chat'] = 'Chat';
$lang['display'] = 'Displej';
$lang['reset'] = 'Resetuj';
$lang['neon'] = 'Neon';
$lang['allow_neon'] = 'Dozvoli neon text';
$lang['name_neon'] = 'Dozvoli neon username';
$lang['name_font'] = 'Dozvoli font u imenu';
$lang['Dozvoli_font'] = 'Dozvoli font text';
$lang['font_style'] = 'Font stajl';
$lang['font'] = 'Font';
?>