<?php
// intro

$lang['left_title'] = 'Rencontrez du nouveau monde';
$lang['left_welcome'] = 'Notre communauté est une occasion parfaite pour vous faire de nouveaux amis et passer du bon temps.';
$lang['last_active'] = 'Derniers membres actifs';

// menu text 

$lang['logout'] = 'Quitter';
$lang['my_profile'] = 'Mon profil';
$lang['admin_panel'] = 'Administration';
$lang['home'] = 'Home';

// title item 

$lang['close'] = 'Fermer';
$lang['friend_list'] = 'Liste amis';
$lang['ignore_list'] = 'Ignore';
$lang['user_list'] = 'Liste membres';
$lang['private_list'] = 'Liste privés';
$lang['report_list'] = 'Liste rapports';

// intro text

$lang['username'] = 'Pseudo';
$lang['password'] = 'Mot de passe';
$lang['email'] = 'Courriel';
$lang['country'] = 'Pays';
$lang['region'] = 'Région';
$lang['age'] = 'Age';
$lang['male'] = 'Homme';
$lang['female'] = 'Femme';
$lang['register'] = 'Inscription';
$lang['connect_with'] = 'Connecter avec';
$lang['enter_now'] = 'Connection membre';
$lang['rules'] = 'Conditions d\'utilisation';
$lang['privacy'] = 'Politique de confidentialité';
$lang['i_agree'] = 'En vous enregistrant vous accepter les';
$lang['login'] = 'Connection';
$lang['forgot'] = 'Mot de passe oublié ?';
$lang['user_recover'] = 'Utilisateur à récupérer';
$lang['recover'] = 'Récupérer';
$lang['guest_login'] = 'Connection invité';
$lang['site_login'] = 'Connection via site';
$lang['more_login'] = 'Autres options';
$lang['not_member'] = 'Pas encore membre ? inscrivez vous.';

// friend delete box 

$lang['want_delete'] = 'Voulez vous vraiment supprimer ce membre ?';

// logout box

$lang['want_logout'] = 'Vous voulez quitter ?';

// general button text

$lang['ok'] = 'ok';
$lang['yes'] = 'Oui';
$lang['no'] = 'Non';
$lang['cancel'] = 'Annuler';
$lang['on'] = 'Activé';
$lang['off'] = 'Désactivé';
$lang['minute'] = 'Min';
$lang['hour'] = 'Heure';
$lang['day'] = 'Jour';
$lang['days'] = 'Jours';
$lang['week'] = 'Semaine';
$lang['month'] = 'Mois';
$lang['never'] = 'Jamais';
$lang['save'] = 'Sauvegarder';
$lang['delete'] = 'Effacer';
$lang['new'] = 'Nouveau';
$lang['upload'] = 'Upload';
$lang['unlimited'] = 'Illimité';
$lang['install'] = 'Installer';
$lang['uninstall'] = 'Déinstaller';
$lang['config'] = 'Configuration';
$lang['not_shared'] = 'Ne pas afficher';
$lang['option_default'] = 'System default';
$lang['no_default'] = 'Aucun default';
$lang['full'] = 'Plein';
$lang['add'] = 'Ajouter';
$lang['back'] = 'Retour';
$lang['search'] = 'Recherche';
$lang['enter_password'] = 'Entrer mot de passe';
$lang['room_no_description'] = 'Ce salon n\'a pas de description';
$lang['join_room'] = 'Rejoindre';
$lang['settings'] = 'Configuration';
$lang['execute'] = 'Executer';
$lang['resend'] = 'Renvoyer';
$lang['apply'] = 'Appliquer';
$lang['reset_password'] = 'Reset password';
$lang['load_more'] = 'Charger plus';
$lang['add_user'] = 'Ajouter membre';
$lang['more'] = 'Plus';
$lang['other'] = 'Autre';
$lang['test'] = 'Tester';
$lang['send'] = 'Envoyer';

// lobby menu

$lang['system_news'] = 'Nouvelles';
$lang['search_people'] = 'Chercher membres';
$lang['wall'] = 'Mur amis';

// online offline

$lang['offline'] = 'Hors ligne';
$lang['innactive'] = 'Innactif';

// menu drop user 

$lang['info'] = 'Voir profil';
$lang['add_friend']  = 'Ajout ami';
$lang['ignore'] = 'Ignorer';
$lang['private_chat'] = 'Chat privé';
$lang['options'] = 'Options';

// users status language

$lang['online'] = 'En ligne';
$lang['busy'] = 'Occupé';
$lang['away'] = 'Absent';
$lang['gaming'] = 'En jeu';
$lang['eating'] = 'En repas';
$lang['invisible'] = 'Invisible';

// empty box text 

$lang['not_exist'] = 'Ce post n\'existe plus';
$lang['no_news'] = 'Pas de nouvelle à afficher';
$lang['no_friend'] = 'Votre liste amis est vide';
$lang['no_friend_request'] = 'Aucune demande d\'ami';
$lang['no_unread_private'] = 'Liste privé vide';
$lang['no_report'] = 'Aucun rapport à afficher';
$lang['no_ignore'] = 'Votre liste ignore est vide';
$lang['no_data'] = 'Aucune donnée';

// search feature

$lang['my_region'] = 'Ma region';
$lang['my_country'] = 'Mon pays';
$lang['activity'] = 'Status actif';
$lang['all'] = 'Tous';

// room box create text

$lang['room_limit'] = 'Limite de membres';
$lang['optional_pass'] = '( optionel )';
$lang['room_name'] = 'Nom du salon';
$lang['room_type'] = 'Type de salon';
$lang['room_description'] = 'Description';
$lang['create'] = 'Créer';

// system name 

$lang['quit_room'] = '%user% %bcquit%';
$lang['system_join_room'] = '%user% %bcjoin%';
$lang['room_clear'] = '%bcclear% %user%';
$lang['leave_message'] = 'a quitté le salon';
$lang['join_message'] = 'a rejoint le salon';
$lang['clear_message'] = 'Ce salon a été effacer par';

// control room and admin pop

$lang['mute'] = 'Silence';
$lang['room_mute'] = 'Silence salon';
$lang['unmute'] = 'Enlever silence';
$lang['room_unmute'] = 'Enlever silence';
$lang['ban'] = 'Bannir';
$lang['unban'] = 'Débannir';
$lang['room_block'] = 'Bloquer';
$lang['room_unblock'] = 'Débloquer';
$lang['delete_account'] = 'Effacer compte';

// lang admin status

$lang['select_critera'] = 'Critères recherche';
$lang['banned'] = 'Banni';
$lang['muted'] = 'Muter';
$lang['blocked'] = 'Bloquer';

// special box text

$lang['site_banned'] = 'Vous avez été banni de ce site vous ne pouvez pas entrer !';
$lang['verified_now'] = 'Merci votre compte est maintenant vérifié.';
$lang['oops'] = 'Oups ! il semble que vous vous êtes égarer.';

// system ranking 

$lang['owner'] = 'Propriétaire';
$lang['admin'] = 'Admin';
$lang['mod'] = 'Moderateur';
$lang['user'] = 'Membre';
$lang['vip'] = 'Vip';
$lang['user_bot'] = 'Bot';
$lang['r_admin'] = 'Admin salon';
$lang['r_mod'] = 'Moderateur salon';
$lang['guest'] = 'Invité';
$lang['public'] = 'Public';

// notification

$lang['liked'] = 'A aimé votre publication. ';
$lang['unliked'] = 'N\'a pas aimer votre publication. ';
$lang['have_replied'] = 'A commenter sur votre publication';
$lang['post_wall'] = 'A écrit sur le mur';
$lang['no_notify'] = 'Vous n\'avez pas de notification';
$lang['bad_word_use'] = 'Vous a muter pour @delay@ min pour usage de mauvais langage';
$lang['flood_abuse'] = 'Votre compte a été muter veuillez attendre qu\'un administrateur en fasse la révision.';
$lang['bad_word_full'] = 'Muter pour utilisation de mauvais langage';
$lang['rank_change'] = 'Votre rang a été changer vous êtes maintenant @rank@';
$lang['room_rank_change'] = 'Vous etes maintenant @rank@ dans @room@';
$lang['system_mute'] = 'Votre droit de parole vous a été retiré';
$lang['system_unmute'] = 'Votre droit de parole vous a été remis';
$lang['accept_friend'] = 'A accepté votre demande d\'ami';

// wall top part

$lang['friends'] = 'Amis';

// post language

$lang['start_new_post'] = 'Démarrer un nouveau post';
$lang['post'] = 'Poster';
$lang['add_comment'] = 'Ajouter commentaire';
$lang['wall_empty'] = 'Aucun post à afficher';
$lang['delete'] = 'Effacer';
$lang['report'] = 'Reporter';
$lang['comment_here'] = 'Ecrivez votre commentaire';
$lang['view_more_comment'] = 'Autres commentaires';

// wall side details 

$lang['about'] = 'A propos';

// topic text

$lang['topic'] = 'Topic';
$lang['topic_empty'] = 'Aucun topic n\'est défini';

// report language

$lang['report_language'] = 'Langage abusif';
$lang['report_content'] = 'Contenu innaproprié';
$lang['report_spam'] = 'Publicité illégale';
$lang['reported_chat'] = 'A rapporté un log de chat';
$lang['reported_post'] = 'A rapporté une publication de mur';
$lang['reported_reason'] = 'Raison';

// seen language

$lang['seen'] = '%userseen% a été vu pour la dernière fois %seentime% dans la chambre : %seenroom%';
$lang['not_seen'] = 'Désolé aucun resultat trouvé pour %userseen%';
$lang['seen_lobby'] = '%userseen% a été vu pour la dernière fois %seentime% dans le lobby';

// profile language 

$lang['gender'] = 'Genre';
$lang['user_theme'] = 'Theme';
$lang['language'] = 'Langage';
$lang['ip'] = 'Adresse ip';
$lang['join_chat'] = 'Membre depuis';
$lang['other_account'] = 'Autre compte';
$lang['main_info'] = 'Info';
$lang['remove_avatar'] = 'Enlever';
$lang['verify_account'] = 'Verifier compte';
$lang['actual_pass'] = 'Mot de passe actuel';
$lang['new_pass'] = 'Nouveau mot de passe';
$lang['repeat_pass'] = 'Répéter mot de passe';
$lang['verified'] = 'Vérifier';
$lang['unverified'] = 'Non vérifier';
$lang['status'] = 'Status';
$lang['location'] = 'Location';
$lang['user_main_details'] = '%age% ans, %sex%';
$lang['age_only'] = '%age% ans';
$lang['about_me'] = 'A propos';
$lang['not_available'] = 'Pas disponible';
$lang['sounds'] = 'Sons';
$lang['all_sound'] = 'Tous les sons';
$lang['no_sound'] = 'Aucun sons';
$lang['private_sound'] = 'Privés et notifications';
$lang['text_color'] = 'Couleur texte';
$lang['bold'] = 'B';
$lang['user_color'] = 'Couleur pseudonyme';
$lang['last_seen'] = 'Dernière activité';
$lang['years_old'] = 'Ans';
$lang['not_set'] = 'Non disponible';
$lang['edit'] = 'Modifier';
$lang['room_action'] = 'Action salon';

// room setting language

$lang['room_name'] = 'Nom de salon';
$lang['room_settings'] = 'Configuration';
$lang['staff'] = 'Staff';
$lang['room_description'] = 'Description';
$lang['room_theme'] = 'Theme salon';
$lang['system_theme'] = 'Theme par default';

// room page menu top 

$lang['add_room'] = 'Ajouter salon';
$lang['my_room'] = 'Mes salons';

// side left menu language

$lang['room_side_settings'] = 'Config salon';
$lang['module'] = 'Modules';

// notification box language 

$lang['friend_request'] = 'Demandes d\'amis';
$lang['notification'] = 'Notifications';
$lang['mb'] = 'Mb ';
$lang['vip_feature'] = 'Désoler cette fonction est réserver au membre vip';

// admin option 

$lang['action_none'] = 'Aucune action';
$lang['action_mute'] = 'Mute';
$lang['action_unmute'] = 'Enlever mute';
$lang['action_verify'] = 'Verifier';
$lang['room_admin'] = 'Admin salon';
$lang['word_temp_mute'] = 'Mute temporaire';
$lang['new_password'] = 'Nouveau mot de passe';
$lang['user_rank'] = 'Rang utilisateur';
$lang['action_ban'] = 'Banir';
$lang['action_unban'] = 'Retirer ban';
$lang['action_delete'] = 'Effacer compte';
$lang['none'] = 'Aucun';
$lang['do_action'] = 'Action';
$lang['aply'] = 'Appliquer';
$lang['never'] = 'Jamais';
$lang['default_player'] = 'Source par default';

// activation box

$lang['edit_email'] = 'Éditer courriel';
$lang['active_message'] = 'Un courriel a été envoyer a %cemail%. Entrer le code de verification pour vérifier votre compte';
$lang['code'] = 'Entrer code';

// admin section text 

$lang['system_name'] = 'Nom du systeme';
$lang['index_path'] = 'Path de l\'index';
$lang['site_title'] = 'Titre site';
$lang['site_description'] = 'Description du site';
$lang['site_keyword'] = 'Mots clé du site';
$lang['timezone'] = 'Zone date et heure';
$lang['theme'] = 'Thème par default';
$lang['default_language'] = 'Langage par défault';
$lang['allow_registration'] = 'Autoriser nouvelles inscriptions';
$lang['allow_guest'] = 'Autorisé les invité';
$lang['guest_prefix'] = 'Préfixe invité';
$lang['min_age'] = 'Age minimum pour s\'enregistrer';
$lang['max_registration'] = 'Limite d\'enregistrement par jour';
$lang['validate'] = 'Vérification';
$lang['room_count'] = 'Nombre utilisateur salon';
$lang['admin_topic'] = 'Afficher topic';
$lang['max_main'] = 'Chat max texte';
$lang['max_private'] = 'Privé max texte';
$lang['max_avatar'] = 'Taille maximum avatar';
$lang['max_file'] = 'Taille fichiers';
$lang['show_logs'] = 'Affichage logs systeme';
$lang['word_delay'] = 'Delais mute mauvais langage';
$lang['multi_email'] = 'Multi courriel';
$lang['ico'] = 'Icones liste membres';
$lang['speed'] = 'Vitesse de rafraichissement';
$lang['chat_delete'] = 'Suppression logs chat';
$lang['private_delete'] = 'Supression logs privé';
$lang['wall_delete'] = 'Supression logs mur';
$lang['max_offcount'] = 'Mode hors ligne';
$lang['file_delete'] = 'Supression fichiers';
$lang['mail_type'] = 'Type courriel';
$lang['site_email'] = 'Courriel du site';
$lang['email_from'] = 'Nom expéditeur';
$lang['smtp_host'] = 'Host smtp';
$lang['smtp_username'] = 'Utilisateur smtp';
$lang['smtp_password'] = 'Mot de passe smtp';
$lang['smtp_encryption'] = 'Encryption smtp';
$lang['smtp_port'] = 'Port smtp';
$lang['allow_image'] = 'Autorisation upload';
$lang['allow_colors'] = 'Utilisation couleur texte';
$lang['allow_player'] = 'Autorisation liste stream';
$lang['emo_plus'] = 'Émoticon spéciaux';
$lang['allow_direct'] = 'Affichage direct';
$lang['allow_room'] = 'Création de salons';
$lang['allow_history'] = 'Access historique chat';
$lang['add_word'] = 'Ajouter mot bloqué';
$lang['action_word'] = 'Action pour mauvais langage';
$lang['empty'] = 'Pas de donnée à afficher';
$lang['search_member'] = 'Recherche membres';
$lang['advance_search'] = 'Recherche avancée';
$lang['no_update'] = 'Il n\'y a pas de mise à jour à installer pour le momment';
$lang['no_addons'] = 'Aucun addons trouvé';
$lang['default_stream'] = 'Source par default';
$lang['add_player_stream'] = 'Ajouter source';
$lang['stream_url'] = 'Url source';
$lang['stream_alias'] = 'Alias de source';
$lang['allow_room_theme'] = 'Theme de salon';
$lang['allow_user_theme'] = 'Theme membres';
$lang['file_management'] = 'Option fichiers';
$lang['registered_members'] = 'Membres enregistrés';
$lang['chatting_members'] = 'Membres actif';
$lang['post_count'] = 'Post mur';
$lang['post_reply'] = 'Commentaires mur';
$lang['verified_members'] = 'Membres vérifiés';
$lang['active_room'] = 'Chambres actives';
$lang['chat_logs'] = 'Logs chat';
$lang['private_logs'] = 'Logs privé';
$lang['banned_ip'] = 'Ip banni';
$lang['current_version'] = 'Version actuelle';
$lang['php_version'] = 'Version PHP';
$lang['max_upload'] = 'Max upload';
$lang['room_system'] = 'Lobby salon';
$lang['name_color'] = 'Autoriser couleur pseudo';
$lang['bridge'] = 'Connection bridge';
$lang['max_name'] = 'Longueur max pseudo';
$lang['use_wall'] = 'Systeme mur';
$lang['allow_verify'] = 'Autoriser vérification compte';
$lang['allow_guest_name'] = 'Permettre pseudo invité';

/* admin menu */

$lang['dashboard'] = 'Tableau de bord';
$lang['system_info'] = 'Info systeme';
$lang['main_settings'] = 'Options génerales';
$lang['registration_settings'] = 'Enregistrement';
$lang['manage_report'] = 'Gerer rapports';
$lang['email_settings'] = 'Options Email';
$lang['chat_settings'] = 'Gestion du chat';
$lang['users_management'] = 'Gestion membres';
$lang['room_management'] = 'Gestion salons';
$lang['ban_management'] = 'Gestion ip banni';
$lang['database_management'] = 'Upload & database';
$lang['upload_settings'] = 'Options upload';
$lang['limit_management'] = 'Options limites';
$lang['player_settings'] = 'Gestion musique';
$lang['update_zone'] = 'Mise à jour';
$lang['bad_word_filter'] = 'Filtre language';
$lang['pages_management'] = 'Gestion pages';
$lang['addons_management'] = 'Gestion addons';
$lang['manual'] = 'Documentation';
$lang['logs_management'] = 'Gestion logs';
$lang['console'] = 'Console';
$lang['manage_language'] = 'Gestion langages';
$lang['manage_modules'] = 'Gestion modules';

$lang['active_control'] = 'Équilibrement d\'innactivité';
$lang['allow_name'] = 'Permettre changement pseudo';
$lang['social_login'] = 'Activer %type%';
$lang['social_id'] = '%type% app id';
$lang['social_secret'] = '%type% clé secrète';
$lang['allow_avatar'] = 'Permettre avatar';

// added pre release

$lang['main'] = 'Base';
$lang['social'] = 'Social';
$lang['cookie_law'] = 'Ce site utilise des cookies pour plus d\'information consultez notre %data%';
$lang['filter'] = 'Filtres';
$lang['email_filter'] = 'Active filtre courriel';
$lang['spam_content'] = 'Ce post a été identifié comme spam';
$lang['help'] = 'Aide';
$lang['page'] = 'Page';
$lang['lobby'] = 'Lobby';
$lang['manage_action'] = 'Gérer actions';
$lang['main_action'] = 'Action systeme';

// added version 1.1

$lang['allow_private'] = 'Autoriser chat privé';
$lang['show_cookie'] = 'Module cookie law';
$lang['private_mode'] = 'Chat privé';
$lang['friend_only'] = 'Amis seuleument';
$lang['clear'] = 'Effacer';
$lang['register_mute'] = 'Silence nouveaux comptes';
$lang['welcome_reg'] = 'Bienvenu %user% !';
$lang['reg_mute_text'] = 'Pour améliorer l\'expérience de nos utilisateurs les nouveaux compte sont en mode silence pendant %regmute% minutes. Nous vous notifierons lorsque votre compte aura été vérifier.';
$lang['use_recapt'] = 'Google recaptcha';
$lang['recapt_site'] = 'Clé site';
$lang['recapt_secret'] = 'Clé secrète';
$lang['allow_mood'] = 'Autoriser mood';
$lang['mood'] = 'Mood';
$lang['limit_feature'] = 'Limiter cette fonction';


// added in version 2.0

$lang['user_timezone'] = 'Timezone';
$lang['nothing_found'] = 'Aucun résultat';
$lang['type_something'] = 'Écrire quelque chose ...';
$lang['system_config'] = 'Config system';
$lang['system_tools'] = 'Outils system';
$lang['system_logs'] = 'Logs system';
$lang['super_admin'] = 'Superadmin';
$lang['room_rank'] = 'Rang salon';
$lang['reason'] = 'Raison';
$lang['reason_given'] = 'Raison donnée';
$lang['duration'] = 'Duration';
$lang['hours'] = 'Heures';
$lang['minutes'] = 'Mins';
$lang['kick'] = 'Kick';
$lang['unkick'] = 'Enlever kick';
$lang['kicked'] = 'Kické';
$lang['kick_msg'] = 'Vous avez été kické';
$lang['kick_back'] = 'Vous pourrez revenir au chat après';
$lang['bridge_login'] = 'Mode du bridge';
$lang['bridge_only'] = 'Bridge seulement';
$lang['add_bridge'] = 'Ajouter bridge';
$lang['rank_icon'] = 'Afficher icone rang';
$lang['gender_icon'] = 'Afficher sex avatar';
$lang['userlist_only'] = 'Liste seuleument';
$lang['userlist_chat'] = 'Liste et chat';
$lang['kick_word'] = 'Language abusif';
$lang['kick_delay'] = 'Délais par default du kick';
$lang['temp_mute_delay'] = 'Délais silence par default';
$lang['innactive_logout'] = 'Déconnection membres innactifs';
$lang['delay_settings'] = 'Config délais';
$lang['temp_mute'] = 'Silence temporaire';
$lang['flag_ico'] = 'Show userlist flags';
$lang['member_delete'] = 'Supression membres innactifs';
$lang['room_delete'] = 'Suppression salons innactifs';
$lang['use_geo'] = 'Geo localisation';
$lang['room_list'] = 'Liste salon';
$lang['station'] = 'Station';
$lang['station_list'] = 'Liste stations';
$lang['allow_grad'] = 'Permettre texte dégradé';
$lang['name_grad'] = 'Permettre nom dégradé';
$lang['color'] = 'Couleur';
$lang['gradient'] = 'Dégradé';
$lang['verify_start'] = 'Afin de complèter la vérification de votre compte, nous envoyons un courriel de verification à votre adresse courriel. Assurez vous que votre courriel est valide avant de poursuivre les démarches de vérification.';
$lang['verify_end'] = 'Entrez le code que nous avons envoyé dans votre courriel pour complèter la vérification.';
$lang['verify_send'] = 'Envoyer verification';
$lang['verify_got'] = 'J\'ai un code';
$lang['change_password'] = 'Changer mot de passe';
$lang['unset_mood'] = 'Ajouter mood ici';
$lang['user_verify'] = 'Vérifier';
$lang['dj_module'] = 'Module dj';
$lang['onair'] = 'Dj en onde';
$lang['please_wait'] = 'En progrès patienter svp ...';
$lang['min_text'] = '%number% charactères minimum';
$lang['select'] = 'Choisir option';
$lang['member_feature'] = 'Désoler cette fonction est limitée aux membres enregistrés.';
$lang['maintenance'] = 'Maintenance';
$lang['maint_mode'] = 'Maintenance Mode';
$lang['maint_text'] = 'Nous effectuons presentement de la maintenance. Nous serons de retour aussitôt que possible, merci de votre patience.';
$lang['auto_refresh'] = 'Cette page se rafraîchira automatiquement.';
$lang['close_account'] = 'Supprimer compte';
$lang['cancel_request'] = 'Annuler demande';
$lang['close_message'] = 'Après confirmation, votre compte sera supprimé dans un délais de 7 jours. Vous pourrez annuler cette demande en tout temps avant la date butoire dans votre profil.';
$lang['close_warning'] = 'Votre compte sera supprimé d\'ici le %date%. Vous pouvez annuler cette demande jusqu\'a cette date. Note importante: Les compte supprimés ne peuvent pas etre réouvert.';
?>