<?php
// intro

$lang['left_title'] = "ישרא צ'אט";
$lang['left_welcome'] = "ברוכים הבאים לישרא צ'אט מערכת הצ'אט המתקדם בישראל";
$lang['last_active'] = "מחוברים כעת";

// menu text 

$lang['logout'] = "יציאה";
$lang['my_profile'] = "הפרופיל שלי";
$lang['admin_panel'] = "לוח בקרה לאדמין";
$lang['home'] = "Home";

// title item 

$lang['close'] = "סגור";
$lang['friend_list'] = "רשימת חברים";
$lang['ignore_list'] = "התעלם";
$lang['user_list'] = "רשימת גולשים";
$lang['private_list'] = "רשימת פרטי";
$lang['report_list'] = "רשימת דוחות";

// intro text

$lang['username'] = "שם משתמש";
$lang['password'] = "סיסמא";
$lang['email'] = "דואר אלקטרוני";
$lang['country'] = "מדינה";
$lang['region'] = "אזור";
$lang['age'] = "גיל";
$lang['male'] = "גבר";
$lang['female'] = "אישה";
$lang['register'] = "הרשמה";
$lang['connect_with'] = "התחבר באמצעות";
$lang['enter_now'] = "התחבר לצ'אט";
$lang['rules'] = "תנאי שימוש";
$lang['privacy'] = "מדיניות הפרטיות";
$lang['i_agree'] = "בעת התחברות אתה משאר את";
$lang['login'] = "התחבר";
$lang['forgot'] = "?שכחת את הסיסמא";
$lang['recover'] = "Recover";
$lang['guest_login'] = "התחבר כאורח";
$lang['site_login'] = "Connect with site";
$lang['more_login'] = "עוד אפשרויות";
$lang['not_member'] = "אין לך משתמש? הירשם";

// friend delete box 

$lang['want_delete'] = "האם אתה בטוח שאתה רוצה למחמוק את המשתמש?";

// logout box

$lang['want_logout'] = "רוצה לצאת?";

// general button text

$lang['ok'] = "אוקיי";
$lang['yes'] = "כן";
$lang['no'] = "לא";
$lang['cancel'] = "ביטול";
$lang['on'] = "הפעל";
$lang['off'] = "כבה";
$lang['never'] = "אף פעם";
$lang['save'] = "שמירה";
$lang['delete'] = "מחיקה";
$lang['new'] = "חדש";
$lang['upload'] = "העלאה";
$lang['unlimited'] = "ללא הגבלה";
$lang['install'] = "התקנה";
$lang['uninstall'] = "הסרת התקנה";
$lang['config'] = "עריכה";
$lang['not_shared'] = "אל תציג";
$lang['option_default'] = "ברירת מחדל של המערכת";
$lang['no_default'] = "No default";
$lang['full'] = "מלא";
$lang['add'] = "הוסף";
$lang['back'] = "חורה";
$lang['search'] = "חיפוש";
$lang['enter_password'] = "אנא הכנס סיסמא";
$lang['room_no_description'] = "לחדר הזה אין תיאור";
$lang['join_room'] = "הצטרף לחדר";
$lang['settings'] = "הגדרות";
$lang['execute'] = "לבצע";
$lang['resend'] = "שלח שוב";
$lang['apply'] = "אשר";
$lang['reset_password'] = "שחזר סיסמא";
$lang['load_more'] = "טען עוד";
$lang['add_user'] = "הוסף משתמש";
$lang['more'] = "עוד";
$lang['other'] = "אחר";
$lang['test'] = "בדיקה";
$lang['send'] = "שלח";

// lobby menu

$lang['system_news'] = "חדשות";
$lang['search_people'] = "חפש אנשים";
$lang['wall'] = "קיר חברים";

// online offline

$lang['offline'] = "לא מקוון";
$lang['innactive'] = "לא פעיל";

// menu drop user 

$lang['info'] = "צפה בפרופיל";
$lang['add_friend']  = "הוסף חבר";
$lang['ignore'] = "התעלם";
$lang['private_chat'] = "פרטי";
$lang['options'] = "אפשרויות";

// users status language

$lang['online'] = "מחובר";
$lang['busy'] = "עסוק";
$lang['away'] = "לא נמצא";
$lang['gaming'] = "משחק";
$lang['eating'] = "אוכל";
$lang['invisible'] = "בלתי נראה";

// empty box text 

$lang['not_exist'] = "הפוסט הזה כבר לא קיים";
$lang['no_news'] = "אין חדשות להצגה";
$lang['no_friend'] = "רשימת חברים שלך ריקה";
$lang['no_friend_request'] = "אין לך בקשות חברות חדשות ברשימה";
$lang['no_unread_private'] = "רשימת שיחות פרטיות שלך ריקה";
$lang['no_report'] = "אין דוחות להצגה";
$lang['no_ignore'] = "רשימת ההתעלמות שלך ריקה";
$lang['no_data'] = "No data";

// search feature

$lang['my_region'] = "האזור שלי";
$lang['my_country'] = "המדינה שלי";
$lang['activity'] = "סטטוס פעיל";
$lang['all'] = "הכל";

// room box create text

$lang['room_limit'] = "הגבלת גולשים";
$lang['room_name'] = "שם חדר";
$lang['room_type'] = "סוג חדר";
$lang['room_description'] = "פרטים";
$lang['create'] = "צור חדר";

// system name 

$lang['quit_room'] = "%bcquit% %user%";
$lang['system_join_room'] = "%bcjoin% %user%";
$lang['room_clear'] = "%bcclear% %user%";
$lang['leave_message'] = "עזב את החדר";
$lang['join_message'] = "הצטרף לחדר";
$lang['clear_message'] = "החדר נוקה על ידי";

// control room and admin pop

$lang['mute'] = "השתק";
$lang['unmute'] = "בטל השתקה";
$lang['ban'] = "חסימה";
$lang['unban'] = "בטל חסימה";
$lang['delete_account'] = "מחק משתמש";

// lang admin status

$lang['select_critera'] = "בחר קריטריונים";
$lang['banned'] = "חסימה";
$lang['muted'] = "הושתק";
$lang['blocked'] = "נחסם";

// special box text

$lang['site_banned'] = "!נחסמת מהאתר אתה לא יכול להיכנס";
$lang['verified_now'] = "תודה החשבון שלך אומת";
$lang['oops'] = "אופס! כנראה פספסת משהו";

// system ranking 

$lang['owner'] = "מנהל הצ'אט";
$lang['admin'] = "מנהל ראשי";
$lang['mod'] = "מנהל חדר";
$lang['user'] = "משתמש";
$lang['vip'] = "וי איי פי";
$lang['user_bot'] = "רובוט";
$lang['r_admin'] = "מנהל חדר ראשי";
$lang['r_mod'] = "מנהל חדר";
$lang['guest'] = "אורח";
$lang['public'] = "ציבורי";

// notification

$lang['no_notify'] = "אין לך התראות חדשות";

// wall top part

$lang['friends'] = "חברים";

// post language

$lang['start_new_post'] = "רשום פוסט חדש";
$lang['post'] = "פוסט";
$lang['add_comment'] = "הוסף תגובה";
$lang['wall_empty'] = "אין הודעה להצגה";
$lang['delete'] = "ביטול";
$lang['report'] = "דווח";
$lang['comment_here'] = "רשום את התגובה שלך";
$lang['view_more_comment'] = "עוד תגובות";

// wall side details 

$lang['about'] = "אודות";

// topic text

$lang['topic'] = "כותרת";
$lang['topic_empty'] = "אין כותרת בשביל החדר הזה";

// report language

$lang['report_language'] = "שפה מגונה";
$lang['report_content'] = "תוכן לא הולם";
$lang['report_spam'] = "תוכן ספאם";
$lang['reported_chat'] = "דווח על פוסט בצ'אט";
$lang['reported_post'] = "דווח על פוסט בקיר";
$lang['reported_reason'] = "סיבה";

// seen language 

$lang['seen'] = "%userseen% was last seen  %seentime% in room : %seenroom%";
$lang['not_seen'] = "Sorry nothing found for %userseen%";
$lang['seen_lobby'] = "%userseen% was last seen %seentime% in the lobby";

// profile language 

$lang['gender'] = "מין";
$lang['user_theme'] = "עיצוב";
$lang['language'] = "שפה";
$lang['ip'] = "כתובת אייפי";
$lang['join_chat'] = "תאריך הצטרפות";
$lang['other_account'] = "חשבון אחר";
$lang['main_info'] = "מידע";
$lang['remove_avatar'] = "להסיר";
$lang['verify_account'] = "לאמת חשבון";
$lang['actual_pass'] = "סיסמא נוכחית";
$lang['new_pass'] = "סיסמא חדשה";
$lang['repeat_pass'] = "חזור על הסיסמה";
$lang['verified'] = "מאומת";
$lang['unverified'] = "לא מאומת";
$lang['status'] = "סטטוס";
$lang['location'] = "מיקום";
$lang['user_main_details'] = "%age% שנים, %sex%";
$lang['age_only'] = "%age% שנים";
$lang['about_me'] = "קצת עליי";
$lang['not_available'] = "לא זמין";
$lang['sounds'] = "צלילים";
$lang['all_sound'] = "כל הצלילים";
$lang['no_sound'] = "ללא צלילים";
$lang['text_color'] = "צבע כיתוב";
$lang['bold'] = "הדגשה";
$lang['user_color'] = "צבע לשם משתמתש";
$lang['last_seen'] = "נראה לאחרונה";
$lang['years_old'] = "גיל";
$lang['not_set'] = "לא זמין";
$lang['edit'] = "עריכה";

// room setting language

$lang['room_name'] = "שם החדר";
$lang['room_settings'] = "הגדרות";
$lang['staff'] = "צוות";
$lang['room_description'] = "תיאור";
$lang['system_theme'] = "ערכת הנושא של ברירת המחדל";

// room page menu top 

$lang['add_room'] = "הוסף חדר";
$lang['my_room'] = "החדרים שלי";

// side left menu language

$lang['room_side_settings'] = "הגדרות חדר";
$lang['module'] = "תוספים";

// notification box language 

$lang['friend_request'] = "בקשת חברות";
$lang['notification'] = "התראות";
$lang['mb'] = "Mb ";
$lang['vip_feature'] = "מצטערים אפשרות זו לחברי וי אייפי בלבד";

// admin option 

$lang['action_none'] = "אין פעולה";
$lang['action_mute'] = "השתקה";
$lang['action_unmute'] = "ביטול השתקה";
$lang['action_verify'] = "לאמת";
$lang['room_admin'] = "הפוך למנהל החדר";
$lang['new_password'] = "בחר סיסמא חדשה";
$lang['user_rank'] = "דירוג משתמש";
$lang['action_ban'] = "חסימה";
$lang['action_unban'] = "ביטול חסימה";
$lang['action_delete'] = "מחיקת משתמש";
$lang['none'] = "ללא";
$lang['do_action'] = "פעולה";
$lang['aply'] = "לאשר";
$lang['never'] = "אף פעם";
$lang['default_player'] = "ברירת מחדל פס מוזיקה";

// activation box

$lang['edit_email'] = "ערוך דואר אלקטרוני";
$lang['active_message'] = "שלחנו דוא\"ל אל %cemail%. הזן קוד אימות כדי לאמת את חשבונך.";
$lang['code'] = "הכנס קוד";

// admin section text 

$lang['system_name'] = "שם מערכת";
$lang['index_path'] = "נתיב אינדקס הצ'אט";
$lang['site_title'] = "כותרת האתר";
$lang['site_description'] = "תיאור האתר";
$lang['site_keyword'] = "מילות מפתח באתר";
$lang['timezone'] = "זמן מיקום והאזור";
$lang['theme'] = "ברירת מחדל של ערכת הנושא";
$lang['default_language'] = "ברירית מחדל שפה";
$lang['allow_registration'] = "אשר הרשמה חדשה לאתר";
$lang['allow_guest'] = "אשר אורחים";
$lang['guest_prefix'] = "קידומת אורחים";
$lang['min_age'] = "גיל מינימלי להרשמה";
$lang['validate'] = "בקש אימות";
$lang['room_count'] = "ספירת ברירת המחדל ליצירת החדר";
$lang['admin_topic'] = "הצג כותרת בצ'אט";
$lang['max_main'] = "הגבלת מקסימול לגולשים בצ'אט";
$lang['max_private'] = "הגבלת שיחות פרטי";
$lang['max_avatar'] = "הגבלת העלאת גודל אווטר";
$lang['max_file'] = "הגבלת העלאת קבצים";
$lang['show_logs'] = "הצגת יומני מערכת";
$lang['word_delay'] = "משך השתקה על מילה רעה";
$lang['speed'] = "דיילי רענון הצ'אט";
$lang['chat_delete'] = "יומני הצ'אט מחיקה";
$lang['private_delete'] = "יומן שיחות פרטיות";
$lang['wall_delete'] = "מחיקת פוסטים בקיר";
$lang['max_offcount'] = "הצגת משתמשים לא מקוונים";
$lang['file_delete'] = "מחיקת קבצים";
$lang['mail_type'] = "סוג מערכת הדואר";
$lang['site_email'] = "דואר אלקטוני של האתר";
$lang['email_from'] = "שם השולח";
$lang['smtp_host'] = "Smtp host";
$lang['smtp_username'] = "Smtp username";
$lang['smtp_password'] = "Smtp password";
$lang['smtp_encryption'] = "Smtp encryption";
$lang['smtp_port'] = "Smtp port";
$lang['allow_colors'] = "אשר צבע בכתב";
$lang['emo_plus'] = "אשר אימומג'י מיוחדים";
$lang['allow_direct'] = "אפשר תצוגה ישירה";
$lang['allow_room'] = "אשר יצירת חדש";
$lang['allow_history'] = "אשר שימוש בהיסטוריה";
$lang['add_word'] = "הוסף מילה למסנן";
$lang['action_word'] = "פעולה עבור שימוש במילה אסורה";
$lang['empty'] = "אין כרגע נתונים להצגה";
$lang['search_member'] = "חיפוש משתמש";
$lang['advance_search'] = "חיפוש מתקדם";
$lang['no_update'] = "אין עדכון להתקנה ברגע זה";
$lang['no_addons'] = "לא נמצאו";
$lang['default_stream'] = "נגן שידור ברירת מחדל";
$lang['add_player_stream'] = "הוסף רדיו";
$lang['stream_url'] = "כתובת השידור";
$lang['stream_alias'] = "כינוי לשידור";
$lang['allow_user_theme'] = "אפשר למשתמשים ערכת נושא";
$lang['file_management'] = "ניהול קבצים";
$lang['chatting_members'] = "משתמשים משוחחים";
$lang['post_count'] = "קיר פוסטים";
$lang['post_reply'] = "קיר תגובות";
$lang['verified_members'] = "משתמשים מאומתים";
$lang['active_room'] = "חדרים פעילים";
$lang['chat_logs'] = "יומן הצ'אט";
$lang['private_logs'] = "יומן שיחות פרטיות";
$lang['banned_ip'] = "אייפי חסומים";
$lang['current_version'] = "גרסה נוכחית";
$lang['php_version'] = "PHP version";
$lang['max_upload'] = "מקסימות להעאלה";
$lang['name_color'] = "אפשר למשתמש להשתמש בצבע";
$lang['bridge'] = "Bridge login";
$lang['max_name'] = "הגבלת כתב בשם משתמש";
$lang['allow_verify'] = "אפשר אימות חשבון";
$lang['allow_guest_name'] = "אפשר לאורח להחליף שם";

/* admin menu */

$lang['dashboard'] = "לוח בקרה";
$lang['system_info'] = "מידע על המערכת";
$lang['main_settings'] = "אפשרויות עיקריות";
$lang['registration_settings'] = "אפשרויות הרשמה";
$lang['manage_report'] = "ניהול דוחות";
$lang['email_settings'] = "הגדרות אימייל";
$lang['chat_settings'] = "אפשרויות הצ'אט";
$lang['users_management'] = "ניהול משתמשים";
$lang['room_management'] = "ניהול חדרים";
$lang['ban_management'] = "חסומים אייפי";
$lang['database_management'] = "העלאות וממסד נתונים";
$lang['upload_settings'] = "הגדרות העלאה";
$lang['limit_management'] = "מגביל אפשרויות";
$lang['player_settings'] = "אפשרויות נגן מוזיקה";
$lang['update_zone'] = "עדכונים";
$lang['bad_word_filter'] = "סינון מילים אסורות";
$lang['pages_management'] = "ניהול דפים";
$lang['addons_management'] = "ניהול תוספים";
$lang['manual'] = "מסמכים והוראות";
$lang['logs_management'] = "ניהול יומני תנועות";
$lang['console'] = "קונסולה";
$lang['manage_language'] = "ניהול שפות";
$lang['manage_modules'] = "ניהול מודולים";

$lang['allow_name'] = "אפשר שינוי שם משתמש";
$lang['social_login'] = "הפעל %type% התחברות";
$lang['social_id'] = "%type% app id";
$lang['social_secret'] = "%type% app secret";
$lang['allow_avatar'] = "אפשר אווטר";

// added pre release

$lang['main'] = 'ראשי';
$lang['social'] = 'חברתי';
$lang['cookie_law'] = 'אתר זה משתמש בקובצי Cookie לקבלת מידע נוסף ולניהול קובצי Cookie שנקראו %data%';
$lang['filter'] = 'מסננים';
$lang['email_filter'] = 'מסנן דוא"ל פעיל';
$lang['spam_content'] = 'הפוסט הזה סומן כדואר זבל';
$lang['help'] = 'Help';
$lang['page'] = 'לובי';
$lang['lobby'] = 'לובי';
$lang['manage_action'] = 'נהל פעולה';

// added version 1.1

$lang['allow_private'] = 'אפשר צ\'אט פרטי';
$lang['private_mode'] = 'שיחה פרטית';
$lang['friend_only'] = 'חברים בלבד';
$lang['clear'] = 'ברור';
$lang['use_recapt'] = 'Google recaptcha';
$lang['recapt_site'] = 'מפתח אתר';
$lang['recapt_secret'] = 'מפתח סודי';
$lang['allow_mood'] = 'אפשר מצב רוח';
$lang['mood'] = 'מצב רוח';
$lang['limit_feature'] = 'הגבל תכונה זו ל';


// added in version 2.0

$lang['user_timezone'] = 'אזור זמן';
$lang['nothing_found'] = 'שום דבר לא נמצא';
$lang['type_something'] = 'כתוב הודעה...';
$lang['system_config'] = 'הגדרות מערכת';
$lang['system_tools'] = 'כלי מערכת';
$lang['system_logs'] = 'מערכת רשומות';
$lang['super_admin'] = 'מנהל העל';
$lang['room_rank'] = 'סדר חדר';
$lang['reason'] = 'הגורם';
$lang['reason_given'] = 'נתון סיבה';
$lang['duration'] = 'זמן';
$lang['kick'] = 'לבעוט';
$lang['unkick'] = 'הסרת בעיטה';
$lang['kicked'] = 'בועט בך';
$lang['kick_msg'] = 'בחדר אתה מפוטר';
$lang['kick_back'] = 'תוכל להיכנס שוב חדר הצאט.';
$lang['bridge_login'] = 'מצב קלט גשר';
$lang['bridge_only'] = 'גשר בלבד';
$lang['add_bridge'] = 'הוסף היפר';
$lang['rank_icon'] = 'הצג סמלי דירוג';
$lang['gender_icon'] = 'הצג מין אווטר';
$lang['userlist_only'] = 'רשימה בלבד';
$lang['userlist_chat'] = 'רשימת צ\'אט';
$lang['innactive_logout'] = 'נתק חברים לא פעילים';
$lang['delay_settings'] = 'הגדרת עיכוב';
$lang['member_delete'] = 'מחיקת משתמשים לא פעילים';
$lang['room_delete'] = 'מחיקת חדרים לא פעילים';
$lang['room_list'] = 'רשימת חדרים';
$lang['station'] = 'רדיו';
$lang['station_list'] = 'רשימת רדיו';
$lang['allow_grad'] = 'אפשר צבעי אפקט טקסט';
$lang['name_grad'] = 'אפשר הרשאות שם משתמש אפקטיבי';
$lang['color'] = 'צבע';
$lang['gradient'] = 'השפעה';
$lang['verify_start'] = 'אנו נשלח לך קוד אימות לכתובת הדואר האלקטרוני הרשומה שלך כדי להשלים את תהליך אימות החשבון.';
$lang['verify_end'] = 'הזן את קוד האימות שנשלח לדוא"ל שלך.';
$lang['verify_send'] = 'שלח קוד אימות';
$lang['verify_got'] = 'יש לי קוד אימות';
$lang['change_password'] = 'שינוי הסיסמה שלך';
$lang['unset_mood'] = 'הוסף את מצב הרוח שלך';
$lang['user_verify'] = 'לאשר';
$lang['dj_module'] = 'מודול DJ';
$lang['onair'] = 'בצד העליון DJ';
$lang['please_wait'] = 'המשך אנא המתן אנא המתן ...';
$lang['min_text'] = 'מינימום %number% אופי';
$lang['select'] = 'בחר אפשרות';
$lang['member_feature'] = 'מצטערים, תכונה זו זמינה רק לחברים רשומים.';
$lang['maintenance'] = 'תחזוקה';
$lang['maint_mode'] = 'מצב תחזוקה';
$lang['maint_text'] = 'אנחנו נהיה פעילים שוב ברגע שאנחנו עושים תחזוקת האתר תודה על הזמן שלך..';
$lang['auto_refresh'] = 'דף זה באופן אוטומטי זה יחודש.';
$lang['close_account'] = 'מחק את החשבון';
$lang['cancel_request'] = 'בטל בקשה';
$lang['close_message'] = 'לאחר אישור החשבון, החשבון שלך יימחק תוך 7 ימים.תוכל לבטל את הבקשה הזו מהפרופיל שלך.';
$lang['close_warning'] = 'החשבון שלך %date% יימחק לפי תאריך תוכל לבטל את הבקשה.לא ניתן לשחזר שוב את החשבונות שנמחקו.';

$lang['private_settings'] = 'הגדרות פרטיות';
$lang['manage_friends'] = 'נהל חברים';
$lang['manage_ignores'] = 'נהל חסומים';
$lang['lang_location'] = 'שפה / מיקום';
$lang['theme_settings'] = 'הגדרות עיצוב';
$lang['sound_settings'] = 'הגדרות צילילים';
$lang['members'] = 'משתמשים';
$lang['add_post'] = 'הוסף פוסט';
$lang['add_staff'] = 'הוסף צוות';
$lang['r_owner'] = 'מנהל חדר';
$lang['display_settings'] = 'אפשרויות תצוגה';
$lang['login_page'] = 'סגנון דף כניסה';
$lang['filtering'] = 'פילטרים';
$lang['edit_about'] = 'עריכת פרטים שלי';
$lang['user_id'] = 'מספר מזהה';
$lang['optional'] = '(רצוי)';
$lang['unlimited'] = 'ללא הגבלה';
$lang['secure_account'] = 'לחץ כאן כדי להוסיף פרטי אבטחה לחשבונך וכדי לגשת לתכונות נוספות.';
$lang['register_guest'] = 'אתה מחובר כרגע כאורח לחץ כאן כדי לרשום את חשבונך על מנת לגשת לתכונות נוספות';
$lang['name_email'] = 'שם משתמש / דואר אלקטרוני';
$lang['global_action'] = 'פעולות גלובלאיות';
$lang['change_rank'] = 'שנה דרגה';
$lang['block'] = 'חסימה';
$lang['unblock'] = 'לשחרר חסימה';
$lang['unignore'] = 'לשחרר התעלם';
$lang['unfriend'] = 'להסיר חבר';
$lang['main_action'] = 'Main';
$lang['room_action'] = 'חדר';
$lang['account_status'] = 'סטטוס';
$lang['edit_verify'] = 'ערוך את מצב החשבון';
$lang['guest_form'] = 'טופס מורחב לאורח';
$lang['edit_username'] = 'ערוך שם משתמש';
$lang['edit_color'] = 'ערוך צבע שם משתמש';
$lang['edit_mood'] = 'ערוך הרגשה';
$lang['geo_system'] = 'Geolocalisation';
$lang['room_system'] = 'חדר לובי';
$lang['wall_system'] = 'מערכת קיר';
$lang['cookie_system'] = 'קוקיז';
$lang['allow_cover'] = 'אפשר כיסוי לפרופיל';
$lang['allow_gcover'] = 'אפשר כיסוי אנימציה';
$lang['max_cover'] = 'מקסימום כיסוי העלאה';
$lang['second'] = 'שנייה';
$lang['seconds'] = 'שניות';
$lang['minute'] = 'דקה';
$lang['minutes'] = 'דקות';
$lang['hour'] = 'שעה';
$lang['hours'] = 'שעות';
$lang['day'] = 'יום';
$lang['days'] = 'ימים';
$lang['week'] = 'שבוע';
$lang['weeks'] = 'שבועות';
$lang['month'] = 'חודש';
$lang['months'] = 'חודשים';
$lang['year'] = 'שנה';
$lang['years'] = 'שנים';
$lang['registered'] = 'נרשם';
$lang['system_diagnostic'] = 'אחבון מערכת';
$lang['user_muted'] = 'המשתמש הזה הושתק';
$lang['user_banned'] = 'המשתמש הזה נחסם';
$lang['history'] = 'היסטוריה';
$lang['flood'] = 'הצפות';
$lang['badword'] = 'שפה מגונה';
$lang['spam'] = 'ספאם';
$lang['no_reason'] = 'לא הוזן סיבה';
$lang['by'] = 'אחר';
$lang['delay'] = 'דיליי';
$lang['fetching'] = 'שולף נתונים אנא המתן';
$lang['topic_title'] = 'כותרת';
$lang['seen_title'] = 'נראה';
$lang['default_title'] = 'הודעה';
$lang['data'] = 'Data';

// added in 3.5

$lang['account'] = 'חשבון';
$lang['security'] = 'אבטחה';
$lang['regmute'] = 'השתק חשבון חדש';
$lang['user_regmuted'] = 'חשבון זה חדש , לכן הושתק לצורך אימות';
$lang['welcome_user'] = 'ברוך הבא %user%';
$lang['reg_message'] = 'כדי להצציע איכות לצאט אנחנו משתיקים חשבון חדש שלא אומת , החשבון מושתק עד לאימות מלא  ויפתח באופן אוטומטי';
$lang['guest_message'] = 'אתה מחובר לצאט כאורח , לכן אינך רשאי לכתוב בצאט בשלב זה';
$lang['guest_message2'] = 'הירשם לצאט על מנת להנות מתכונות נוספות ופצרים חדשים';
$lang['view_only'] = 'צפיה בלבד';
$lang['view_likes'] = 'לייקים בלבד';
$lang['delete_post'] = '? האם אתה בטוח שאתה למחוק את הפוסט הזה';
$lang['delete_private'] = 'אתה עומד למחוק את השיחה הפרטית והפעולה אינה הפיכה האם אתה בטוח בפועלה המחיקה הזאת?';
$lang['console_clear'] = 'ניקוי קונסולת המערכת תמחק את כל יומני השיחות האם אתה בטוח בזה?';
$lang['hide'] = 'הסתר';
$lang['user_room'] = 'חדר נוכחי';
$lang['chat_sound'] = 'צלילי צאט';
$lang['private_sound'] = 'צלילים פרטיים';
$lang['notification_sound'] = 'צלילי התראות';
$lang['username_sound'] = 'צלילי משתמש';
$lang['edit_info'] = 'עירכת מידע';
$lang['reported_private'] = 'דיווח על צאט פרטי';
$lang['reported_profile'] = 'דיווח על פרופיל';
$lang['report_post'] = 'דיווח על תוכן';
$lang['report_warning'] = 'אנא דווח על עבירות שניתן לצבע. ניצול לרעה או דיווח כוזב עלול להוביל לפעולות שננקטו נגד חשבונך בחר סיבה לדווח על תון זה';
$lang['report_select'] = 'בחר סיבה';
$lang['report_fraud'] = 'ניסיון הונאה';
$lang['mobile'] = 'נייד';
$lang['allow_cupload'] = 'אפשר העאלת צאט';
$lang['allow_pupload'] = 'אפשר העאלה בפרטי';
$lang['allow_wupload'] = 'אפשר העאלה בקיר';
$lang['guest_talk'] = 'אפשר לאורחים לדבר בצאט';
$lang['system_name_change'] = '%user% %bcname% %nname%';
$lang['system_kick'] = '%user% %bckick%';
$lang['system_ban'] = '%user% %bcban%';
$lang['system_mute'] = '%user% %bcmute%';
$lang['name_message'] = 'ידעו עכשיו כ';
$lang['kick_message'] = 'המשתמש נזרק';
$lang['ban_message'] = 'המשתמש נחסם';
$lang['mute_message'] = 'המשתמש הושתק';
$lang['profile'] = 'פרופיל';
$lang['private'] = 'פרטי';
$lang['preview'] = 'תצוגה';
$lang['nobody'] = 'אף אחד';
$lang['chat'] = 'צאט';
$lang['display'] = 'תצוגה';
$lang['reset'] = 'ריסט';
$lang['neon'] = 'נאון';
$lang['allow_neon'] = 'אפשר נאון בטקסט';
$lang['name_neon'] = 'אפשר נאון בשם';
$lang['name_font'] = 'אפשר גופן בשם';
$lang['allow_font'] = 'אפשר גופן בטקסט';
$lang['font_style'] = 'גופן תצורה';
$lang['font'] = 'גופן';
?>