<?php
// intro

$lang['left_title'] = 'Conheça novas pessoas';
$lang['left_welcome'] = 'Nossa comunidade de bate-papo lhe dá a oportunidade de fazer novos amigos e compartilhar bons momentos com outras pessoas.';
$lang['last_active'] = 'Últimos membros ativos';

// menu text 

$lang['logout'] = 'Sair';
$lang['my_profile'] = 'Meu perfil';
$lang['admin_panel'] = 'Painel de admin';
$lang['home'] = 'Home';

// title item 

$lang['close'] = 'Fechar';
$lang['friend_list'] = 'Lista de amigos';
$lang['ignore_list'] = 'Ignorar';
$lang['user_list'] = 'Lista de usuários';
$lang['private_list'] = 'Lista privada';
$lang['report_list'] = 'Lista de relatórios';

// intro text

$lang['username'] = 'Nome de usuário';
$lang['password'] = 'Senha';
$lang['email'] = 'Email';
$lang['country'] = 'País';
$lang['region'] = 'Região';
$lang['age'] = 'Idade';
$lang['male'] = 'Masculino';
$lang['female'] = 'Feminino';
$lang['register'] = 'Registrar';
$lang['connect_with'] = 'Conectar com';
$lang['enter_now'] = 'Entre agora!';
$lang['rules'] = 'Termos de uso';
$lang['privacy'] = 'Política de privacidade';
$lang['i_agree'] = 'Ao registrar-se, você aceita o';
$lang['login'] = 'Login';
$lang['forgot'] = 'Esqueci a minha senha';
$lang['recover'] = 'Recuperar';
$lang['guest_login'] = 'Login de convidado';
$lang['site_login'] = 'Conectar-se ao site';
$lang['more_login'] = 'Outras formas de login';
$lang['not_member'] = 'Ainda não tem uma conta? Entre já!';

// friend delete box 

$lang['want_delete'] = 'Tem certeza de que deseja excluir?';

// logout box

$lang['want_logout'] = 'Deseja sair?';

// general button text

$lang['ok'] = 'ok';
$lang['yes'] = 'Sim';
$lang['no'] = 'Não';
$lang['cancel'] = 'Cancelar';
$lang['on'] = 'On';
$lang['off'] = 'Off';
$lang['never'] = 'Nunca';
$lang['save'] = 'Salvar';
$lang['delete'] = 'Deletar';
$lang['new'] = 'Novo';
$lang['upload'] = 'Upload';
$lang['unlimited'] = 'Ilimitado';
$lang['install'] = 'Instalar';
$lang['uninstall'] = 'Desinstalar';
$lang['config'] = 'Configurar';
$lang['not_shared'] = 'Não mostrar';
$lang['option_default'] = 'Padrão';
$lang['no_default'] = 'Sem padrão';
$lang['full'] = 'Completo';
$lang['add'] = 'Adicionar';
$lang['back'] = 'Voltar';
$lang['search'] = 'Pesquisar';
$lang['enter_password'] = 'Digite a senha';
$lang['room_no_description'] = 'Esta sala não tem descrição';
$lang['join_room'] = 'Entrar';
$lang['settings'] = 'Configurações';
$lang['execute'] = 'Executar';
$lang['resend'] = 'Reenviar';
$lang['apply'] = 'Aplicar';
$lang['reset_password'] = 'Redefinir senha';
$lang['load_more'] = 'Carregar mais';
$lang['add_user'] = 'Adicionar usuário';
$lang['more'] = 'Mais';
$lang['other'] = 'Outro';
$lang['test'] = 'Testar';
$lang['send'] = 'Enviar';

// lobby menu

$lang['system_news'] = 'Novidades';
$lang['search_people'] = 'Procurar pessoas';
$lang['wall'] = 'Mural de amigos';

// online offline

$lang['offline'] = 'Offline';
$lang['innactive'] = 'Inativo';

// menu drop user 

$lang['info'] = 'Ver perfil';
$lang['add_friend'] = 'Adicionar amigo';
$lang['ignore'] = 'Ignorar';
$lang['private_chat'] = 'Privada';
$lang['options'] = 'Opções';

// users status language

$lang['online'] = 'Online';
$lang['busy'] = 'Ocupado';
$lang['away'] = 'Ausente';
$lang['gaming'] = 'Jogando';
$lang['eating'] = 'Comendo';
$lang['invisible'] = 'Invisível';

// empty box text 

$lang['not_exist'] = 'Este post não existe mais';
$lang['no_news'] = 'Nenhuma notícia para exibir';
$lang['no_friend'] = 'Sua lista de amigos está vazia';
$lang['no_friend_request'] = 'Você não possui nenhuma solicitação de amigo';
$lang['no_unread_private'] = 'Sua lista privada está vazia';
$lang['no_report'] = 'Nenhum relatório para exibir';
$lang['no_ignore'] = 'Sua lista de ignorar está vazia';
$lang['no_data'] = 'Nenhum dado';

// search feature

$lang['my_region'] = 'Minha região';
$lang['my_country'] = 'Meu país';
$lang['activity'] = 'Status ativo';
$lang['all'] = 'Todos';

// room box create text

$lang['room_limit'] = 'limite do usuário';
$lang['room_name'] = 'Nome da sala';
$lang['room_type'] = 'Tipo de sala';
$lang['room_description'] = 'Descrição';
$lang['create'] = 'Criar';

// system name 

$lang['quit_room'] = '%user% %bcquit%';
$lang['system_join_room'] = '%user% %bcjoin%';
$lang['room_clear'] = '%bcclear% %user%';
$lang['leave_message'] = 'saiu da sala';
$lang['join_message'] = 'juntou-se à sala';
$lang['clear_message'] = 'Esta sala foi limpa por';

// control room and admin pop

$lang['mute'] = 'Mutar';
$lang['unmute'] = 'Desmutar';
$lang['ban'] = 'Banir';
$lang['unban'] = 'Desbanir';
$lang['delete_account'] = 'Eliminar conta';

// lang admin status

$lang['select_critera'] = 'Selecionar critérios';
$lang['banned'] = 'Banido';
$lang['muted'] = 'Mutado';
$lang['blocked'] = 'Bloqueado';

// special box text

$lang['site_banned'] = 'Você foi banido deste site. Você não pode entrar! ';
$lang['verified_now'] = 'Obrigado, sua conta agora está verificada';
$lang['oops'] = 'Ops! Parece que você se perdeu em algum lugar. ';

// system ranking 

$lang['owner'] = 'Owner';
$lang['admin'] = 'Admin';
$lang['mod'] = 'Moderador';
$lang['user'] = 'Usuário';
$lang['vip'] = 'Vip';
$lang['user_bot'] = 'Bot';
$lang['r_admin'] = 'Room admin';
$lang['r_mod'] = 'Moderador';
$lang['guest'] = 'Convidado';
$lang['public'] = 'Público';

// notification

$lang['no_notify'] = 'Você não possui notificação';

// wall top part

$lang['friends'] = 'Amigos';

// post language

$lang['start_new_post'] = 'Iniciar uma novo post';
$lang['post'] = 'Postar';
$lang['add_comment'] = 'Adicionar comentário';
$lang['wall_empty'] = 'Não há publicação para mostrar';
$lang['delete'] = 'Deletar';
$lang['report'] = 'Reportar';
$lang['comment_here'] = 'Digite seu comentário';
$lang['view_more_comment'] = 'Mais comentários';

// wall side details 

$lang['about'] = 'Sobre';

// topic text

$lang['topic'] = 'Tópico';
$lang['topic_empty'] = 'Nenhum tópico definido para essa sala';

// report language

$lang['report_language'] = 'linguagem abusiva';
$lang['report_content'] = 'Conteúdo inapropriado';
$lang['report_spam'] = 'Conteúdo do Spam';
$lang['reported_chat'] = 'Relatou uma mensagem de bate-papo';
$lang['reportado_post'] = 'Relatou uma publicação no mural';
$lang['reported_reason'] = 'Razão';

// seen language 

$lang['seen'] = '%userseen% foi visto pela última vez  %seentime% na sala : %seenroom%';
$lang['not_seen'] = 'Desculpe nada encontrado para %userseen%';
$lang['seen_lobby'] = '%userseen% foi visto pela última vez %seentime% no lobby';

// profile language 

$lang['gender'] = 'Gênero';
$lang['user_theme'] = 'Tema';
$lang['language'] = 'Idioma';
$lang['ip'] = 'Endereço Ip';
$lang['join_chat'] = 'Membro desde';
$lang['other_account'] = 'Outra conta';
$lang['main_info'] = 'Info';
$lang['remove_avatar'] = 'Remover';
$lang['verify_account'] = 'Verificar conta';
$lang['actual_pass'] = 'Senha atual';
$lang['new_pass'] = 'Nova senha';
$lang['repeat_pass'] = 'Repetir senha';
$lang['verified'] = 'Verificado';
$lang['unverified'] = 'Não verificado';
$lang['status'] = 'Status';
$lang['location'] = 'Localização';
$lang['user_main_details'] = '%age% anos,%sex%';
$lang['age_only'] = '%age% anos';
$lang['about_me'] = 'Sobre mim';
$lang['not_available'] = 'Não disponível';
$lang['sounds'] = 'Sons';
$lang['all_sound'] = 'Todos sons';
$lang['no_sound'] = 'Nenhum';
$lang['text_color'] = 'Cor do texto';
$lang['bold'] = 'B';
$lang['user_color'] = 'Cor do nome de usuário';
$lang['last_seen'] = 'Visto pela última vez';
$lang['years_old'] = 'anos de idade';
$lang['not_set'] = 'Não disponível';
$lang['edit'] = 'Editar';

// room setting language

$lang['room_name'] = 'Nome da sala';
$lang['room_settings'] = 'Configurações';
$lang['staff'] = 'Staff';
$lang['room_description'] = 'Descrição';
$lang['system_theme'] = 'Tema padrão';

// room page menu top 

$lang['add_room'] = 'Criar sala';
$lang['my_room'] = 'Minhas salas';

// side left menu language

$lang['room_side_settings'] = 'Configurações da sala';
$lang['module'] = 'Addons';

// notification box language 

$lang['friend_request'] = 'Pedido de amizade';
$lang['notification'] = 'Notificação';
$lang['mb'] = 'Mb ';
$lang['vip_feature'] = 'Desculpe, este recurso está limitado aos membros do Vip';

// admin option 

$lang['action_none'] = 'Nenhuma';
$lang['action_mute'] = 'Mudo';
$lang['action_unmute'] = 'Desmutar';
$lang['action_verify'] = 'Verificar';
$lang['room_admin'] = 'Faça o administrador da sala';
$lang['new_password'] = 'Definir nova senha';
$lang['user_rank'] = 'Rank do usuário';
$lang['action_ban'] = 'Ban';
$lang['action_unban'] = 'Unban';
$lang['action_delete'] = 'Excluir conta';
$lang['none'] = 'Nenhum';
$lang['do_action'] = 'Ação';
$lang['aply'] = 'Aplicar';
$lang['never'] = 'Nunca';
$lang['default_player'] = 'Player padrão';

// activation box

$lang['edit_email'] = 'Editar e-mail';
$lang['active_message'] = 'Enviamos um email para%cemail%. Digite o código de verificação para verificar sua conta. ';
$lang['code'] = 'Digite o código';

// admin section text 

$lang['system_name'] = 'Nome do sistema';
$lang['index_path'] = 'Chat index path';
$lang['site_title'] = 'Titulo do site';
$lang['site_description'] = 'Descrição do site';
$lang['site_keyword'] = 'Palavras-chave do site';
$lang['timezone'] = 'Fuso horário';
$lang['theme'] = 'Tema padrão';
$lang['default_language'] = 'Idioma padrão';
$lang['allow_registration'] = 'Permitir novo registro';
$lang['allow_guest'] = 'Permitir convidado';
$lang['guest_prefix'] = 'Prefixo convidado';
$lang['min_age'] = 'Idade mínima para se registrar';
$lang['validate'] = 'Pedir verificação';
$lang['room_count'] = 'Contagem padrão na criação da sala';
$lang['admin_topic'] = 'Exibir tópico no bate-papo';
$lang['max_main'] = 'Limite de caracteres na sala';
$lang['max_private'] = 'Limite de caracteres na privado';
$lang['max_avatar'] = 'Tamanho máximo do avatar permitido';
$lang['max_file'] = 'Tamanho máximo do arquivo permitido';
$lang['show_logs'] = 'Exibir logs do sistema';
$lang['word_delay'] = 'Silenciar por';
$lang['speed'] = 'Delay do bate-papo';
$lang['chat_delete'] = 'Deletar tópicos de bate-papo ';
$lang['private_delete'] = 'Deletar registro do privado';
$lang['wall_delete'] = 'Deletar registro do mural';
$lang['max_offcount'] = 'Exibir usuários off-line';
$lang['file_delete'] = 'Excluir arquivos';
$lang['mail_type'] = 'Sistema de e-mail';
$lang['site_email'] = 'E-mail do site';
$lang['email_from'] = 'Nome do remetente';
$lang['smtp_host'] = 'Servidor Smtp';
$lang['smtp_username'] = 'Usuário';
$lang['smtp_password'] = 'Senha';
$lang['smtp_encryption'] = 'Criptografia';
$lang['smtp_port'] = 'Porta';
$lang['allow_colors'] = 'Permitir cores de texto';
$lang['emo_plus'] = 'Permitir emoticon especial';
$lang['allow_direct'] = 'Permitir exibição direta';
$lang['allow_room'] = 'Permitir a criação de sala';
$lang['allow_history'] = 'Permitir histórico no bate-papo';
$lang['add_word'] = 'Adicionar palavra ao filtro';
$lang['action_word'] = 'Ação';
$lang['empty'] = 'Atualmente não há dados para mostrar';
$lang['search_member'] = 'Pesquisar membro';
$lang['advance_search'] = 'Pesquisa avançada';
$lang['no_update'] = 'Não há atualização para instalar neste momento';
$lang['no_addons'] = 'Nenhum addon encontrado';
$lang['default_stream'] = 'Stream padrão';
$lang['add_player_stream'] = 'Adicionar rádio';
$lang['stream_url'] = 'Stream url';
$lang['stream_alias'] = 'Nome da rádio';
$lang['allow_user_theme'] = 'Permitir temas de usuários';
$lang['file_management'] = 'Gerenciamento de arquivos';
$lang['chatting_members'] = 'Usuários de bate-papo';
$lang['post_count'] = 'Post de mural';
$lang['post_reply'] = 'Comentários do Mural';
$lang['verified_members'] = 'Membros verificados';
$lang['active_room'] = 'Salas ativas';
$lang['chat_logs'] = 'Logs de bate-papo';
$lang['private_logs'] = 'Registros privados';
$lang['banned_ip'] = 'IP banidos';
$lang['current_version'] = 'Versão atual';
$lang['php_version'] = 'versão PHP';
$lang['max_upload'] = 'Carregamento máximo';
$lang['name_color'] = 'Permitir cor do nome de usuário';
$lang['bridge'] = 'Bridge login';
$lang['max_name'] = 'Tamanho máximo do nome de usuário';
$lang['allow_verify'] = 'Permitir verificação de conta';
$lang['allow_guest_name'] = 'Permitir nome do convidado';

/* admin menu */

$lang['dashboard'] = 'Dashboard';
$lang['system_info'] = 'Informações do sistema';
$lang['main_settings'] = 'Opções do site';
$lang['registration_settings'] = 'Opções de registro';
$lang['manage_report'] = 'Gerenciar relatórios';
$lang['email_settings'] = 'Configurações de e-mail';
$lang['chat_settings'] = 'Opções de bate-papo';
$lang['users_management'] = 'Gerenciar membros';
$lang['room_management'] = 'Gerenciar salas';
$lang['ban_management'] = 'IP banido';
$lang['database_management'] = 'Upload & database';
$lang['upload_settings'] = 'Configurações de upload';
$lang['limit_management'] = 'Permissões';
$lang['player_settings'] = 'Gerenciar rádios';
$lang['update_zone'] = 'Atualizações';
$lang['bad_word_filter'] = 'Filtro de palavras';
$lang['pages_management'] = 'Gerenciar páginas';
$lang['addons_management'] = 'Gerenciar addons';
$lang['manual'] = 'Documentação';
$lang['logs_management'] = 'Gerenciamento de logs';
$lang['console'] = 'Console';
$lang['manage_language'] = 'Gerenciar idiomas';
$lang['manage_modules'] = 'Gerenciar módulos';

$lang['allow_name'] = 'Mudança de nome de usuário';
$lang['social_login'] = 'Ativar login no %type%';
$lang['social_id'] = 'ID da aplicação do %type%';
$lang['social_secret'] = '%type% app secret';
$lang['allow_avatar'] = 'Permitir avatar';

// added pre release

$lang['main'] = 'Principal';
$lang['social'] = 'Social';
$lang['cookie_law'] = 'This site uses Cookies for more information and to manage cookies read our %data%';
$lang['filter'] = 'Filtros';
$lang['email_filter'] = 'Filtro de email ativo';
$lang['spam_content'] = 'Esta publicação foi marcada como spam';
$lang['help'] = 'Socorro';
$lang['page'] = 'Página';
$lang['lobby'] = 'Lobby';
$lang['manage_action'] = 'Gerenciar ação';

// added version 1.1

$lang['allow_private'] = 'Permitir bate-papo privado';
$lang['private_mode'] = 'Conversa privada';
$lang['friend_only'] = 'Somente amigos';
$lang['clear'] = 'Limpar';
$lang['use_recapt'] = 'Recaptcha do Google';
$lang['recapt_site'] = 'Chave do site';
$lang['recapt_secret'] = 'Chave secreta';
$lang['allow_mood'] = 'Permitir humor';
$lang['mood'] = 'Humor';
$lang['limit_feature'] = 'Limite este recurso para';


// added in version 2.0

$lang['user_timezone'] = 'Hora Local';
$lang['nothing_found'] = 'Sem Informação';
$lang['type_something'] = 'Escreva Algo ...';
$lang['system_config'] = 'Defenições do Sistema';
$lang['system_tools'] = 'Ferramentas';
$lang['system_logs'] = 'System logs';
$lang['super_admin'] = 'Superadministrador';
$lang['room_rank'] = 'Room rank';
$lang['reason'] = 'Razão';
$lang['reason_given'] = 'Razão Dada';
$lang['duration'] = 'Duração';
$lang['kick'] = 'Banir';
$lang['unkick'] = 'Desbanir';
$lang['kicked'] = 'Banido';
$lang['kick_msg'] = 'A sua conta foi banida';
$lang['kick_back'] = 'irá ser capaz de aceder ao chat em breve';
$lang['bridge_login'] = 'Bridge login mode';
$lang['bridge_only'] = 'Bridge only';
$lang['add_bridge'] = 'add_bridge';
$lang['rank_icon'] = 'Mostrar ícones de classificação';
$lang['gender_icon'] = 'Mostrar sexo do avatar';
$lang['userlist_only'] = 'Listar apenas';
$lang['userlist_chat'] = 'Listar e conversar';
$lang['innactive_logout'] = 'Desconectar membros inativos';
$lang['delay_settings'] = 'Definições de temporizador ';
$lang['member_delete'] = 'Apagar membros inativos';
$lang['room_delete'] = 'Apagar sala inativa';
$lang['room_list'] = 'Lista de salas';
$lang['station'] = 'Estação';
$lang['station_list'] = 'Lista de estações';
$lang['allow_grad'] = 'Permitir efeitos de letra';
$lang['name_grad'] = 'Permitir efeitos de nome de utilizador';
$lang['color'] = 'côr';
$lang['gradient'] = 'Efeito';
$lang['verify_start'] = 'Para que seja possivel efetuarmos o seu registo iremos enviar-le um email de confirmação. Por favor verifique que o email registado é valido antes de concluir o procedimento de registo do mesmo.';
$lang['verify_end'] = 'Escreva o codigo enviado para o seu email para que seja possivel proceder á verificação';
$lang['verify_send'] = 'Envio de verificação';
$lang['verify_got'] = 'Tenho um codigo';
$lang['change_password'] = 'Mudar palavra-pass';
$lang['unset_mood'] = 'Como se sente';
$lang['user_verify'] = 'Verificação';
$lang['dj_module'] = 'Disco-joquei';
$lang['onair'] = 'Disco-joquei no ar';
$lang['please_wait'] = 'Aguarde...';
$lang['min_text'] = '%Numero% minimo de caracteres';
$lang['select'] = 'Selecionar Opinião';
$lang['member_feature'] = 'Pedimos desculpas mas esta opção é reservada apenas para membros regitados';
$lang['maintenance'] = 'Em Manutenção';
$lang['maint_mode'] = 'Modo de manuntenção';
$lang['maint_text'] = 'Estamos de momento a proceder á manuntenção do nosso site, estaremos de volta em breve, obrigado.';
$lang['auto_refresh'] = 'Esta página ira recomeçar automaticamente';
$lang['close_account'] = 'Apagar conta';
$lang['cancel_request'] = 'Cancelar pedido';
$lang['close_message'] = 'Após confirmação a sua conta irá ser apagada em 7 dias. Tome em conta que pode cancelar o seu pedido dentro do mesmo periodo.';
$lang['close_warning'] = 'A sua conta irá ser apagada em %data%. Pode cancelar esta pedido a qualquer altura antes desta data. Contas apagadas não podem ser recuperadas.';

$lang['private_settings'] = 'Private settings';
$lang['manage_friends'] = 'Manage friends';
$lang['manage_ignores'] = 'Manage ignores';
$lang['lang_location'] = 'Language / Location';
$lang['theme_settings'] = 'Theme settings';
$lang['sound_settings'] = 'Sound settings';
$lang['members'] = 'Members';
$lang['add_post'] = 'Add post';
$lang['add_staff'] = 'Add staff';
$lang['r_owner'] = 'Room owner';
$lang['display_settings'] = 'Display options';
$lang['login_page'] = 'Login page style';
$lang['filtering'] = 'Filter';
$lang['edit_about'] = 'Edit about me';
$lang['user_id'] = 'User id';
$lang['optional'] = '(optional)';
$lang['unlimited'] = 'Unlimited';
$lang['secure_account'] = 'Click here to add security information to your account and in order to access more features.';
$lang['register_guest'] = 'You are currently logged as guest click here to register your account in order to access more features.';
$lang['name_email'] = 'Username / Email';
$lang['global_action'] = 'Global actions';
$lang['change_rank'] = 'Change rank';
$lang['block'] = 'Block';
$lang['unblock'] = 'Unblock';
$lang['unignore'] = 'Remove ignore';
$lang['unfriend'] = 'Remove friend';
$lang['main_action'] = 'Main';
$lang['room_action'] = 'Room';
$lang['account_status'] = 'Status';
$lang['edit_verify'] = 'Edit account status';
$lang['guest_form'] = 'Guest extended form';
$lang['edit_username'] = 'Edit username';
$lang['edit_color'] = 'Edit username color';
$lang['edit_mood'] = 'Edit mood';
$lang['geo_system'] = 'Geolocalisation';
$lang['room_system'] = 'Room lobby';
$lang['wall_system'] = 'Wall system';
$lang['cookie_system'] = 'Cookie law';
$lang['allow_cover'] = 'Allow profile cover';
$lang['allow_gcover'] = 'Allow animated cover';
$lang['max_cover'] = 'Max cover size allowed';
$lang['second'] = 'second';
$lang['seconds'] = 'seconds';
$lang['minute'] = 'minute';
$lang['minutes'] = 'minutes';
$lang['hour'] = 'hour';
$lang['hours'] = 'hours';
$lang['day'] = 'day';
$lang['days'] = 'days';
$lang['week'] = 'week';
$lang['weeks'] = 'weeks';
$lang['month'] = 'month';
$lang['months'] = 'months';
$lang['year'] = 'year';
$lang['years'] = 'years';
$lang['registered'] = 'Registered';
$lang['system_diagnostic'] = 'System diagnostic';
$lang['user_muted'] = 'This user is currently muted';
$lang['user_banned'] = 'This user is currently banned';
$lang['history'] = 'History';
$lang['flood'] = 'flooding';
$lang['badword'] = 'Abusive language';
$lang['spam'] = 'Spamming';
$lang['no_reason'] = 'No reason provided';
$lang['by'] = 'Author';
$lang['delay'] = 'Delay';
$lang['fetching'] = 'Fetching data please wait';
$lang['topic_title'] = 'Topic';
$lang['seen_title'] = 'Seen';
$lang['default_title'] = 'Message';
$lang['data'] = 'Data';

// added in 3.5

$lang['account'] = 'Conta';
$lang['security'] = 'Segurança';
$lang['regmute'] = 'Silenciar nova conta';
$lang['user_regmuted'] = 'Este utilizador é novo e está mudo para verificação.';
$lang['welcome_user'] = 'Welcome %user%';
$lang['reg_message'] = 'Para oferecer uma melhor experiência e evitar spam indesejado no chat, estamos silenciando a nova conta enquanto verificamos a conta. Sua conta será reativada automaticamente após a verificação.';
$lang['guest_message'] = 'Você está atualmente  como visitante. Os visitantes só podem ver o chat e, infelizmente, não têm permissão para escrever no chat neste momento.';
$lang['guest_message2'] = 'Registe-se no chat para poder escrever e aproveitar muitos outros excelentes recursos.';
$lang['view_only'] = 'Ver apenas';
$lang['view_likes'] = 'Ver os gostos';
$lang['delete_post'] = 'Tem a certeza que deseja eleminar este post ?';
$lang['delete_private'] = 'Você está prestes a excluir este histórico de conversas privadas. Esta ação não é reversível e não será processada se um relatório estiver ativo para este particular. Você tem certeza que quer continuar?';
$lang['console_clear'] = 'Limpar a consola do sistema irá apagar todos os registos gravados deseja continuar e limpar a consola?';
$lang['hide'] = 'Ocultar';
$lang['user_room'] = 'Sala actual';
$lang['chat_sound'] = 'sons do chat';
$lang['private_sound'] = 'sons do privado';
$lang['notification_sound'] = 'Notificação sons';
$lang['username_sound'] = 'Username sons';
$lang['edit_info'] = 'Editar informação';
$lang['reported_private'] = 'Relatou um chat privado';
$lang['reported_profile'] = 'Relatou um perfil';
$lang['report_post'] = 'Relatou um post';
$lang['report_warning'] = 'Envie apenas ofensas acionáveis. Abuso ou denúncia falsa podem levar a ações tomadas contra sua própria conta. Selecione o motivo para relatar este conteúdo';
$lang['report_select'] = 'Selecione o motivo';
$lang['report_fraud'] = 'Tentativa de fraude';
$lang['mobile'] = 'Móvel';
$lang['allow_cupload'] = 'Permitir upload do chat';
$lang['allow_pupload'] = 'Permitir upload  no privado';
$lang['allow_wupload'] = 'Permitir upload de Mural';
$lang['guest_talk'] = 'Permitir que o convidado fale no chat';
$lang['system_name_change'] = '%user% %bcname% %nname%';
$lang['system_kick'] = '%user% %bckick%';
$lang['system_ban'] = '%user% %bcban%';
$lang['system_mute'] = '%user% %bcmute%';
$lang['name_message'] = 'agora é conhecido como';
$lang['kick_message'] = 'foi chutado do chat';
$lang['ban_message'] = 'foi banido';
$lang['mute_message'] = 'foi silenciado';
$lang['profile'] = 'Perfil';
$lang['private'] = 'Privado';
$lang['preview'] = 'Antevisão';
$lang['nobody'] = 'Ninguém';
$lang['chat'] = 'Chat';
$lang['display'] = 'Exibição';
$lang['reset'] = 'Redefinir';
$lang['neon'] = 'Neon';
$lang['allow_neon'] = 'Permitir texto neon';
$lang['name_neon'] = 'Permitir username neon';
$lang['name_font'] = 'Permitir fonte no nome de utilizador';
$lang['allow_font'] = 'Permitir texto de fonte';
$lang['font_style'] = 'Estilo de fonte';
$lang['font'] = 'Font';
?>