<?php
// intro

$lang['left_title'] = 'Встречайте новых людей';
$lang['left_welcome'] = 'Наш чат дает возможность завести новых друзей и обмениваться хорошими моментами с другими людьми.';
$lang['last_active'] = 'Последние активные пользователи';

// menu text 

$lang['logout'] = 'Выйти';
$lang['my_profile'] = 'Мой профиль';
$lang['admin_panel'] = 'Админ-панель';
$lang['home'] = 'Home';

// title item 

$lang['close'] = 'Закрыть';
$lang['friend_list'] = 'Друзья';
$lang['ignore_list'] = 'Игнор';
$lang['user_list'] = 'Список пользователей';
$lang['private_list'] = 'Приват';
$lang['report_list'] = 'Отчет';

// intro text

$lang['username'] = 'Ник';
$lang['password'] = 'Пароль';
$lang['email'] = 'Email';
$lang['country'] = 'Страна';
$lang['region'] = 'Область';
$lang['age'] = 'Возраст';
$lang['male'] = 'Мужской';
$lang['female'] = 'Женский';
$lang['register'] = 'Зарегистрироваться';
$lang['connect_with'] = 'Соединить с';
$lang['enter_now'] = 'Войти';
$lang['rules'] = 'Правила';
$lang['privacy'] = 'Политика конфиденциальности';
$lang['i_agree'] = 'Регистрируясь, Вы соглашаетесь с';
$lang['login'] = 'Войти';
$lang['forgot'] = 'Забыли пароль?';
$lang['user_recover'] = 'Ник';
$lang['recover'] = 'Востановить';
$lang['guest_login'] = 'Гость';
$lang['site_login'] = 'Подключение к сайту';
$lang['more_login'] = 'Больше вариантов';
$lang['not_member'] = 'Не зарегистрированы? Зарегистрируйтесь сейчас!';

// friend delete box 

$lang['want_delete'] = 'Вы уверены, что хотите удалить?';

// logout box

$lang['want_logout'] = 'Хотите выйти?';

// general button text

$lang['ok'] = 'ОК';
$lang['yes'] = 'Да';
$lang['no'] = 'Нет';
$lang['cancel'] = 'Отмена';
$lang['on'] = 'Включить';
$lang['off'] = 'Выключить';
$lang['minute'] = 'Мин.';
$lang['hour'] = 'Час';
$lang['day'] = 'День';
$lang['days'] = 'Дней';
$lang['week'] = 'Неделя';
$lang['month'] = 'Месяц';
$lang['never'] = 'Никогда';
$lang['save'] = 'Сохранить';
$lang['delete'] = 'Удалить';
$lang['new'] = 'Новое';
$lang['upload'] = 'Загрузить';
$lang['unlimited'] = 'Неограниченный';
$lang['install'] = 'Установить';
$lang['uninstall'] = 'Удалить';
$lang['config'] = 'Конфигурация';
$lang['not_shared'] = 'Не показывать';
$lang['option_default'] = 'Установить по умолчанию';
$lang['no_default'] = 'No default';
$lang['full'] = 'Полный';
$lang['add'] = 'Добавить';
$lang['back'] = 'Назад';
$lang['search'] = 'Поиск';
$lang['enter_password'] = 'Пожалуйста, введите пароль';
$lang['room_no_description'] = 'В этой комнате нет описания';
$lang['join_room'] = 'Войти в комнату';
$lang['settings'] = 'Настройки';
$lang['execute'] = 'Удалить';
$lang['resend'] = 'Отправить';
$lang['apply'] = 'Подать заявление';
$lang['reset_password'] = 'Сброс пароля';
$lang['load_more'] = 'Загрузить больше';
$lang['add_user'] = 'Добавить пользователя';
$lang['more'] = 'Больше';
$lang['other'] = 'Другие';
$lang['test'] = 'Пытаться';
$lang['send'] = 'послать';

// lobby menu

$lang['system_news'] = 'Новости';
$lang['search_people'] = 'Поиск пользователей';
$lang['wall'] = 'Стена';

// online offline

$lang['offline'] = 'Последние активные';
$lang['innactive'] = 'Не активный';

// menu drop user 

$lang['info'] = 'Профиль';
$lang['add_friend']  = 'Добавить в друзья';
$lang['ignore'] = 'Игнор';
$lang['private_chat'] = 'Приватный чат';
$lang['options'] = 'Опции';

// users status language

$lang['online'] = 'Онлайн';
$lang['busy'] = 'Занят';
$lang['away'] = 'Отошел';
$lang['gaming'] = 'Играю';
$lang['eating'] = 'Кушаю';
$lang['invisible'] = 'Невидимка';

// empty box text 

$lang['not_exist'] = 'Это сообщение больше не существует';
$lang['no_news'] = 'Нет новостей';
$lang['no_friend'] = 'Ваш список друзей пуст';
$lang['no_friend_request'] = 'У Вас нет запросов в друзья';
$lang['no_unread_private'] = 'Ваш личный список пуст';
$lang['no_report'] = 'Нет отчетов';
$lang['no_ignore'] = 'Ваш список игнорируемых пуст';
$lang['no_data'] = 'Нет данных';

// search feature

$lang['my_region'] = 'Моя область';
$lang['my_country'] = 'Моя страна';
$lang['activity'] = 'Активный статус';
$lang['all'] = 'Всё';

// room box create text

$lang['room_limit'] = 'Ограничение пользователя';
$lang['optional_pass'] = '(необязательный)';
$lang['room_name'] = 'Название комнаты';
$lang['room_type'] = 'Тип комнаты';
$lang['room_description'] = 'Описание';
$lang['create'] = 'Создать';

// system name 

$lang['quit_room'] = '%user% %bcquit%';
$lang['system_join_room'] = '%user% %bcjoin%';
$lang['room_clear'] = '%bcclear% %user%';
$lang['leave_message'] = 'вышел из комнаты';
$lang['join_message'] = 'зашел в комнату';
$lang['clear_message'] = 'Эта комната была очищена';

// control room and admin pop

$lang['mute'] = 'Кляп';
$lang['room_mute'] = 'Кляп';
$lang['unmute'] = 'Убрать кляп';
$lang['room_unmute'] = 'Убрать кляп';
$lang['ban'] = 'Бан';
$lang['unban'] = 'Убрать бан';
$lang['room_block'] = 'Заблокировать в комнате';
$lang['room_unblock'] = 'Убрать блок в комнате';
$lang['delete_account'] = 'Удалить аккаунт';

// lang admin status

$lang['select_critera'] = 'Выберите критерии';
$lang['banned'] = 'Забанен';
$lang['muted'] = 'Приглушенный';
$lang['blocked'] = 'Заблокирован';

// special box text

$lang['site_banned'] = 'Вы были забанены в этом чате. Вы не можете войти!';
$lang['verified_now'] = 'Спасибо, теперь ваша учетная запись проверена';
$lang['oops'] = 'Упс! Кажется ты заблудился.';

// system ranking 

$lang['owner'] = 'Владелец';
$lang['admin'] = 'Админ';
$lang['mod'] = 'Модератор';
$lang['user'] = 'Пользователь';
$lang['vip'] = 'Vip';
$lang['user_bot'] = 'Система';
$lang['r_admin'] = 'Админ комнаты';
$lang['r_mod'] = 'Модератор комнаты';
$lang['guest'] = 'Гость';
$lang['public'] = 'Общество';

// notification

$lang['liked'] = 'Понравился Ваш пост. ';
$lang['unliked'] = 'Не понравился Ваш пост. ';
$lang['have_replied'] = 'Ответил на Ваш пост';
$lang['post_wall'] = 'Отправил что-то на вашей стене';
$lang['no_notify'] = 'У Вас нет уведомлений';
$lang['bad_word_use'] = 'Вы были приглушены на @delay@ минут за мат';
$lang['flood_abuse'] = 'Ваш аккаунт был удален за флуд. Подождите пока администратор проверит ваш аккаунт.';
$lang['bad_word_full'] = 'Вы были приглушены за мат';
$lang['rank_change'] = 'Ваш ранг был изменен, теперь вы @rank@';
$lang['room_rank_change'] = 'Вы теперь @rank@ в комнате @room@';
$lang['system_mute'] = 'Вы получили кляп';
$lang['system_unmute'] = 'Кляп был снят';
$lang['accept_friend'] = 'принял ваш запрос друга';

// wall top part

$lang['friends'] = 'Друзья';

// post language

$lang['start_new_post'] = 'Создать пост';
$lang['post'] = 'Отправить';
$lang['add_comment'] = 'Добавить комментарий';
$lang['wall_empty'] = 'Нет сообщений';
$lang['delete'] = 'Удалить';
$lang['report'] = 'Report';
$lang['comment_here'] = 'Введите коментарий';
$lang['view_more_comment'] = 'Больше комментариев';

// wall side details 

$lang['about'] = 'Обо мне';

// topic text

$lang['topic'] = 'Тема';
$lang['topic_empty'] = 'В этой комнате тема не установлена';

// report language

$lang['report_language'] = 'Мат';
$lang['report_content'] = 'Неприемлемое содержание';
$lang['report_spam'] = 'Спам';
$lang['reported_chat'] = 'Известие о сообщении чата';
$lang['reported_post'] = 'Сообщено о стене';
$lang['reported_reason'] = 'Причина';

// seen language 

$lang['seen'] = '%userseen% в последний раз видели %seentime% в комнате: %seenroom%';
$lang['not_seen'] = 'К сожалению ничего не найдено для %userseen%';
$lang['seen_lobby'] = '%userseen% последний раз видели %seentime% в холле';

// profile language 

$lang['gender'] = 'Пол';
$lang['user_theme'] = 'Тема';
$lang['language'] = 'Язык';
$lang['ip'] = 'IP адрес';
$lang['join_chat'] = 'Участник';
$lang['other_account'] = 'Другой аккаунт';
$lang['main_info'] = 'Информация';
$lang['remove_avatar'] = 'Удалить';
$lang['verify_account'] = 'Подтвердить аккаунт';
$lang['actual_pass'] = 'Текущий пароль';
$lang['new_pass'] = 'Новый пароль';
$lang['repeat_pass'] = 'Повторите пароль';
$lang['verified'] = 'Проверенный';
$lang['unverified'] = 'Не проверенный';
$lang['status'] = 'Статус';
$lang['location'] = 'Место нахождения';
$lang['user_main_details'] = '%age% лет, %sex%';
$lang['age_only'] = '%age% лет';
$lang['about_me'] = 'Обо мне';
$lang['not_available'] = 'Недоступен';
$lang['sounds'] = 'Звуки';
$lang['all_sound'] = 'Все звуки';
$lang['no_sound'] = 'Нет звуков';
$lang['private_sound'] = 'Приват и уведомления';
$lang['text_color'] = 'Цвет текста';
$lang['bold'] = 'B';
$lang['user_color'] = 'Цвет пользователя';
$lang['last_seen'] = 'Последний визит';
$lang['years_old'] = 'лет';
$lang['not_set'] = 'Недоступен';
$lang['edit'] = 'Редактировать';
$lang['room_action'] = 'Опции комнаты';

// room setting language

$lang['room_name'] = 'Название комнаты';
$lang['room_settings'] = 'Настройки';
$lang['staff'] = 'Сотрудники';
$lang['room_description'] = 'Описание';
$lang['room_theme'] = 'Тема комнаты';
$lang['system_theme'] = 'Тема по умолчанию';

// room page menu top 

$lang['add_room'] = 'Добавить комнату';
$lang['my_room'] = 'Мои комнаты';

// side left menu language

$lang['room_side_settings'] = 'Комнаты';
$lang['module'] = 'Дополнения';

// notification box language 

$lang['friend_request'] = 'Запрос в друзья';
$lang['notification'] = 'Уведомление';
$lang['mb'] = 'Mb ';
$lang['vip_feature'] = 'К сожалению эта функция ограничена Vip';

// admin option 

$lang['action_none'] = 'Бездействие';
$lang['action_mute'] = 'Кляп';
$lang['action_unmute'] = 'Убрать кляп';
$lang['action_verify'] = 'Проверить';
$lang['room_admin'] = 'Админ в этой комнате';
$lang['word_temp_mute'] = 'Временное отключение звука';
$lang['new_password'] = 'Установить новый пароль';
$lang['user_rank'] = 'Ранг пользователя';
$lang['action_ban'] = 'Бан';
$lang['action_unban'] = 'Убрать бан';
$lang['action_delete'] = 'Удалить аккаунт';
$lang['none'] = 'Никто';
$lang['do_action'] = 'Действие';
$lang['aply'] = 'Подать заявление';
$lang['never'] = 'Никогда';
$lang['default_player'] = 'Проигрыватель по умолчанию';

// activation box

$lang['edit_email'] = 'Pедактировать';
$lang['active_message'] = 'Мы отправили письмо на %cemail%. Пожалуйста, введите проверочный код, чтобы подтвердить свою учетную запись.';
$lang['code'] = 'Введите код';

// admin section text 

$lang['system_name'] = 'Имя бота';
$lang['index_path'] = 'Адрес сайта';
$lang['site_title'] = 'Название сайта';
$lang['site_description'] = 'Описание сайта';
$lang['site_keyword'] = 'Ключевые слова ';
$lang['timezone'] = 'Часовой пояс';
$lang['theme'] = 'Тема по умолчанию';
$lang['default_language'] = 'Язык чата';
$lang['allow_registration'] = 'Разрешить регистрацию';
$lang['allow_guest'] = 'Разрешить гость';
$lang['guest_prefix'] = 'Гостевой префикс';
$lang['min_age'] = 'Минимальный возраст';
$lang['max_registration'] = 'Максимальное количество регистраций в день';
$lang['validate'] = 'Спрашивать проверку';
$lang['room_count'] = 'Количество комнат';
$lang['admin_topic'] = 'Тема в чате';
$lang['max_main'] = 'Основной чат максимум символов';
$lang['max_private'] = 'Приват максимум символов';
$lang['max_avatar'] = 'Максимальный размер аватара';
$lang['max_file'] = 'Максимальный размер файла';
$lang['show_logs'] = 'Отображать системные логи';
$lang['word_delay'] = 'Длительность кляпа';
$lang['multi_email'] = 'Разрешить регистрацию дубликатов электронной почты';
$lang['ico'] = 'Показать иконки USERLIST';
$lang['speed'] = 'Скорость чата';
$lang['chat_delete'] = 'Удалить логи чата';
$lang['private_delete'] = 'Удалить логи привата';
$lang['wall_delete'] = 'Удалить логи стены';
$lang['max_offcount'] = 'Показывать оффлайн пользователей';
$lang['file_delete'] = 'Удалить файлы';
$lang['mail_type'] = 'Тип почтовой системы';
$lang['site_email'] = 'E-mail сайта';
$lang['email_from'] = 'Имя отправителя';
$lang['smtp_host'] = 'Smtp host';
$lang['smtp_username'] = 'Smtp username';
$lang['smtp_password'] = 'Smtp password';
$lang['smtp_encryption'] = 'Smtp encryption';
$lang['smtp_port'] = 'Smtp port';
$lang['allow_image'] = 'Разрешить загрузку';
$lang['allow_colors'] = 'Разрешить цвет текста';
$lang['allow_player'] = 'Разрешить список проигрывателя';
$lang['emo_plus'] = 'Разрешить специальные смайлы';
$lang['allow_direct'] = 'Разрешить прямое отображение';
$lang['allow_room'] = 'Разрешить создание комнат';
$lang['allow_history'] = 'Разрешить историю в чате';
$lang['add_word'] = 'Добавить слово для фильтрации';
$lang['action_word'] = 'Action to take on badword';
$lang['empty'] = 'В настоящее время нет данных для отображения';
$lang['search_member'] = 'Поиск';
$lang['advance_search'] = 'Расширенный поиск';
$lang['no_update'] = 'Обновления отсутствуют на данный момент';
$lang['no_addons'] = 'Не найдено ни одного аддона';
$lang['default_stream'] = 'Поток проигрывателя по умолчанию';
$lang['add_player_stream'] = 'Добавить поток';
$lang['stream_url'] = 'Сервер музыки';
$lang['stream_alias'] = 'Stream alias';
$lang['allow_room_theme'] = 'Разрешить тему комнаты';
$lang['allow_user_theme'] = 'Разрешить пользователям темы';
$lang['file_management'] = 'Управление файлами';
$lang['registered_members'] = 'Зарегистрировано';
$lang['chatting_members'] = 'Общение команды';
$lang['post_count'] = 'Постов стены';
$lang['post_reply'] = 'Комментарии со стены';
$lang['verified_members'] = 'Подтвержденные';
$lang['active_room'] = 'Активные комнаты';
$lang['chat_logs'] = 'Логи чата';
$lang['private_logs'] = 'Логи привата';
$lang['banned_ip'] = 'Забаненные IP';
$lang['current_version'] = 'Текущая версия';
$lang['php_version'] = 'PHP version';
$lang['max_upload'] = 'Max upload';
$lang['room_system'] = 'лобби';
$lang['name_color'] = 'Разрешить цвет имени';
$lang['bridge'] = 'Название сайта';
$lang['max_name'] = 'Максимальная длина имени пользователя';
$lang['use_wall'] = 'Настенная система';
$lang['allow_verify'] = 'Разрешить проверку аккаунта';
$lang['allow_guest_name'] = 'Разрешить гостевое имя пользователя';

/* admin menu */

$lang['dashboard'] = 'Панель управления';
$lang['system_info'] = 'Системная информация';
$lang['main_settings'] = 'Основные опции';
$lang['registration_settings'] = 'Регистрации';
$lang['manage_report'] = 'Отчеты';
$lang['email_settings'] = 'Email настройки';
$lang['chat_settings'] = 'Настройки чата';
$lang['users_management'] = 'Опции юзеров';
$lang['room_management'] = 'Комнаты';
$lang['ban_management'] = 'Забаненные IP';
$lang['database_management'] = 'Загрузки и БД';
$lang['upload_settings'] = 'Загрузить настройки';
$lang['limit_management'] = 'Опции ограничений';
$lang['player_settings'] = 'Настройки музыки';
$lang['update_zone'] = 'Обновления';
$lang['bad_word_filter'] = 'Фильтр плохих слов';
$lang['pages_management'] = 'Управление страницами';
$lang['addons_management'] = 'Дополнения';
$lang['manual'] = 'Документация';
$lang['logs_management'] = 'Управление логами';
$lang['console'] = 'Консоль';
$lang['manage_language'] = 'Управлять языком';
$lang['manage_modules'] = 'Управление модулями';

$lang['active_control'] = 'Балансировщик бездействия';
$lang['allow_name'] = 'Изменение имени пользователя';
$lang['social_login'] = 'Активировать %type% login';
$lang['social_id'] = '%type% app id';
$lang['social_secret'] = '%type% app secret';
$lang['allow_avatar'] = 'Разрешить аватар';

// added pre release

$lang['main'] = 'Главный';
$lang['social'] = 'Социальное';
$lang['cookie_law'] = 'This site uses Cookies for more information and to manage cookies read our %data%';
$lang['filter'] = 'фильтры';
$lang['email_filter'] = 'Активный фильтр электронной почты';
$lang['spam_content'] = 'Это сообщение было помечено как спам';
$lang['help'] = 'Помогите';
$lang['page'] = 'Cтраница';
$lang['lobby'] = 'Лобби';
$lang['manage_action'] = 'Управлять действием';
$lang['main_action'] = 'Основное действие';

// added version 1.1

$lang['allow_private'] = 'Разрешить приватный чат';
$lang['show_cookie'] = 'Закон Cookie';
$lang['private_mode'] = 'Личная переписка';
$lang['friend_only'] = 'Только друзья';
$lang['clear'] = 'Очистить';
$lang['register_mute'] = 'Заглушить новую учетную запись';
$lang['welcome_reg'] = 'Добро пожаловать, %user% !';
$lang['reg_mute_text'] = 'Чтобы улучшить работу нашей команды, новый аккаунт отключен для %regmute% минут. Мы уведомим Вас, как только мы проверим вашу учетную запись.';
$lang['use_recapt'] = 'Google recaptcha';
$lang['recapt_site'] = 'Ключ сайта';
$lang['recapt_secret'] = 'Секретный ключ';
$lang['allow_mood'] = 'Разрешить настроение';
$lang['mood'] = 'Настроение';
$lang['limit_feature'] = 'Ограничить эту функцию';


// added in version 2.0

$lang['user_timezone'] = 'Часовой пояс';
$lang['nothing_found'] = 'Ничего не найдено';
$lang['type_something'] = 'Введите что-либо...';
$lang['system_config'] = 'Настройки системы';
$lang['system_tools'] = 'Системные настройки';
$lang['system_logs'] = 'Системные логи';
$lang['super_admin'] = 'Superadmin';
$lang['room_rank'] = 'Ранг комнаты';
$lang['reason'] = 'Причина';
$lang['reason_given'] = 'Приведенная причина';
$lang['duration'] = 'Продолжительность';
$lang['hours'] = 'часов';
$lang['minutes'] = 'минут';
$lang['kick'] = 'Кик';
$lang['unkick'] = 'Убрать кик';
$lang['kicked'] = 'Кикнут';
$lang['kick_msg'] = 'Вас кикнули';
$lang['kick_back'] = 'Вы сможете повторно войти в чат через';
$lang['bridge_login'] = 'Режим входа в Bridge';
$lang['bridge_only'] = 'Только Bridge';
$lang['add_bridge'] = 'Добавить Bridge';
$lang['rank_icon'] = 'Показать значки ранга';
$lang['gender_icon'] = 'Показать пол аватара';
$lang['userlist_only'] = 'Только список';
$lang['userlist_chat'] = 'Список и чат';
$lang['kick_word'] = 'Мат';
$lang['kick_delay'] = 'Кик по умолчанию';
$lang['temp_mute_delay'] = 'Кляп по умолчанию';
$lang['innactive_logout'] = 'Отключить неактивных участников';
$lang['delay_settings'] = 'Настройки задержки';
$lang['temp_mute'] = 'Временный кляп';
$lang['flag_ico'] = 'Показыать флаги в списке пользователей';
$lang['member_delete'] = 'Удалить неактивных пользователей';
$lang['room_delete'] = 'Исключительное удаление комнаты';
$lang['use_geo'] = 'Геолокация';
$lang['room_list'] = 'Список комнат';
$lang['station'] = 'Станция';
$lang['station_list'] = 'Список станций';
$lang['allow_grad'] = 'Разрешить градиент текста';
$lang['name_grad'] = 'Разрешить градиент имени пользователя';
$lang['color'] = 'Цвет';
$lang['gradient'] = 'Градиент';
$lang['verify_start'] = 'Чтобы завершить проверку своего аккаунта, мы отправим вам письмо с подтверждением на Ваш зарегистрированный адрес электронной почты. Пожалуйста, убедитесь, что Ваш адрес электронной почты действителен до того, как Вы перешли к завершению процесса проверки.';
$lang['verify_end'] = 'Чтобы завершить проверку аккаунта, введите код, который мы отправили на Ваш адрес электронной почты, .';
$lang['verify_send'] = 'Отправить подтверждение';
$lang['verify_got'] = 'У меня есть код';
$lang['change_password'] = 'Изменить пароль';
$lang['unset_mood'] = 'Добавьте свой статус здесь';
$lang['user_verify'] = 'Проверить';
$lang['dj_module'] = 'DJ в эфире';
$lang['onair'] = 'DJ в эфире';
$lang['please_wait'] = 'В процессе, пожалуйста, подождите ...';
$lang['min_text'] = 'Минимум %number% символов';
$lang['select'] = 'Выберите опцию';
$lang['member_feature'] = 'К сожалению, этой функцией может воспользоваться только зарегистрированный пользователь';
$lang['maintenance'] = 'Техническое обслуживание';
$lang['maint_mode'] = 'Режим технического обслуживания';
$lang['maint_text'] = 'В настоящее время мы занимаемся обслуживанием сайта. Чат будет доступен как можно скорее, спасибо за ваше терпение.';
$lang['auto_refresh'] = 'Эта страница обновится автоматически';
$lang['close_account'] = 'Удалить аккаунт';
$lang['cancel_request'] = 'Отменить запрос';
$lang['close_message'] = 'После подтверждения Ваша учетная запись будет удалена через 7 дней. Обратите внимание, что Вы можете отменить свой запрос на удаление в любое время в течение 7 дней из своего профиля.';
$lang['close_warning'] = 'Ваша учетная запись будет удалена %date%. Вы можете отменить этот запрос в любое время до даты удаления. Обратите внимание: удаленные аккаунты не могут быть восстановлены.';
?>