<?php
// intro

$lang['left_title'] = 'Conoce nuevos amigos';
$lang['left_welcome'] = 'Nuestro chat es para ti, te brindamos la  oportunidad de hacer nuevos amigos y compartir buenos momentos con otras personas.';
$lang['last_active'] = 'Últimos miembros activos';

// menu text 

$lang['logout'] = 'Salir';
$lang['my_profile'] = 'Mi perfil';
$lang['admin_panel'] = 'Panel control';
$lang['home'] = 'Home';

// title item 

$lang['close'] = 'Cerrar';
$lang['friend_list'] = 'Listado de amigos';
$lang['ignore_list'] = 'Ignorados';
$lang['user_list'] = 'Listado de usuarios';
$lang['private_list'] = 'Listado de privado';
$lang['report_list'] = 'Lista de reporte';

// intro text

$lang['username'] = 'Usuario';
$lang['password'] = 'Contraseña';
$lang['email'] = 'Email';
$lang['country'] = 'País';
$lang['region'] = 'Región';
$lang['age'] = 'Edad';
$lang['male'] = 'Masculino';
$lang['female'] = 'Femenino';
$lang['register'] = 'Regístrate';
$lang['connect_with'] = 'Conectar con';
$lang['enter_now'] = 'Ingreso de usuarios';
$lang['rules'] = 'Términos de Uso';
$lang['privacy'] = 'Política de privacidad';
$lang['i_agree'] = 'Al registrarse usted acepta la';
$lang['login'] = 'Entrar';
$lang['forgot'] = '¿Olvidó la contraseña?';
$lang['user_recover'] = 'Recuperar usuario';
$lang['recover'] = 'Recuperar';
$lang['guest_login'] = 'Invitado';
$lang['site_login'] = 'Conectar con el sitio';
$lang['more_login'] = 'Mas opciones';
$lang['not_member'] = 'Todavía no eres miembro ? Regístrate ahora.';

// friend delete box 

$lang['want_delete'] = '¿Estás seguro que quieres eliminar éste usario?';

// logout box

$lang['want_logout'] = '¿Quieres salir?';

// general button text

$lang['ok'] = 'ok';
$lang['yes'] = 'Sí';
$lang['no'] = 'No';
$lang['cancel'] = 'Cancelar';
$lang['on'] = 'Encendido';
$lang['off'] = 'Apagado';
$lang['minute'] = 'Minutos';
$lang['hour'] = 'Hora';
$lang['day'] = 'Día';
$lang['days'] = 'Días';
$lang['week'] = 'Semana';
$lang['month'] = 'Mes';
$lang['never'] = 'Nunca';
$lang['save'] = 'Guardar';
$lang['delete'] = 'Eliminar';
$lang['new'] = 'Nuevo';
$lang['upload'] = 'Subir';
$lang['unlimited'] = 'Sin limites';
$lang['install'] = 'Instalar';
$lang['uninstall'] = 'Ilimitado';
$lang['config'] = 'Configuración';
$lang['not_shared'] = 'No mostrar';
$lang['option_default'] = 'Sistema por defecto';
$lang['no_default'] = 'Sin predeterminar';
$lang['full'] = 'Lleno';
$lang['add'] = 'Agregar';
$lang['back'] = 'Atrás';
$lang['search'] = 'Buscar';
$lang['enter_password'] = 'Por favor ingrese su contraseña';
$lang['room_no_description'] = 'Ésta sala no tiene descripción';
$lang['join_room'] = 'Entrar a la sala';
$lang['settings'] = 'Configuraciones';
$lang['execute'] = 'Ejecutar';
$lang['resend'] = 'Reenviar';
$lang['apply'] = 'Aplicar';
$lang['reset_password'] = 'Restablecer la contraseña';
$lang['load_more'] = 'Carga más';
$lang['add_user'] = 'Agregar usuario';
$lang['more'] = 'Más';
$lang['other'] = 'Otro';
$lang['test'] = 'Prueba';
$lang['send'] = 'Enviar';

// lobby menu

$lang['system_news'] = 'Noticias';
$lang['search_people'] = 'Buscar usuarios';
$lang['wall'] = 'Muro amigos';

// online offline

$lang['offline'] = 'Desconectado';
$lang['innactive'] = 'Innactive';

// menu drop user 

$lang['info'] = 'Ver perfil';
$lang['add_friend']  = 'Agregar amigo';
$lang['ignore'] = 'Ignorar';
$lang['private_chat'] = 'Chat privado';
$lang['options'] = 'Opciones';

// users status language

$lang['online'] = 'En linea';
$lang['busy'] = 'Ocupado';
$lang['away'] = 'Fuera de linea';
$lang['gaming'] = 'Jugando';
$lang['eating'] = 'Comiendo';
$lang['invisible'] = 'Invisible';

// empty box text 

$lang['not_exist'] = 'Ésta entrada no existe';
$lang['no_news'] = 'Sin noticias que mostrar';
$lang['no_friend'] = 'Su lista de usuario está vacía';
$lang['no_friend_request'] = 'No tiene ninguna solicitud de amistad';
$lang['no_unread_private'] = 'Su lista privada está vacía';
$lang['no_report'] = 'Ningún reporte para mostrar';
$lang['no_ignore'] = 'Su lista de ignorado está vacío';
$lang['no_data'] = 'No hay datos';

// search feature

$lang['my_region'] = 'Mi área';
$lang['my_country'] = 'Mi país';
$lang['activity'] = 'Estado activo';
$lang['all'] = 'Todos';

// room box create text

$lang['room_limit'] = 'Límite de usuario';
$lang['optional_pass'] = '( opcional )';
$lang['room_name'] = 'Nombre de sala';
$lang['room_type'] = 'Tipo de sala';
$lang['room_description'] = 'Descripción';
$lang['create'] = 'Crear';

// system name 

$lang['quit_room'] = '%user% %bcquit%';
$lang['system_join_room'] = '%user% %bcjoin%';
$lang['room_clear'] = '%bcclear% %user%';
$lang['leave_message'] = 'ha abandonado la sala';
$lang['join_message'] = 'ha entrado en la sala';
$lang['clear_message'] = 'Esta sala ha sido borrada por';

// control room and admin pop

$lang['mute'] = 'Silencio';
$lang['room_mute'] = 'Salas silenciado';
$lang['unmute'] = 'Desilenciar';
$lang['room_unmute'] = 'Desilenciar';
$lang['ban'] = 'Banear';
$lang['unban'] = 'Desbanear';
$lang['room_block'] = 'Salas bloqueado';
$lang['room_unblock'] = 'Desbloqueo';
$lang['delete_account'] = 'Eliminar cuenta';

// lang admin status

$lang['select_critera'] = 'Seleccionar criterio';
$lang['banned'] = 'Baneado';
$lang['muted'] = 'Silenciado';
$lang['blocked'] = 'Bloqueado';

// special box text

$lang['site_banned'] = 'Usted ha sido baneado desde éste sitio. ¡NO puedes entrar!';
$lang['verified_now'] = 'Gracias, tu cuenta ya está verificada.';
$lang['oops'] = 'Ops ! parece que ha perdido.';

// system ranking 

$lang['owner'] = 'Propietario';
$lang['admin'] = 'Administrador';
$lang['mod'] = 'Moderador';
$lang['user'] = 'Usuario';
$lang['vip'] = 'Vip';
$lang['user_bot'] = 'Robot';
$lang['r_admin'] = 'Sala Administrador';
$lang['r_mod'] = 'Sala moderador';
$lang['guest'] = 'Huésped';
$lang['public'] = 'Public';

// notification

$lang['liked'] = 'Me gustó una de sus entrada. ';
$lang['unliked'] = 'No me gustó una de sus entrada. ';
$lang['have_replied'] = 'Ha comentado una de su entrada';
$lang['post_wall'] = 'Han publicado algo en su muro';
$lang['no_notify'] = 'NO tienes notificaciones';
$lang['bad_word_use'] = 'Silenciaste por @delay@ por el uso de malas palabras';
$lang['flood_abuse'] = 'Su cuenta ha sido silenciada por haber inundado el chat, por favor espere un administrador para revisar su cuenta';
$lang['bad_word_full'] = 'Silenciaste por el uso de malas palabras';
$lang['rank_change'] = 'Tu rango ha sido cambio, ahora eres @rank@';
$lang['room_rank_change'] = 'Ahora estás @rank@ en @room@';
$lang['system_mute'] = 'Has sido silenciado';
$lang['system_unmute'] = 'Has sido descilenciado';
$lang['accept_friend'] = 'Aceptado su solicitud de amigo';

// wall top part

$lang['friends'] = 'Amigos';

// post language

$lang['start_new_post'] = 'Publica algo...';
$lang['post'] = 'Publicar';
$lang['add_comment'] = 'Agregar comentario';
$lang['wall_empty'] = 'No hay entrada para mostrar';
$lang['delete'] = 'Eliminar';
$lang['report'] = 'Reporte';
$lang['comment_here'] = 'Escribe tu comentario';
$lang['view_more_comment'] = 'Más comentarios';

// wall side details 

$lang['about'] = 'Acerca de';

// topic text

$lang['topic'] = 'Tema';
$lang['topic_empty'] = 'No se ha establecido tema para ésta sala';

// report language

$lang['report_language'] = 'Lenguaje abusivo';
$lang['report_content'] = 'Contenido inapropiado';
$lang['report_spam'] = 'Contenido de spam';
$lang['reported_chat'] = 'Has reportado un mensaje en el chat';
$lang['reported_post'] = 'Has reportado un mensaje en el muro';
$lang['reported_reason'] = 'Razón';

// seen language

$lang['seen'] = 'La última vez que vi a  %userseen% fué en %seentime% en : %seenroom%';
$lang['not_seen'] = 'Lo siento no puedo buscar el usuario que estás buscando';
$lang['seen_lobby'] = '%userseen% La última vez que lo vi fué %seentime% en el lobby';

// profile language 

$lang['gender'] = 'Género';
$lang['user_theme'] = 'Tema';
$lang['language'] = 'Lenguaje';
$lang['ip'] = 'Dirección IP';
$lang['join_chat'] = 'Miembro desde';
$lang['other_account'] = 'Otra cuenta';
$lang['main_info'] = 'Información';
$lang['remove_avatar'] = 'Borrar';
$lang['verify_account'] = 'Verificar cuenta';
$lang['actual_pass'] = 'Contraseña actual';
$lang['new_pass'] = 'Nueva Contraseña';
$lang['repeat_pass'] = 'Repetir contraseña';
$lang['verified'] = 'Verificado';
$lang['unverified'] = 'Sin verificar';
$lang['status'] = 'Estado';
$lang['location'] = 'Ubicación';
$lang['user_main_details'] = '%age% años de edad, %sex%';
$lang['age_only'] = '%age% años de edad';
$lang['about_me'] = 'Sobre mí';
$lang['not_available'] = 'No disponible';
$lang['sounds'] = 'Sonidos';
$lang['all_sound'] = 'Todos los sonidos';
$lang['no_sound'] = 'Sin sonido';
$lang['private_sound'] = 'Privado & Notificaciones';
$lang['text_color'] = 'Colores del texto';
$lang['bold'] = 'N';
$lang['user_color'] = 'Color de usuario';
$lang['last_seen'] = 'Ultima vez visto';
$lang['years_old'] = 'Años';
$lang['not_set'] = 'No disponible';
$lang['edit'] = 'Edit';
$lang['room_action'] = 'Sala action';

// room setting language

$lang['room_name'] = 'Nombre de sala';
$lang['room_settings'] = 'Configuraciones';
$lang['staff'] = 'Staff';
$lang['room_description'] = 'Descripción';
$lang['room_theme'] = 'Tema de la sala';
$lang['system_theme'] = 'Tema predeterminado';

// room page menu top 

$lang['add_room'] = 'Agregar sala';
$lang['my_room'] = 'Mis salas';

// side left menu language

$lang['room_side_settings'] = 'Configurar salas';
$lang['module'] = 'Addons';

// notification box language 

$lang['friend_request'] = 'Solicitud de amigo';
$lang['notification'] = 'Notificación';
$lang['mb'] = 'Mb ';
$lang['vip_feature'] = 'Lo sentimos esta función está limitada solo a miembros VIP';

// admin option 

$lang['action_none'] = 'Sin acción';
$lang['action_mute'] = 'Silenciar';
$lang['action_unmute'] = 'Desilenciar';
$lang['action_verify'] = 'Verificar';
$lang['room_admin'] = 'Crear salas de administradores';
$lang['word_temp_mute'] = 'Temporalmente silenciado';
$lang['new_password'] = 'Establecer una nueva contraseña';
$lang['user_rank'] = 'Rango de usuario';
$lang['action_ban'] = 'Banear';
$lang['action_unban'] = 'Desbanear';
$lang['action_delete'] = 'Eliminar cuenta';
$lang['none'] = 'Ninguno';
$lang['do_action'] = 'Acción';
$lang['aply'] = 'Aplicar';
$lang['never'] = 'Nunca';
$lang['default_player'] = 'Reproductor predeterminado';

// activation box

$lang['edit_email'] = 'Editar email';
$lang['active_message'] = 'Hemos enviado un correo electrónico a %email%. Introduce el código de verificación para verificar tu cuenta.';
$lang['code'] = 'Introduzca el código';

// admin section text 

$lang['system_name'] = 'Sistema usuario';
$lang['index_path'] = 'Directorio raíz del chat';
$lang['site_title'] = 'Titulo del sitio';
$lang['site_description'] = 'Descripción del sitio';
$lang['site_keyword'] = 'Palabras clave del sitio';
$lang['timezone'] = 'Zona horaria del sitio';
$lang['theme'] = 'Tema predeterminado';
$lang['default_language'] = 'Lenguaje predeterminado';
$lang['allow_registration'] = 'Permitir nueva publicación';
$lang['allow_guest'] = 'Permitir invitado';
$lang['guest_prefix'] = 'Prefijo del invitado';
$lang['min_age'] = 'Año mínimo para registrarte';
$lang['max_registration'] = 'Registro Máximo por día';
$lang['validate'] = 'Pedir la verificación';
$lang['room_count'] = 'Recuento predeterminado en la creación de salas';
$lang['admin_topic'] = 'Mostrar tema en el chat';
$lang['max_main'] = 'Caracteres máximos en el chat principal';
$lang['max_private'] = 'Caracteres máximos en chat privado';
$lang['max_avatar'] = 'Tamaño máximo permitido en el avatar';
$lang['max_file'] = 'Tamaño máximo permitido en archivos';
$lang['show_logs'] = 'Mostrar logueos del sistema';
$lang['word_delay'] = 'Duración de silencio de malas palabras';
$lang['multi_email'] = 'Permitir email duplicados para la registración';
$lang['ico'] = 'Mostrar iconos en el listado de usuarios';
$lang['speed'] = 'Retardo de actualización de chat';
$lang['chat_delete'] = 'Borrar logueos del chat';
$lang['private_delete'] = 'Borrar logueos privados';
$lang['wall_delete'] = 'Borrar logueos del muro';
$lang['max_offcount'] = 'Mostrar usuarios desconectados';
$lang['file_delete'] = 'Borrar archivos';
$lang['mail_type'] = 'Tipo de sistema en el correo';
$lang['site_email'] = 'Sitio de correo';
$lang['email_from'] = 'Nombre del remitente';
$lang['smtp_host'] = 'Smtp host';
$lang['smtp_username'] = 'Usuario smtp';
$lang['smtp_password'] = 'Contraseña smtp';
$lang['smtp_encryption'] = 'Encriptación smtp';
$lang['smtp_port'] = 'Puerto smtp';
$lang['allow_image'] = 'Permitir subida';
$lang['allow_player'] = 'Permitir listado de reproductor';
$lang['allow_colors'] = 'Permitir que los colores del texto';
$lang['emo_plus'] = 'Permitir emoticones especiales';
$lang['allow_direct'] = 'Permitir visualización directa';
$lang['allow_room'] = 'Permitir creación de sala';
$lang['allow_history'] = 'Permitir que el historial de chat';
$lang['add_word'] = 'Agregar palabras al filtro';
$lang['action_word'] = 'Tomar acciones con las malas palabras';
$lang['empty'] = 'Actualmente no hay datos para mostrar';
$lang['search_member'] = 'Buscar miembro';
$lang['advance_search'] = 'Busqueda avanzada';
$lang['no_update'] = 'No hay actualizaciones disponible para instalar en éste momento';
$lang['no_addons'] = 'No addons encontrado';
$lang['default_stream'] = 'Radio por defecto';
$lang['add_player_stream'] = 'Agregar radio';
$lang['stream_url'] = 'Url de radio';
$lang['stream_alias'] = 'Nombre de radio';
$lang['allow_room_theme'] = 'Permitir tema en la sala';
$lang['allow_user_theme'] = 'Permitir temas a usuarios';
$lang['file_management'] = 'Manejo de archivos';
$lang['registered_members'] = 'Miembros registrados';
$lang['chatting_members'] = 'Miembros chateando';
$lang['post_count'] = 'Muro publicación';
$lang['post_reply'] = 'Muro comentario';
$lang['verified_members'] = 'Miembros verificados';
$lang['active_room'] = 'Salas activas';
$lang['chat_logs'] = 'Logueos del chat';
$lang['private_logs'] = 'Logueos privados';
$lang['banned_ip'] = 'Baneada IP';
$lang['current_version'] = 'Versión actual';
$lang['php_version'] = 'Versión PHP';
$lang['max_upload'] = 'Máximo subidas';
$lang['room_system'] = 'Room lobby';
$lang['name_color'] = 'Permitir color de nombre';
$lang['bridge'] = 'Bridge login';
$lang['max_name'] = 'Máximo nombre de usuario';
$lang['use_wall'] = 'Muro systema';
$lang['allow_verify'] = 'Permitir confirmación de cuenta';
$lang['allow_guest_name'] = 'Permitir nombre de usuario invitado';

/* admin menu */

$lang['dashboard'] = 'Tablero';
$lang['system_info'] = 'Información de sistema';
$lang['main_settings'] = 'Opciones principales';
$lang['registration_settings'] = 'Opciones de registro';
$lang['manage_report'] = 'Administrar reportes';
$lang['email_settings'] = 'Configuración de correo';
$lang['chat_settings'] = 'Opciones de chat';
$lang['users_management'] = 'Administrar miembros';
$lang['room_management'] = 'Administrar salas';
$lang['ban_management'] = 'IP beneada';
$lang['database_management'] = 'Subida & Base de datos';
$lang['upload_settings'] = 'Opciones de subida';
$lang['limit_management'] = 'Opciones limitadas';
$lang['player_settings'] = 'Configurar reproductor';
$lang['update_zone'] = 'Actualizaciones';
$lang['bad_word_filter'] = 'Malas palabras';
$lang['pages_management'] = 'Administrar página';
$lang['addons_management'] = 'Administrar addons';
$lang['manual'] = 'Documentación';
$lang['logs_management'] = 'Gestión de registros';
$lang['console'] = 'Console';
$lang['manage_language'] = 'Administrar módulo';
$lang['manage_modules'] = 'Gestionar idiomas';

$lang['active_control'] = 'Equilibrador de inactividad';
$lang['allow_name'] = 'Cambio de nombre de usuario';
$lang['social_login'] = 'Activar %type% login';
$lang['social_id'] = '%type% app id';
$lang['social_secret'] = '%type% app secret';
$lang['allow_avatar'] = 'Permitir avatar';

// added pre release

$lang['main'] = 'Mano';
$lang['social'] = 'Social';
$lang['cookie_law'] = 'Este sitio utiliza cookies para obtener más información y para administrar las cookies, lea nuestra %data%';
$lang['filter'] = 'Filtros';
$lang['email_filter'] = 'página';
$lang['spam_content'] = 'Esta publicación ha sido marcada como spam';
$lang['help'] = 'Ayuda';
$lang['page'] = 'Página';
$lang['lobby'] = 'Lobby';
$lang['manage_action'] = 'Gestionar la acción';
$lang['main_action'] = 'Acción principal';

// added version 1.1

$lang['allow_private'] = 'Permitir chat privado';
$lang['show_cookie'] = 'Ley de las Cookies';
$lang['private_mode'] = 'Chat privado';
$lang['friend_only'] = 'Solo Amigos';
$lang['clear'] = 'Limpiar';
$lang['register_mute'] = 'Silenciar cuenta nueva';
$lang['welcome_reg'] = 'Bienvenido/a %user% !';
$lang['reg_mute_text'] = 'Para mejorar la experiencia de nuestros miembros, las cuentas nuevas se silenciaran por: %regmute% minutos. Le notificaremos en cuanto se haya verificado su cuenta.';
$lang['use_recapt'] = 'Google recaptcha';
$lang['recapt_site'] = 'Clave del sitio';
$lang['recapt_secret'] = 'Tecla secreta';
$lang['allow_mood'] = 'Permitir slogan';
$lang['mood'] = 'Slogan';
$lang['limit_feature'] = 'Limitar estas caracteristicas a';


// added in version 2.0

$lang['user_timezone'] = 'Zona horaria';
$lang['nothing_found'] = 'Nada encontrado';
$lang['type_something'] = 'Escribe algo ...';
$lang['system_config'] = 'Ajustes';
$lang['system_tools'] = 'Herramientas';
$lang['system_logs'] = 'Logs';
$lang['super_admin'] = 'Superadmin';
$lang['room_rank'] = 'Rango de habitación';
$lang['reason'] = 'Razón';
$lang['reason_given'] = 'Razón dada';
$lang['duration'] = 'Duración';
$lang['hours'] = 'Horas';
$lang['minutes'] = 'Minutos';
$lang['kick'] = 'Expulsar';
$lang['unkick'] = 'Remover expulsión';
$lang['kicked'] = 'Expulsado';
$lang['kick_msg'] = 'Has sido expulsado';
$lang['kick_back'] = 'Podrás volver a ingresar al chat después de';
$lang['bridge_login'] = 'Inicio de sesión Bridge';
$lang['bridge_only'] = 'Bridge solamente';
$lang['add_bridge'] = 'Añadir Bridge';
$lang['rank_icon'] = 'Mostrar iconos de rango';
$lang['gender_icon'] = 'Mostrar avatar del género';
$lang['userlist_only'] = 'Solo lista';
$lang['userlist_chat'] = 'Lista y chat';
$lang['kick_word'] = 'Lenguaje abusivo';
$lang['kick_delay'] = 'Expulsión tiempo predeterminado';
$lang['temp_mute_delay'] = 'Silenciado tiempo predeterminado';
$lang['innactive_logout'] = 'Desconectar miembros inactivos';
$lang['delay_settings'] = 'Tiempos ajustes';
$lang['temp_mute'] = 'Temporalmente silenciado';
$lang['flag_ico'] = 'Mostrar banderas en lista de usuarios';
$lang['member_delete'] = 'Eliminar usuarios inactivos';
$lang['room_delete'] = 'Eliminar habitación inactiva';
$lang['use_geo'] = 'Geolocalización';
$lang['room_list'] = 'Lista de habitaciones';
$lang['station'] = 'Estación';
$lang['station_list'] = 'Lista de estaciones';
$lang['allow_grad'] = 'Permitir texto degradado';
$lang['name_grad'] = 'Permitir usuario degradado';
$lang['color'] = 'Color';
$lang['gradient'] = 'Degradado';
$lang['verify_start'] = 'Para completar la verificación de su cuenta, le enviaremos un correo electrónico de verificación a su dirección de correo electrónico. Asegúrese de que su correo electrónico sea válido antes de continuar y complete el proceso de verificación.';
$lang['verify_end'] = 'Ingrese el código que hemos enviado a su correo electrónico para completar la verificación de su cuenta';
$lang['verify_send'] = 'Enviar verificación';
$lang['verify_got'] = 'Tengo un código';
$lang['change_password'] = 'Cambiar contraseña';
$lang['unset_mood'] = 'Añade tu estado aquí';
$lang['user_verify'] = 'Verificar cuenta';
$lang['dj_module'] = 'On-air dj';
$lang['onair'] = 'On air DJ';
$lang['please_wait'] = 'Procesando por favor espere ...';
$lang['min_text'] = 'Mínimo %number% caracteres';
$lang['select'] = 'Seleccionar opción';
$lang['member_feature'] = 'Lo sentimos, esta función está limitada solo a miembros registrados';
$lang['maintenance'] = 'Mantenimiento';
$lang['maint_mode'] = 'Modo mantenimiento';
$lang['maint_text'] = 'Actualmente el chat se encuentra en mantenimiento. Regresaremos lo antes posible, gracias por su paciencia..';
$lang['auto_refresh'] = 'Esta página se actualizará automáticamente.';
$lang['close_account'] = 'Eliminar cuenta';
$lang['cancel_request'] = 'Cancelar solicitud';
$lang['close_message'] = 'Después de la confirmación, su cuenta será eliminada en 7 días. Tenga en cuenta que puede cancelar la solicitud de eliminación en cualquier momento dentro de los 7 días desde su perfil.';
$lang['close_warning'] = 'Tu cuenta será eliminada en %date%. Puedes cancelar esta solicitud en cualquier momento antes de la fecha de eliminación. Tenga en cuenta: Las cuentas eliminadas no se pueden recuperar.';
?>