<?php
// intro

$lang['left_title'] = 'Conoce nuevos amigos';
$lang['left_welcome'] = 'Nuestro chat es para ti, te brindamos la oportunidad de hacer nuevos amigos y compartir buenos momentos con otras personas.';
$lang['last_active'] = 'Últimos miembros activos';

// menu text 

$lang['logout'] = 'Salir';
$lang['my_profile'] = 'Mi perfil';
$lang['admin_panel'] = 'Panel de control';
$lang['home'] = 'Inicio';

// title item 

$lang['close'] = 'Cerrar';
$lang['friend_list'] = 'Lista de amigos';
$lang['ignore_list'] = 'Bloqueados';
$lang['user_list'] = 'Lista de usuarios';
$lang['private_list'] = 'Mensajes privados';
$lang['report_list'] = 'Lista de reportes';

// intro text

$lang['username'] = 'Usuario';
$lang['password'] = 'Contraseña';
$lang['email'] = 'Email';
$lang['country'] = 'País';
$lang['region'] = 'Región';
$lang['age'] = 'Edad';
$lang['male'] = 'Masculino';
$lang['female'] = 'Femenino';
$lang['register'] = 'Regístrate';
$lang['connect_with'] = 'Conectar con';
$lang['enter_now'] = 'Ingreso de usuarios';
$lang['rules'] = 'Términos de uso';
$lang['privacy'] = 'Política de privacidad';
$lang['i_agree'] = 'Al registrarte aceptas los';
$lang['login'] = 'Entrar';
$lang['forgot'] = '¿Olvidaste tu contraseña?';
$lang['recover'] = 'Recuperar';
$lang['guest_login'] = 'Invitado';
$lang['site_login'] = 'Iniciar sesión en el sitio';
$lang['more_login'] = 'Más opciones';
$lang['not_member'] = '¿Todavía no eres miembro? Regístrate ahora.';

// friend delete box 

$lang['want_delete'] = '¿Estás seguro que deseas eliminar a este usuario?';

// logout box

$lang['want_logout'] = '¿Deseas cerrar sesión?';

// general button text

$lang['ok'] = 'Ok';
$lang['yes'] = 'Sí';
$lang['no'] = 'No';
$lang['cancel'] = 'Cancelar';
$lang['on'] = 'Activado';
$lang['off'] = 'Desactivado';
$lang['never'] = 'Nunca';
$lang['save'] = 'Guardar';
$lang['delete'] = 'Eliminar';
$lang['new'] = 'Nuevo';
$lang['upload'] = 'Subir';
$lang['unlimited'] = 'Ilimitado';
$lang['install'] = 'Instalar';
$lang['uninstall'] = 'Desinstalar';
$lang['config'] = 'Configuración';
$lang['not_shared'] = 'No mostrar';
$lang['option_default'] = 'Sistema por defecto';
$lang['no_default'] = 'Sin predeterminar';
$lang['full'] = 'Lleno';
$lang['add'] = 'Agregar';
$lang['back'] = 'Atrás';
$lang['search'] = 'Buscar';
$lang['enter_password'] = 'Por favor ingresa tu contraseña';
$lang['room_no_description'] = 'Esta sala no tiene descripción';
$lang['join_room'] = 'Entrar a la sala';
$lang['settings'] = 'Configuraciones';
$lang['execute'] = 'Ejecutar';
$lang['resend'] = 'Reenviar';
$lang['apply'] = 'Aplicar';
$lang['reset_password'] = 'Reestablecer contraseña';
$lang['load_more'] = 'Cargar más';
$lang['add_user'] = 'Agregar usuario';
$lang['more'] = 'Más';
$lang['other'] = 'Otro';
$lang['test'] = 'Prueba';
$lang['send'] = 'Enviar';

// lobby menu

$lang['system_news'] = 'Anuncios';
$lang['search_people'] = 'Buscar usuarios';
$lang['wall'] = 'Muro de publicaciones';

// online offline

$lang['offline'] = 'Desconectado';
$lang['innactive'] = 'Inactivo';

// menu drop user 

$lang['info'] = 'Ver perfil';
$lang['add_friend']  = 'Agregar a amigos';
$lang['ignore'] = 'Bloquear';
$lang['private_chat'] = 'Privado';
$lang['options'] = 'Opciones';

// users status language

$lang['online'] = 'En linea';
$lang['busy'] = 'Ocupado';
$lang['away'] = 'Inactivo';
$lang['gaming'] = 'Jugando';
$lang['eating'] = 'Comiendo';
$lang['invisible'] = 'Invisible';

// empty box text 

$lang['not_exist'] = 'Esta entrada no existe';
$lang['no_news'] = 'Sin anuncios que mostrar';
$lang['no_friend'] = 'No tienes ningún amigo por el momento';
$lang['no_friend_request'] = 'Sin solicitudes de amistad';
$lang['no_unread_private'] = 'No tienes mensajes privados';
$lang['no_report'] = 'Sin reportes que mostrar';
$lang['no_ignore'] = 'Aún no has bloqueado a ningún usuario';
$lang['no_data'] = 'Sin datos';

// search feature

$lang['my_region'] = 'Mi área';
$lang['my_country'] = 'Mi país';
$lang['activity'] = 'Estado';
$lang['all'] = 'Todos';

// room box create text

$lang['room_limit'] = 'Límite de usuarios';
$lang['room_name'] = 'Nombre de la sala';
$lang['room_type'] = 'Tipo de sala';
$lang['room_description'] = 'Descripción';
$lang['create'] = 'Crear';

// system name 

$lang['quit_room'] = '%user% %bcquit%';
$lang['system_join_room'] = '%user% %bcjoin%';
$lang['room_clear'] = '%bcclear% %user%';
$lang['leave_message'] = 'ha abandonado la sala';
$lang['join_message'] = 'ha entrado a la sala';
$lang['clear_message'] = 'Esta sala ha sido borrada por';

// control room and admin pop

$lang['mute'] = 'Silencio';
$lang['unmute'] = 'Desilenciar';
$lang['ban'] = 'Banear';
$lang['unban'] = 'Desbanear';
$lang['delete_account'] = 'Eliminar cuenta';

// lang admin status

$lang['select_critera'] = 'Seleccionar criterio';
$lang['banned'] = 'Baneado';
$lang['muted'] = 'Silenciado';
$lang['blocked'] = 'Bloqueado';

// special box text

$lang['site_banned'] = 'Has sido baneado desde este sitio. ¡NO puedes entrar!';
$lang['verified_now'] = 'Gracias, tu cuenta ya está verificada.';
$lang['oops'] = 'Upps! Algo salió mal.';

// system ranking 

$lang['owner'] = 'Propietario';
$lang['admin'] = 'Administrador';
$lang['mod'] = 'Moderador';
$lang['user'] = 'Usuario';
$lang['vip'] = 'VIP';
$lang['user_bot'] = 'Robot';
$lang['r_admin'] = 'Administrador de sala';
$lang['r_mod'] = 'Moderador de sala';
$lang['guest'] = 'Invitado';
$lang['public'] = 'Público';

// notification

$lang['no_notify'] = 'No tienes notificaciones';

// wall top part

$lang['friends'] = 'Amigos';

// post language

$lang['start_new_post'] = 'Publica algo...';
$lang['post'] = 'Publicar';
$lang['add_comment'] = 'Agregar comentario';
$lang['wall_empty'] = 'No hay publicaciones que mostrar';
$lang['delete'] = 'Eliminar';
$lang['report'] = 'Reporte';
$lang['comment_here'] = 'Escribe tu comentario';
$lang['view_more_comment'] = 'Más comentarios';

// wall side details 

$lang['about'] = 'Acerca de';

// topic text

$lang['topic'] = 'Tema';
$lang['topic_empty'] = 'No se ha establecido un tema para esta sala';

// report language

$lang['report_language'] = 'Lenguaje abusivo';
$lang['report_content'] = 'Contenido inapropiado';
$lang['report_spam'] = 'Mensajes no deseados';
$lang['reported_chat'] = 'Bien. Has reportado un mensaje en el chat';
$lang['reported_post'] = 'Bien. Has reportado un mensaje en el muro';
$lang['reported_reason'] = 'Razón';

// seen language

$lang['seen'] = '%userseen% fue visto la última vez el %seentime% en %seenroom%';
$lang['not_seen'] = 'No encontramos a nadie con los filtros de búsqueda.';
$lang['seen_lobby'] = '%userseen% fue visto la última vez el %seentime% en el lobby';

// profile language 

$lang['gender'] = 'Género';
$lang['user_theme'] = 'Tema de apariencia';
$lang['language'] = 'Idioma';
$lang['ip'] = 'Dirección IP';
$lang['join_chat'] = 'Miembro desde';
$lang['other_account'] = 'Otras cuentas';
$lang['main_info'] = 'Información';
$lang['remove_avatar'] = 'Borrar';
$lang['verify_account'] = 'Verificar cuenta';
$lang['actual_pass'] = 'Contraseña actual';
$lang['new_pass'] = 'Contraseña nueva';
$lang['repeat_pass'] = 'Repetir contraseña';
$lang['verified'] = 'Verificado';
$lang['unverified'] = 'Sin verificar';
$lang['status'] = 'Estado';
$lang['location'] = 'Ubicación';
$lang['user_main_details'] = '%age% años, %sex%';
$lang['age_only'] = '%age% años';
$lang['about_me'] = 'Sobre mí';
$lang['not_available'] = 'No disponible';
$lang['sounds'] = 'Sonidos';
$lang['all_sound'] = 'Todos los sonidos';
$lang['no_sound'] = 'Sin sonido';
$lang['private_sound'] = 'Mensajes privados y notificaciones';
$lang['text_color'] = 'Color de texto';
$lang['bold'] = 'B';
$lang['user_color'] = 'Color de nobre de usuario';
$lang['last_seen'] = 'Ultima vez visto';
$lang['years_old'] = 'Años';
$lang['not_set'] = 'No disponible';
$lang['edit'] = 'Editar';

// room setting language

$lang['room_name'] = 'Nombre de la sala';
$lang['room_settings'] = 'Configurar';
$lang['staff'] = 'Staff';
$lang['room_description'] = 'Descripción';
$lang['system_theme'] = 'Tema de apariencia predeterminado';

// room page menu top 

$lang['add_room'] = 'Crear sala';
$lang['my_room'] = 'Mis salas';

// side left menu language

$lang['room_side_settings'] = 'Configurar salas';
$lang['module'] = 'Addons';

// notification box language 

$lang['friend_request'] = 'Solicitud de amistad';
$lang['notification'] = 'Notificación';
$lang['mb'] = 'Mb ';
$lang['vip_feature'] = 'Lo sentimos, solo usuarios VIP tienen acceso a esta función';

// admin option 

$lang['action_none'] = 'Sin acción';
$lang['action_mute'] = 'Silenciar';
$lang['action_unmute'] = 'Desilenciar';
$lang['action_verify'] = 'Verificar';
$lang['room_admin'] = 'Crear sala para administradores';
$lang['new_password'] = 'Establecer una nueva contraseña';
$lang['user_rank'] = 'Rango de usuario';
$lang['action_ban'] = 'Banear';
$lang['action_unban'] = 'Desbanear';
$lang['action_delete'] = 'Eliminar cuenta';
$lang['none'] = 'Ninguno';
$lang['do_action'] = 'Acción';
$lang['aply'] = 'Aplicar';
$lang['never'] = 'Nunca';
$lang['default_player'] = 'Reproductor predeterminado';

// activation box

$lang['edit_email'] = 'Editar email';
$lang['active_message'] = 'Hemos enviado un correo electrónico a %email%. Introduce el código de verificación para verificar tu cuenta.';
$lang['code'] = 'Introduce el código';

// admin section text 

$lang['system_name'] = 'Nombre del sistema';
$lang['index_path'] = 'Directorio raíz del chat';
$lang['site_title'] = 'Titulo del sitio';
$lang['site_description'] = 'Descripción del sitio';
$lang['site_keyword'] = 'Palabras clave del sitio';
$lang['timezone'] = 'Zona horaria del sitio';
$lang['theme'] = 'Tema de apariencia predeterminado';
$lang['default_language'] = 'Idioma predeterminado';
$lang['allow_registration'] = 'Permitir nuevas publicaciones';
$lang['allow_guest'] = 'Permitir invitados';
$lang['guest_prefix'] = 'Prefijo de los invitados';
$lang['min_age'] = 'Edad mínimo para registrarte';
$lang['validate'] = 'Requerir verificación por correo';
$lang['room_count'] = 'Conteo predeterminado en la creación de grupos';
$lang['admin_topic'] = 'Mostrar temas en el chat';
$lang['max_main'] = 'Caracteres máximos en chats principales';
$lang['max_private'] = 'Caracteres máximos en chats privados';
$lang['max_avatar'] = 'Tamaño máximo permitido para avatares';
$lang['max_file'] = 'Tamaño máximo permitido para archivos';
$lang['show_logs'] = 'Mostrar inicios de sesión';
$lang['word_delay'] = 'Tiempo por el que un usuario será silenciado por uso de lenguaje ofensivo';
$lang['ico'] = 'Mostrar iconos en el listado de usuarios';
$lang['speed'] = 'Retardo de actualización de chat';
$lang['chat_delete'] = 'Borrar registros del chat';
$lang['private_delete'] = 'Borrar registros de mensajes privados';
$lang['wall_delete'] = 'Borrar registros de muro de publicaciones';
$lang['max_offcount'] = 'Mostrar usuarios desconectados';
$lang['file_delete'] = 'Borrar archivos';
$lang['mail_type'] = 'Sistema para correos';
$lang['site_email'] = 'Correo principal del sitio';
$lang['email_from'] = 'Nombre del remitente';
$lang['smtp_host'] = 'Smtp host';
$lang['smtp_username'] = 'Usuario smtp';
$lang['smtp_password'] = 'Contraseña smtp';
$lang['smtp_encryption'] = 'Encriptación smtp';
$lang['smtp_port'] = 'Puerto smtp';
$lang['allow_image'] = 'Permitir subida de archivos';
$lang['allow_player'] = 'Permitir lista de estaciones de radio';
$lang['allow_colors'] = 'Permitir que puedan editar los colores de los textos';
$lang['emo_plus'] = 'Permitir más variedad de emoticones';
$lang['allow_direct'] = 'Permitir previsualizaciones de imagenes y videos en chats';
$lang['allow_room'] = 'Permitir salas nuevas';
$lang['allow_history'] = 'Permitir historiales de chat';
$lang['add_word'] = 'Agregar palabras al filtro';
$lang['action_word'] = 'Tomar acciones por lenguaje ofensivo';
$lang['empty'] = 'Actualmente no hay datos que mostrar';
$lang['search_member'] = 'Buscar usuario';
$lang['advance_search'] = 'Búsqueda avanzada';
$lang['no_update'] = 'No hay actualizaciones disponibles que instalar en este momento';
$lang['no_addons'] = 'Sin addons encontrados';
$lang['default_stream'] = 'Estación de radio por defecto';
$lang['add_player_stream'] = 'Agregar radio';
$lang['stream_url'] = 'Url de radio';
$lang['stream_alias'] = 'Nombre de la radio';
$lang['allow_user_theme'] = 'Permitir cambiar el tema de apariencia a los usuarios';
$lang['file_management'] = 'Manejo de archivos';
$lang['chatting_members'] = 'Usuarios chateando';
$lang['post_count'] = 'Publicaciones en muros';
$lang['post_reply'] = 'Comentarios en muros';
$lang['verified_members'] = 'Usuarios verificados';
$lang['active_room'] = 'Salas activas';
$lang['chat_logs'] = 'Registros de chat';
$lang['private_logs'] = 'Registros de mensajes privados';
$lang['banned_ip'] = 'IP baneada';
$lang['current_version'] = 'Versión actual';
$lang['php_version'] = 'Versión PHP';
$lang['max_upload'] = 'Cantidad máxima de subidas';
$lang['name_color'] = 'Permitir cambiar el color de los nombres de usuario';
$lang['bridge'] = 'Iniciar sesión con cuentas de redes sociales';
$lang['max_name'] = 'Caracteres máximos en nombres de usuario';
$lang['allow_verify'] = 'Permitir que pueda verificar cuentas';
$lang['allow_guest_name'] = 'Permitir a invitados editar sus nombres de usuario';

/* admin menu */

$lang['dashboard'] = 'Tablero';
$lang['system_info'] = 'Información del sistema';
$lang['main_settings'] = 'Opciones principales';
$lang['registration_settings'] = 'Opciones de registro';
$lang['manage_report'] = 'Administrar reportes';
$lang['email_settings'] = 'Configuración de correo';
$lang['chat_settings'] = 'Opciones de chat';
$lang['users_management'] = 'Administrar usuarios';
$lang['room_management'] = 'Administrar salas';
$lang['ban_management'] = 'IP baneadas';
$lang['database_management'] = 'Subida & Base de datos';
$lang['upload_settings'] = 'Opciones de subidas';
$lang['limit_management'] = 'Opciones limitadas';
$lang['player_settings'] = 'Configurar reproductor';
$lang['update_zone'] = 'Actualizaciones';
$lang['bad_word_filter'] = 'Lenguaje ofensivo';
$lang['pages_management'] = 'Administrar página';
$lang['addons_management'] = 'Administrar addons';
$lang['manual'] = 'Documentación';
$lang['logs_management'] = 'Gestionar registros';
$lang['console'] = 'Consola';
$lang['manage_language'] = 'Administrar idiomas';
$lang['manage_modules'] = 'Gestionar módulos';

$lang['allow_name'] = 'Permitir cambios de nombre de usuario';
$lang['social_login'] = 'Activar %type% login';
$lang['social_id'] = '%type% app id';
$lang['social_secret'] = '%type% app secret';
$lang['allow_avatar'] = 'Permitir avatares';

// added pre release

$lang['main'] = 'Principal';
$lang['social'] = 'Social';
$lang['cookie_law'] = 'Este sitio utiliza cookies para poder ofrecerte una mejor experiencia, más información en %data%';
$lang['filter'] = 'Filtros';
$lang['email_filter'] = 'Permitir filtros en correo';
$lang['spam_content'] = 'Esta publicación ha sido marcada como mensaje no deseado';
$lang['help'] = 'Ayuda';
$lang['page'] = 'Página';
$lang['lobby'] = 'Lobby';
$lang['manage_action'] = 'Gestionar acciones';

// added version 1.1

$lang['allow_private'] = 'Permitir chats privados';
$lang['private_mode'] = 'Chat privado';
$lang['friend_only'] = 'Solo Amigos';
$lang['clear'] = 'Limpiar';
$lang['use_recapt'] = 'Google recaptcha';
$lang['recapt_site'] = 'Site key';
$lang['recapt_secret'] = 'Secret key';
$lang['allow_mood'] = 'Permitir editar estados de ánimo';
$lang['mood'] = 'Éstado de ánimo';
$lang['limit_feature'] = 'Limitar estas caracteristicas a';


// added in version 2.0

$lang['user_timezone'] = 'Zona horaria';
$lang['nothing_found'] = 'Nada encontrado';
$lang['type_something'] = 'Escribe algo ...';
$lang['system_config'] = 'Ajustes';
$lang['system_tools'] = 'Herramientas';
$lang['system_logs'] = 'Registros';
$lang['super_admin'] = 'Superadmin';
$lang['room_rank'] = 'Rango de sala';
$lang['reason'] = 'Razón';
$lang['reason_given'] = 'Razón dada';
$lang['duration'] = 'Duración';
$lang['kick'] = 'Expulsar';
$lang['unkick'] = 'Remover expulsión';
$lang['kicked'] = 'Expulsado';
$lang['kick_msg'] = 'Has sido expulsado';
$lang['kick_back'] = 'Podrás volver a ingresar al chat después de';
$lang['bridge_login'] = 'Inicio de sesión con cuentas de otras redes sociales';
$lang['bridge_only'] = 'Solamente se permite iniciar sesión con cuentas de otras redes sociales';
$lang['add_bridge'] = 'Añadir inicio de sesión con cuentas de otras redes sociales';
$lang['rank_icon'] = 'Mostrar iconos de rango';
$lang['gender_icon'] = 'Diferenciar los géneros de usuarios';
$lang['userlist_only'] = 'Solo en las listas';
$lang['userlist_chat'] = 'Listas y chats';
$lang['innactive_logout'] = 'Desconectar miembros inactivos';
$lang['delay_settings'] = 'Ajustes de tiempo';
$lang['flag_ico'] = 'Mostrar banderas en las listas de usuarios';
$lang['member_delete'] = 'Eliminar usuarios inactivos';
$lang['room_delete'] = 'Eliminar salas inactivas';
$lang['room_list'] = 'Listado de salas';
$lang['station'] = 'Estación';
$lang['station_list'] = 'Lista de estaciones';
$lang['allow_grad'] = 'Permitir textos degradados';
$lang['name_grad'] = 'Permitir degradados en nombres de usuario';
$lang['color'] = 'Color';
$lang['gradient'] = 'Degradado';
$lang['verify_start'] = 'Te enviaremos un correo electrónico para completar la verificación de tu cuenta. Asegúrate de que tu correo sea válido antes de continuar para completar el proceso de verificación.';
$lang['verify_end'] = 'Ingresa el código que enviamos a tu correo electrónico para completar la verificación de tu cuenta';
$lang['verify_send'] = 'Enviar verificación';
$lang['verify_got'] = 'Tengo un código';
$lang['change_password'] = 'Cambiar contraseña';
$lang['unset_mood'] = 'Añade tu estado de ánimo aquí';
$lang['user_verify'] = 'Verificar cuenta';
$lang['dj_module'] = 'DJ en vivo';
$lang['onair'] = 'DJ en vivo';
$lang['please_wait'] = 'Procesando, espera por favor...';
$lang['min_text'] = 'El mínimo de caracteres es %number%';
$lang['select'] = 'Seleccionar opción';
$lang['member_feature'] = 'Lo sentimos, esta función sólo está limitada para usuarios registrados';
$lang['maintenance'] = 'Mantenimiento';
$lang['maint_mode'] = 'Modo de mantenimiento';
$lang['maint_text'] = 'Actualmente el chat se encuentra en mantenimiento. Regresaremos lo antes posible, gracias por tu paciencia..';
$lang['auto_refresh'] = 'Esta página se actualizará automáticamente.';
$lang['close_account'] = 'Eliminar cuenta';
$lang['cancel_request'] = 'Cancelar solicitud';
$lang['close_message'] = 'Tu cuenta será eliminada a los 7 días después de que confirmes tu solicitud. Si lo deseas, puedes cancelar tu solicitud desde tu perfil en cualquier momento dentro de estos 7 días.';
$lang['close_warning'] = 'Tu cuenta será eliminada el %date%. Puedes cancelar esta solicitud en cualquier momento antes de la fecha estipulada. Ten en cuenta que las cuentas eliminadas no se pueden recuperar.';

$lang['private_settings'] = 'Private settings';
$lang['manage_friends'] = 'Administrar amigos';
$lang['manage_ignores'] = 'Administrar bloqueados';
$lang['lang_location'] = 'Idioma / Ubicación';
$lang['theme_settings'] = 'Tema de apariencia';
$lang['sound_settings'] = 'Sonidos';
$lang['members'] = 'Usuarios';
$lang['add_post'] = 'Agregar publicación';
$lang['add_staff'] = 'Agregar staff';
$lang['r_owner'] = 'Sala del propietario';
$lang['display_settings'] = 'Opciones de visualización';
$lang['login_page'] = 'Tema de la página para iniciar sesión';
$lang['filtering'] = 'Filtreando';
$lang['edit_about'] = 'Editar sobre mí';
$lang['user_id'] = 'ID de usuario';
$lang['optional'] = '(opcional)';
$lang['unlimited'] = 'Ilimitado';
$lang['secure_account'] = 'Presiona aquí para agregar más seguridad a tu cuenta y poder acceder a más funciones.';
$lang['register_guest'] = 'Actualmente estas en el chat como invitado, presiona aquí para registrarte y así puedas acceder a más funciones.';
$lang['name_email'] = 'Nombre de usuario / Email';
$lang['global_action'] = 'Acciones generales';
$lang['change_rank'] = 'Cambiar rango';
$lang['block'] = 'Bloquear';
$lang['unblock'] = 'Desbloquear';
$lang['unignore'] = 'Quitar bloqueo';
$lang['unfriend'] = 'Quitar de mi lista de amigos';
$lang['main_action'] = 'Acción principal';
$lang['room_action'] = 'Acción en la sala';
$lang['account_status'] = 'Estado de la cuenta';
$lang['edit_verify'] = 'Editar estado de la cuenta';
$lang['guest_form'] = 'Formulario extendido para invitados';
$lang['edit_username'] = 'Editar nombre de usuario';
$lang['edit_color'] = 'Editar el color de nombre de usuario';
$lang['edit_mood'] = 'Editar estado de ánimo';
$lang['geo_system'] = 'Geolocalización';
$lang['room_system'] = 'Lobby';
$lang['wall_system'] = 'Sistema de muro de publicaciones';
$lang['cookie_system'] = 'Anuncio sobre cookies';
$lang['allow_cover'] = 'Permitir imagenes de portada';
$lang['allow_gcover'] = 'Permitir imagenes de portada animadas';
$lang['max_cover'] = 'Tamaño máximo para imagenes de portada';
$lang['second'] = 'segundo';
$lang['seconds'] = 'segundos';
$lang['minute'] = 'minuto';
$lang['minutes'] = 'minutos';
$lang['hour'] = 'hora';
$lang['hours'] = 'horas';
$lang['day'] = 'día';
$lang['days'] = 'días';
$lang['week'] = 'semana';
$lang['weeks'] = 'semanas';
$lang['month'] = 'mes';
$lang['months'] = 'meses';
$lang['year'] = 'año';
$lang['years'] = 'años';
$lang['registered'] = 'Registrado';
$lang['system_diagnostic'] = 'Diagnóstico del sistema';
$lang['user_muted'] = 'Este usuario está actualmente silenciado';
$lang['user_banned'] = 'Este usuario está actualmente baneado';
$lang['history'] = 'Historial';
$lang['flood'] = 'Muchos mensajes';
$lang['badword'] = 'Lenguaje ofensivo';
$lang['spam'] = 'Mensajes no deseados';
$lang['no_reason'] = 'Sin razón provista';
$lang['by'] = 'Autor';
$lang['delay'] = 'Tiempo';
$lang['fetching'] = 'Recopilando información, espera por favor';
$lang['topic_title'] = 'Tema';
$lang['seen_title'] = 'Visto';
$lang['default_title'] = 'Mensaje';
$lang['data'] = 'Información';
?>