<?php
// intro

$lang['left_title'] = 'Upoznajte nove ljude';
$lang['left_welcome'] = 'Naša chat zajednica vam pruža mogućnost stvaranja novih prijatelja i dijeljenja dobrih trenutaka s drugim ljudima.';
$lang['last_active'] = 'Zadnji aktivni članovi';

// menu text 

$lang['logout'] = 'Odjavi se';
$lang['my_profile'] = 'Moj profil';
$lang['admin_panel'] = 'Upravljačka ploča';
$lang['home'] = 'Home';

// title item 

$lang['close'] = 'Zatvori';
$lang['friend_list'] = 'Lista prijatelja';
$lang['ignore_list'] = 'Ignoriraj';
$lang['user_list'] = 'Korisnička lista';
$lang['private_list'] = 'Privatna lista';
$lang['report_list'] = 'Lista izvještaja';

// intro text

$lang['username'] = 'Korisničko ime';
$lang['password'] = 'Lozinka';
$lang['email'] = 'Email';
$lang['country'] = 'Država';
$lang['region'] = 'Regija';
$lang['age'] = 'Godine';
$lang['male'] = 'Muško';
$lang['female'] = 'Žensko';
$lang['register'] = 'Registracija';
$lang['connect_with'] = 'Poveži sa';
$lang['enter_now'] = 'Članovi prijava';
$lang['rules'] = 'Uvjeti korištenja';
$lang['privacy'] = 'Pravila o privatnosti';
$lang['i_agree'] = 'Registriranjem pristajete na';
$lang['login'] = 'Prijava';
$lang['forgot'] = 'Zaboravljena lozinka ?';
$lang['user_recover'] = 'Korisničko ime za vraćanje lozinke';
$lang['recover'] = 'Vrati';
$lang['guest_login'] = 'Gost prijava';
$lang['site_login'] = 'Povežite se sa web stranicom';
$lang['more_login'] = 'Više opcija za prijavu';
$lang['not_member'] = 'Niste još član? Registriraj se.';

// friend delete box 

$lang['want_delete'] = 'Jeste li sigurni da želite izbrisati?';

// logout box

$lang['want_logout'] = 'Želite se odjaviti?';

// general button text

$lang['ok'] = 'ok';
$lang['yes'] = 'Da';
$lang['no'] = 'Ne';
$lang['cancel'] = 'Prekini';
$lang['on'] = 'Uključeno';
$lang['off'] = 'Isključeno';
$lang['minute'] = 'Min';
$lang['hour'] = 'Sat';
$lang['day'] = 'Dan';
$lang['days'] = 'Dan/a';
$lang['week'] = 'Sedmica';
$lang['month'] = 'Mjesec';
$lang['never'] = 'Nikad';
$lang['save'] = 'Spremi';
$lang['delete'] = 'Izbriši';
$lang['new'] = 'Novi';
$lang['upload'] = 'Postavi';
$lang['unlimited'] = 'Neograničeno';
$lang['install'] = 'Instaliraj';
$lang['uninstall'] = 'Deinstaliraj';
$lang['config'] = 'Konfiguracija';
$lang['not_shared'] = 'Ne prikazuj';
$lang['option_default'] = 'Zadana postavka sustava';
$lang['no_default'] = 'Bez zadanog';
$lang['full'] = 'Puno';
$lang['add'] = 'Dodaj';
$lang['back'] = 'Nazad';
$lang['search'] = 'Pretraži';
$lang['enter_password'] = 'Unesite lozinku';
$lang['room_no_description'] = 'Ova soba nema opis';
$lang['join_room'] = 'Pridružite se sobi';
$lang['settings'] = 'Podešavanja';
$lang['execute'] = 'Izvrši';
$lang['resend'] = 'Ponovno pošalji';
$lang['apply'] = 'Primjeni';
$lang['reset_password'] = 'Vrati lozinku';
$lang['load_more'] = 'Učitaj više';
$lang['add_user'] = 'Dodaj korisnika';
$lang['more'] = 'Više';
$lang['other'] = 'Drugo';
$lang['test'] = 'Test';
$lang['send'] = 'Pošalji';

// lobby menu

$lang['system_news'] = 'Novosti';
$lang['search_people'] = 'Pretraži korisnike';
$lang['wall'] = 'Zid prijatelja';

// online offline

$lang['offline'] = 'Izvan mreže';
$lang['innactive'] = 'Neaktivni';

// menu drop user 

$lang['info'] = 'Pogledaj profil';
$lang['add_friend']  = 'Dodaj za prijatelja';
$lang['ignore'] = 'Ignoriraj';
$lang['private_chat'] = 'Privatno chat';
$lang['options'] = 'Opcije';

// users status language

$lang['online'] = 'Na mreži';
$lang['busy'] = 'Zauzet';
$lang['away'] = 'Odsutan';
$lang['gaming'] = 'Igram se';
$lang['eating'] = 'Jedem';
$lang['invisible'] = 'Nevidljiv';

// empty box text 

$lang['not_exist'] = 'Objava više ne postoji';
$lang['no_news'] = 'Nema vijesti za prikaz';
$lang['no_friend'] = 'Vaša lista prijatelja je prazna';
$lang['no_friend_request'] = 'Nemate zahtjeva za prijateljstvo';
$lang['no_unread_private'] = 'Vaš privatni popis je prazan';
$lang['no_report'] = 'Nema izvješća za prikaz';
$lang['no_ignore'] = 'Vaša ignor lista je prazna';
$lang['no_data'] = 'Nema podataka';

// search feature

$lang['my_region'] = 'Moja regija';
$lang['my_country'] = 'Moja država';
$lang['activity'] = 'Aktivni status';
$lang['all'] = 'svi';

// room box create text

$lang['room_limit'] = 'Ograničenje korisnika';
$lang['optional_pass'] = '( optional )';
$lang['room_name'] = 'Naziv sobe';
$lang['room_type'] = 'Vrsta sobe';
$lang['room_description'] = 'Opis';
$lang['create'] = 'Napravi';

// system name 

$lang['quit_room'] = '%user% %bcquit%';
$lang['system_join_room'] = '%user% %bcjoin%';
$lang['room_clear'] = '%bcclear% %user%';
$lang['leave_message'] = 'napustio/la chat';
$lang['join_message'] = 'pridružio/la se na chat';
$lang['clear_message'] = 'Ova je soba je obrisana od strane';

// control room and admin pop

$lang['mute'] = 'Zabrani konverzaciju';
$lang['room_mute'] = 'Zabrani konverzaciju u sobi';
$lang['unmute'] = 'Dozvoli konverzaciju';
$lang['room_unmute'] = 'Dozvoli konverzaciju';
$lang['ban'] = 'Zabrani';
$lang['unban'] = 'Odblokiraj';
$lang['room_block'] = 'Blokiraj u sobi';
$lang['room_unblock'] = 'Deblokiraj';
$lang['delete_account'] = 'Izbriši račun';

// lang admin status

$lang['select_critera'] = 'Odaberite kriterije';
$lang['banned'] = 'Banirani';
$lang['muted'] = 'Mutirani';
$lang['blocked'] = 'Blokirani';

// special box text

$lang['site_banned'] = 'Nažalost zabranjen pristup. Trenutno nemate pristup ovoj usluzi !';
$lang['verified_now'] = 'Zahvaljujemo vaš korisnički račun je potvrđen';
$lang['oops'] = 'Ups! Čini se da ste se negdje izgubili.';

// system ranking 

$lang['owner'] = 'Vlasnik';
$lang['admin'] = 'Admin';
$lang['mod'] = 'Moderator';
$lang['user'] = 'Korisnik';
$lang['vip'] = 'Vip';
$lang['user_bot'] = 'Bot';
$lang['r_admin'] = 'Admin sobe';
$lang['r_mod'] = 'Moderator sobe';
$lang['guest'] = 'Gost';
$lang['public'] = 'Javno';

// notification

$lang['liked'] = 'Sviđa se vaša objava. ';
$lang['unliked'] = 'Nesviđja se vaša objava. ';
$lang['have_replied'] = 'Komentirao/la je vašu objavu';
$lang['post_wall'] = 'Objavio/la nešto na zidu';
$lang['no_notify'] = 'Nemate obavijesti';
$lang['bad_word_use'] = 'Sistem filter zabrana @delay@ min razlog nepristojan rječnik';
$lang['flood_abuse'] = 'Vaš je račun isključen zbog zloupotrebe od spam, pričekajte da administrator pregleda vaš račun';
$lang['bad_word_full'] = 'Trenutno ste isključeni zbog nespristojnog rječnika';
$lang['rank_change'] = 'Vaš čin je promijenjen sada na @rank@';
$lang['room_rank_change'] = 'Trenutno imate čin @rank@ u @room@';
$lang['system_mute'] = 'Trenutno ste isključeni iz konveracije';
$lang['system_unmute'] = 'Vaša zabrana je odblokirana';
$lang['accept_friend'] = 'Prihvaća vaš zahtjev za prijateljstvo';

// wall top part

$lang['friends'] = 'Prijatelji';

// post language

$lang['start_new_post'] = 'Započnite novu objavu';
$lang['post'] = 'Objavi';
$lang['add_comment'] = 'Napišite komentar';
$lang['wall_empty'] = 'Trenutno nemate objava';
$lang['delete'] = 'Izbriši';
$lang['report'] = 'Prijavi';
$lang['comment_here'] = 'Napišite Vaš komentar';
$lang['view_more_comment'] = 'Više komentara';

// wall side details 

$lang['about'] = 'O meni';

// topic text

$lang['topic'] = 'Tema';
$lang['topic_empty'] = 'Trenutno nema tema za ovu sobu';

// report language

$lang['report_language'] = 'Uznemiravajuća konverzacija';
$lang['report_content'] = 'Neprimjeren sadržaj';
$lang['report_spam'] = 'Spam sadržaj';
$lang['reported_chat'] = 'Prijavi chat objavu';
$lang['reported_post'] = 'Prijavi zid objavu';
$lang['reported_reason'] = 'Razlog';

// seen language 

$lang['seen'] = '%userseen% zadnji put viđjen/a  %seentime% u sobi : %seenroom%';
$lang['not_seen'] = 'Nažalost nismo nista pronašli %userseen%';
$lang['seen_lobby'] = '%userseen% zadnji put viđjen/a %seentime% u predvorju';

// profile language 

$lang['gender'] = 'Spol';
$lang['user_theme'] = 'Tema';
$lang['language'] = 'Jezik';
$lang['ip'] = 'Ip adresa';
$lang['join_chat'] = 'Član od';
$lang['other_account'] = 'Ostali računi';
$lang['main_info'] = 'Informacije';
$lang['remove_avatar'] = 'Ukloni';
$lang['verify_account'] = 'Potvrđen račun';
$lang['actual_pass'] = 'Trenutna lozinka';
$lang['new_pass'] = 'Nova lozinka';
$lang['repeat_pass'] = 'Ponovi lozinku';
$lang['verified'] = 'Potvrđen';
$lang['unverified'] = 'Nepotvrđen';
$lang['status'] = 'Status';
$lang['location'] = 'Lokacija';
$lang['user_main_details'] = '%age% godina star/a, %sex%';
$lang['age_only'] = '%age% godina star/a';
$lang['about_me'] = 'O meni';
$lang['not_available'] = 'Nije dostupno';
$lang['sounds'] = 'Zvukovi';
$lang['all_sound'] = 'Svi zvukovi';
$lang['no_sound'] = 'Bez zvuka';
$lang['private_sound'] = 'Privatna & obavijesti';
$lang['text_color'] = 'Text boja';
$lang['bold'] = 'B';
$lang['user_color'] = 'Korisničko ime boja';
$lang['last_seen'] = 'Zadnja aktivnost';
$lang['years_old'] = 'Godina';
$lang['not_set'] = 'Nije dostupno';
$lang['edit'] = 'Uredi';
$lang['room_action'] = 'Akcija sobe';

// room setting language

$lang['room_name'] = 'Ime sobe';
$lang['room_settings'] = 'Postavke';
$lang['staff'] = 'Osoblje';
$lang['room_description'] = 'Opis';
$lang['room_theme'] = 'Teme sobe';
$lang['system_theme'] = 'Zadana tema';

// room page menu top 

$lang['add_room'] = 'Napravi sobu';
$lang['my_room'] = 'Moje sobe';

// side left menu language

$lang['room_side_settings'] = 'Postavke sobe';
$lang['module'] = 'Dodaci';

// notification box language 

$lang['friend_request'] = 'Zahtjev prijatelja';
$lang['notification'] = 'Obavjesti';
$lang['mb'] = 'Mb ';
$lang['vip_feature'] = 'Žao nam je ova funkcija se dostupna samo za Vip članove';

// admin option 

$lang['action_none'] = 'Bez akcije';
$lang['action_mute'] = 'Zabrani konverzaciju';
$lang['action_unmute'] = 'Dozvoli konverzaciju';
$lang['action_verify'] = 'Potvrdi';
$lang['room_admin'] = 'Postavi za admina sobe';
$lang['word_temp_mute'] = 'Privremeno zabranjena konverzacija';
$lang['new_password'] = 'Postavi novu lozinku';
$lang['user_rank'] = 'Korisnik čin';
$lang['action_ban'] = 'Zabrani';
$lang['action_unban'] = 'Odbaniraj';
$lang['action_delete'] = 'Izbriši račun';
$lang['none'] = 'Ništa';
$lang['do_action'] = 'Akcija';
$lang['aply'] = 'Primjeni';
$lang['never'] = 'Nikad';
$lang['default_player'] = 'Zadani player';

// activation box

$lang['edit_email'] = 'Uredi email';
$lang['active_message'] = 'Poslali smo Vam e-poštu na %cemail%. Unesite kontrolni kod da biste potvrdili svoj račun.';
$lang['code'] = 'Unesite kod';

// admin section text 

$lang['system_name'] = 'Sistem ime';
$lang['index_path'] = 'Put indeksa za chat';
$lang['site_title'] = 'Naslov stranice';
$lang['site_description'] = 'Opis stranice';
$lang['site_keyword'] = 'Ključne riječi web mjesta';
$lang['timezone'] = 'Vremenska zona web mjesta';
$lang['theme'] = 'Zadana tema';
$lang['default_language'] = 'Zadani jezik';
$lang['allow_registration'] = 'Dozvoli nove registracije';
$lang['allow_guest'] = 'Dozvoli goste';
$lang['guest_prefix'] = 'Prefiks gostiju';
$lang['min_age'] = 'Minimalna dob za registraciju';
$lang['max_registration'] = 'Maksimalna registracija po danu';
$lang['validate'] = 'Zahtjevaj potvrdu';
$lang['room_count'] = 'Zadani broj za kreiranje sobe';
$lang['admin_topic'] = 'Prikaži teme za sobu';
$lang['max_main'] = 'Javno chat maksimalno dozvoljeno znakova za konveraciju';
$lang['max_private'] = 'Privatna konverzacija maksimalno dozvoljeno znakova';
$lang['max_avatar'] = 'Maksimalna veličina za avatar';
$lang['max_file'] = 'Dopuštena maksimalna veličina datoteke';
$lang['show_logs'] = 'Ne prikazivaj aktivnosti na chatu';
$lang['word_delay'] = 'Loš rječnik vrjeme zabrane';
$lang['multi_email'] = 'Dopusti duple registracije e-pošte';
$lang['ico'] = 'Prikaži ikone u popisu korisnika';
$lang['speed'] = 'Chat brzina aktuliziranja aktivnosti';
$lang['chat_delete'] = 'Chat aktivnosti brisanje';
$lang['private_delete'] = 'Privatne aktivnosti brisanje';
$lang['wall_delete'] = 'Brisanje objava na zidu';
$lang['max_offcount'] = 'Prikaz izvanmrežnih korisnika';
$lang['file_delete'] = 'Brisanje datoteka';
$lang['mail_type'] = 'Vrsta sustava pošte';
$lang['site_email'] = 'E-adresa web mjesta';
$lang['email_from'] = 'Pošiljatelj ime';
$lang['smtp_host'] = 'Smtp host';
$lang['smtp_username'] = 'Smtp ime';
$lang['smtp_password'] = 'Smtp lozinka';
$lang['smtp_encryption'] = 'Smtp enkripcija';
$lang['smtp_port'] = 'Smtp port';
$lang['allow_image'] = 'Dopusti prenos datoteka';
$lang['allow_colors'] = 'Dopusti boje teksta';
$lang['allow_player'] = 'Dopusti popis za radio';
$lang['emo_plus'] = 'Dopusti posebne emocije';
$lang['allow_direct'] = 'Dopusti izravni prikaz';
$lang['allow_room'] = 'Dopustite stvaranje chat soba';
$lang['allow_history'] = 'Dopusti povijest na chatu';
$lang['add_word'] = 'Dodaj riječ za filtriranje';
$lang['action_word'] = 'Akcija za rješavanje zabranjeni riječi';
$lang['empty'] = 'Trenutačno nema podataka za prikazivanje';
$lang['search_member'] = 'Traži člana';
$lang['advance_search'] = 'Napredno pretraživanje';
$lang['no_update'] = 'U ovom trenutku ne postoji ažuriranje za instalaciju';
$lang['no_addons'] = 'Nema trenutno dodataka';
$lang['default_stream'] = 'Zadani strim player';
$lang['add_player_stream'] = 'Dodaj radio';
$lang['stream_url'] = 'Strim url';
$lang['stream_alias'] = 'Strim ime';
$lang['allow_room_theme'] = 'Dopustite teme za sobe';
$lang['allow_user_theme'] = 'Dopusti korisnicima teme';
$lang['file_management'] = 'Upravljanje datotekama';
$lang['registered_members'] = 'Registrirani članovi';
$lang['chatting_members'] = 'Trenutno na chatu aktivni članovi';
$lang['post_count'] = 'Zid objave';
$lang['post_reply'] = 'Zid komentari';
$lang['verified_members'] = 'Potvđeni članovi';
$lang['active_room'] = 'Aktivne sobe';
$lang['chat_logs'] = 'Chat aktivnosti/logovi';
$lang['private_logs'] = 'Privatne aktivnosti/logovi';
$lang['banned_ip'] = 'Zabranjena ip';
$lang['current_version'] = 'Trenutna verzija';
$lang['php_version'] = 'PHP verzija';
$lang['max_upload'] = 'Maksimalni prijenos';
$lang['room_system'] = 'Predvorje sobe';
$lang['name_color'] = 'Dopusti boju korisničkog imena';
$lang['bridge'] = 'Most prijava';
$lang['max_name'] = 'Maksimalna duljina korisničkog imena';
$lang['use_wall'] = 'Zidni sustav';
$lang['allow_verify'] = 'Dopusti provjeru računa';
$lang['allow_guest_name'] = 'Dopusti ime za goste';

/* admin menu */

$lang['dashboard'] = 'Nadzorna ploča';
$lang['system_info'] = 'Sistem informacije';
$lang['main_settings'] = 'Glavne opcije';
$lang['registration_settings'] = 'Registracija opcije';
$lang['manage_report'] = 'Upravljajte prijavama';
$lang['email_settings'] = 'Email postavke';
$lang['chat_settings'] = 'Chat postavke';
$lang['users_management'] = 'Upravljajte korisnicima';
$lang['room_management'] = 'Upravljanje sobama';
$lang['ban_management'] = 'Zabranjene ip';
$lang['database_management'] = 'Prijenos & baza podataka';
$lang['upload_settings'] = 'Prijenos postavke';
$lang['limit_management'] = 'Limit postavke';
$lang['player_settings'] = 'Player postavke';
$lang['update_zone'] = 'Ažuriranja';
$lang['bad_word_filter'] = 'Loš rječnik filter';
$lang['pages_management'] = 'Upravljajte stranicama';
$lang['addons_management'] = 'Upravljajte dodacima';
$lang['manual'] = 'Dokumentacija';
$lang['logs_management'] = 'Upravljajte logovima';
$lang['console'] = 'Konzola';
$lang['manage_language'] = 'Upravljajte jezicima';
$lang['manage_modules'] = 'Upravljajte modulima';

$lang['active_control'] = 'Balansiranje neaktivnosti';
$lang['allow_name'] = 'Dopusti promjenu korisničkog imena';
$lang['social_login'] = 'Aktivirajte %type% prijave';
$lang['social_id'] = '%type% app id';
$lang['social_secret'] = '%type% app tajna';
$lang['allow_avatar'] = 'Dopusti avatar';

// added pre release

$lang['main'] = 'Glavni';
$lang['social'] = 'Socijalni';
$lang['cookie_law'] = 'Ova web stranica koristi Kolačiće, za više informacija i za upravljanje kolačićima pročitajte naše %data%';
$lang['filter'] = 'Filteri';
$lang['email_filter'] = 'Aktivni filtar e-pošte';
$lang['spam_content'] = 'Ovaj je post označen kao neželjena pošta';
$lang['help'] = 'Pomozite';
$lang['page'] = 'Stranica';
$lang['lobby'] = 'Predvorje';
$lang['manage_action'] = 'Upravljanje radnjom';
$lang['main_action'] = 'Glavna radnja';

// added version 1.1

$lang['allow_private'] = 'Dozvoli privatni chat';
$lang['show_cookie'] = 'Zakon o Internet kolačićima';
$lang['private_mode'] = 'Privatni chat';
$lang['friend_only'] = 'Samo prijatelji';
$lang['clear'] = 'Očisti';
$lang['register_mute'] = 'Utišaj novi račun';
$lang['welcome_reg'] = 'Dobrodošao / la %user% !';
$lang['reg_mute_text'] = 'Kako bismo poboljšali zadovoljstvo članova i spriječili neželjene poruke, onemogućavamo pisanje za novo kreirane korisničke račune. Obavijestit ćemo vas nakon što potvrdimo vaš korisnički račun. Do tog vremena možete pogledavati i upoznati se s našim sustavom.';
$lang['use_recapt'] = 'Google recaptcha';
$lang['recapt_site'] = 'Ključ stranice';
$lang['recapt_secret'] = 'Tajni ključ';
$lang['allow_mood'] = 'Dozvoli raspoloženja';
$lang['mood'] = 'Raspoloženje';
$lang['limit_feature'] = 'Ograniči ovu značajku na';


// added in version 2.0

$lang['user_timezone'] = 'Vremenska zona';
$lang['nothing_found'] = 'Nismo ništa pronašli';
$lang['type_something'] = 'Napišite nešto...';
$lang['system_config'] = 'Postavke sustava';
$lang['system_tools'] = 'Alati sustava';
$lang['system_logs'] = 'Zapisi sustava';
$lang['super_admin'] = 'Super Administrator';
$lang['room_rank'] = 'Rank sobe';
$lang['reason'] = 'Razlog';
$lang['reason_given'] = 'Obrazloženje';
$lang['duration'] = 'Trajanje';
$lang['hours'] = 'Sati';
$lang['minutes'] = 'Minute';
$lang['kick'] = 'Izbaci';
$lang['unkick'] = 'Vrati izbačenog';
$lang['kicked'] = 'Izbačen';
$lang['kick_msg'] = 'Nažalost izbačeni ste';
$lang['kick_back'] = 'Pričekajte ponovo za ulazak na chat';
$lang['bridge_login'] = 'Način prijave most';
$lang['bridge_only'] = 'Samo most';
$lang['add_bridge'] = 'Dodaj most';
$lang['rank_icon'] = 'Prikaži ikone ranga';
$lang['gender_icon'] = 'Prikazivanje avatarskog spola';
$lang['userlist_only'] = 'Samo popis';
$lang['userlist_chat'] = 'Popis i chat';
$lang['kick_word'] = 'Uznemiravajući konverzacija';
$lang['kick_delay'] = 'Izbaci na određeno vrjeme';
$lang['temp_mute_delay'] = 'Privremena zabrana';
$lang['innactive_logout'] = 'Odspojite neaktivne članove';
$lang['delay_settings'] = 'Odložene postavke';
$lang['temp_mute'] = 'Privremeno zabrani konverzaciju';
$lang['flag_ico'] = 'Prikaži zastave u popisu liste korisnika';
$lang['member_delete'] = 'Obriši neaktivne korisnike';
$lang['room_delete'] = 'Obriši neaktivne sobe';
$lang['use_geo'] = 'Geo lokacija';
$lang['room_list'] = 'Popis soba';
$lang['station'] = 'Radio stanice';
$lang['station_list'] = 'Radio lista';
$lang['allow_grad'] = 'Dozvoli gradijent tekst';
$lang['name_grad'] = 'Dozvoli gradijent korisničkog imena';
$lang['color'] = 'Boja';
$lang['gradient'] = 'Gradijent';
$lang['verify_start'] = 'Da bi ste završili potvrdu korisničkog računa, poslat ćemo Vam e-poruku za potvrdu na vašu registriranu adresu e-pošte. Prije nastavka i dovršetka postupka potvrde provjerite je li vaša e-adresa važeća.';
$lang['verify_end'] = 'Unesite kod koji smo Vam poslali na vašu e-poštu kako bi ste završili potvrđu računa';
$lang['verify_send'] = 'Pošalji kod za potvrdu';
$lang['verify_got'] = 'Već imam kod za potvrdu';
$lang['change_password'] = 'Promijeni lozinku';
$lang['unset_mood'] = 'Ovdje dodajte vaše raspoloženje';
$lang['user_verify'] = 'Potvrdi';
$lang['dj_module'] = 'DJ - Na mreži';
$lang['onair'] = 'DJ - Na mreži';
$lang['please_wait'] = 'U tijeku, molimo pričekajte ...';
$lang['min_text'] = 'Minimalno %number% znakova';
$lang['select'] = 'Odabir opcije';
$lang['member_feature'] = 'Nažalost, ova je značajka ograničena samo za registrirane članove';
$lang['maintenance'] = 'Održavanje';
$lang['maint_mode'] = 'Način održavanja';
$lang['maint_text'] = 'Trenutačno se izvode radovi zbog održavanja. Vratit ćemo se što je prije moguće, zahvaljujemo na strpljenju.';
$lang['auto_refresh'] = 'Ova će se stranica sama osvježiti nije potrebno da osvježavate.';
$lang['close_account'] = 'Obriši korisnički račun';
$lang['cancel_request'] = 'Prekini zahtjev';
$lang['close_message'] = 'Nakon potvrde vaš korisnički račun biti će izbrisan za 7 dana. Imajte na umu da Vaš zahtjev za brisanjem možete poništiti u roku od 7 dana.';
$lang['close_warning'] = 'Vaš račun će biti izbrisan za %date%. Ovaj zahtjev možete otkazati u bilo kojem trenutku prije datuma brisanja. Napomena: Izbrisane račune nije moguće ponovo vratiti.';
?>