<?php
// intro

$lang['left_title'] = 'Meet New People';
$lang['left_welcome'] = 'Our chat community gives you the opportunity of making new friends and sharing good moments with other people.';
$lang['last_active'] = 'Last active members';

// menu text 

$lang['logout'] = 'Logout';
$lang['my_profile'] = 'My profile';
$lang['admin_panel'] = 'Admin panel';
$lang['home'] = 'Home';

// title item 

$lang['close'] = 'Close';
$lang['friend_list'] = 'Friends list';
$lang['ignore_list'] = 'Ignore';
$lang['user_list'] = 'Users list';
$lang['private_list'] = 'Private list';
$lang['report_list'] = 'Report list';

// intro text

$lang['username'] = 'Username';
$lang['password'] = 'Password';
$lang['email'] = 'Email';
$lang['country'] = 'Country';
$lang['region'] = 'Region';
$lang['age'] = 'Age';
$lang['male'] = 'Male';
$lang['female'] = 'Female';
$lang['register'] = 'Register';
$lang['connect_with'] = 'Connect with';
$lang['enter_now'] = 'Members login';
$lang['rules'] = 'Terms of use';
$lang['privacy'] = 'Privacy policy';
$lang['i_agree'] = 'By registering you agree to the';
$lang['login'] = 'Login';
$lang['forgot'] = 'Forgot password ?';
$lang['recover'] = 'Recover';
$lang['guest_login'] = 'Guest login';
$lang['site_login'] = 'Connect with site';
$lang['more_login'] = 'More options';
$lang['not_member'] = 'Not yet a member ? register now.';

// friend delete box 

$lang['want_delete'] = 'Are you sure you want to delete this account ?';

// logout box

$lang['want_logout'] = 'Want to logout ?';

// general button text

$lang['ok'] = 'ok';
$lang['yes'] = 'Yes';
$lang['no'] = 'No';
$lang['cancel'] = 'Cancel';
$lang['on'] = 'On';
$lang['off'] = 'Off';
$lang['never'] = 'Never';
$lang['save'] = 'Save';
$lang['delete'] = 'Delete';
$lang['new'] = 'New';
$lang['upload'] = 'Upload';
$lang['unlimited'] = 'Unlimited';
$lang['install'] = 'Install';
$lang['uninstall'] = 'Uninstall';
$lang['config'] = 'Config';
$lang['not_shared'] = 'Do not display';
$lang['option_default'] = 'System default';
$lang['no_default'] = 'No default';
$lang['full'] = 'Full';
$lang['add'] = 'Add';
$lang['back'] = 'Back';
$lang['search'] = 'Search';
$lang['enter_password'] = 'Please enter password';
$lang['room_no_description'] = 'This room has no description';
$lang['join_room'] = 'Join room';
$lang['settings'] = 'Settings';
$lang['execute'] = 'Execute';
$lang['resend'] = 'Resend';
$lang['apply'] = 'Apply';
$lang['reset_password'] = 'Reset password';
$lang['load_more'] = 'Load more';
$lang['add_user'] = 'Add user';
$lang['more'] = 'More';
$lang['other'] = 'Other';
$lang['test'] = 'Test';
$lang['send'] = 'Send';

// lobby menu

$lang['system_news'] = 'News';
$lang['search_people'] = 'Search people';
$lang['wall'] = 'Friends wall';

// online offline

$lang['offline'] = 'Offline';
$lang['innactive'] = 'Innactive';

// menu drop user 

$lang['info'] = 'View profile';
$lang['add_friend']  = 'Add friend';
$lang['ignore'] = 'Ignore';
$lang['private_chat'] = 'Private';
$lang['options'] = 'Options';

// users status language

$lang['online'] = 'Online';
$lang['busy'] = 'Busy';
$lang['away'] = 'Away';
$lang['gaming'] = 'Gaming';
$lang['eating'] = 'Eating';
$lang['invisible'] = 'Invisible';

// empty box text 

$lang['not_exist'] = 'This post no longer exist';
$lang['no_news'] = 'No news to display';
$lang['no_friend'] = 'Your friends list is empty';
$lang['no_friend_request'] = 'You do not have any friend request';
$lang['no_unread_private'] = 'Your private list is empty';
$lang['no_report'] = 'No report to display';
$lang['no_ignore'] = 'Your ignore list is empty';
$lang['no_data'] = 'No data';

// search feature

$lang['my_region'] = 'My region';
$lang['my_country'] = 'My country';
$lang['activity'] = 'Active status';
$lang['all'] = 'all';

// room box create text

$lang['room_limit'] = 'User limit';
$lang['room_name'] = 'Room name';
$lang['room_type'] = 'Room type';
$lang['room_description'] = 'Description';
$lang['create'] = 'Create';

// system name 

$lang['quit_room'] = '%user% %bcquit%';
$lang['system_join_room'] = '%user% %bcjoin%';
$lang['room_clear'] = '%bcclear% %user%';
$lang['leave_message'] = 'has left the room';
$lang['join_message'] = 'has joined the room';
$lang['clear_message'] = 'This room has been cleared by';

// control room and admin pop

$lang['mute'] = 'Mute';
$lang['unmute'] = 'Unmute';
$lang['ban'] = 'Ban';
$lang['unban'] = 'Unban';
$lang['delete_account'] = 'Delete account';

// lang admin status

$lang['select_critera'] = 'Select criteria';
$lang['banned'] = 'Banned';
$lang['muted'] = 'Muted';
$lang['blocked'] = 'Blocked';

// special box text

$lang['site_banned'] = 'You have been banned from this site. You cannot enter !';
$lang['verified_now'] = 'Thank you your account have been verified';
$lang['oops'] = 'Oops ! it seems that you got lost somewhere.';

// system ranking 

$lang['owner'] = 'Owner';
$lang['admin'] = 'Admin';
$lang['mod'] = 'Moderator';
$lang['user'] = 'User';
$lang['vip'] = 'Vip';
$lang['user_bot'] = 'Bot';
$lang['r_admin'] = 'Room admin';
$lang['r_mod'] = 'Room moderator';
$lang['guest'] = 'Guest';
$lang['public'] = 'Public';

// notification

$lang['no_notify'] = 'You do not have any notifications';

// wall top part

$lang['friends'] = 'Friends';

// post language

$lang['start_new_post'] = 'Start a new post';
$lang['post'] = 'Post';
$lang['add_comment'] = 'Add comment';
$lang['wall_empty'] = 'There is no post to show';
$lang['delete'] = 'Delete';
$lang['report'] = 'Report';
$lang['comment_here'] = 'Type your comment';
$lang['view_more_comment'] = 'More comments';

// wall side details 

$lang['about'] = 'About';

// topic text

$lang['topic'] = 'Topic';
$lang['topic_empty'] = 'No topic set for that room';

// report language

$lang['report_language'] = 'Abusive language';
$lang['report_content'] = 'Inappropriate content';
$lang['report_spam'] = 'Spam content';
$lang['reported_chat'] = 'Reported a chat post';
$lang['reported_post'] = 'Reported a wall post';
$lang['reported_reason'] = 'Reason';

// seen language 

$lang['seen'] = '%userseen% was last seen  %seentime% in room : %seenroom%';
$lang['not_seen'] = 'Sorry nothing found for %userseen%';
$lang['seen_lobby'] = '%userseen% was last seen %seentime% in the lobby';

// profile language 

$lang['gender'] = 'Gender';
$lang['user_theme'] = 'Theme';
$lang['language'] = 'Language';
$lang['ip'] = 'Ip address';
$lang['join_chat'] = 'Member since';
$lang['other_account'] = 'Other account';
$lang['main_info'] = 'Info';
$lang['remove_avatar'] = 'Remove';
$lang['verify_account'] = 'Verify account';
$lang['actual_pass'] = 'Current password';
$lang['new_pass'] = 'New password';
$lang['repeat_pass'] = 'Re-enter password';
$lang['verified'] = 'Verified';
$lang['unverified'] = 'Unverified';
$lang['status'] = 'Status';
$lang['location'] = 'Location';
$lang['user_main_details'] = '%age% years old, %sex%';
$lang['age_only'] = '%age% years old';
$lang['about_me'] = 'About me';
$lang['not_available'] = 'Not available';
$lang['sounds'] = 'Sounds';
$lang['all_sound'] = 'All sound';
$lang['no_sound'] = 'No sounds';
$lang['text_color'] = 'Text color';
$lang['bold'] = 'B';
$lang['user_color'] = 'Username color';
$lang['last_seen'] = 'Last seen';
$lang['years_old'] = 'years old';
$lang['not_set'] = 'Not available';
$lang['edit'] = 'Edit';

// room setting language

$lang['room_name'] = 'Room name';
$lang['room_settings'] = 'Settings';
$lang['staff'] = 'Staff';
$lang['room_description'] = 'Description';
$lang['system_theme'] = 'Default theme';

// room page menu top 

$lang['add_room'] = 'Add room';
$lang['my_room'] = 'My rooms';

// side left menu language

$lang['room_side_settings'] = 'Room Settings';
$lang['module'] = 'Addons';

// notification box language 

$lang['friend_request'] = 'Friend request';
$lang['notification'] = 'Notifications';
$lang['mb'] = 'Mb ';
$lang['vip_feature'] = 'Sorry this feature is limited to Vip members';

// admin option 

$lang['action_none'] = 'No action';
$lang['action_mute'] = 'Mute';
$lang['action_unmute'] = 'Unmute';
$lang['action_verify'] = 'Verify';
$lang['room_admin'] = 'Make room admin';
$lang['new_password'] = 'Set new password';
$lang['user_rank'] = 'User rank';
$lang['action_ban'] = 'Ban';
$lang['action_unban'] = 'Unban';
$lang['action_delete'] = 'Delete Account';
$lang['none'] = 'None';
$lang['do_action'] = 'Action';
$lang['aply'] = 'Apply';
$lang['never'] = 'Never';
$lang['default_player'] = 'Default player';

// activation box

$lang['edit_email'] = 'Edit email';
$lang['active_message'] = 'We have sent an email to %cemail%. Please enter verification code to verify your account.';
$lang['code'] = 'Enter code';

// admin section text 

$lang['system_name'] = 'System name';
$lang['index_path'] = 'Chat index path';
$lang['site_title'] = 'Site title';
$lang['site_description'] = 'Site description';
$lang['site_keyword'] = 'Site keywords';
$lang['timezone'] = 'Site timezone';
$lang['theme'] = 'Default theme';
$lang['default_language'] = 'Default language';
$lang['allow_registration'] = 'Allow new registration';
$lang['allow_guest'] = 'Allow guest';
$lang['guest_prefix'] = 'Guest prefix';
$lang['min_age'] = 'Minimum age to register';
$lang['validate'] = 'Ask for verification';
$lang['room_count'] = 'Default count on room creation';
$lang['admin_topic'] = 'Display topic in chat';
$lang['max_main'] = 'Main chat max character';
$lang['max_private'] = 'Private chat max character';
$lang['max_avatar'] = 'Max avatar size allowed';
$lang['max_file'] = 'Max file size allowed';
$lang['show_logs'] = 'Display system logs';
$lang['word_delay'] = 'Bad word mute duration';
$lang['speed'] = 'Chat refresh delay';
$lang['chat_delete'] = 'Chat logs delete';
$lang['private_delete'] = 'Private logs delete';
$lang['wall_delete'] = 'Wall logs delete';
$lang['max_offcount'] = 'Display offline users';
$lang['file_delete'] = 'Delete files';
$lang['mail_type'] = 'Mail system type';
$lang['site_email'] = 'Site email';
$lang['email_from'] = 'Sender name';
$lang['smtp_host'] = 'Smtp host';
$lang['smtp_username'] = 'Smtp username';
$lang['smtp_password'] = 'Smtp password';
$lang['smtp_encryption'] = 'Smtp encryption';
$lang['smtp_port'] = 'Smtp port';
$lang['allow_colors'] = 'Allow text colors';
$lang['emo_plus'] = 'Allow special emoticon';
$lang['allow_direct'] = 'Allow direct display';
$lang['allow_room'] = 'Allow room creation';
$lang['allow_history'] = 'Allow history in chat';
$lang['add_word'] = 'Add word to filter';
$lang['action_word'] = 'Action to take on badword';
$lang['empty'] = 'There is currently no data to show';
$lang['search_member'] = 'Search member';
$lang['advance_search'] = 'Advance search';
$lang['no_update'] = 'There is no update to install at this moment';
$lang['no_addons'] = 'No addons found';
$lang['default_stream'] = 'Default stream player';
$lang['add_player_stream'] = 'Add radio';
$lang['stream_url'] = 'Stream url';
$lang['stream_alias'] = 'Stream alias';
$lang['allow_user_theme'] = 'Allow users themes';
$lang['file_management'] = 'Files management';
$lang['chatting_members'] = 'Chatting members';
$lang['post_count'] = 'Wall post';
$lang['post_reply'] = 'Wall comments';
$lang['verified_members'] = 'Verified members';
$lang['active_room'] = 'Active rooms';
$lang['chat_logs'] = 'Chat logs';
$lang['private_logs'] = 'Private logs';
$lang['banned_ip'] = 'Banned ip';
$lang['current_version'] = 'Current version';
$lang['php_version'] = 'PHP version';
$lang['max_upload'] = 'Max upload';
$lang['name_color'] = 'Allow username color';
$lang['bridge'] = 'Bridge login';
$lang['max_name'] = 'Max username length';
$lang['allow_verify'] = 'Allow account verification';
$lang['allow_guest_name'] = 'Allow guest name';

/* admin menu */

$lang['dashboard'] = 'Dashboard';
$lang['system_info'] = 'System info';
$lang['main_settings'] = 'Main options';
$lang['registration_settings'] = 'Registration options';
$lang['manage_report'] = 'Manage reports';
$lang['email_settings'] = 'Email settings';
$lang['chat_settings'] = 'Chat options';
$lang['users_management'] = 'Manage members';
$lang['room_management'] = 'Manage rooms';
$lang['ban_management'] = 'Banned ip';
$lang['database_management'] = 'Upload & database';
$lang['upload_settings'] = 'Upload settings';
$lang['limit_management'] = 'Limits options';
$lang['player_settings'] = 'Player settings';
$lang['update_zone'] = 'Updates';
$lang['bad_word_filter'] = 'Badwords filter';
$lang['pages_management'] = 'Manage pages';
$lang['addons_management'] = 'Manage addons';
$lang['manual'] = 'Documentation';
$lang['logs_management'] = 'Logs management';
$lang['console'] = 'Console';
$lang['manage_language'] = 'Manage languages';
$lang['manage_modules'] = 'Manage modules';

$lang['allow_name'] = 'Allow username change';
$lang['social_login'] = 'Activate %type% login';
$lang['social_id'] = '%type% app id';
$lang['social_secret'] = '%type% app secret';
$lang['allow_avatar'] = 'Allow avatar';

// added pre release

$lang['main'] = 'Main';
$lang['social'] = 'Social';
$lang['cookie_law'] = 'This site uses Cookies for more information you can read our %data%';
$lang['filter'] = 'Filters';
$lang['email_filter'] = 'Active email filter';
$lang['spam_content'] = 'This post has been marked as spam';
$lang['help'] = 'Help';
$lang['page'] = 'Page';
$lang['lobby'] = 'Lobby';
$lang['manage_action'] = 'Manage action';

// added version 1.1

$lang['allow_private'] = 'Allow private chat';
$lang['private_mode'] = 'Private chat';
$lang['friend_only'] = 'Friends only';
$lang['clear'] = 'Clear';
$lang['use_recapt'] = 'Google recaptcha';
$lang['recapt_site'] = 'Site key';
$lang['recapt_secret'] = 'Secret key';
$lang['allow_mood'] = 'Allow mood';
$lang['mood'] = 'Mood';
$lang['limit_feature'] = 'Limit this feature to';


// added in version 2.0

$lang['user_timezone'] = 'Timezone';
$lang['nothing_found'] = 'Nothing found';
$lang['type_something'] = 'Type something ...';
$lang['system_config'] = 'System settings';
$lang['system_tools'] = 'System tools';
$lang['system_logs'] = 'System logs';
$lang['super_admin'] = 'Superadmin';
$lang['room_rank'] = 'Room rank';
$lang['reason'] = 'Reason';
$lang['reason_given'] = 'Reason given';
$lang['duration'] = 'Duration';
$lang['kick'] = 'Kick';
$lang['unkick'] = 'Unkick';
$lang['kicked'] = 'Kicked';
$lang['kick_msg'] = 'You have been kicked out';
$lang['kick_back'] = 'You will be able to re-enter the chat after';
$lang['bridge_login'] = 'Bridge login mode';
$lang['bridge_only'] = 'Bridge only';
$lang['add_bridge'] = 'add bridge';
$lang['rank_icon'] = 'Show rank icons';
$lang['gender_icon'] = 'Show avatar gender';
$lang['userlist_only'] = 'List only';
$lang['userlist_chat'] = 'List and chat';
$lang['innactive_logout'] = 'Disconnect innactive members';
$lang['delay_settings'] = 'Delays settings';
$lang['member_delete'] = 'Delete innactive users';
$lang['room_delete'] = 'Innactive room deletion';
$lang['room_list'] = 'Rooms list';
$lang['station'] = 'Station';
$lang['station_list'] = 'Station list';
$lang['allow_grad'] = 'Allow text gradient';
$lang['name_grad'] = 'Allow username gradient';
$lang['color'] = 'Colour';
$lang['gradient'] = 'Gradient';
$lang['verify_start'] = 'In order to complete your account verification, we will send you a verification email to your registered email address. Please make sure your email is valid before you proceed and complete the verification process.';
$lang['verify_end'] = 'Please enter the code we have sent to your email in order to complete your account verification';
$lang['verify_send'] = 'Send verification';
$lang['verify_got'] = 'I have a code';
$lang['change_password'] = 'Change password';
$lang['unset_mood'] = 'Add your mood here';
$lang['user_verify'] = 'Verify';
$lang['dj_module'] = 'On-air dj';
$lang['onair'] = 'On-air dj';
$lang['please_wait'] = 'In progress please wait ...';
$lang['min_text'] = 'Minimum %number% characters';
$lang['select'] = 'Select option';
$lang['member_feature'] = 'Sorry this feature is limited to registered members only';
$lang['maintenance'] = 'Maintenance';
$lang['maint_mode'] = 'Maintenance Mode';
$lang['maint_text'] = 'We are currently doing some site maintenance. We will be back as soon as possible, thank you for your patience.';
$lang['auto_refresh'] = 'This page will refresh automatically';
$lang['close_account'] = 'Delete Account';
$lang['cancel_request'] = 'Cancel Request';
$lang['close_message'] = 'After confirmation, your account will be deleted in 7 days. Please note, you can cancel your deletion request at anytime within 7 days from your profile.';
$lang['close_warning'] = 'Your account will be deleted by %date%. You can cancel this request at anytime before the deletion date. Please note: Deleted accounts cannot be recovered.';

$lang['private_settings'] = 'Private settings';
$lang['manage_friends'] = 'Manage friends';
$lang['manage_ignores'] = 'Manage ignores';
$lang['lang_location'] = 'Language / Location';
$lang['theme_settings'] = 'Theme settings';
$lang['sound_settings'] = 'Sound settings';
$lang['members'] = 'Members';
$lang['add_post'] = 'Add post';
$lang['add_staff'] = 'Add staff';
$lang['r_owner'] = 'Room owner';
$lang['display_settings'] = 'Display options';
$lang['login_page'] = 'Login page style';
$lang['filtering'] = 'Filter';
$lang['edit_about'] = 'Edit about me';
$lang['user_id'] = 'User id';
$lang['optional'] = '(optional)';
$lang['unlimited'] = 'Unlimited';
$lang['secure_account'] = 'Click here to add security information to your account and in order to access more features.';
$lang['register_guest'] = 'You are currently logged in as guest click here to register your account in order to access more features.';
$lang['name_email'] = 'Username / Email';
$lang['global_action'] = 'Global actions';
$lang['change_rank'] = 'Change rank';
$lang['block'] = 'Block';
$lang['unblock'] = 'Unblock';
$lang['unignore'] = 'Remove ignore';
$lang['unfriend'] = 'Remove friend';
$lang['main_action'] = 'Main';
$lang['room_action'] = 'Room';
$lang['account_status'] = 'Status';
$lang['edit_verify'] = 'Edit account status';
$lang['guest_form'] = 'Guest extended form';
$lang['edit_username'] = 'Edit username';
$lang['edit_color'] = 'Edit username color';
$lang['edit_mood'] = 'Edit mood';
$lang['geo_system'] = 'Geolocalisation';
$lang['room_system'] = 'Room lobby';
$lang['wall_system'] = 'Wall system';
$lang['cookie_system'] = 'Cookie law';
$lang['allow_cover'] = 'Allow profile cover';
$lang['allow_gcover'] = 'Allow animated cover';
$lang['max_cover'] = 'Max cover size allowed';
$lang['second'] = 'second';
$lang['seconds'] = 'seconds';
$lang['minute'] = 'minute';
$lang['minutes'] = 'minutes';
$lang['hour'] = 'hour';
$lang['hours'] = 'hours';
$lang['day'] = 'day';
$lang['days'] = 'days';
$lang['week'] = 'week';
$lang['weeks'] = 'weeks';
$lang['month'] = 'month';
$lang['months'] = 'months';
$lang['year'] = 'year';
$lang['years'] = 'years';
$lang['registered'] = 'Registered';
$lang['system_diagnostic'] = 'System diagnostic';
$lang['user_muted'] = 'This user is currently muted';
$lang['user_banned'] = 'This user is currently banned';
$lang['history'] = 'History';
$lang['flood'] = 'flooding';
$lang['badword'] = 'Abusive language';
$lang['spam'] = 'Spamming';
$lang['no_reason'] = 'No reason provided';
$lang['by'] = 'Author';
$lang['delay'] = 'Delay';
$lang['fetching'] = 'Fetching data please wait';
$lang['topic_title'] = 'Topic';
$lang['seen_title'] = 'Seen';
$lang['default_title'] = 'Message';
$lang['data'] = 'Data';

// added in 3.5

$lang['account'] = 'Account';
$lang['security'] = 'Security';
$lang['regmute'] = 'Mute new account';
$lang['user_regmuted'] = 'This user is new and is currently muted for verification.';
$lang['welcome_user'] = 'Welcome %user%';
$lang['reg_message'] = 'To offer better experience and to prevent undesired spam on chat we are muting new account while we verify account. Your account will be unmuted automatically after verification.';
$lang['guest_message'] = 'You are currently logged as Guest. Guest are only allowed to view chat and unfortunately not allowed to write in chat at this time.';
$lang['guest_message2'] = 'Register to the chat to be able to write and take advantage of many other great features.';
$lang['view_only'] = 'View only';
$lang['view_likes'] = 'View likes';
$lang['delete_post'] = 'Are you sure you want to delete this post ?';
$lang['delete_private'] = 'You are about deleting this private conversation history. This action is not reversible and will not be processed if a report is active for this private. are you sure you want to continue ?';
$lang['console_clear'] = 'Clearing the system console will erase all recorded logs do you wish to proceed and clear the console ?';
$lang['hide'] = 'Hide';
$lang['user_room'] = 'Current room';
$lang['chat_sound'] = 'Chat sounds';
$lang['private_sound'] = 'Private sounds';
$lang['notification_sound'] = 'Notification sounds';
$lang['username_sound'] = 'Username sounds';
$lang['edit_info'] = 'Edit info';
$lang['reported_private'] = 'Reported a private chat';
$lang['reported_profile'] = 'Reported a profile';
$lang['report_post'] = 'Report this content';
$lang['report_warning'] = 'Please only submit actionable offences. Abuse or false reporting may lead to action taken against your own account. Select the reason to report this content';
$lang['report_select'] = 'Select reason';
$lang['report_fraud'] = 'Fraud attempt';
$lang['mobile'] = 'Mobile';
$lang['allow_cupload'] = 'Allow chat upload';
$lang['allow_pupload'] = 'Allow private upload';
$lang['allow_wupload'] = 'Allow wall upload';
$lang['guest_talk'] = 'Allow guest to talk in chat';
$lang['system_name_change'] = '%user% %bcname% %nname%';
$lang['system_kick'] = '%user% %bckick%';
$lang['system_ban'] = '%user% %bcban%';
$lang['system_mute'] = '%user% %bcmute%';
$lang['name_message'] = 'is now known as';
$lang['kick_message'] = 'has been kicked';
$lang['ban_message'] = 'has been banned';
$lang['mute_message'] = 'has been muted';
$lang['profile'] = 'Profile';
$lang['private'] = 'Private';
$lang['preview'] = 'Preview';
$lang['nobody'] = 'Nobody';
$lang['chat'] = 'Chat';
$lang['display'] = 'Display';
$lang['reset'] = 'Reset';
$lang['neon'] = 'Neon';
$lang['allow_neon'] = 'Allow neon text';
$lang['name_neon'] = 'Allow neon username';
$lang['name_font'] = 'Allow font in username';
$lang['allow_font'] = 'Allow font text';
$lang['font_style'] = 'Font style';
$lang['font'] = 'Font';
?>