<?php
// intro

$lang['left_title'] = 'Lerne neue Menschen kennen';
$lang['left_welcome'] = 'Unsere Chat-Community gibt die die Möglichkeit neue Freundschaften zu knüpfen und deine schönsten Momente mit ihnen zu teilen.';
$lang['last_active'] = 'Zuletzt aktive Mitglieder';

// menu text 

$lang['logout'] = 'Ausloggen';
$lang['my_profile'] = 'Mein Profil';
$lang['admin_panel'] = 'Admin panel';
$lang['home'] = 'Startseite';

// title item 

$lang['close'] = 'Schließen';
$lang['friend_list'] = 'Freundesliste';
$lang['ignore_list'] = 'Ignorieren';
$lang['user_list'] = 'Benutzerliste';
$lang['private_list'] = 'Private';
$lang['report_list'] = 'Gemeldet';

// intro text

$lang['username'] = 'Benutzername';
$lang['password'] = 'Passwort';
$lang['email'] = 'eMail';
$lang['country'] = 'Land';
$lang['region'] = 'Region';
$lang['age'] = 'Alter';
$lang['male'] = 'männlich';
$lang['female'] = 'weiblich';
$lang['register'] = 'Registrieren';
$lang['connect_with'] = 'Verbinde mit';
$lang['enter_now'] = 'Benutzer Login';
$lang['rules'] = 'Regeln';
$lang['privacy'] = 'Datenschutz-Bestimmungen';
$lang['i_agree'] = 'Durch die Registrierung stimmst du den Regeln zu.';
$lang['login'] = 'Login';
$lang['forgot'] = 'Passwort vergessen ?';
$lang['recover'] = 'Regierieren';
$lang['guest_login'] = 'Gäste Login';
$lang['site_login'] = 'Login';
$lang['more_login'] = 'Mehr Optionen';
$lang['not_member'] = 'Noch kein Mitglied? Registriere dich jetzt.';

// friend delete box 

$lang['want_delete'] = 'Bist du dir sicher, dass du diesen Account löschen möchtest ?';

// logout box

$lang['want_logout'] = 'Den Chat verlassen ?';

// general button text

$lang['ok'] = 'Ok';
$lang['yes'] = 'Ja';
$lang['no'] = 'Nein';
$lang['cancel'] = 'Abbrechen';
$lang['on'] = 'An';
$lang['off'] = 'Aus';
$lang['never'] = 'Nie';
$lang['save'] = 'Speichern';
$lang['delete'] = 'Löschen';
$lang['new'] = 'Neu';
$lang['upload'] = 'Upload';
$lang['unlimited'] = 'Unbegrenzt';
$lang['install'] = 'Installiere';
$lang['uninstall'] = 'Deinstalliere';
$lang['config'] = 'Einstellungen';
$lang['not_shared'] = 'Nicht anzeigen';
$lang['option_default'] = 'System Standard';
$lang['no_default'] = 'Kein Standard vorhanden';
$lang['full'] = 'Voll';
$lang['add'] = 'Hinzufügen';
$lang['back'] = 'Zurück';
$lang['search'] = 'Suchen';
$lang['enter_password'] = 'Passwort eingeben';
$lang['room_no_description'] = 'Dieser Raum hat keine Beschreibung';
$lang['join_room'] = 'Raum betreten';
$lang['settings'] = 'Einstellungen';
$lang['execute'] = 'Ausführen';
$lang['resend'] = 'Erneut senden';
$lang['apply'] = 'anweden';
$lang['reset_password'] = 'Passwort zurücksetzen';
$lang['load_more'] = 'Zeige mehr';
$lang['add_user'] = 'Benutzer hinzufügen';
$lang['more'] = 'Mehr';
$lang['other'] = 'Andere';
$lang['test'] = 'Test';
$lang['send'] = 'Sende';

// lobby menu

$lang['system_news'] = 'Aktuelles';
$lang['search_people'] = 'Personen suchen';
$lang['wall'] = 'Freundesliste';

// online offline

$lang['offline'] = 'Offline';
$lang['innactive'] = 'Inaktiv';

// menu drop user 

$lang['info'] = 'Profil ansehen';
$lang['add_friend']  = 'Als Freund hinzufügen';
$lang['ignore'] = 'Ignorieren';
$lang['private_chat'] = 'Privat';
$lang['options'] = 'Optionen';

// users status language

$lang['online'] = 'Online';
$lang['busy'] = 'Beschäftigt';
$lang['away'] = 'Abwesend';
$lang['gaming'] = 'Am zocken';
$lang['eating'] = 'Essen';
$lang['invisible'] = 'Unsichtbar';

// empty box text 

$lang['not_exist'] = 'Dieser Beitrag existiert nicht mehr';
$lang['no_news'] = 'Nichts aktuelles derzeit vorhanden.';
$lang['no_friend'] = 'Deine Freundesliste ist leer';
$lang['no_friend_request'] = 'Du hast keine Freundschaftsanfragen';
$lang['no_unread_private'] = 'Du hast keine ungelesenen Nachrichten';
$lang['no_report'] = 'Keine Meldung zum Anzeigen vorhanden';
$lang['no_ignore'] = 'Keine ignorierten Personen in der Liste';
$lang['no_data'] = 'Keine Daten vorhanden';

// search feature

$lang['my_region'] = 'Region';
$lang['my_country'] = 'Land';
$lang['activity'] = 'Aktivitätsstatus';
$lang['all'] = 'alle';

// room box create text

$lang['room_limit'] = 'Benutzerlimit';
$lang['room_name'] = 'Raumname';
$lang['room_type'] = 'Raumtyp';
$lang['room_description'] = 'Beschreibung';
$lang['create'] = 'Erstellen';

// system name 

$lang['quit_room'] = '%user% %bcquit%';
$lang['system_join_room'] = '%user% %bcjoin%';
$lang['room_clear'] = '%bcclear% %user%';
$lang['leave_message'] = 'hat den Raum verlassen';
$lang['join_message'] = 'kommt hinein';
$lang['clear_message'] = 'Der Raum wurde gesäubert -';

// control room and admin pop

$lang['mute'] = 'Stumm-Modus';
$lang['unmute'] = 'Stummmodus deaktiviert';
$lang['ban'] = 'Bannen';
$lang['unban'] = 'Bann entfernen';
$lang['delete_account'] = 'Benutzerkonto löschen';

// lang admin status

$lang['select_critera'] = 'Kriterien auswählen';
$lang['banned'] = 'Banned';
$lang['muted'] = 'Stummgeschaltet';
$lang['blocked'] = 'Blockiert';

// special box text

$lang['site_banned'] = 'Du wurdest vom Raum ausgeschlossen und kannst diesen nicht wieder betreten !';
$lang['verified_now'] = 'Vielen Dank! Dein Account ist nun verifiziert.';
$lang['oops'] = 'Hoppla ! Sieht so aus, als hättest du dich irgendwo verirrt..';

// system ranking 

$lang['owner'] = 'Eigentümer';
$lang['admin'] = 'Admin';
$lang['mod'] = 'Moderator';
$lang['user'] = 'Benutzer';
$lang['vip'] = 'Vip';
$lang['user_bot'] = 'Bot';
$lang['r_admin'] = 'Raum Admin';
$lang['r_mod'] = 'Raum Moderator';
$lang['guest'] = 'Gast';
$lang['public'] = 'Öffentlich';

// notification

$lang['no_notify'] = 'Du hast keine Benachrichtigungen';

// wall top part

$lang['friends'] = 'Freunde';

// post language

$lang['start_new_post'] = 'Starte einen neuen Beitrag';
$lang['post'] = 'Posten';
$lang['add_comment'] = 'Kommentieren';
$lang['wall_empty'] = 'Keine Beiträge zum Anzeigen vorhanden';
$lang['delete'] = 'Löschen';
$lang['report'] = 'Melden';
$lang['comment_here'] = 'Schreibe einen Kommentar';
$lang['view_more_comment'] = 'Mehr Kommentare';

// wall side details 

$lang['about'] = 'About';

// topic text

$lang['topic'] = 'Thema';
$lang['topic_empty'] = 'Für diesen Raum wurde kein Thema angelegt';

// report language

$lang['report_language'] = 'Sprache';
$lang['report_content'] = 'Unpassender Inhalt';
$lang['report_spam'] = 'Spam';
$lang['reported_chat'] = 'Chat-Beitrag gemeldet';
$lang['reported_post'] = 'Pinnwand-Beitrag gemeldet';
$lang['reported_reason'] = 'Grund';

// seen language 

$lang['seen'] = '%userseen% wurde zuletzt gesehen am %seentime% im Raum : %seenroom%';
$lang['not_seen'] = 'Sorry, unter %userseen% konnten wir niemanden finden';
$lang['seen_lobby'] = '%userseen% wurde zuletzt gesehen am %seentime% in der Lobby';

// profile language 

$lang['gender'] = 'Geschlecht';
$lang['user_theme'] = 'Design';
$lang['language'] = 'Sprache';
$lang['ip'] = 'Ip-Adresse';
$lang['join_chat'] = 'Mitglied seit';
$lang['other_account'] = 'Anderer Account';
$lang['main_info'] = 'Info';
$lang['remove_avatar'] = 'Entfernen';
$lang['verify_account'] = 'Account verifizieren';
$lang['actual_pass'] = 'Altes Passwort';
$lang['new_pass'] = 'Neues Passwort';
$lang['repeat_pass'] = 'Passwort wiederholen';
$lang['verified'] = 'Verifiziert';
$lang['unverified'] = 'Nicht verifiziert';
$lang['status'] = 'Status';
$lang['location'] = 'Position';
$lang['user_main_details'] = '%age% Jahre alt, %sex%';
$lang['age_only'] = '%age% Jahre alt';
$lang['about_me'] = 'Über mich';
$lang['not_available'] = 'Nicht verfügbar';
$lang['sounds'] = 'Sounds';
$lang['all_sound'] = 'Alle Sounds';
$lang['no_sound'] = 'Keine Sounds';
$lang['text_color'] = 'Textfarbe';
$lang['bold'] = 'B';
$lang['user_color'] = 'Username Farbe';
$lang['last_seen'] = 'Zuletzt gesehen';
$lang['years_old'] = 'jahre alt';
$lang['not_set'] = 'Nicht verfügbar';
$lang['edit'] = 'Bearbeiten';

// room setting language

$lang['room_name'] = 'Raumname';
$lang['room_settings'] = 'Einstellungen';
$lang['staff'] = 'Mitarbeiter';
$lang['room_description'] = 'Beschreibung';
$lang['system_theme'] = 'Standard Design';

// room page menu top 

$lang['add_room'] = 'Raum hinzufügen';
$lang['my_room'] = 'Meine Räume';

// side left menu language

$lang['room_side_settings'] = 'Raum Einstellungen';
$lang['module'] = 'Addons';

// notification box language 

$lang['friend_request'] = 'Freundschaftsanfragen';
$lang['notification'] = 'Benachrichtigung';
$lang['mb'] = 'Mb ';
$lang['vip_feature'] = 'Sorry, diese Funktion steht nur VIP-Mitgliedern zu';

// admin option 

$lang['action_none'] = 'Keine Interaktion';
$lang['action_mute'] = 'Stumm-an';
$lang['action_unmute'] = 'Stumm-aus';
$lang['action_verify'] = 'Verifiziere';
$lang['room_admin'] = 'Als Raum-Admin einstellen';
$lang['new_password'] = 'Neues Passwort erstellen';
$lang['user_rank'] = 'Benutzerrang';
$lang['action_ban'] = 'Banen';
$lang['action_unban'] = 'Bann entfernen';
$lang['action_delete'] = 'Account löschen';
$lang['none'] = 'Keine';
$lang['do_action'] = 'Interaktion';
$lang['aply'] = 'Anwenden';
$lang['never'] = 'nie';
$lang['default_player'] = 'Standard Player';

// activation box

$lang['edit_email'] = 'eMail bearbeiten';
$lang['active_message'] = 'Wir haben dir einen Code per eMail an die Adresse %cemail% gesendet. Bitte gib diesen Code ein um deinen Account zu verifizieren.';
$lang['code'] = 'Code eingeben';

// admin section text 

$lang['system_name'] = 'System name';
$lang['index_path'] = 'Chat index path';
$lang['site_title'] = 'Seitentitel';
$lang['site_description'] = 'Beschreibung der Seite';
$lang['site_keyword'] = 'Seiten keywords';
$lang['timezone'] = 'Zeitzone der Seite';
$lang['theme'] = 'Standdard Design';
$lang['default_language'] = 'Standard Sprache';
$lang['allow_registration'] = 'Neue Registrierungen erlauben';
$lang['allow_guest'] = 'Gäste zulassen';
$lang['guest_prefix'] = 'Präfix für Gäste';
$lang['min_age'] = 'Mindestalter für die Registrierung';
$lang['validate'] = 'Nach Verifizierung fragen';
$lang['room_count'] = 'Standardzahl bei der Raumerstellung';
$lang['admin_topic'] = 'Thema im Chat anzeigen';
$lang['max_main'] = 'Hauptchat maximale Charaktere';
$lang['max_private'] = 'Privatchat maximale Charaktere';
$lang['max_avatar'] = 'Maximale Größe des Profilbildes';
$lang['max_file'] = 'Maximale Dateigröße';
$lang['show_logs'] = 'Systemlogos anzeigen';
$lang['word_delay'] = 'Badwords - Dauer der Stummschaltung';
$lang['speed'] = 'Chat-Geschwindigkeit';
$lang['chat_delete'] = 'Chat löschen';
$lang['private_delete'] = 'Privatnachrichten löschen';
$lang['wall_delete'] = 'Pinnwandeinträge löschen';
$lang['max_offcount'] = 'Zeige Offline-User an';
$lang['file_delete'] = 'Dateien löschen';
$lang['mail_type'] = 'Mailsystem Typ';
$lang['site_email'] = 'eMail der Seite';
$lang['email_from'] = 'Absendername';
$lang['smtp_host'] = 'Smtp Host';
$lang['smtp_username'] = 'Smtp Benutzername';
$lang['smtp_password'] = 'Smtp Passwort';
$lang['smtp_encryption'] = 'Smtp encryption';
$lang['smtp_port'] = 'Smtp Port';
$lang['allow_colors'] = 'Textfarben erlauben';
$lang['emo_plus'] = 'Spezielle Emojis erlauben';
$lang['allow_direct'] = 'Erlaube direkte Anzeige';
$lang['allow_room'] = 'Erlaube Räume zu erstellen';
$lang['allow_history'] = 'Chatverlauf im Chat anzeigen';
$lang['add_word'] = 'Badwords hinzufügen';
$lang['action_word'] = 'Aktion bei Eingabe eines badwords';
$lang['empty'] = 'Derzeit keine Daten zum anzeigen vorhanden';
$lang['search_member'] = 'Mitglied suchen';
$lang['advance_search'] = 'Erweiterte Suche';
$lang['no_update'] = 'Kein Update zum installieren vorhanden';
$lang['no_addons'] = 'Keine addons gefunden';
$lang['default_stream'] = 'Standard Streamplayer';
$lang['add_player_stream'] = 'Radio hinzufügen';
$lang['stream_url'] = 'Stream url';
$lang['stream_alias'] = 'Stream alias';
$lang['allow_user_theme'] = 'Erlaube Usern Designs';
$lang['file_management'] = 'Datenmanagement';
$lang['chatting_members'] = 'Chatting members';
$lang['post_count'] = 'Pinnwandbeitrag';
$lang['post_reply'] = 'Pinnwand Kommentare';
$lang['verified_members'] = 'Verifizierte Mitglieder';
$lang['active_room'] = 'Aktive Räume';
$lang['chat_logs'] = 'Chat logs';
$lang['private_logs'] = 'Private logs';
$lang['banned_ip'] = 'Banned IP';
$lang['current_version'] = 'Aktuelle Version';
$lang['php_version'] = 'PHP Version';
$lang['max_upload'] = 'Max upload';
$lang['name_color'] = 'Erlaube Benutzernamen Farbe';
$lang['bridge'] = 'Bridge login';
$lang['max_name'] = 'Maximale Benutzernamenlänge';
$lang['allow_verify'] = 'Erlaube Account-Verifizierung';
$lang['allow_guest_name'] = 'Erlaube Gastnamen';

/* admin menu */

$lang['dashboard'] = 'Dashboard';
$lang['system_info'] = 'Systeminfo';
$lang['main_settings'] = 'Haupteinstellungen';
$lang['registration_settings'] = 'Registrierung Optionen';
$lang['manage_report'] = 'Abuse-Einstellungen';
$lang['email_settings'] = 'Email Einstellungen';
$lang['chat_settings'] = 'Chat Optionen';
$lang['users_management'] = 'Benutzerverwaltung';
$lang['room_management'] = 'Räume verwalten';
$lang['ban_management'] = 'Banned IP';
$lang['database_management'] = 'Upload & database';
$lang['upload_settings'] = 'Upload Einstellungen';
$lang['limit_management'] = 'Limitierungen';
$lang['player_settings'] = 'Player Einstellungen';
$lang['update_zone'] = 'Updates';
$lang['bad_word_filter'] = 'Badwords filter';
$lang['pages_management'] = 'Seiten Verwalten';
$lang['addons_management'] = 'Addons verwalten';
$lang['manual'] = 'Dokumentation';
$lang['logs_management'] = 'Logdaten-Management';
$lang['console'] = 'Console';
$lang['manage_language'] = 'Sprachen Einstellungen';
$lang['manage_modules'] = 'Module Einstellungen';

$lang['allow_name'] = 'Erlaube Benutzernamen zu ändern';
$lang['social_login'] = 'Aktiviere %type% login';
$lang['social_id'] = '%type% app id';
$lang['social_secret'] = '%type% app secret';
$lang['allow_avatar'] = 'Profilbild erlauben';

// added pre release

$lang['main'] = 'Main';
$lang['social'] = 'Social';
$lang['cookie_law'] = 'Hinweis: Cookies erleichtern die Bereitstellung unserer Dienste. Mit der Nutzung unserer Dienste erklären Sie sich damit einverstanden, dass wir Cookies verwenden. Weitere Informationen %data%';
$lang['filter'] = 'Filter';
$lang['email_filter'] = 'Aktiviere eMail-Filter';
$lang['spam_content'] = 'Dieser Beitrag wurde als Spam markiert';
$lang['help'] = 'Hilfe';
$lang['page'] = 'Seite';
$lang['lobby'] = 'Lobby';
$lang['manage_action'] = 'Manage action';

// added version 1.1

$lang['allow_private'] = 'Erlaube die Privaten chat';
$lang['private_mode'] = 'Privaten chat';
$lang['friend_only'] = 'Nur Freunden';
$lang['clear'] = 'Löschen';
$lang['use_recapt'] = 'Google recaptcha';
$lang['recapt_site'] = 'webseite Lizenzkey';
$lang['recapt_secret'] = 'Heimlichen Lizenzkey';
$lang['allow_mood'] = 'Erlaube die Stimmung';
$lang['mood'] = 'Stimmung';
$lang['limit_feature'] = 'Beschränken Sie diese Funktion auf';


// added in version 2.0

$lang['user_timezone'] = 'Zeit zone';
$lang['nothing_found'] = 'Nichts gefunden';
$lang['type_something'] = 'Schreiben Sie eine Nachricht...';
$lang['system_config'] = 'Systeme instellungen';
$lang['system_tools'] = 'System werkzeuge';
$lang['system_logs'] = 'System aufzeichnungen';
$lang['super_admin'] = 'Super Admin';
$lang['room_rank'] = 'Raum ordnung';
$lang['reason'] = 'Grund';
$lang['reason_given'] = 'Grund gegeben';
$lang['duration'] = 'Zeit';
$lang['kick'] = 'Kicken';
$lang['unkick'] = 'Kicken Lift';
$lang['kicked'] = 'zu gekickt';
$lang['kick_msg'] = 'Aus dem Raum kicken';
$lang['kick_back'] = 'Dann können Sie sich wieder im Chatraum anmelden';
$lang['bridge_login'] = 'Bridge eingabemodus';
$lang['bridge_only'] = 'Nur bridge';
$lang['add_bridge'] = 'bridge hinzufügen';
$lang['rank_icon'] = 'Rang-Symbole anzeigen';
$lang['gender_icon'] = 'Avatar Geschlecht anzeigen';
$lang['userlist_only'] = 'Nur liste';
$lang['userlist_chat'] = 'Liste und Chat';
$lang['innactive_logout'] = 'Trennen Sie inaktive Mitglieder';
$lang['delay_settings'] = 'Verzögerung seinstellungen';
$lang['member_delete'] = 'Inaktive benutzer löschen';
$lang['room_delete'] = 'Inaktive Räume löschen';
$lang['room_list'] = 'Raum listen';
$lang['station'] = 'Radio';
$lang['station_list'] = 'Radio listen';
$lang['allow_grad'] = 'Aktivieren Sie Effekt text farben';
$lang['name_grad'] = 'Aktivieren Sie Effekt Benutzername farben';
$lang['color'] = 'Farbe';
$lang['gradient'] = 'Effekt';
$lang['verify_start'] = 'Wir senden Ihnen einen Bestätigungscode an Ihre registrierte E-Mail-Adresse, um den Kontoüberprüfungsvorgang abzuschließen. Vergewissern Sie sich, dass Ihre E-Mail richtig geschrieben ist, bevor der Überprüfungsvorgang abgeschlossen ist';
$lang['verify_end'] = 'Bitte geben Sie den Bestätigungscode ein, der an Ihre E Mail gesendet wurde.';
$lang['verify_send'] = 'Bestätigungs code senden';
$lang['verify_got'] = 'Ich habe einen Bestätigungs code';
$lang['change_password'] = 'Ändern Sie Ihr Password';
$lang['unset_mood'] = 'Fügen Sie Ihre Stimmung hinzu';
$lang['user_verify'] = 'bestätigen';
$lang['dj_module'] = 'an der spitze DJ';
$lang['onair'] = 'oben Dj';
$lang['please_wait'] = 'Bitte warte ...';
$lang['min_text'] = 'Minimum %number% Buchstaben';
$lang['select'] = 'Option auswählen';
$lang['member_feature'] = 'Diese Funktion steht leider nur registrierten Mitgliedern zur Verfügung.';
$lang['maintenance'] = 'Reparatur';
$lang['maint_mode'] = 'Reparatur Mode';
$lang['maint_text'] = 'Die Wartung der site wird jetzt durchgeführt.Wir werden so schnell wie möglich aktiv sein';
$lang['auto_refresh'] = 'automatische wird erneuert.';
$lang['close_account'] = 'registriertes Konto löschen';
$lang['cancel_request'] = 'Anfrage abbrechen';
$lang['close_message'] = 'Nach der Bestätigung wird Ihr Konto innerhalb von 7 Tagen gelöscht.Sie können diese Anfrage von Ihrem Profil aus abbrechen';
$lang['close_warning'] = 'Ihr Konto %date% wird gelöscht, bis dieses Datum storniert werden kann.Gelöschtes Konto kann nicht rückgängig gemacht werden';

$lang['private_settings'] = 'Private Einstellungen';
$lang['manage_friends'] = 'Freunde verwalten';
$lang['manage_ignores'] = 'Ignorantes Management';
$lang['lang_location'] = 'Sprache / Land';
$lang['theme_settings'] = 'Themen-Einstellungen';
$lang['sound_settings'] = 'Soundeinstellungen';
$lang['members'] = 'Mitglieder ';
$lang['add_post'] = 'Beitrag hinzufügen';
$lang['add_staff'] = 'Mitarbeiter hinzufügen';
$lang['r_owner'] = 'Room Besitzer';
$lang['display_settings'] = 'Display optionen';
$lang['login_page'] = 'Stil der Login-Seite';
$lang['filtering'] = 'Filter';
$lang['edit_about'] = 'Über mich - Änderungen';
$lang['user_id'] = 'Benutzer-ID';
$lang['optional'] = '(optional)';
$lang['unlimited'] = 'Unbegrenzt';
$lang['secure_account'] = 'Klicken Sie hier, um Ihrem Konto Sicherheitsinformationen hinzuzufügen und um auf weitere Funktionen zuzugreifen.';
$lang['register_guest'] = 'Du bist derzeit als Gast angemeldet, klicke hier, um dein Konto zu registrieren, um weitere Funktionen zu nutzen.';
$lang['name_email'] = 'Benutzername / Email';
$lang['global_action'] = 'Globale Maßnahmen';
$lang['change_rank'] = 'Rang ändern';
$lang['block'] = 'Sperren';
$lang['unblock'] = 'Entsperren';
$lang['unignore'] = 'Ignorieren aufheben';
$lang['unfriend'] = 'Freund entfernen';
$lang['main_action'] = 'Main';
$lang['room_action'] = 'Room';
$lang['account_status'] = 'Status';
$lang['edit_verify'] = 'Kontostatus bearbeiten';
$lang['guest_form'] = 'Formular für erweiterte Gäste';
$lang['edit_username'] = 'Benutzername bearbeiten';
$lang['edit_color'] = 'Farbe des Benutzernamens bearbeiten';
$lang['edit_mood'] = 'Stimmung bearbeiten';
$lang['geo_system'] = 'Geolokalisierung';
$lang['room_system'] = 'Raumlobby';
$lang['wall_system'] = 'Wandsystem';
$lang['cookie_system'] = 'Cookie-Recht';
$lang['allow_cover'] = 'Profilabdeckung zulassen';
$lang['allow_gcover'] = 'Animiertes Cover erlauben';
$lang['max_cover'] = 'Max. zulässiges Deckungsmaß';
$lang['second'] = 'sekunde';
$lang['seconds'] = 'sekunden';
$lang['minute'] = 'minute';
$lang['minutes'] = 'minuten';
$lang['hour'] = 'Stunde';
$lang['hours'] = 'Stunden';
$lang['day'] = 'Tag';
$lang['days'] = 'Tage';
$lang['week'] = 'Woche';
$lang['weeks'] = 'Wochen';
$lang['month'] = 'Monat';
$lang['months'] = 'Monate';
$lang['year'] = 'Jahr';
$lang['years'] = 'Jahre';
$lang['registered'] = 'Registriert';
$lang['system_diagnostic'] = 'Systemdiagnos';
$lang['user_muted'] = 'Dieser Benutzer ist derzeit stumm geschaltet';
$lang['user_banned'] = 'Dieser Benutzer ist derzeit gesperrt';
$lang['history'] = 'History';
$lang['flood'] = 'Wiederholung';
$lang['badword'] = 'Schimpfwörter';
$lang['spam'] = 'Spamming';
$lang['no_reason'] = 'Kein Grund angegeben';
$lang['by'] = 'Author';
$lang['delay'] = 'Verzögerung';
$lang['fetching'] = 'Datenabruf bitte warten';
$lang['topic_title'] = 'Thema';
$lang['seen_title'] = 'Gesehen';
$lang['default_title'] = 'Nachricht';
$lang['data'] = 'Data';

// added in 3.5 

$lang['account'] = 'Konto';
$lang['security'] = 'Sicherheit';
$lang['regmute'] = 'Neues Konto stumm schaltem';
$lang['user_regmuted'] = 'Dieser Benutzer ist neu und wird derzeit zur Überprüfung stummgeschaltet.';
$lang['welcome_user'] = 'Willkommen %user%';
$lang['reg_message'] = 'Um Spam zu vermeiden haben wir vorerst wegen deiner überprüfung dein Konto stumm geschaltet.';
$lang['guest_message'] = 'Du hast den Chat als Gast betreten. Du kannst den Chatverlauf sehen, jedoch nicht selbst schreiben bevor du dich noch nicht registriert hast';
$lang['guest_message2'] = 'Registriere dich um schreiben und die Großartigen Features nutzen zu können.';
$lang['view_only'] = 'Nur anschauen';
$lang['view_likes'] = 'Likes anzeigen';
$lang['delete_post'] = 'Möchtest du wirklich dein Konto löschen ?';
$lang['delete_private'] = 'Bist du sicher das du diesen Privaten Post löschen möchtest? Du kannst diesen Beitrag nicht mehr wiederherstellen und nachträglich nicht verarbeitet werden.';
$lang['console_clear'] = 'Durch Löschen der Systemkonsole werden alle aufgezeichneten Protokolle gelöscht. Möchten Sie fortfahren und die Konsole löschen??';
$lang['hide'] = 'Ausblenden';
$lang['user_room'] = 'Aktueller Raum';
$lang['chat_sound'] = 'Chattöne';
$lang['private_sound'] = 'Private T&uumlöne';
$lang['notification_sound'] = 'Benachrichtigungston';
$lang['username_sound'] = 'Username Töne';
$lang['edit_info'] = 'Info bearbeiten';
$lang['reported_private'] = 'Hat einen privaten Chat gemeldet';
$lang['reported_profile'] = 'Hat ein Profil gemeldet';
$lang['report_post'] = 'Diesen Inhalt melden';
$lang['report_warning'] = 'Bitte reichen Sie nur strafbare Handlungen ein. Missbrauch oder falsche Berichterstattung können zu Maßnahmen gegen Ihr eigenes Konto führen. Wählen Sie den Grund für die Meldung dieses Inhalts aus';
$lang['report_select'] = 'Grund wählen';
$lang['report_fraud'] = 'Betrugsversuch';
$lang['mobile'] = 'Mobile';
$lang['allow_cupload'] = 'Chatupload erlauben';
$lang['allow_pupload'] = 'Private Uploads erlauben';
$lang['allow_wupload'] = 'Pinnwand Upload erlauben';
$lang['guest_talk'] = 'Dem Gast das Chatten erlauben';
$lang['system_name_change'] = '%user% %bcname% %nname%';
$lang['system_kick'] = '%user% %bckick%';
$lang['system_ban'] = '%user% %bcban%';
$lang['system_mute'] = '%user% %bcmute%';
$lang['name_message'] = 'ist jetzt bekannt als';
$lang['kick_message'] = 'wurde kicked';
$lang['ban_message'] = 'wurde gebannt';
$lang['mute_message'] = 'wurde stummgeschaltet';
$lang['profile'] = 'Profil';
$lang['private'] = 'Privat';
$lang['preview'] = 'Vorschau';
$lang['nobody'] = 'Niemand';
$lang['chat'] = 'Chat';
$lang['display'] = 'Anzeige';
$lang['reset'] = 'Reset';
$lang['neon'] = 'Neon';
$lang['allow_neon'] = 'Neontext erlauben';
$lang['name_neon'] = 'Username in Neon erlauben';
$lang['name_font'] = 'Schriftart im Benutzernamen zulassen';
$lang['allow_font'] = 'Schriftart in text zulassen';
$lang['font_style'] = 'Font style';
$lang['font'] = 'Font';
?>