<?php
// intro

$lang['left_title'] = 'Ontmoet nieuwe mensen';
$lang['left_welcome'] = 'Onze chat community geeft jou de kans om nieuwe vrienden te leren kennen en mooie momenten met elkaar te delen.';
$lang['last_active'] = 'Laatste actieve leden';

// menu text 

$lang['logout'] = 'Uitloggen';
$lang['my_profile'] = 'Mijn profiel';
$lang['admin_panel'] = 'Admin paneel';
$lang['home'] = 'Home';

// title item 

$lang['close'] = 'Sluiten';
$lang['friend_list'] = 'Vriendenlijst';
$lang['ignore_list'] = 'Negeren';
$lang['user_list'] = 'Gebruikers lijst';
$lang['private_list'] = 'Prive lijst';
$lang['report_list'] = 'Raporteer lijst';

// intro text

$lang['username'] = 'Gebruikersnaam';
$lang['password'] = 'Wachtwoord';
$lang['email'] = 'Email';
$lang['country'] = 'Land';
$lang['region'] = 'Regio';
$lang['age'] = 'Leeftijd';
$lang['male'] = 'Man';
$lang['female'] = 'Vrouw';
$lang['register'] = 'Registreer';
$lang['connect_with'] = 'Connect met';
$lang['enter_now'] = 'Leden login';
$lang['rules'] = 'Terms of use';
$lang['privacy'] = 'Privacy policy';
$lang['i_agree'] = 'Door te registreren ga je akkoord met';
$lang['login'] = 'Login';
$lang['forgot'] = 'Wachtwoord vergeten ?';
$lang['user_recover'] = 'Gebruiker om te herstellen';
$lang['recover'] = 'Herstel';
$lang['guest_login'] = 'Login als gast';
$lang['site_login'] = 'Connect met de site';
$lang['more_login'] = 'Meer opties';
$lang['not_member'] = 'Nog geen lid ? registreer nu.';

// friend delete box 

$lang['want_delete'] = 'Weet je het zeker om te verwijderen ?';

// logout box

$lang['want_logout'] = 'Wil je uitloggen ?';

// general button text

$lang['ok'] = 'oke';
$lang['yes'] = 'Ja';
$lang['no'] = 'Nee';
$lang['cancel'] = 'Annuleer';
$lang['on'] = 'aan';
$lang['off'] = 'uit';
$lang['minute'] = 'Min';
$lang['hour'] = 'Uur';
$lang['day'] = 'Dag';
$lang['days'] = 'Dagen';
$lang['week'] = 'Week';
$lang['month'] = 'Maand';
$lang['never'] = 'Nooit';
$lang['save'] = 'Opslaan';
$lang['delete'] = 'Verwijder';
$lang['new'] = 'Nieuw';
$lang['upload'] = 'Upload';
$lang['unlimited'] = 'Unlimited';
$lang['install'] = 'Instaleer';
$lang['uninstall'] = 'Deinstaleer';
$lang['config'] = 'Config';
$lang['not_shared'] = 'Niet laten zien';
$lang['option_default'] = 'System standaard';
$lang['no_default'] = 'Geen standaard';
$lang['full'] = 'Vol';
$lang['add'] = 'Toevoegen';
$lang['back'] = 'Terug';
$lang['search'] = 'Zoeken';
$lang['enter_password'] = 'Vul wachtwoord in';
$lang['room_no_description'] = 'Deze kamer heeft nog geen omschrijving';
$lang['join_room'] = 'Ga naar kamer';
$lang['settings'] = 'Instellingen';
$lang['execute'] = 'Uitvoeren';
$lang['resend'] = 'Opnieuw verzenden';
$lang['apply'] = 'Aanbrengen';
$lang['reset_password'] = 'Verstuur wachtwoord opnieuw';
$lang['load_more'] = 'Laad meer';
$lang['add_user'] = 'Voeg gebruiker toe';
$lang['more'] = 'Meer';
$lang['other'] = 'Anders';
$lang['test'] = 'Test';
$lang['send'] = 'Verstuur';

// lobby menu

$lang['system_news'] = 'Nieuws';
$lang['search_people'] = 'Personen zoeken';
$lang['wall'] = 'Vrienden wall';

// online offline

$lang['offline'] = 'Offline';
$lang['innactive'] = 'Inactief';

// menu drop user 

$lang['info'] = 'Bekijk profiel';
$lang['add_friend']  = 'Voeg vriend toe';
$lang['ignore'] = 'Negeer';
$lang['private_chat'] = 'Prive chat';
$lang['options'] = 'Opties';

// users status language

$lang['online'] = 'Online';
$lang['busy'] = 'Druk';
$lang['away'] = 'Weg';
$lang['gaming'] = 'Game';
$lang['eating'] = 'Aan het eten';
$lang['invisible'] = 'Ontzichbaar';

// empty box text 

$lang['not_exist'] = 'Deze post bestaat niet meer';
$lang['no_news'] = 'Er is geen nieuws om te weergeven';
$lang['no_friend'] = 'Je vriendenlijst is leeg';
$lang['no_friend_request'] = 'Je heb nog geen vriendenverzoeken';
$lang['no_unread_private'] = 'Je prive lijst is leeg';
$lang['no_report'] = 'Er is geen rapport om te weergeven';
$lang['no_ignore'] = 'Je negeerlijst is nog leeg';
$lang['no_data'] = 'Geen data';

// search feature

$lang['my_region'] = 'Mijn regio';
$lang['my_country'] = 'Mijn land';
$lang['activity'] = 'Actieve status';
$lang['all'] = 'alles';

// room box create text

$lang['room_limit'] = 'Gebruikers limiet';
$lang['optional_pass'] = '( optioneel )';
$lang['room_name'] = 'Kamer naam';
$lang['room_type'] = 'Kamer type';
$lang['room_description'] = 'Omschrijving';
$lang['create'] = 'Aanmaken';

// system name 

$lang['quit_room'] = '%user% %bcquit%';
$lang['system_join_room'] = '%user% %bcjoin%';
$lang['room_clear'] = '%bcclear% %user%';
$lang['leave_message'] = 'heeft de kamer verlaten';
$lang['join_message'] = 'komt de kamer in';
$lang['clear_message'] = 'Deze kamer is opgeschoond door';

// control room and admin pop

$lang['mute'] = 'Mute';
$lang['room_mute'] = 'kamer mute';
$lang['unmute'] = 'Unmute';
$lang['room_unmute'] = 'Unmute';
$lang['ban'] = 'Ban';
$lang['unban'] = 'Unban';
$lang['room_block'] = 'Blokkeer van kamer';
$lang['room_unblock'] = 'Deblokkeren';
$lang['delete_account'] = 'Verwijder account';

// lang admin status

$lang['select_critera'] = 'Selecteer criteria';
$lang['banned'] = 'Verbannen';
$lang['muted'] = 'Gemute';
$lang['blocked'] = 'Geblokkeerd';

// special box text

$lang['site_banned'] = 'Je bent hellaas verbannen van deze website!';
$lang['verified_now'] = 'Hartelijk dank u account is geverifieerd';
$lang['oops'] = 'Oops ! het lijkt erop dat je verdwaald bent.';

// system ranking 

$lang['owner'] = 'Eigenaar';
$lang['admin'] = 'Admin';
$lang['mod'] = 'Moderator';
$lang['user'] = 'Gebruiker';
$lang['vip'] = 'Vip';
$lang['user_bot'] = 'Bot';
$lang['r_admin'] = 'Admin kamer';
$lang['r_mod'] = 'Moderator kamer';
$lang['guest'] = 'Gast';
$lang['public'] = 'Openbaar';

// notification

$lang['liked'] = 'Vind je post leuk ';
$lang['unliked'] = 'Vind je post niet meer leuk. ';
$lang['have_replied'] = 'Heeft gereageerd op je post';
$lang['post_wall'] = 'Heeft iets op je wall geplaatst';
$lang['no_notify'] = 'Je heb nog geen notificatie';
$lang['bad_word_use'] = 'Je bent gemute  voor @delay@ min omdat je scheldwoorden gebruikt';
$lang['flood_abuse'] = 'Your account has been muted for flood abuse please wait for admin to review your account';
$lang['bad_word_full'] = 'Je bent gemute vanwege scheldwoorden';
$lang['rank_change'] = 'Je status is veranderd je status is nu @rank@';
$lang['room_rank_change'] = 'Je status is nu @rank@ in @room@';
$lang['system_mute'] = 'Je bent gemute';
$lang['system_unmute'] = 'Je bent ge onmuted';
$lang['accept_friend'] = 'Heeft je vriendenverzoek geaccepteerd';

// wall top part

$lang['friends'] = 'Vrienden';

// post language

$lang['start_new_post'] = 'Start een nieuwe post';
$lang['post'] = 'Post';
$lang['add_comment'] = 'Voeg commentaar toe';
$lang['wall_empty'] = 'Er is geen post om te weergeven';
$lang['delete'] = 'Verwijder';
$lang['report'] = 'Reporteer';
$lang['comment_here'] = 'Voeg commentaar toe';
$lang['view_more_comment'] = 'Meer commentaar weergeven';

// wall side details 

$lang['about'] = 'Over';

// topic text

$lang['topic'] = 'Topic';
$lang['topic_empty'] = 'Er is nog geen topic aangemaakt voor deze room';

// report language

$lang['report_language'] = 'Beledigende taalgebruik';
$lang['report_content'] = 'Ongepaste inhoud';
$lang['report_spam'] = 'Reclame inhoud';
$lang['reported_chat'] = 'Post rapporteren';
$lang['reported_post'] = 'Wall post rapporteren';
$lang['reported_reason'] = 'Reden';

// seen language 

$lang['seen'] = '%userseen% Laast gezien  %seentime% in kamer : %seenroom%';
$lang['not_seen'] = 'Hellas geen gegevens gevonden voor %userseen%';
$lang['seen_lobby'] = '%userseen% Was laatst gezien %seentime% in de lobby';

// profile language 

$lang['gender'] = 'Geslacht';
$lang['user_theme'] = 'Thema';
$lang['language'] = 'Taal';
$lang['ip'] = 'Ip address';
$lang['join_chat'] = 'Lid sinds';
$lang['other_account'] = 'Ander account';
$lang['main_info'] = 'Info';
$lang['remove_avatar'] = 'Verwijder';
$lang['verify_account'] = 'geverifieerd account';
$lang['actual_pass'] = 'Huidige wachtwoord';
$lang['new_pass'] = 'Nieuwe wachtwoord';
$lang['repeat_pass'] = 'Herhaal wachtwoord';
$lang['verified'] = 'geverifieerd';
$lang['unverified'] = 'Niet geverifieerd';
$lang['status'] = 'Status';
$lang['location'] = 'Locatie';
$lang['user_main_details'] = '%age% years old, %sex%';
$lang['age_only'] = '%age% jaar oud';
$lang['about_me'] = 'Over mij';
$lang['not_available'] = 'Niet beschikbaar';
$lang['sounds'] = 'Geluiden';
$lang['all_sound'] = 'Alle geluiden';
$lang['no_sound'] = 'Geen geluid';
$lang['private_sound'] = 'Prive & notificatie';
$lang['text_color'] = 'Tekst kleur';
$lang['bold'] = 'B';
$lang['user_color'] = 'Kleur van gebruikersnaam';
$lang['last_seen'] = 'Laatst gezien';
$lang['years_old'] = 'Jaar oud';
$lang['not_set'] = 'Niet beschikbaar';
$lang['edit'] = 'Wijzig';
$lang['room_action'] = 'Kamer actie';

// room setting language

$lang['room_name'] = 'Kamer naam';
$lang['room_settings'] = 'Instellingen';
$lang['staff'] = 'Personeel';
$lang['room_description'] = 'Omschrijving';
$lang['room_theme'] = 'Kamer thema';
$lang['system_theme'] = 'Standaard thema';

// room page menu top 

$lang['add_room'] = 'Voeg kamer toe';
$lang['my_room'] = 'Mijn kamers';

// side left menu language

$lang['room_side_settings'] = 'Kamer instellingen';
$lang['module'] = 'Addons';

// notification box language 

$lang['friend_request'] = 'Vrienden verzoek';
$lang['notification'] = 'Notivicatie';
$lang['mb'] = 'Mb ';
$lang['vip_feature'] = 'Sorry deze optie is alleen voor VIP leden';

// admin option 

$lang['action_none'] = 'Geen actie';
$lang['action_mute'] = 'Mute';
$lang['action_unmute'] = 'Unmute';
$lang['action_verify'] = 'verifieer';
$lang['room_admin'] = 'Maak kamer admin';
$lang['word_temp_mute'] = 'Tijdelijke mute';
$lang['new_password'] = 'Stel nieuw wachtwoord in';
$lang['user_rank'] = 'Gebruiker status';
$lang['action_ban'] = 'Ban';
$lang['action_unban'] = 'Unban';
$lang['action_delete'] = 'Verwijder Account';
$lang['none'] = 'Geen';
$lang['do_action'] = 'Actie';
$lang['aply'] = 'Toepassen';
$lang['never'] = 'Nooit';
$lang['default_player'] = 'Standaard speler';

// activation box

$lang['edit_email'] = 'Pas email aan';
$lang['active_message'] = 'We hebben een email gestuurd naar %cemail%. Voer je verificatie code in om je account te verifieren.';
$lang['code'] = 'Geef de code op';

// admin section text 

$lang['system_name'] = 'System naam';
$lang['index_path'] = 'Chat index path';
$lang['site_title'] = 'Naam van de website';
$lang['site_description'] = 'Site omschrijving';
$lang['site_keyword'] = 'Website sleutelwoorden';
$lang['timezone'] = 'Tijdzonde van je website';
$lang['theme'] = 'Standaard thema';
$lang['default_language'] = 'Standaard taal';
$lang['allow_registration'] = 'Sta nieuwe registraties toe';
$lang['allow_guest'] = 'Laat gasten toe';
$lang['guest_prefix'] = 'Gasten prefix';
$lang['min_age'] = 'Minimale leeftijd om te registreren';
$lang['max_registration'] = 'Maximale registratie per dag';
$lang['validate'] = 'Vraag om te verifieren';
$lang['room_count'] = 'Default count on room creation';
$lang['admin_topic'] = 'Laat topic zien in de kamers';
$lang['max_main'] = 'Maximale characters wat er gebruikt mag worden op de main chat';
$lang['max_private'] = 'Aantal maximale characters in de prive chat';
$lang['max_avatar'] = 'Maximale groote van de avartar';
$lang['max_file'] = 'Maximale bestandgroote';
$lang['show_logs'] = 'Laat systeem logs zien';
$lang['word_delay'] = 'Bad word mute duration';
$lang['multi_email'] = 'sta toe dubbele email registraties toe';
$lang['ico'] = 'Laat icoontjes zien in chatterslijst';
$lang['speed'] = 'Chat vertraging om te vernieuwen';
$lang['chat_delete'] = 'Chat logs verwijderen';
$lang['private_delete'] = 'Prive logs verwijderen';
$lang['wall_delete'] = 'Tijdlijn logs verwijderen';
$lang['max_offcount'] = 'Offline gebruikers weergeven';
$lang['file_delete'] = 'Verwijder bestanden';
$lang['mail_type'] = 'Type mailsysteem';
$lang['site_email'] = 'Website email';
$lang['email_from'] = 'Naam van afzender';
$lang['smtp_host'] = 'Smtp host';
$lang['smtp_username'] = 'Smtp gebruikersnaam';
$lang['smtp_password'] = 'Smtp wachtwoord';
$lang['smtp_encryption'] = 'Smtp encryption';
$lang['smtp_port'] = 'Smtp port';
$lang['allow_image'] = 'Sta uploaden toe';
$lang['allow_colors'] = 'Sta kleuren toe';
$lang['allow_player'] = 'Sta spelerslijst toe';
$lang['emo_plus'] = 'Sta speciale smileys toe';
$lang['allow_direct'] = 'Sta directe weergaven toe';
$lang['allow_room'] = 'Sta gebruikers toe om kamers aan te maken';
$lang['allow_history'] = 'Sta chat geschiedenis toe';
$lang['add_word'] = 'Voeg tekst toe aan de filter';
$lang['action_word'] = 'Actie die moet worden ondernomen als er gescholden word';
$lang['empty'] = 'Er is momenteel geen data om te weergeven';
$lang['search_member'] = 'Zoek gebruiker';
$lang['advance_search'] = 'Uitgebreid zoeken';
$lang['no_update'] = 'Er is momenteel geen update om te installeren';
$lang['no_addons'] = 'Er zijn geen addons gevonden';
$lang['default_stream'] = 'Standaard stream speler';
$lang['add_player_stream'] = 'Voeg radio toe';
$lang['stream_url'] = 'Stream url';
$lang['stream_alias'] = 'Stream alias';
$lang['allow_room_theme'] = 'Sta kamer thema toe';
$lang['allow_user_theme'] = 'Sta gebruikers themas toe';
$lang['file_management'] = 'Bestanden beheren';
$lang['registered_members'] = 'Geregistreede gebruikers';
$lang['chatting_members'] = 'Gebruikerd die chatter';
$lang['post_count'] = 'Wall berichten';
$lang['post_reply'] = 'Wall reacties';
$lang['verified_members'] = 'Geverifieerde gebruikers';
$lang['active_room'] = 'Actieve kamers';
$lang['chat_logs'] = 'Chat logs';
$lang['private_logs'] = 'Prive logs';
$lang['banned_ip'] = 'Ips verbannen';
$lang['current_version'] = 'Huidige versie';
$lang['php_version'] = 'PHP versie';
$lang['max_upload'] = 'Max upload';
$lang['room_system'] = 'Kamer lobby';
$lang['name_color'] = 'Sta gebruikers toe om de naam een kleur te geven';
$lang['bridge'] = 'Bridge login';
$lang['max_name'] = 'Maximale lengte van gebruikersnaam';
$lang['use_wall'] = 'Wall systeem';
$lang['allow_verify'] = 'Sta account verificatie toe';
$lang['allow_guest_name'] = 'Sta gast namen toe';

/* admin menu */

$lang['dashboard'] = 'Dashboard';
$lang['system_info'] = 'Systeem info';
$lang['main_settings'] = 'Algemene opties';
$lang['registration_settings'] = 'Registratie opties';
$lang['manage_report'] = 'Beheer rapporten';
$lang['email_settings'] = 'Email instellingen';
$lang['chat_settings'] = 'Chat opties';
$lang['users_management'] = 'Leden beheren';
$lang['room_management'] = 'Kamers beheren';
$lang['ban_management'] = 'Verbannen ip';
$lang['database_management'] = 'Upload & database';
$lang['upload_settings'] = 'Upload instellingen';
$lang['limit_management'] = 'Limiet opties';
$lang['player_settings'] = 'Speler instellingen';
$lang['update_zone'] = 'Updates';
$lang['bad_word_filter'] = 'Scheldwoorden filter';
$lang['pages_management'] = 'Beheer paginas';
$lang['addons_management'] = 'Beheer addons';
$lang['manual'] = 'Documentatie';
$lang['logs_management'] = 'Logs beheer';
$lang['console'] = 'Console';
$lang['manage_language'] = 'Beheer taal';
$lang['manage_modules'] = 'Beheer modules';

$lang['active_control'] = 'Inactiviteitsbalancer';
$lang['allow_name'] = 'Gebruikersnaam wijzigen';
$lang['social_login'] = 'Activeer %type% login';
$lang['social_id'] = '%type% app id';
$lang['social_secret'] = 'Geheime %type% sleutel';
$lang['allow_avatar'] = 'Sta avatar toe';

// added pre release

$lang['main'] = 'Hoofd';
$lang['social'] = 'Sociaal';
$lang['cookie_law'] = 'This site uses Cookies for more information and to manage cookies read our %data%';
$lang['filter'] = 'Filters';
$lang['email_filter'] = 'Actief e-mailfilter';
$lang['spam_content'] = 'Dit bericht is gemarkeerd als spam';
$lang['help'] = 'Helpen';
$lang['page'] = 'Pagina';
$lang['lobby'] = 'Lobby';
$lang['manage_action'] = 'Beheer actie';
$lang['main_action'] = 'Hoofdactie';

// added version 1.1

$lang['allow_private'] = 'Sta prive chat toe';
$lang['show_cookie'] = 'Cookie wet';
$lang['private_mode'] = 'Prive chat';
$lang['friend_only'] = 'Alleen vrienden';
$lang['clear'] = 'Wissen';
$lang['register_mute'] = 'Mute nieuwe account';
$lang['welcome_reg'] = 'Welkom %user% !';
$lang['reg_mute_text'] = 'Om onze ledenervaring te verbetere worden nieuwe accounts gemute voor %regmute% minuten. We zullen je op de hoogte brengen zodra uw account hebben geverifieerd.';
$lang['use_recapt'] = 'Google recaptcha';
$lang['recapt_site'] = 'Site sleutel';
$lang['recapt_secret'] = 'Geheime sleutel';
$lang['allow_mood'] = 'Sta mood toe';
$lang['mood'] = 'Mood';
$lang['limit_feature'] = 'Beperk deze functie tot';


// added in version 2.0

$lang['user_timezone'] = 'Timezone';
$lang['nothing_found'] = 'Niks gevonden';
$lang['type_something'] = 'Typ een bericht ...';
$lang['system_config'] = 'Systeem instellingen';
$lang['system_tools'] = 'Systeem tools';
$lang['system_logs'] = 'Systeem logs';
$lang['super_admin'] = 'Superadmin';
$lang['room_rank'] = 'Kamer rank';
$lang['reason'] = 'Reden';
$lang['reason_given'] = 'Gegeven reden';
$lang['duration'] = 'Looptijd';
$lang['hours'] = 'Uur';
$lang['minutes'] = 'Minuten';
$lang['kick'] = 'Kick';
$lang['unkick'] = 'Unkick';
$lang['kicked'] = 'Kicked';
$lang['kick_msg'] = 'Je bent kicked';
$lang['kick_back'] = 'Je kunt na afloop opnieuw chatten';
$lang['bridge_login'] = 'Bridge login mode';
$lang['bridge_only'] = 'Alleen bridge';
$lang['add_bridge'] = 'add_bridge';
$lang['rank_icon'] = 'Toon rangpictogrammen';
$lang['gender_icon'] = 'Laat avatar geslacht zien';
$lang['userlist_only'] = 'Alleen lijst';
$lang['userlist_chat'] = 'Lijst en chat';
$lang['kick_word'] = 'Onrechtmatige taal';
$lang['kick_delay'] = 'Kick standaard vertraging';
$lang['temp_mute_delay'] = 'Tijdelijke mute standaard vertraging';
$lang['innactive_logout'] = 'Ontkoppel inactieve leden';
$lang['delay_settings'] = 'Vertraging instellingen';
$lang['temp_mute'] = 'Tijdelijke mute';
$lang['flag_ico'] = 'Toon vlaggen in chatterslijst';
$lang['member_delete'] = 'Verwijder inactieve gebruikers';
$lang['room_delete'] = 'Verwijderen inactieve rooms';
$lang['use_geo'] = 'Geo localisatie';
$lang['room_list'] = 'Kamer lijst';
$lang['station'] = 'Station';
$lang['station_list'] = 'Station lijst';
$lang['allow_grad'] = 'Sta text gradient toe';
$lang['name_grad'] = 'Sta username gradient toe';
$lang['color'] = 'Kleur';
$lang['gradient'] = 'Gradient';
$lang['verify_start'] = 'Om uw accountverificatie te voltooien, sturen wij u een verificatie-e-mail naar uw geregistreerde e-mailadres. Zorg ervoor dat uw e-mail geldig is voordat u doorgaat en voltooi het verificatieproces.';
$lang['verify_end'] = 'Voer de code in die we naar uw e-mailadres hebben gestuurd om uw accountverificatie te voltooien';
$lang['verify_send'] = 'Verstuur verificatie';
$lang['verify_got'] = 'Ik heb een code';
$lang['change_password'] = 'Verander je wachtwoord';
$lang['unset_mood'] = 'Voeg hier je humeur toe';
$lang['user_verify'] = 'Verifiëren';
$lang['dj_module'] = 'On-air dj';
$lang['onair'] = 'On-air dj';
$lang['please_wait'] = 'Word uitgevoerd even geduld ...';
$lang['min_text'] = 'Minimum %number% tekens';
$lang['select'] = 'Selecteer optie';
$lang['member_feature'] = 'Sorry deze functie is beperkt tot geregistreerde leden';
$lang['maintenance'] = 'Onderhoud';
$lang['maint_mode'] = 'Onderhoud Mode';
$lang['maint_text'] = 'Momenteel zijn we bezig met het onderhoud van de site. We zullen zo snel mogelijk terugkomen, bedankt voor je geduld.';
$lang['auto_refresh'] = 'Deze pagina wordt automatisch vernieuwd';
$lang['close_account'] = 'Verwijder Account';
$lang['cancel_request'] = 'Annuleer verzoek';
$lang['close_message'] = 'Na bevestiging wordt uw account binnen zeven dagen verwijderd. Let op, u kunt uw verwijderingsverzoek op elk moment binnen 7 dagen na uw profiel annuleren.';
$lang['close_warning'] = 'Uw account zal worden verwijderd op %date%. U kunt dit verzoek op elk gewenst moment vóór de verwijderingsdatum annuleren. Let op: verwijderde accounts kunnen niet worden hersteld.';
?>