<?php
// intro

$lang['left_title'] = 'Conheça novas pessoas';
$lang['left_welcome'] = 'Nossa comunidade de bate-papo lhe dá a oportunidade de fazer novos amigos e compartilhar bons momentos com outras pessoas.';
$lang['last_active'] = 'Últimos membros ativos';

// menu text 

$lang['logout'] = 'Sair';
$lang['my_profile'] = 'Meu perfil';
$lang['admin_panel'] = 'Painel de admin';
$lang['home'] = 'Home';

// title item 

$lang ['close'] = 'Fechar';
$lang ['friend_list'] = 'Lista de amigos';
$lang ['ignore_list'] = 'Ignorar';
$lang ['user_list'] = 'Lista de usuários';
$lang ['private_list'] = 'Lista privada';
$lang ['report_list'] = 'Lista de relatórios';

// intro text

$lang ['username'] = 'Nome de usuário';
$lang ['password'] = 'Senha';
$lang ['email'] = 'Email';
$lang ['country'] = 'País';
$lang ['region'] = 'Região';
$lang ['age'] = 'Idade';
$lang ['male'] = 'Masculino';
$lang ['female'] = 'Feminino';
$lang ['register'] = 'Registrar';
$lang ['connect_with'] = 'Conectar com';
$lang ['enter_now'] = 'Entre agora!';
$lang ['rules'] = 'Termos de uso';
$lang ['privacy'] = 'Política de privacidade';
$lang ['i_agree'] = 'Ao registrar-se, você aceita o';
$lang ['login'] = 'Login';
$lang ['forgot'] = 'Esqueci a minha senha';
$lang ['user_recover'] = 'Recuperar usuário';
$lang ['recover'] = 'Recuperar';
$lang ['guest_login'] = 'Login de convidado';
$lang ['site_login'] = 'Conectar-se ao site';
$lang ['more_login'] = 'Outras formas de login';
$lang ['not_member'] = 'Ainda não tem uma conta? Entre já!';

// friend delete box 

$lang['want_delete'] = 'Tem certeza de que deseja excluir?';

// logout box

$lang['want_logout'] = 'Deseja sair?';

// general button text

$lang['ok'] = 'ok';
$lang['yes'] = 'Sim';
$lang['no'] = 'Não';
$lang['cancel'] = 'Cancelar';
$lang['on'] = 'On';
$lang['off'] = 'Off';
$lang['minute'] = 'Min';
$lang['hour'] = 'Hora';
$lang['day'] = 'Dia';
$lang['days'] = 'Dias';
$lang['week'] = 'Semana';
$lang['month'] = 'Mês';
$lang['never'] = 'Nunca';
$lang['save'] = 'Salvar';
$lang['delete'] = 'Deletar';
$lang['new'] = 'Novo';
$lang['upload'] = 'Upload';
$lang['unlimited'] = 'Ilimitado';
$lang['install'] = 'Instalar';
$lang['uninstall'] = 'Desinstalar';
$lang['config'] = 'Configurar';
$lang['not_shared'] = 'Não mostrar';
$lang['option_default'] = 'Padrão';
$lang['no_default'] = 'Sem padrão';
$lang['full'] = 'Completo';
$lang['add'] = 'Adicionar';
$lang['back'] = 'Voltar';
$lang['search'] = 'Pesquisar';
$lang['enter_password'] = 'Digite a senha';
$lang['room_no_description'] = 'Esta sala não tem descrição';
$lang['join_room'] = 'Entrar';
$lang['settings'] = 'Configurações';
$lang['execute'] = 'Executar';
$lang['resend'] = 'Reenviar';
$lang['apply'] = 'Aplicar';
$lang['reset_password'] = 'Redefinir senha';
$lang['load_more'] = 'Carregar mais';
$lang['add_user'] = 'Adicionar usuário';
$lang['more'] = 'Mais';
$lang['other'] = 'Outro';
$lang['test'] = 'Testar';
$lang['send'] = 'Enviar';

// lobby menu

$lang ['system_news'] = 'Novidades';
$lang ['search_people'] = 'Procurar pessoas';
$lang ['wall'] = 'Mural de amigos';

// online offline

$lang ['offline'] = 'Offline';
$lang ['innactive'] = 'Inativo';

// menu drop user 

$lang ['info'] = 'Ver perfil';
$lang ['add_friend'] = 'Adicionar amigo';
$lang ['ignore'] = 'Ignorar';
$lang ['private_chat'] = 'Conversa privada';
$lang ['options'] = 'Opções';

// users status language

$lang ['online'] = 'Online';
$lang ['busy'] = 'Ocupado';
$lang ['away'] = 'Ausente';
$lang ['gaming'] = 'Jogando';
$lang ['eating'] = 'Comendo';
$lang ['invisible'] = 'Invisível';

// empty box text 

$lang ['not_exist'] = 'Este post não existe mais';
$lang ['no_news'] = 'Nenhuma notícia para exibir';
$lang ['no_friend'] = 'Sua lista de amigos está vazia';
$lang ['no_friend_request'] = 'Você não possui nenhuma solicitação de amigo';
$lang ['no_unread_private'] = 'Sua lista privada está vazia';
$lang ['no_report'] = 'Nenhum relatório para exibir';
$lang ['no_ignore'] = 'Sua lista de ignorar está vazia';
$lang ['no_data'] = 'Nenhum dado';

// search feature

$lang ['my_region'] = 'Minha região';
$lang ['my_country'] = 'Meu país';
$lang ['activity'] = 'Status ativo';
$lang ['all'] = 'Todos';

// room box create text

$lang ['room_limit'] = 'limite do usuário';
$lang ['opcional_pass'] = '(opcional)';
$lang ['room_name'] = 'Nome da sala';
$lang ['room_type'] = 'Tipo de sala';
$lang ['room_description'] = 'Descrição';
$lang ['create'] = 'Criar';

// system name 

$lang['quit_room'] = '%user% %bcquit%';
$lang['system_join_room'] = '%user% %bcjoin%';
$lang['room_clear'] = '%bcclear% %user%';
$lang ['leave_message'] = 'saiu da sala';
$lang ['join_message'] = 'juntou-se à sala';
$lang ['clear_message'] = 'Esta sala foi limpa por';

// control room and admin pop

$lang ['mute'] = 'Mutar';
$lang ['room_mute'] = 'Sala mutada';
$lang ['unmute'] = 'Desmutar';
$lang ['room_unmute'] = 'Desmutar';
$lang ['ban'] = 'Banir';
$lang ['unban'] = 'Desbanir';
$lang ['room_block'] = 'Bloquear da sala';
$lang ['room_unblock'] = 'Desbloquear';
$lang ['delete_account'] = 'Eliminar conta';

// lang admin status

$lang['select_critera'] = 'Selecionar critérios';
$lang['banned'] = 'Banido';
$lang['muted'] = 'Mutado';
$lang['blocked'] = 'Bloqueado';

// special box text

$lang ['site_banned'] = 'Você foi banido deste site. Você não pode entrar! ';
$lang ['verified_now'] = 'Obrigado, sua conta agora está verificada';
$lang ['oops'] = 'Ops! Parece que você se perdeu em algum lugar. ';

// system ranking 

$lang ['owner'] = 'Owner';
$lang ['admin'] = 'Admin';
$lang ['mod'] = 'Moderador';
$lang ['user'] = 'Usuário';
$lang ['vip'] = 'Vip';
$lang ['user_bot'] = 'Bot';
$lang ['r_admin'] = 'Room admin';
$lang ['r_mod'] = 'Moderador';
$lang ['guest'] = 'Convidado';
$lang ['public'] = 'Público';

// notification

$lang ['liked'] = 'Like em uma de suas postagens. ';
$lang ['unliked'] = 'Dislike em uma de suas postagens. ';
$lang ['have_replied'] = 'Comentou uma de suas postagens';
$lang ['post_wall'] = 'Postado algo no Mural';
$lang ['no_notify'] = 'Você não possui notificação';
$lang ['bad_word_use'] = 'Mutou você por @delay@ min por usar palavrão';
$lang ['flood_abuse'] = 'Sua conta foi silenciada para abuso de flood, aguarde até que o administrador analise sua conta';
$lang ['bad_word_full'] = 'Mutado por usar palavrões';
$lang ['rank_change'] = 'Seu ranking foi alterado agora você é @rank@';
$lang ['room_rank_change'] = 'Você está agora @rank@ in @room@';
$lang ['system_mute'] = 'Você foi silenciado';
$lang ['system_unmute'] = 'Você não foi alterado';
$lang ['accept_friend'] = 'Aceitou sua solicitação de amizade';

// wall top part

$lang['friends'] = 'Amigos';

// post language

$lang ['start_new_post'] = 'Iniciar uma novo post';
$lang ['post'] = 'Postar';
$lang ['add_comment'] = 'Adicionar comentário';
$lang ['wall_empty'] = 'Não há publicação para mostrar';
$lang ['delete'] = 'Deletar';
$lang ['report'] = 'Reportar';
$lang ['comment_here'] = 'Digite seu comentário';
$lang ['view_more_comment'] = 'Mais comentários';

// wall side details 

$lang['about'] = 'Sobre';

// topic text

$lang['topic'] = 'Tópico';
$lang['topic_empty'] = 'Nenhum tópico definido para essa sala';

// report language

$lang ['report_language'] = 'linguagem abusiva';
$lang ['report_content'] = 'Conteúdo inapropriado';
$lang ['report_spam'] = 'Conteúdo do Spam';
$lang ['reported_chat'] = 'Relatou uma mensagem de bate-papo';
$lang ['reportado_post'] = 'Relatou uma publicação no mural';
$lang ['reported_reason'] = 'Razão';

// seen language 

$lang['seen'] = '%userseen% foi visto pela última vez  %seentime% na sala : %seenroom%';
$lang['not_seen'] = 'Desculpe nada encontrado para %userseen%';
$lang['seen_lobby'] = '%userseen% foi visto pela última vez %seentime% no lobby';

// profile language 

$lang ['gender'] = 'Gênero';
$lang ['user_theme'] = 'Tema';
$lang ['language'] = 'Idioma';
$lang ['ip'] = 'Endereço Ip';
$lang ['join_chat'] = 'Membro desde';
$lang ['other_account'] = 'Outra conta';
$lang ['main_info'] = 'Info';
$lang ['remove_avatar'] = 'Remover';
$lang ['verify_account'] = 'Verificar conta';
$lang ['actual_pass'] = 'Senha atual';
$lang ['new_pass'] = 'Nova senha';
$lang ['repeat_pass'] = 'Repetir senha';
$lang ['verified'] = 'Verificado';
$lang['unverified'] = 'Não verificado';
$lang ['status'] = 'Status';
$lang ['location'] = 'Localização';
$lang ['user_main_details'] = '%age% anos,%sex%';
$lang ['age_only'] = '%age% anos';
$lang ['about_me'] = 'Sobre mim';
$lang ['not_available'] = 'Não disponível';
$lang ['sounds'] = 'Sons';
$lang ['all_sound'] = 'Todos sons';
$lang ['no_sound'] = 'Nenhum';
$lang ['private_sound'] = 'Privado e notificação';
$lang ['text_color'] = 'Cor do texto';
$lang ['bold'] = 'B';
$lang ['user_color'] = 'Cor do nome de usuário';
$lang ['last_seen'] = 'Visto pela última vez';
$lang ['years_old'] = 'Anos de idade';
$lang ['not_set'] = 'Não disponível';
$lang ['edit'] = 'Editar';
$lang ['room_action'] = 'Ação de sala';

// room setting language

$lang ['room_name'] = 'Nome da sala';
$lang ['room_settings'] = 'Configurações';
$lang ['staff'] = 'Staff';
$lang ['room_description'] = 'Descrição';
$lang ['room_theme'] = 'Tema da sala';
$lang ['system_theme'] = 'Tema padrão';

// room page menu top 

$lang['add_room'] = 'Criar sala';
$lang['my_room'] = 'Minhas salas';

// side left menu language

$lang['room_side_settings'] = 'Configurações da sala';
$lang['module'] = 'Addons';

// notification box language 

$lang['friend_request'] = 'Pedido de amizade';
$lang['notification'] = 'Notificação';
$lang['mb'] = 'Mb ';
$lang['vip_feature'] = 'Desculpe, este recurso está limitado aos membros do Vip';

// admin option 

$lang ['action_none'] = 'Nenhuma';
$lang ['action_mute'] = 'Mudo';
$lang ['action_unmute'] = 'Desmutar';
$lang ['action_verify'] = 'Verificar';
$lang ['room_admin'] = 'Faça o administrador da sala';
$lang ['word_temp_mute'] = 'Silêncio temporário';
$lang ['new_password'] = 'Definir nova senha';
$lang ['user_rank'] = 'Rank do usuário';
$lang ['action_ban'] = 'Ban';
$lang ['action_unban'] = 'Unban';
$lang ['action_delete'] = 'Excluir conta';
$lang ['none'] = 'Nenhum';
$lang ['do_action'] = 'Ação';
$lang ['aply'] = 'Aplicar';
$lang ['never'] = 'Nunca';
$lang ['default_player'] = 'Player padrão';

// activation box

$lang ['edit_email'] = 'Editar e-mail';
$lang ['active_message'] = 'Enviamos um email para%cemail%. Digite o código de verificação para verificar sua conta. ';
$lang ['code'] = 'Digite o código';

// admin section text 

$lang['system_name'] = 'Nome do sistema';
$lang['index_path'] = 'Chat index path';
$lang['site_title'] = 'Titulo do site';
$lang['site_description'] = 'Descrição do site';
$lang ['site_keyword'] = 'Palavras-chave do site';
$lang ['timezone'] = 'Fuso horário';
$lang ['theme'] = 'Tema padrão';
$lang ['default_language'] = 'Idioma padrão';
$lang ['allow_registration'] = 'Permitir novo registro';
$lang ['allow_guest'] = 'Permitir convidado';
$lang ['guest_prefix'] = 'Prefixo convidado';
$lang ['min_age'] = 'Idade mínima para se registrar';
$lang ['max_registration'] = 'Registro máximo por dia';
$lang ['validate'] = 'Pedir verificação';
$lang ['room_count'] = 'Contagem padrão na criação da sala';
$lang ['admin_topic'] = 'Exibir tópico no bate-papo';
$lang ['max_main'] = 'Limite de caracteres na sala';
$lang ['max_private'] = 'Limite de caracteres na privado';
$lang ['max_avatar'] = 'Tamanho máximo do avatar permitido';
$lang ['max_file'] = 'Tamanho máximo do arquivo permitido';
$lang ['show_logs'] = 'Exibir logs do sistema';
$lang ['word_delay'] = 'Silenciar por';
$lang ['multi_email'] = 'Permitir registro de e-mail duplicado';
$lang ['ico'] = 'Mostrar ícones da lista de usuários';
$lang ['speed'] = 'Delay do bate-papo';
$lang ['chat_delete'] = 'Deletar tópicos de bate-papo ';
$lang ['private_delete'] = 'Deletar registro do privado';
$lang ['wall_delete'] = 'Deletar registro do mural';
$lang ['max_offcount'] = 'Exibir usuários off-line';
$lang ['file_delete'] = 'Excluir arquivos';
$lang ['mail_type'] = 'Sistema de e-mail';
$lang ['site_email'] = 'E-mail do site';
$lang ['email_from'] = 'Nome do remetente';
$lang ['smtp_host'] = 'Servidor Smtp';
$lang ['smtp_username'] = 'Usuário';
$lang ['smtp_password'] = 'Senha';
$lang ['smtp_encryption'] = 'Criptografia';
$lang ['smtp_port'] = 'Porta';
$lang ['allow_image'] = 'Permitir upload';
$lang ['allow_colors'] = 'Permitir cores de texto';
$lang ['allow_player'] = 'Permitir lista de players';
$lang ['emo_plus'] = 'Permitir emoticon especial';
$lang ['allow_direct'] = 'Permitir exibição direta';
$lang ['allow_room'] = 'Permitir a criação de sala';
$lang ['allow_history'] = 'Permitir histórico no bate-papo';
$lang ['add_word'] = 'Adicionar palavra ao filtro';
$lang ['action_word'] = 'Ação';
$lang ['empty'] = 'Atualmente não há dados para mostrar';
$lang ['search_member'] = 'Pesquisar membro';
$lang ['advance_search'] = 'Pesquisa avançada';
$lang ['no_update'] = 'Não há atualização para instalar neste momento';
$lang ['no_addons'] = 'Nenhum addon encontrado';
$lang ['default_stream'] = 'Stream padrão';
$lang ['add_player_stream'] = 'Adicionar rádio';
$lang ['stream_url'] = 'Stream url';
$lang ['stream_alias'] = 'Nome da rádio';
$lang ['allow_room_theme'] = 'Permitir tema da sala';
$lang ['allow_user_theme'] = 'Permitir temas de usuários';
$lang ['file_management'] = 'Gerenciamento de arquivos';
$lang ['registered_members'] = 'Membros registrados';
$lang ['chatting_members'] = 'Usuários de bate-papo';
$lang ['post_count'] = 'Post de mural';
$lang ['post_reply'] = 'Comentários do Mural';
$lang ['verified_members'] = 'Membros verificados';
$lang ['active_room'] = 'Salas ativas';
$lang ['chat_logs'] = 'Logs de bate-papo';
$lang ['private_logs'] = 'Registros privados';
$lang ['banned_ip'] = 'IP banidos';
$lang ['current_version'] = 'Versão atual';
$lang ['php_version'] = 'versão PHP';
$lang ['max_upload'] = 'Carregamento máximo';
$lang ['room_system'] = 'Sala lobby';
$lang ['name_color'] = 'Permitir cor do nome de usuário';
$lang ['bridge'] = 'Bridge login';
$lang ['max_name'] = 'Tamanho máximo do nome de usuário';
$lang ['use_wall'] = 'Sistema de mural';
$lang ['allow_verify'] = 'Permitir verificação de conta';
$lang ['allow_guest_name'] = 'Permitir nome do convidado';

/* admin menu */

$lang ['dashboard'] = 'Dashboard';
$lang ['system_info'] = 'Informações do sistema';
$lang ['main_settings'] = 'Opções do site';
$lang ['registration_settings'] = 'Opções de registro';
$lang ['manage_report'] = 'Gerenciar relatórios';
$lang ['email_settings'] = 'Configurações de e-mail';
$lang ['chat_settings'] = 'Opções de bate-papo';
$lang ['users_management'] = 'Gerenciar membros';
$lang ['room_management'] = 'Gerenciar salas';
$lang ['ban_management'] = 'IP banido';
$lang ['database_management'] = 'Upload & database';
$lang ['upload_settings'] = 'Configurações de upload';
$lang ['limit_management'] = 'Permissões';
$lang ['player_settings'] = 'Gerenciar rádios';
$lang ['update_zone'] = 'Atualizações';
$lang ['bad_word_filter'] = 'Filtro de palavras';
$lang ['pages_management'] = 'Gerenciar páginas';
$lang ['addons_management'] = 'Gerenciar addons';
$lang ['manual'] = 'Documentação';
$lang ['logs_management'] = 'Gerenciamento de logs';
$lang ['console'] = 'Console';
$lang ['manage_language'] = 'Gerenciar idiomas';
$lang ['manage_modules'] = 'Gerenciar módulos';

$lang['active_control'] = 'Balanceador de inatividade';
$lang['allow_name'] = 'Mudança de nome de usuário';
$lang ['social_login'] = 'Ativar login no %type%';
$lang ['social_id'] = 'ID da aplicação do %type%';
$lang ['social_secret'] = '%type% app secret';
$lang['allow_avatar'] = 'Permitir avatar';

// added pre release

$lang['main'] = 'Principal';
$lang['social'] = 'Social';
$lang['cookie_law'] = 'This site uses Cookies for more information and to manage cookies read our %data%';
$lang['filter'] = 'Filtros';
$lang['email_filter'] = 'Filtro de email ativo';
$lang['spam_content'] = 'Esta publicação foi marcada como spam';
$lang['help'] = 'Socorro';
$lang['page'] = 'Página';
$lang['lobby'] = 'Lobby';
$lang['manage_action'] = 'Gerenciar ação';
$lang['main_action'] = 'Ação principal';

// added version 1.1

$lang['allow_private'] = 'Permitir bate-papo privado';
$lang['show_cookie'] = 'Lei dos Cookies';
$lang['private_mode'] = 'Conversa privada';
$lang['friend_only'] = 'Somente amigos';
$lang['clear'] = 'Limpar';
$lang['register_mute'] = 'Silenciar nova conta';
$lang['welcome_reg'] = 'Bem vindo %user% !';
$lang['reg_mute_text'] = 'Para a melhorar experiência dos nossos membros, a nova conta está desativada para %regmute% minutes. Notificaremos você assim que confirmarmos sua conta.';
$lang['use_recapt'] = 'Recaptcha do Google';
$lang['recapt_site'] = 'Chave do site';
$lang['recapt_secret'] = 'Chave secreta';
$lang['allow_mood'] = 'Permitir humor';
$lang['mood'] = 'Humor';
$lang['limit_feature'] = 'Limite este recurso para';


// added in version 2.0

$lang['user_timezone'] = 'Hora Local';
$lang['nothing_found'] = 'Sem Informação';
$lang['type_something'] = 'Escreva Algo ...';
$lang['system_config'] = 'Defenições do Sistema';
$lang['system_tools'] = 'Ferramentas';
$lang['system_logs'] = 'System logs';
$lang['super_admin'] = 'Superadministrador';
$lang['room_rank'] = 'Room rank';
$lang['reason'] = 'Razão';
$lang['reason_given'] = 'Razão Dada';
$lang['duration'] = 'Duração';
$lang['hours'] = 'Horas';
$lang['minutes'] = 'Minutos';
$lang['kick'] = 'Kikar';
$lang['unkick'] = 'Anular o Kik';
$lang['kicked'] = 'kikado';
$lang['kick_msg'] = 'A sua conta foi kikada';
$lang['kick_back'] = 'irá ser capaz de aceder ao chat em breve';
$lang['bridge_login'] = 'Bridge login mode';
$lang['bridge_only'] = 'Bridge only';
$lang['add_bridge'] = 'add_bridge';
$lang['rank_icon'] = 'Mostrar ícones de classificação';
$lang['gender_icon'] = 'Mostrar sexo do avatar';
$lang['userlist_only'] = 'Listar apenas';
$lang['userlist_chat'] = 'Listar e conversar';
$lang['kick_word'] = 'Linguagem abusiva';
$lang['kick_delay'] = 'Temporizador de banimento pré-definido';
$lang['temp_mute_delay'] = 'Duração do periodo de silencio';
$lang['innactive_logout'] = 'Desconectar membros inativos';
$lang['delay_settings'] = 'Definições de temporizador ';
$lang['temp_mute'] = 'Silenciamento Temporario';
$lang['flag_ico'] = 'Mostrar bandeiras e utilizador';
$lang['member_delete'] = 'Apagar membros inativos';
$lang['room_delete'] = 'Apagar sala inativa';
$lang['use_geo'] = 'Localização geografica';
$lang['room_list'] = 'Lista de salas';
$lang['station'] = 'Estação';
$lang['station_list'] = 'Lista de estações';
$lang['allow_grad'] = 'Permitir efeitos de letra';
$lang['name_grad'] = 'Permitir efeitos de nome de utilizador';
$lang['color'] = 'côr';
$lang['gradient'] = 'Efeito';
$lang['verify_start'] = 'Para que seja possivel efetuarmos o seu registo iremos enviar-le um email de confirmação. Por favor verifique que o email registado é valido antes de concluir o procedimento de registo do mesmo.';
$lang['verify_end'] = 'Escreva o codigo enviado para o seu email para que seja possivel proceder á verificação';
$lang['verify_send'] = 'Envio de verificação';
$lang['verify_got'] = 'Tenho um codigo';
$lang['change_password'] = 'Mudar palavra-pass';
$lang['unset_mood'] = 'Como se sente';
$lang['user_verify'] = 'Verificação';
$lang['dj_module'] = 'Disco-joquei';
$lang['onair'] = 'Disco-joquei no ar';
$lang['please_wait'] = 'Aguarde...';
$lang['min_text'] = '%Numero% minimo de caracteres';
$lang['select'] = 'Selecionar Opinião';
$lang['member_feature'] = 'Pedimos desculpas mas esta opção é reservada apenas para membros regitados';
$lang['maintenance'] = 'Em Manutenção';
$lang['maint_mode'] = 'Modo de manuntenção';
$lang['maint_text'] = 'Estamos de momento a proceder á manuntenção do nosso site, estaremos de volta em breve, obrigado.';
$lang['auto_refresh'] = 'Esta página ira recomeçar automaticamente';
$lang['close_account'] = 'Apagar conta';
$lang['cancel_request'] = 'Cancelar pedido';
$lang['close_message'] = 'Após confirmação a sua conta irá ser apagada em 7 dias. Tome em conta que pode cancelar o seu pedido dentro do mesmo periodo.';
$lang['close_warning'] = 'A sua conta irá ser apagada em %data%. Pode cancelar esta pedido a qualquer altura antes desta data. Contas apagadas não podem ser recuperadas.';
?>