<?php
// intro

$lang['left_title'] = 'Yeni Kişilerle Tanış';
$lang['left_welcome'] = 'Sohbet topluluğumuz size yeni arkadaşlıklar kurma ve başkaları ile iyi anlar paylaşma imkanı sunar.';
$lang['last_active'] = 'Son aktif üyeler';

// menu text 

$lang['logout'] = 'Çıkış Yap';
$lang['my_profile'] = 'Profilim';
$lang['admin_panel'] = 'Yönetim Sayfası';
$lang['home'] = 'Ev';

// title item 

$lang['close'] = 'Kapat';
$lang['friend_list'] = 'Arkadaş listesi';
$lang['ignore_list'] = 'Engelle';
$lang['user_list'] = 'Kullanıcı listesi';
$lang['private_list'] = 'Özel sohbet listesi';
$lang['report_list'] = 'Rapor listesi';

// intro text

$lang['username'] = 'Kullanıcı Adı';
$lang['password'] = 'Parola';
$lang['email'] = 'Email';
$lang['country'] = 'Ülke';
$lang['region'] = 'Bölge';
$lang['age'] = 'Yaş';
$lang['male'] = 'Erkek';
$lang['female'] = 'Kadın';
$lang['register'] = 'Kaydol';
$lang['connect_with'] = 'İle bağlantı';
$lang['enter_now'] = 'Üye Girişi';
$lang['rules'] = 'Kullanım Şartları';
$lang['privacy'] = 'Gizlilik Politikası';
$lang['i_agree'] = 'Kayıt olduğunuzda yandaki şartları kabul edersiniz';
$lang['login'] = 'Giriş Yap';
$lang['forgot'] = 'Parolanı mı unuttun?';
$lang['recover'] = 'Kurtar';
$lang['guest_login'] = 'Konuk';
$lang['site_login'] = 'Siteyle bağlantı kur';
$lang['more_login'] = 'Daha fazla seçenek';
$lang['not_member'] = 'Henüz üye değil misiniz ? şimdi üye Ol';

// friend delete box 

$lang['want_delete'] = 'Silmek istediğine emin misin?';

// logout box

$lang['want_logout'] = 'Çıkış yapmak mı istiyorsun?';

// general button text

$lang['ok'] = 'tamam';
$lang['yes'] = 'Evet';
$lang['no'] = 'Hayır';
$lang['cancel'] = 'İptal';
$lang['on'] = 'Açık';
$lang['off'] = 'Kapalı';
$lang['never'] = 'Asla';
$lang['save'] = 'Kaydet';
$lang['delete'] = 'Sil';
$lang['new'] = 'Yeni';
$lang['upload'] = 'Yükle';
$lang['unlimited'] = 'Sınırsız';
$lang['install'] = 'Yükle';
$lang['uninstall'] = 'Kaldır';
$lang['config'] = 'Yapılandırma';
$lang['not_shared'] = 'Görüntüleme';
$lang['option_default'] = 'Sistem varsayılanı';
$lang['no_default'] = 'Varsayılan yok';
$lang['full'] = 'Tam';
$lang['add'] = 'Ekle';
$lang['back'] = 'Geri';
$lang['search'] = 'Ara';
$lang['enter_password'] = 'Lütfen parola girin';
$lang['room_no_description'] = 'Bu odanın açıklaması yoktur';
$lang['join_room'] = 'Odaya katıl';
$lang['settings'] = 'Ayarlar';
$lang['execute'] = 'Gerçekleştir';
$lang['resend'] = 'Yeninden Gönder';
$lang['apply'] = 'Uygula';
$lang['reset_password'] = 'Parola yenile';
$lang['load_more'] = 'Daha fazla yükle ';
$lang['add_user'] = 'Kullanıcı Ekle';
$lang['more'] = 'Daha';
$lang['other'] = 'Diğer';
$lang['test'] = 'Ölçek';
$lang['send'] = 'Göndermek';

// lobby menu

$lang['system_news'] = 'Haberler';
$lang['search_people'] = 'Kişi ara';
$lang['wall'] = 'Arkadaş Duvarı';

// online offline

$lang['offline'] = 'Çevrimdışı';
$lang['innactive'] = 'Pasif';

// menu drop user 

$lang['info'] = 'Profili görüntüle';
$lang['add_friend']  = 'Arkadaş ekle';
$lang['ignore'] = 'Engelle';
$lang['private_chat'] = 'Özel sohbet';
$lang['options'] = 'Ayarlar';

// users status language

$lang['online'] = 'Çevrimiçi';
$lang['busy'] = 'Meşgul';
$lang['away'] = 'Uzakta';
$lang['gaming'] = 'Oyun Oynuyor';
$lang['eating'] = 'Yemek Yiyor';
$lang['invisible'] = 'Görünmez';

// empty box text 

$lang['not_exist'] = 'Bu yazı artık mevcut değil';
$lang['no_news'] = 'Görüntülenecek hiçbir haber yok';
$lang['no_friend'] = 'Arkadaş listeniz boş';
$lang['no_friend_request'] = 'Arkadaşlık isteği yok';
$lang['no_unread_private'] = 'Özel sohbet listeniz boş';
$lang['no_report'] = 'Görüntülenecek hiçbir rapor yok';
$lang['no_ignore'] = 'Engelleme listeniz boş';
$lang['no_data'] = 'Veri yok';

// search feature

$lang['my_region'] = 'Bölgem';
$lang['my_country'] = 'Ülkem';
$lang['activity'] = 'Etkinlik Durumu';
$lang['all'] = 'hepsi';

// room box create text

$lang['room_limit'] = 'Kullanıcı limiti';
$lang['room_name'] = 'Oda adı';
$lang['room_type'] = 'Oda tipi';
$lang['room_description'] = 'Açıklama';
$lang['create'] = 'Oluştur';

// system name 

$lang['quit_room'] = '%user% %bcquit%';
$lang['system_join_room'] = '%user% %bcjoin%';
$lang['room_clear'] = '%bcclear% %user%';
$lang['leave_message'] = 'odadan ayrıldı';
$lang['join_message'] = 'odaya katıldı';
$lang['clear_message'] = 'Bu oda şu kişi tarafından temizlendi:';

// control room and admin pop

$lang['mute'] = 'Sessizleştir';
$lang['unmute'] = 'Sesini aç';
$lang['ban'] = 'Yasakla';
$lang['unban'] = 'Yasağı kaldır';
$lang['delete_account'] = 'Hesabı sil';

// lang admin status

$lang['select_critera'] = 'Kriterleri seçin';
$lang['banned'] = 'Yasaklandı';
$lang['muted'] = 'Sessizleştirildi';
$lang['blocked'] = 'Engellendi';

// special box text

$lang['site_banned'] = 'Bu siteden yasaklandınız. Giremezsiniz !';
$lang['verified_now'] = 'Hesabınızı doğruladığınız için teşekkür ederiz';
$lang['oops'] = 'Oops ! bir yerlerde kaybolmuş gibi görünüyor.';

// system ranking 

$lang['owner'] = 'Kurucu';
$lang['admin'] = 'Yönetici';
$lang['mod'] = 'Moderatör';
$lang['user'] = 'Üye';
$lang['vip'] = 'Vip';
$lang['user_bot'] = 'Bot';
$lang['r_admin'] = 'Oda yöneticisi';
$lang['r_mod'] = 'Oda Moderatör';
$lang['guest'] = 'Konuk';
$lang['public'] = 'Kamu';

// notification

$lang['no_notify'] = 'Bildiriminiz yok';

// wall top part

$lang['friends'] = 'Arkadaşlar';

// post language

$lang['start_new_post'] = 'Yeni bir gönderi başlat';
$lang['post'] = 'Gönder';
$lang['add_comment'] = 'Yorum ekle';
$lang['wall_empty'] = 'Göstermek için yazı yok';
$lang['delete'] = 'Sil';
$lang['report'] = 'Bildir';
$lang['comment_here'] = 'Yorumunuzu yazın';
$lang['view_more_comment'] = 'Daha fazla yorum';

// wall side details 

$lang['about'] = 'Hakkında';

// topic text

$lang['topic'] = 'Konu';
$lang['topic_empty'] = 'Oda için konu ayarlanmamış';

// report language

$lang['report_language'] = 'Küfür kullanımı';
$lang['report_content'] = 'Uygunsuz içerik';
$lang['report_spam'] = 'Spam içeriyor';
$lang['reported_chat'] = 'Sohbet mesajı bildirildi';
$lang['reported_post'] = 'Bir duvar gönderisi bildirildi';
$lang['reported_reason'] = 'Sebep';

// seen language 

$lang['seen'] = '%userseen% kişisi en son %seentime% zamanında %seenroom% odasında görüldü';
$lang['not_seen'] = 'Üzgünüm, %userseen% kişisi için hiçbir şey bulunamadı';
$lang['seen_lobby'] = '%userseen% kişisi en son %seentime% zamanında lobide görüldü';

// profile language 

$lang['gender'] = 'Cinsiyet';
$lang['user_theme'] = 'Tema';
$lang['language'] = 'Dil';
$lang['ip'] = 'Ip adresi';
$lang['join_chat'] = 'Üyelik tarihi';
$lang['other_account'] = 'Diğer hesaplar';
$lang['main_info'] = 'Bilgi';
$lang['remove_avatar'] = 'Kaldır';
$lang['verify_account'] = 'Hesabı doğrula';
$lang['actual_pass'] = 'Şimdiki parola';
$lang['new_pass'] = 'Yeni parola';
$lang['repeat_pass'] = 'Parolayı yeniden yaz';
$lang['verified'] = 'Doğrulanmış';
$lang['unverified'] = 'Doğrulanmamış';
$lang['status'] = 'Durum';
$lang['location'] = 'Konum';
$lang['user_main_details'] = '%age% yaşında, %sex%';
$lang['age_only'] = '%age% yaşında';
$lang['about_me'] = 'Hakkımda';
$lang['not_available'] = 'Mevcut değil';
$lang['sounds'] = 'Sesler';
$lang['all_sound'] = 'Tüm sesler';
$lang['no_sound'] = 'Ses yok';
$lang['text_color'] = 'Metin rengi';
$lang['bold'] = 'B';
$lang['user_color'] = 'Kullanıcı adı rengi';
$lang['last_seen'] = 'Son görülme';
$lang['years_old'] = 'yaşında';
$lang['not_set'] = 'Mevcut değil';
$lang['edit'] = 'Edit';

// room setting language

$lang['room_name'] = 'Oda adı';
$lang['room_settings'] = 'Ayarlar';
$lang['staff'] = 'Personel';
$lang['room_description'] = 'Açıklama';
$lang['system_theme'] = 'Varsayılan tema';

// room page menu top 

$lang['add_room'] = 'Oda ekle';
$lang['my_room'] = 'Odalarım';

// side left menu language

$lang['room_side_settings'] = 'Oda ayarları';
$lang['module'] = 'Eklentiler';

// notification box language 

$lang['friend_request'] = 'Arkadaşlık istekleri';
$lang['notification'] = 'Bildirim';
$lang['mb'] = 'Mb ';
$lang['vip_feature'] = 'Üzgünüm, bu özellik Vip üyeler ile sınırlıdır.';

// admin option 

$lang['action_none'] = 'Eylem yok';
$lang['action_mute'] = 'Sessizleştir';
$lang['action_unmute'] = 'Sesini aç';
$lang['action_verify'] = 'Doğrula';
$lang['room_admin'] = 'Oda admini yap';
$lang['new_password'] = 'Yeni parola ayarla';
$lang['user_rank'] = 'Kullanıcı rütbesi';
$lang['action_ban'] = 'Yasakla';
$lang['action_unban'] = 'Yasağı kaldır';
$lang['action_delete'] = 'Hesabı Sil';
$lang['none'] = 'Yok';
$lang['do_action'] = 'Eylem';
$lang['aply'] = 'Uygula';
$lang['never'] = 'Asla';
$lang['default_player'] = 'Varsayılan oynatıcı';

// activation box

$lang['edit_email'] = 'Düzenlemek';
$lang['active_message'] = '%cemail% adresine bir e-posta gönderdik. Lütfen hesabınızı doğrulamak için doğrulama kodunu girin.';
$lang['code'] = 'Kodu gir';

// admin section text 

$lang['system_name'] = 'Sistem adı';
$lang['index_path'] = 'Sohbet dizini yolu';
$lang['site_title'] = 'Site başlığı';
$lang['site_description'] = 'Site açıklaması';
$lang['site_keyword'] = 'Site anahtar kelimeleri';
$lang['timezone'] = 'Site zaman dilimi';
$lang['theme'] = 'Varsayılan tema';
$lang['default_language'] = 'Varsayılan dil';
$lang['allow_registration'] = 'Yeni kayıtlara izin ver';
$lang['allow_guest'] = 'Allow guest';
$lang['guest_prefix'] = 'Guest prefix';
$lang['min_age'] = 'Kayıt için asgari yaş';
$lang['validate'] = 'Doğrulama iste';
$lang['room_count'] = 'Oda oluşturmada varsayılan limit';
$lang['admin_topic'] = 'Sohbette konu görüntüle';
$lang['max_main'] = 'Ana sohbette maksimum karakter sayısı';
$lang['max_private'] = 'Özel sohbette maksimum karakter sayısı';
$lang['max_avatar'] = 'İzin verilen maksimum avatar boyutu';
$lang['max_file'] = 'İzin verilen maksimum dosya boyutu';
$lang['show_logs'] = 'Sistem kayıtlarını görüntüle';
$lang['word_delay'] = 'Kötü kelime kullanımından dolayı sessizleştirme süresi';
$lang['speed'] = 'Sohbet yenileme gecikmesi';
$lang['chat_delete'] = 'Sohbet günlüklerini sil';
$lang['private_delete'] = 'Özel sohbet günlüklerini sil';
$lang['wall_delete'] = 'Duvar paylaşım günlüklerini sil';
$lang['max_offcount'] = 'Çevrimdışı kullanıcıları göster';
$lang['file_delete'] = 'Dosyaları sil';
$lang['mail_type'] = 'Mail sistem tipi';
$lang['site_email'] = 'Site email';
$lang['email_from'] = 'Gönderen adı';
$lang['smtp_host'] = 'Smtp sunucu';
$lang['smtp_username'] = 'Smtp kullanıcı adı';
$lang['smtp_password'] = 'Smtp parolası';
$lang['smtp_encryption'] = 'Smtp Şifrelemesi';
$lang['smtp_port'] = 'Smtp port';
$lang['allow_colors'] = 'Metin renklerine izin ver';
$lang['emo_plus'] = 'Özel ifadeye izin ver';
$lang['allow_direct'] = 'Doğrudan gösterime izin ver';
$lang['allow_room'] = 'Oda oluşturma işlemine izin ver';
$lang['allow_history'] = 'Sohbet geçmişine izin ver';
$lang['add_word'] = 'Filtrelere kelime ekle';
$lang['action_word'] = 'Kötü sözcüğü almak için harekete geçilmesi';
$lang['empty'] = 'Şu anda göstermek için herhangi bir veri yok';
$lang['search_member'] = 'Üye ara';
$lang['advance_search'] = 'Gelişmiş arama';
$lang['no_update'] = 'Şu anda yüklenecek herhangi bir güncelleme yok';
$lang['no_addons'] = 'Eklenti bulunamadı';
$lang['default_stream'] = 'Oynatılan varsayılan yayın';
$lang['add_player_stream'] = 'Radyo ekle';
$lang['stream_url'] = 'Yayın url';
$lang['stream_alias'] = 'Yayının takma adı';
$lang['allow_user_theme'] = 'Kullanıcıların temalarına izin ver';
$lang['file_management'] = 'Dosya yönetimi';
$lang['chatting_members'] = 'Sohbet eden üye';
$lang['post_count'] = 'Duvar gönderisi';
$lang['post_reply'] = 'Duvar yorumu';
$lang['verified_members'] = 'Doğrulanmış kullanıcı';
$lang['active_room'] = 'Aktif oda';
$lang['chat_logs'] = 'Sohbet günlüğü';
$lang['private_logs'] = 'Özel sohbet günlüğü';
$lang['banned_ip'] = 'Yasaklanan ip';
$lang['current_version'] = 'Şimdiki versiyon';
$lang['php_version'] = 'PHP versiyon';
$lang['max_upload'] = 'Maksimum yükleme';
$lang['name_color'] = 'İsim rengine izin ver';
$lang['bridge'] = 'Köprü girişi';
$lang['max_name'] = 'Maks kullanıcı adı uzunluğu';
$lang['allow_verify'] = 'Hesap doğrulanmasına izin ver';
$lang['allow_guest_name'] = 'Misafir kullanıcı adına izin ver';

/* admin menu */

$lang['dashboard'] = 'Gösterge tablosu';
$lang['system_info'] = 'Sistem bilgisi';
$lang['main_settings'] = 'Ana seçenekler';
$lang['registration_settings'] = 'Kayıt seçenekleri';
$lang['manage_report'] = 'Raporları yönet';
$lang['email_settings'] = 'Email seçenekleri';
$lang['chat_settings'] = 'Sohbet seçenekleri';
$lang['users_management'] = 'Üyeleri yönet';
$lang['room_management'] = 'Odaları yönet';
$lang['ban_management'] = 'Yasaklanan ip';
$lang['database_management'] = 'Yükleme & veritabanı';
$lang['upload_settings'] = 'Yükleme seçenekleri';
$lang['limit_management'] = 'Limit seçenekleri';
$lang['player_settings'] = 'Oynatıcı seçenekleri';
$lang['update_zone'] = 'Güncellemeler';
$lang['bad_word_filter'] = 'Kötü kelime filtresi';
$lang['pages_management'] = 'Sayfaları yönet';
$lang['addons_management'] = 'Eklentileri yönet';
$lang['manual'] = 'Dökümanlar';
$lang['logs_management'] = 'Günlüklerin yönetimi';
$lang['console'] = 'Konsol';
$lang['manage_language'] = 'Dilleri yönetin';
$lang['manage_modules'] = 'Modülleri yönet';

$lang['allow_name'] = 'Kullanıcı adı değişikliği';
$lang['social_login'] = '%type% girişini etkinleştir';
$lang['social_id'] = '%type% uygulama kimliği';
$lang['social_secret'] = '%type% uygulama Sırrı';
$lang['allow_avatar'] = 'Avatara izin ver';

// added pre release

$lang['main'] = 'Ana';
$lang['social'] = 'Sosyal';
$lang['cookie_law'] = 'This site uses Cookies for more information and to manage cookies read our %data%';
$lang['filter'] = 'Filters';
$lang['email_filter'] = 'Etkin e-posta filtresi';
$lang['spam_content'] = 'Bu yazı spam olarak işaretlendi';
$lang['help'] = 'yardım et';
$lang['page'] = 'Sayfa';
$lang['lobby'] = 'Loby';
$lang['manage_action'] = 'İşlemi yönet';

// added version 1.1

$lang['allow_private'] = 'Özel Sohbete Ýzin Ver.';
$lang['private_mode'] = 'Özel Sohbet';
$lang['friend_only'] = 'sadece Arkadaþlar';
$lang['clear'] = 'Temizle';
$lang['use_recapt'] = 'Google recaptcha';
$lang['recapt_site'] = 'Site anahtarý';
$lang['recapt_secret'] = 'Gizli anahtar';
$lang['allow_mood'] = 'Ruh haline izin ver.';
$lang['mood'] = 'Ruh hali';
$lang['limit_feature'] = 'Bu özelliði sýnýrla';


// added in version 2.0

$lang['user_timezone'] = 'Saat Dilimi';
$lang['nothing_found'] = 'Hiç Bir Şey Bulunamadı';
$lang['type_something'] = 'Bir Şeyler Yaz...';
$lang['system_config'] = 'Sistem Ayarları';
$lang['system_tools'] = 'Sistem Araçları';
$lang['system_logs'] = 'Sistem Kayıtları';
$lang['super_admin'] = 'Super Admin';
$lang['room_rank'] = 'Oda Sırası';
$lang['reason'] = 'Sebeb';
$lang['reason_given'] = 'Verilen Sebeb';
$lang['duration'] = 'Süre';
$lang['kick'] = 'Tekme';
$lang['unkick'] = 'Tekme Kaldır';
$lang['kicked'] = 'Tekmelendi';
$lang['kick_msg'] = 'Odadan Tekmelendiniz';
$lang['kick_back'] = 'Daha Sonra Sohbet Odasına Tekrar Giriş Yapabilirsiniz';
$lang['bridge_login'] = 'Köprü Giriş Modu';
$lang['bridge_only'] = 'Sadece Köprü';
$lang['add_bridge'] = 'Köprü Ekle';
$lang['rank_icon'] = 'Sıralamayı göster';
$lang['gender_icon'] = 'Avatar cinsiyetini göster';
$lang['userlist_only'] = 'Sadece liste';
$lang['userlist_chat'] = 'Liste ve sohbet';
$lang['innactive_logout'] = 'Etkin olmayan üyeleri ayırın';
$lang['delay_settings'] = 'Gecikme Ayarları';
$lang['member_delete'] = 'Aktif Olmayan Kullanıcıları Sil';
$lang['room_delete'] = 'Aktif Olmayan Odaları Sil';
$lang['room_list'] = 'Oda Listesi';
$lang['station'] = 'İstasyon';
$lang['station_list'] = 'İstasyon Listesi';
$lang['allow_grad'] = 'Efektli Metin Renklerini Aktif Et';
$lang['name_grad'] = 'Efektli Kullanıcı Adı Renklerini Aktif Et';
$lang['color'] = 'Renk';
$lang['gradient'] = 'Efekt';
$lang['verify_start'] = 'Hesap doğrulama işlemini tamamlamak için kayıtlı e-posta adresinize doğrulama kodu göndereceğiz.Doğrulama işlemi tamamlanmadan lütfen e-postanızın doğru yazıldığından emin olun.';
$lang['verify_end'] = 'Lütfen e-postanıza gelen doğrulama kodunu yazın.';
$lang['verify_send'] = 'Doğrulama kodu gönder';
$lang['verify_got'] = 'Doğrulama kodum var';
$lang['change_password'] = 'Parolanızı Değiştirin';
$lang['unset_mood'] = 'Ruh Halinizi Ekleyin';
$lang['user_verify'] = 'Doğrula';
$lang['dj_module'] = 'En Üstteki Dj';
$lang['onair'] = 'Üstteki Dj';
$lang['please_wait'] = 'Devam Ediyor Lütfen Bekleyin ...';
$lang['min_text'] = 'Minimum %number% Karakteri';
$lang['select'] = 'Seçeneği Seçin';
$lang['member_feature'] = 'Üzgünüz bu özellik sadece kayıtlı üyeler için geçerlidir.';
$lang['maintenance'] = 'Bakım';
$lang['maint_mode'] = 'Bakım Modu';
$lang['maint_text'] = 'Şuanda site bakımı yapıyoruz en kısa sürede tekrar aktif olacağız.Beklediğiniz için teşekkür ederiz.';
$lang['auto_refresh'] = 'Bu sayfa otomatik olarak yenilenecektir.';
$lang['close_account'] = 'Hesabı Sil';
$lang['cancel_request'] = 'İsteği İptal Et';
$lang['close_message'] = 'Onaylandıktan sonra hesabınız 7 gün içerisinde silinecektir.Silme isteğinizi 7 gün içerisinde profilinizden iptal edebilirsiniz.';
$lang['close_warning'] = 'Hesabınız şu %date% tarihe kadar silenecektir bu isteği iptal edebilirsiniz.Dikkat silinen hesaplar tekrar kurtarılamaz.';

$lang['private_settings'] = 'Özel mesaj Ayarları';
$lang['manage_friends'] = 'Arkadaşlarını Düzenle';
$lang['manage_ignores'] = 'Engellenenleri Düzenle';
$lang['lang_location'] = 'Dil / Bölge';
$lang['theme_settings'] = 'Görünüm Ayarları';
$lang['sound_settings'] = 'Ses Ayarları';
$lang['members'] = 'Üyeler';
$lang['add_post'] = 'Gönderi ekle';
$lang['add_staff'] = 'Personel ekle';
$lang['r_owner'] = 'Oda kurucusu';
$lang['display_settings'] = 'Görünüm Ayarları';
$lang['login_page'] = 'Giriş Sayfası Ayarı';
$lang['filtering'] = 'Filtre';
$lang['edit_about'] = 'Bilgilerimi Düzenle';
$lang['user_id'] = 'Kullanıcı id';
$lang['optional'] = '(isteğe Bağlı)';
$lang['unlimited'] = 'Sınırsız';
$lang['secure_account'] = 'Hesabınıza güvenlik bilgisi eklemek ve daha fazla özelliğe erişmek için burayı tıklayın..';
$lang['register_guest'] = 'Şu anda konuk olarak giriş yaptınız, daha fazla özelliğe erişmek için hesabınızı kaydetmek için burayı tıklayın..';
$lang['name_email'] = 'Kullanıcı adı / Email';
$lang['global_action'] = 'Genel Eylemler';
$lang['change_rank'] = 'Seviye Değiştir';
$lang['block'] = 'Engelle';
$lang['unblock'] = 'Engel Kaldır';
$lang['unignore'] = 'İgnore kaldır';
$lang['unfriend'] = 'Arkadaşlıktan Çıkar';
$lang['main_action'] = 'Ana';
$lang['room_action'] = 'Oda';
$lang['account_status'] = 'Durum';
$lang['edit_verify'] = 'Hesap Durumunu Düzenle';
$lang['guest_form'] = 'Misafir Formu';
$lang['edit_username'] = 'Kullanıcı Adı Değiştir';
$lang['edit_color'] = 'Kullanıcı Rengi Değiştir';
$lang['edit_mood'] = 'Ruh Hali Düzenle';
$lang['geo_system'] = 'Yer bilgisi';
$lang['room_system'] = 'Oda Lobisi';
$lang['wall_system'] = 'Duvar sistemi';
$lang['cookie_system'] = 'Çerez Durumu';
$lang['allow_cover'] = 'Profil kapağına izin ver';
$lang['allow_gcover'] = 'Hareketli kapaklara izin ver';
$lang['max_cover'] = 'Büyük boyutlu kapaklara izin ver';
$lang['second'] = 'ikinci';
$lang['seconds'] = 'saniye';
$lang['minute'] = 'dakika';
$lang['minutes'] = 'dakikalar';
$lang['hour'] = 'saat';
$lang['hours'] = 'saatler';
$lang['day'] = 'gün';
$lang['days'] = 'günler';
$lang['week'] = 'hafta';
$lang['weeks'] = 'haftalar';
$lang['month'] = 'ay';
$lang['months'] = 'aylar';
$lang['year'] = 'yıl';
$lang['years'] = 'yıllar';
$lang['registered'] = 'Kayıtlı';
$lang['system_diagnostic'] = 'Sistem Analizi';
$lang['user_muted'] = 'Bu kullanıcı susturuldu';
$lang['user_banned'] = 'Bu kullanıcı yasaklandı';
$lang['history'] = 'Geçmiş';
$lang['flood'] = 'flooding';
$lang['badword'] = 'Kötü Niyetli Dil';
$lang['spam'] = 'Spamming';
$lang['no_reason'] = 'Sebep yok';
$lang['by'] = 'Yazan';
$lang['delay'] = 'Gecikme';
$lang['fetching'] = 'Veri alınıyor lütfen bekleyiniz';
$lang['topic_title'] = 'Konu';
$lang['seen_title'] = 'Görünme';
$lang['default_title'] = 'Mesajınız';
$lang['data'] = 'Data';

// added in 3.5

$lang['account'] = 'Hesap';
$lang['security'] = 'Güvenlik';
$lang['regmute'] = 'Yeni hesabın sesini kapat';
$lang['user_regmuted'] = 'Bu kullanıcı yeni ve şu anda doğrulama için yoksayılmış durumda.';
$lang['welcome_user'] = 'Hoşgeldin %user%';
$lang['reg_message'] = 'Daha iyi bir deneyim sunmak ve sohbette istenmeyen istenmeyen postaları önlemek için hesabı doğrularken yeni hesabı kapatıyoruz. Doğrulamanın ardından hesabınız otomatik olarak açılacaktır.';
$lang['guest_message'] = 'Şu anda Misafir olarak giriş yaptınız. Misafirin yalnızca sohbeti görüntülemesine izin verilir ve maalesef şu anda sohbette yazmalarına izin verilmemektedir.';
$lang['guest_message2'] = 'Yazmak ve diğer birçok harika özellikten yararlanmak için sohbete üye olun.';
$lang['view_only'] = 'Sadece Görüntüle';
$lang['view_likes'] = 'Beğenileri görüntüleyin';
$lang['delete_post'] = 'Bu gönderiyi silmek istediğinizden emin misiniz?';
$lang['delete_private'] = 'Bu özel konuşma geçmişini silmek üzeresiniz. Bu eylem geri alınamaz ve bu gizli için etkin bir rapor varsa işleme alınmayacaktır. Devam etmek istediğine emin misin?';
$lang['console_clear'] = 'Sistem konsolunun temizlenmesi, kaydedilen tüm günlükleri siler, devam etmek ve konsolu temizlemek ister misiniz?';
$lang['hide'] = 'Sakla';
$lang['user_room'] = 'Mevcut oda';
$lang['chat_sound'] = 'Sohbet sesleri';
$lang['private_sound'] = 'Özel sesleri';
$lang['notification_sound'] = 'Bildirim sesleri';
$lang['username_sound'] = 'Username sesleri';
$lang['edit_info'] = 'Bilgileri düzenle';
$lang['reported_private'] = 'Özel bir sohbet bildirildi';
$lang['reported_profile'] = 'Bir profil bildirildi';
$lang['report_post'] = 'Bu içeriği bildirin';
$lang['report_warning'] = 'Uyarıyı bildirin';
$lang['report_select'] = 'Sebebi seçin';
$lang['report_fraud'] = 'Dolandırıcılık girişimi';
$lang['mobile'] = 'Mobil';
$lang['allow_cupload'] = 'Sohbete dosya yüklemeye izin ver';
$lang['allow_pupload'] = 'Özel sohbete dosya yüklemeye izin ver';
$lang['allow_wupload'] = 'Duvara dosya yüklemeye izin ver';
$lang['guest_talk'] = 'Misafirin sohbette konuşmasına izin ver';
$lang['system_name_change'] = '%user% %bcname% %nname%';
$lang['system_kick'] = '%user% %bckick%';
$lang['system_ban'] = '%user% %bcban%';
$lang['system_mute'] = '%user% %bcmute%';
$lang['name_message'] = 'Olarak kullanıcı adını değiştirdi';
$lang['kick_message'] = 'Tekmelendi';
$lang['ban_message'] = 'Yasaklandı';
$lang['mute_message'] = 'Susturuldu';
$lang['profile'] = 'Profil';
$lang['private'] = 'Özel';
$lang['preview'] = 'Önizle';
$lang['nobody'] = 'Hiç kimse';
$lang['chat'] = 'Chat';
$lang['display'] = 'Ekran';
$lang['reset'] = 'Reset';
$lang['neon'] = 'Neon';
$lang['allow_neon'] = 'Neon yazı tiplerine izin ver';
$lang['name_neon'] = 'Neon kullanıcı adına izin ver';
$lang['name_font'] = 'Kullanıcı adında yazı tipine izin ver';
$lang['allow_font'] = 'Yazı tipi metnine izin ver';
$lang['font_style'] = 'Yazı stili';
$lang['font'] = 'Yazı';
?>